import { Meta, StoryObj } from '@storybook/react';

import { colorProps, hideProps, marginProps, PANGRAM } from '~/stories/__helpers__';

import { H1, H2, H3, H4, H5, H6 } from './index';

import { defaultProps } from './useHeading';

export default {
  title: 'Components/Headings',
  // category: 'Content',
  component: H1,
  args: {
    ...defaultProps,
    align: 'center',
    children: PANGRAM,
  },
  argTypes: {
    ...hideProps(),
    ...colorProps(),
    ...marginProps(),
    children: { control: 'text' },
  },
  parameters: {
    display: 'block',
  },
} satisfies Meta<typeof H1>;

export const BasicH1: StoryObj<typeof H1> = {
  name: 'H1',
};

export const BasicH2: StoryObj<typeof H2> = {
  name: 'H2',
  render: props => <H2 {...props} />,
};

export const BasicH3: StoryObj<typeof H3> = {
  name: 'H3',
  render: props => <H3 {...props} />,
};

export const BasicH4: StoryObj<typeof H4> = {
  name: 'H4',
  render: props => <H4 {...props} />,
};

export const BasicH5: StoryObj<typeof H5> = {
  name: 'H5',
  render: props => <H5 {...props} />,
};

export const BasicH6: StoryObj<typeof H6> = {
  name: 'H6',
  render: props => <H6 {...props} />,
};
