import { sortByLocaleCompare } from '@gilbarbara/helpers';

export const iconsPack = [
  { name: 'align-bottom' as const, categories: ['layout'] },
  { name: 'align-center' as const, categories: ['layout'] },
  { name: 'align-left' as const, categories: ['layout'] },
  { name: 'align-middle' as const, categories: ['layout'] },
  { name: 'align-right' as const, categories: ['layout'] },
  { name: 'align-top' as const, categories: ['layout'] },
  { name: 'apple-watch' as const, categories: ['devices'] },
  { name: 'arrange-back' as const, categories: ['layout'] },
  { name: 'arrange-front' as const, categories: ['layout'] },
  { name: 'attachment' as const, categories: ['ui'] },
  { name: 'backspace' as const, categories: ['arrows'] },
  { name: 'band-aid' as const, categories: ['misc'] },
  { name: 'battery' as const, categories: ['devices'] },
  { name: 'battery-empty' as const, categories: ['devices'] },
  { name: 'battery-full' as const, categories: ['devices'] },
  { name: 'board' as const, categories: ['ui'] },
  { name: 'border-all' as const, categories: ['layout'] },
  { name: 'border-bottom' as const, categories: ['layout'] },
  { name: 'border-left' as const, categories: ['layout'] },
  { name: 'border-right' as const, categories: ['layout'] },
  { name: 'border-style-dashed' as const, categories: ['layout'] },
  { name: 'border-style-dotted' as const, categories: ['layout'] },
  { name: 'border-style-solid' as const, categories: ['layout'] },
  { name: 'border-top' as const, categories: ['layout'] },
  { name: 'bot' as const, categories: ['misc'] },
  { name: 'bowl' as const, categories: ['misc'] },
  { name: 'boy' as const, categories: ['misc'] },
  { name: 'briefcase' as const, categories: ['ui'] },
  { name: 'browse' as const, categories: ['ui'] },
  { name: 'browser' as const, categories: ['ui'] },
  { name: 'calculator' as const, categories: ['devices'] },
  { name: 'calendar-dates' as const, categories: ['date'] },
  { name: 'calendar-due' as const, categories: ['date'] },
  { name: 'calendar-next' as const, categories: ['date'] },
  { name: 'calendar-today' as const, categories: ['date'] },
  { name: 'calendar' as const, categories: ['date'] },
  { name: 'calibrate' as const, categories: ['misc'] },
  { name: 'captions' as const, categories: ['ui'] },
  { name: 'card-clubs' as const, categories: ['misc'] },
  { name: 'card-diamonds' as const, categories: ['misc'] },
  { name: 'card-hearts' as const, categories: ['misc'] },
  { name: 'card-spades' as const, categories: ['misc'] },
  { name: 'carousel' as const, categories: ['ui'] },
  { name: 'cast' as const, categories: ['ui'] },
  { name: 'chart' as const, categories: ['ui'] },
  { name: 'clapper-board' as const, categories: ['multimedia'] },
  { name: 'clipboard' as const, categories: ['ui'] },
  { name: 'code' as const, categories: ['development'] },
  { name: 'code-slash' as const, categories: ['development'] },
  { name: 'collage' as const, categories: ['ui'] },
  { name: 'color-bucket' as const, categories: ['ui'] },
  { name: 'color-picker' as const, categories: ['ui'] },
  { name: 'community' as const, categories: ['misc'] },
  { name: 'components' as const, categories: ['ui'] },
  { name: 'compress-left' as const, categories: ['arrows'] },
  { name: 'compress-right' as const, categories: ['arrows'] },
  { name: 'compress-v' as const, categories: ['arrows'] },
  { name: 'compress' as const, categories: ['arrows'] },
  { name: 'controller' as const, categories: ['ui'] },
  { name: 'corner-double-down-left' as const, categories: ['arrows'] },
  { name: 'corner-double-down-right' as const, categories: ['arrows'] },
  { name: 'corner-double-left-down' as const, categories: ['arrows'] },
  { name: 'corner-double-left-up' as const, categories: ['arrows'] },
  { name: 'corner-double-right-down' as const, categories: ['arrows'] },
  { name: 'corner-double-right-up' as const, categories: ['arrows'] },
  { name: 'corner-double-up-left' as const, categories: ['arrows'] },
  { name: 'corner-double-up-right' as const, categories: ['arrows'] },
  { name: 'corner-down-left' as const, categories: ['arrows'] },
  { name: 'corner-down-right' as const, categories: ['arrows'] },
  { name: 'corner-left-down' as const, categories: ['arrows'] },
  { name: 'corner-left-up' as const, categories: ['arrows'] },
  { name: 'corner-right-down' as const, categories: ['arrows'] },
  { name: 'corner-right-up' as const, categories: ['arrows'] },
  { name: 'corner-up-left' as const, categories: ['arrows'] },
  { name: 'corner-up-right' as const, categories: ['arrows'] },
  { name: 'credit-card' as const, categories: ['misc'] },
  { name: 'crop' as const, categories: ['ui'] },
  { name: 'dark-mode' as const, categories: ['ui'] },
  { name: 'desktop' as const, categories: ['ui'] },
  { name: 'details-less' as const, categories: ['layout'] },
  { name: 'details-more' as const, categories: ['layout'] },
  { name: 'dialpad' as const, categories: ['ui'] },
  { name: 'dice-1' as const, categories: ['misc'] },
  { name: 'dice-2' as const, categories: ['misc'] },
  { name: 'dice-3' as const, categories: ['misc'] },
  { name: 'dice-4' as const, categories: ['misc'] },
  { name: 'dice-5' as const, categories: ['misc'] },
  { name: 'dice-6' as const, categories: ['misc'] },
  { name: 'display-flex' as const, categories: ['layout'] },
  { name: 'display-fullwidth' as const, categories: ['layout'] },
  { name: 'display-grid' as const, categories: ['layout'] },
  { name: 'display-spacing' as const, categories: ['layout'] },
  { name: 'distribute-horizontal' as const, categories: ['layout'] },
  { name: 'distribute-vertical' as const, categories: ['layout'] },
  { name: 'dock-bottom' as const, categories: ['ui'] },
  { name: 'dock-left' as const, categories: ['ui'] },
  { name: 'dock-right' as const, categories: ['ui'] },
  { name: 'dock-window' as const, categories: ['ui'] },
  { name: 'drive' as const, categories: ['devices'] },
  { name: 'drop-invert' as const, categories: ['ui'] },
  { name: 'drop-opacity' as const, categories: ['ui'] },
  { name: 'drop' as const, categories: ['ui'] },
  { name: 'duplicate' as const, categories: ['ui'] },
  { name: 'edit-black-point' as const, categories: ['ui'] },
  { name: 'edit-contrast' as const, categories: ['ui'] },
  { name: 'edit-exposure' as const, categories: ['ui'] },
  { name: 'edit-fade' as const, categories: ['ui'] },
  { name: 'edit-flip-h' as const, categories: ['ui'] },
  { name: 'edit-flip-v' as const, categories: ['ui'] },
  { name: 'edit-highlight' as const, categories: ['ui'] },
  { name: 'edit-markup' as const, categories: ['ui'] },
  { name: 'edit-mask' as const, categories: ['ui'] },
  { name: 'edit-noise' as const, categories: ['ui'] },
  { name: 'edit-shadows' as const, categories: ['ui'] },
  { name: 'edit-straight' as const, categories: ['ui'] },
  { name: 'edit-unmask' as const, categories: ['ui'] },
  { name: 'enter' as const, categories: ['ui'] },
  { name: 'erase' as const, categories: ['ui'] },
  { name: 'euro' as const, categories: ['misc'] },
  { name: 'export' as const, categories: ['ui'] },
  { name: 'extension-add' as const, categories: ['ui'] },
  { name: 'extension-remove' as const, categories: ['ui'] },
  { name: 'extension' as const, categories: ['ui'] },
  { name: 'external' as const, categories: ['ui'] },
  { name: 'feed' as const, categories: ['ui'] },
  { name: 'file-add' as const, categories: ['ui'] },
  { name: 'file-document' as const, categories: ['ui'] },
  { name: 'file-remove' as const, categories: ['ui'] },
  { name: 'file' as const, categories: ['ui'] },
  { name: 'film' as const, categories: ['multimedia'] },
  { name: 'filters' as const, categories: ['ui'] },
  { name: 'folder-add' as const, categories: ['ui'] },
  { name: 'folder-remove' as const, categories: ['ui'] },
  { name: 'folder' as const, categories: ['ui'] },
  { name: 'font-height' as const, categories: ['typography'] },
  { name: 'font-spacing' as const, categories: ['typography'] },
  { name: 'format-center' as const, categories: ['typography'] },
  { name: 'format-color' as const, categories: ['typography'] },
  { name: 'format-heading' as const, categories: ['typography'] },
  { name: 'format-indent-decrease' as const, categories: ['typography'] },
  { name: 'format-indent-increase' as const, categories: ['typography'] },
  { name: 'format-italic' as const, categories: ['typography'] },
  { name: 'format-justify' as const, categories: ['typography'] },
  { name: 'format-left' as const, categories: ['typography'] },
  { name: 'format-line-height' as const, categories: ['typography'] },
  { name: 'format-right' as const, categories: ['typography'] },
  { name: 'format-separator' as const, categories: ['typography'] },
  { name: 'format-slash' as const, categories: ['typography'] },
  { name: 'format-text' as const, categories: ['typography'] },
  { name: 'format-underline' as const, categories: ['typography'] },
  { name: 'format-uppercase' as const, categories: ['typography'] },
  { name: 'games' as const, categories: ['devices'] },
  { name: 'gender-female' as const, categories: ['misc'] },
  { name: 'gender-male' as const, categories: ['misc'] },
  { name: 'girl' as const, categories: ['misc'] },
  { name: 'glass-alt' as const, categories: ['misc'] },
  { name: 'home-screen' as const, categories: ['devices'] },
  { name: 'image' as const, categories: ['ui'] },
  { name: 'import' as const, categories: ['ui'] },
  { name: 'inpicture' as const, categories: ['multimedia'] },
  { name: 'insert-after-o' as const, categories: ['ui'] },
  { name: 'insert-after-r' as const, categories: ['ui'] },
  { name: 'insert-after' as const, categories: ['ui'] },
  { name: 'insert-before-o' as const, categories: ['ui'] },
  { name: 'insert-before-r' as const, categories: ['ui'] },
  { name: 'insert-before' as const, categories: ['ui'] },
  { name: 'insights' as const, categories: ['ui'] },
  { name: 'internal' as const, categories: ['ui'] },
  { name: 'laptop' as const, categories: ['devices'] },
  { name: 'list-tree' as const, categories: ['ui'] },
  { name: 'list' as const, categories: ['ui'] },
  { name: 'lock-unlock' as const, categories: ['ui'] },
  { name: 'lock' as const, categories: ['ui'] },
  { name: 'log-off' as const, categories: ['ui'] },
  { name: 'loupe' as const, categories: ['ui'] },
  { name: 'magnet' as const, categories: ['misc'] },
  { name: 'mail-forward' as const, categories: ['ui'] },
  { name: 'mail-reply' as const, categories: ['ui'] },
  { name: 'maximize' as const, categories: ['ui'] },
  { name: 'maximize-alt' as const, categories: ['arrows', 'ui'] },
  { name: 'menu-boxed' as const, categories: ['ui'] },
  { name: 'menu-grid-o' as const, categories: ['ui'] },
  { name: 'menu-grid-r' as const, categories: ['ui'] },
  { name: 'menu-left-alt' as const, categories: ['ui'] },
  { name: 'menu-left' as const, categories: ['ui'] },
  { name: 'menu-motion' as const, categories: ['ui'] },
  { name: 'menu-right-alt' as const, categories: ['ui'] },
  { name: 'menu-right' as const, categories: ['ui'] },
  { name: 'menu' as const, categories: ['ui'] },
  { name: 'merge-horizontal' as const, categories: ['ui'] },
  { name: 'merge-vertical' as const, categories: ['ui'] },
  { name: 'mini-player' as const, categories: ['multimedia'] },
  { name: 'minimize-alt' as const, categories: ['ui'] },
  { name: 'minimize' as const, categories: ['ui'] },
  { name: 'mouse' as const, categories: ['devices'] },
  { name: 'move-down' as const, categories: ['ui'] },
  { name: 'move-left' as const, categories: ['ui'] },
  { name: 'move-right' as const, categories: ['ui'] },
  { name: 'move-up' as const, categories: ['ui'] },
  { name: 'notifications' as const, categories: ['ui'] },
  { name: 'pacman' as const, categories: ['misc'] },
  { name: 'path-back' as const, categories: ['layout'] },
  { name: 'path-crop' as const, categories: ['layout'] },
  { name: 'path-divide' as const, categories: ['layout'] },
  { name: 'path-exclude' as const, categories: ['layout'] },
  { name: 'path-front' as const, categories: ['layout'] },
  { name: 'path-intersect' as const, categories: ['layout'] },
  { name: 'path-outline' as const, categories: ['layout'] },
  { name: 'path-trim' as const, categories: ['layout'] },
  { name: 'path-unite' as const, categories: ['layout'] },
  { name: 'performance' as const, categories: ['ui'] },
  { name: 'piano' as const, categories: ['multimedia'] },
  { name: 'pill' as const, categories: ['misc'] },
  { name: 'plug' as const, categories: ['ui'] },
  { name: 'pokemon' as const, categories: ['misc'] },
  { name: 'poll' as const, categories: ['ui'] },
  { name: 'printer' as const, categories: ['devices'] },
  { name: 'profile' as const, categories: ['ui'] },
  { name: 'pull-clear' as const, categories: ['ui'] },
  { name: 'push-chevron-down-o' as const, categories: ['ui', 'circle'] },
  { name: 'push-chevron-down-r' as const, categories: ['ui', 'square'] },
  { name: 'push-chevron-down' as const, categories: ['ui'] },
  { name: 'push-chevron-left-o' as const, categories: ['ui', 'circle'] },
  { name: 'push-chevron-left-r' as const, categories: ['ui', 'square'] },
  { name: 'push-chevron-left' as const, categories: ['ui'] },
  { name: 'push-chevron-right-o' as const, categories: ['ui', 'circle'] },
  { name: 'push-chevron-right-r' as const, categories: ['ui', 'square'] },
  { name: 'push-chevron-right' as const, categories: ['ui'] },
  { name: 'push-chevron-up-o' as const, categories: ['ui', 'circle'] },
  { name: 'push-chevron-up-r' as const, categories: ['ui', 'square'] },
  { name: 'push-chevron-up' as const, categories: ['ui'] },
  { name: 'push-down' as const, categories: ['ui'] },
  { name: 'push-left' as const, categories: ['ui'] },
  { name: 'push-right' as const, categories: ['ui'] },
  { name: 'push-up' as const, categories: ['ui'] },
  { name: 'qr' as const, categories: ['ui'] },
  { name: 'quote-o' as const, categories: ['ui'] },
  { name: 'quote' as const, categories: ['ui'] },
  { name: 'radio-check' as const, categories: ['ui'] },
  { name: 'radio-checked' as const, categories: ['ui'] },
  { name: 'ratio' as const, categories: ['ui'] },
  { name: 'redo' as const, categories: ['ui'] },
  { name: 'remove-r' as const, categories: ['ui', 'square'] },
  { name: 'remove' as const, categories: ['ui'] },
  { name: 'rename' as const, categories: ['ui'] },
  { name: 'reorder' as const, categories: ['ui'] },
  { name: 'row-first' as const, categories: ['layout'] },
  { name: 'row-last' as const, categories: ['layout'] },
  { name: 'ruler' as const, categories: ['ui'] },
  { name: 'scan' as const, categories: ['ui'] },
  { name: 'screen-mirror' as const, categories: ['ui'] },
  { name: 'screen-wide' as const, categories: ['ui'] },
  { name: 'screen' as const, categories: ['ui'] },
  { name: 'scroll-h' as const, categories: ['ui'] },
  { name: 'scroll-v' as const, categories: ['ui'] },
  { name: 'search-found' as const, categories: ['ui'] },
  { name: 'search-loading' as const, categories: ['ui'] },
  { name: 'search' as const, categories: ['ui'] },
  { name: 'select-o' as const, categories: ['ui', 'circle'] },
  { name: 'select-r' as const, categories: ['ui', 'square'] },
  { name: 'select' as const, categories: ['ui'] },
  { name: 'shopping-bag' as const, categories: ['ui'] },
  { name: 'shopping-cart' as const, categories: ['ui'] },
  { name: 'sidebar-open' as const, categories: ['ui'] },
  { name: 'sidebar-right' as const, categories: ['ui'] },
  { name: 'sidebar' as const, categories: ['ui'] },
  { name: 'signal' as const, categories: ['ui'] },
  { name: 'size' as const, categories: ['ui'] },
  { name: 'smartphone' as const, categories: ['devices'] },
  { name: 'smile-mouth-open' as const, categories: ['misc'] },
  { name: 'smile-neutral' as const, categories: ['misc'] },
  { name: 'smile-no-mouth' as const, categories: ['misc'] },
  { name: 'smile-none' as const, categories: ['misc'] },
  { name: 'smile-sad' as const, categories: ['misc'] },
  { name: 'smile-upside' as const, categories: ['misc'] },
  { name: 'smile' as const, categories: ['misc'] },
  { name: 'space-between-v' as const, categories: ['layout'] },
  { name: 'space-between' as const, categories: ['layout'] },
  { name: 'spinner-alt' as const, categories: ['loaders'] },
  { name: 'spinner-two-alt' as const, categories: ['loaders'] },
  { name: 'spinner-two' as const, categories: ['loaders'] },
  { name: 'spinner' as const, categories: ['loaders'] },
  { name: 'swap-vertical' as const, categories: ['ui'] },
  { name: 'swap' as const, categories: ['ui'] },
  { name: 'tab' as const, categories: ['ui'] },
  { name: 'terrain' as const, categories: ['misc'] },
  { name: 'thermostat' as const, categories: ['misc'] },
  { name: 'today' as const, categories: ['ui'] },
  { name: 'toggle-off' as const, categories: ['ui'] },
  { name: 'toggle-on' as const, categories: ['ui'] },
  { name: 'toggle-square-off' as const, categories: ['ui'] },
  { name: 'toggle-square' as const, categories: ['ui'] },
  { name: 'toolbar-bottom' as const, categories: ['ui'] },
  { name: 'toolbar-left' as const, categories: ['ui'] },
  { name: 'toolbar-right' as const, categories: ['ui'] },
  { name: 'toolbar-top' as const, categories: ['ui'] },
  { name: 'toolbox' as const, categories: ['ui'] },
  { name: 'touchpad' as const, categories: ['devices'] },
  { name: 'track' as const, categories: ['ui'] },
  { name: 'transcript' as const, categories: ['ui'] },
  { name: 'trash-empty' as const, categories: ['ui'] },
  { name: 'trash' as const, categories: ['ui'] },
  { name: 'trending-down' as const, categories: ['ui'] },
  { name: 'trending' as const, categories: ['ui'] },
  { name: 'tv' as const, categories: ['devices'] },
  { name: 'ui-kit' as const, categories: ['misc'] },
  { name: 'umbrella' as const, categories: ['misc'] },
  { name: 'undo' as const, categories: ['ui'] },
  { name: 'usb' as const, categories: ['devices'] },
  { name: 'usb-c' as const, categories: ['devices'] },
  { name: 'view-cols' as const, categories: ['layout'] },
  { name: 'view-comfortable' as const, categories: ['layout'] },
  { name: 'view-day' as const, categories: ['layout'] },
  { name: 'view-grid' as const, categories: ['layout'] },
  { name: 'view-list' as const, categories: ['layout'] },
  { name: 'view-month' as const, categories: ['layout'] },
  { name: 'view-split' as const, categories: ['layout'] },
  { name: 'voicemail-o' as const, categories: ['ui', 'circle'] },
  { name: 'voicemail-r' as const, categories: ['ui'] },
  { name: 'voicemail' as const, categories: ['ui'] },
  { name: 'work-alt' as const, categories: ['ui'] },
  { name: 'yinyang' as const, categories: ['misc'] },
  { name: 'zoom-in' as const, categories: ['ui'] },
  { name: 'zoom-out' as const, categories: ['ui'] },
];

export const iconsCustom = [
  { name: 'accessibility' as const, categories: ['ui'] },
  { name: 'accessibility-circle' as const, categories: ['ui', 'circle'] },
  { name: 'accessibility-o' as const, categories: ['ui', 'circle'] },
  { name: 'airplane' as const, categories: ['misc'] },
  { name: 'airpods' as const, categories: ['devices', 'multimedia'] },
  { name: 'alarm' as const, categories: ['time'] },
  { name: 'album' as const, categories: ['multimedia'] },
  { name: 'anchor' as const, categories: ['misc'] },
  { name: 'angular' as const, categories: ['development'] },
  { name: 'api' as const, categories: ['development'] },
  { name: 'api-alt' as const, categories: ['development'] },
  { name: 'apple' as const, categories: ['brand'] },
  { name: 'approximately-equal' as const, categories: ['math'] },
  { name: 'arc' as const, categories: ['browsers'] },
  { name: 'archive' as const, categories: ['ui'] },
  { name: 'arrow-bottom-left-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-bottom-left-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-bottom-left' as const, categories: ['arrows'] },
  { name: 'arrow-bottom-right-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-bottom-right-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-bottom-right' as const, categories: ['arrows'] },
  { name: 'arrow-down-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-down-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-down' as const, categories: ['arrows'] },
  { name: 'arrows-exchange-alt-v' as const, categories: ['arrows'] },
  { name: 'arrows-exchange-alt' as const, categories: ['arrows'] },
  { name: 'arrows-exchange-v' as const, categories: ['arrows'] },
  { name: 'arrows-exchange' as const, categories: ['arrows'] },
  { name: 'arrows-expand-down-left' as const, categories: ['arrows'] },
  { name: 'arrows-expand-down-right' as const, categories: ['arrows'] },
  { name: 'arrows-expand-left' as const, categories: ['arrows'] },
  { name: 'arrows-expand-right' as const, categories: ['arrows'] },
  { name: 'arrows-expand-up-left' as const, categories: ['arrows'] },
  { name: 'arrows-expand-up-right' as const, categories: ['arrows'] },
  { name: 'arrows-h' as const, categories: ['arrows'] },
  { name: 'arrows-h-alt' as const, categories: ['arrows'] },
  { name: 'arrow-left-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-left-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-left' as const, categories: ['arrows'] },
  { name: 'arrow-right-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-right-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-right' as const, categories: ['arrows'] },
  { name: 'arrows-scroll-h' as const, categories: ['arrows'] },
  { name: 'arrows-scroll-v' as const, categories: ['arrows'] },
  { name: 'arrow-switch' as const, categories: ['arrows'] },
  { name: 'arrow-switch-o' as const, categories: ['arrows'] },
  { name: 'arrow-switch-r' as const, categories: ['arrows'] },
  { name: 'arrow-top-left-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-top-left-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-top-left' as const, categories: ['arrows'] },
  { name: 'arrow-top-right-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-top-right-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-top-right' as const, categories: ['arrows'] },
  { name: 'arrow-up-o' as const, categories: ['arrows', 'circle'] },
  { name: 'arrow-up-r' as const, categories: ['arrows', 'square'] },
  { name: 'arrow-up' as const, categories: ['arrows'] },
  { name: 'arrows-v' as const, categories: ['arrows'] },
  { name: 'arrows-v-alt' as const, categories: ['arrows'] },
  { name: 'asterisk' as const, categories: ['misc'] },
  { name: 'asterisk-o' as const, categories: ['misc', 'circle'] },
  { name: 'asterisk-r' as const, categories: ['misc', 'square'] },
  { name: 'atlassian' as const, categories: ['development'] },
  { name: 'attribution' as const, categories: ['multimedia'] },
  { name: 'award' as const, categories: ['misc'] },
  { name: 'badge' as const, categories: ['misc'] },
  { name: 'bamboo' as const, categories: ['development'] },
  { name: 'bell' as const, categories: ['ui'] },
  { name: 'bell-o' as const, categories: ['ui'] },
  { name: 'bell-slash' as const, categories: ['ui'] },
  { name: 'bitbucket' as const, categories: ['development'] },
  { name: 'blob' as const, categories: ['misc'] },
  { name: 'block-o' as const, categories: ['ui', 'circle'] },
  { name: 'blocked' as const, categories: ['ui'] },
  { name: 'bluetooth' as const, categories: ['devices'] },
  { name: 'book' as const, categories: ['ui'] },
  { name: 'bookmark' as const, categories: ['ui'] },
  { name: 'bookmark-slash' as const, categories: ['ui'] },
  { name: 'box' as const, categories: ['misc'] },
  { name: 'bug' as const, categories: ['development'] },
  { name: 'bullseye' as const, categories: ['misc'] },
  { name: 'bullseye-arrow' as const, categories: ['misc'] },
  { name: 'c-plus-plus' as const, categories: ['development'] },
  { name: 'cache' as const, categories: ['development'] },
  { name: 'camera' as const, categories: ['devices', 'multimedia'] },
  { name: 'camera-alt' as const, categories: ['devices', 'multimedia'] },
  { name: 'categories' as const, categories: ['ui'] },
  { name: 'chart-activity' as const, categories: ['ui'] },
  { name: 'chart-bar' as const, categories: ['ui'] },
  { name: 'chart-line' as const, categories: ['ui'] },
  { name: 'chart-trending-down' as const, categories: ['ui'] },
  { name: 'chart-trending-up' as const, categories: ['ui'] },
  { name: 'check' as const, categories: ['ui'] },
  { name: 'check-heavy' as const, categories: ['ui'] },
  { name: 'check-circle' as const, categories: ['ui', 'circle'] },
  { name: 'check-o' as const, categories: ['ui', 'circle'] },
  { name: 'check-r' as const, categories: ['ui', 'square'] },
  { name: 'checklist' as const, categories: ['ui'] },
  { name: 'chevron-double-down-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-double-down-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-double-left-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-double-left-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-double-right-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-double-right-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-double-up-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-double-up-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-down-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-down-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-down' as const, categories: ['arrows'] },
  { name: 'chevron-left-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-left-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-left' as const, categories: ['arrows'] },
  { name: 'chevron-right-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-right-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-right' as const, categories: ['arrows'] },
  { name: 'chevron-up-o' as const, categories: ['arrows', 'circle'] },
  { name: 'chevron-up-r' as const, categories: ['arrows', 'square'] },
  { name: 'chevron-up' as const, categories: ['arrows'] },
  { name: 'chevron-double-down' as const, categories: ['arrows'] },
  { name: 'chevron-double-left' as const, categories: ['arrows'] },
  { name: 'chevron-double-right' as const, categories: ['arrows'] },
  { name: 'chevron-double-up' as const, categories: ['arrows'] },
  { name: 'chip' as const, categories: ['devices'] },
  { name: 'chrome' as const, categories: ['browsers'] },
  { name: 'circle' as const, categories: ['shapes'] },
  { name: 'circle-ci' as const, categories: ['development'] },
  { name: 'circle-half' as const, categories: ['shapes'] },
  { name: 'clock' as const, categories: ['time'] },
  { name: 'close' as const, categories: ['ui'] },
  { name: 'close-heavy' as const, categories: ['ui'] },
  { name: 'close-circle' as const, categories: ['ui', 'circle'] },
  { name: 'close-o' as const, categories: ['ui', 'circle'] },
  { name: 'close-r' as const, categories: ['ui', 'square'] },
  { name: 'cloud' as const, categories: ['ui'] },
  { name: 'cloud-slash' as const, categories: ['ui'] },
  { name: 'code-climate' as const, categories: ['development'] },
  { name: 'code-review' as const, categories: ['development'] },
  { name: 'codepen' as const, categories: ['development'] },
  { name: 'codesandbox' as const, categories: ['development'] },
  { name: 'codescan' as const, categories: ['development'] },
  { name: 'coffee' as const, categories: ['misc'] },
  { name: 'cog' as const, categories: ['ui'] },
  { name: 'command-key' as const, categories: ['devices'] },
  { name: 'command-palette' as const, categories: ['development'] },
  { name: 'comment' as const, categories: ['ui'] },
  { name: 'comment-external' as const, categories: ['ui'] },
  { name: 'container' as const, categories: ['misc'] },
  { name: 'control-key' as const, categories: ['devices'] },
  { name: 'copy' as const, categories: ['ui'] },
  { name: 'copyright' as const, categories: ['ui'] },
  { name: 'cross' as const, categories: ['misc'] },
  { name: 'crosshair' as const, categories: ['ui', 'circle'] },
  { name: 'crown' as const, categories: ['misc'] },
  { name: 'cursor' as const, categories: ['ui'] },
  { name: 'danger-circle' as const, categories: ['ui', 'circle'] },
  { name: 'danger-o' as const, categories: ['ui', 'circle'] },
  { name: 'database' as const, categories: ['development'] },
  { name: 'delta' as const, categories: ['math'] },
  { name: 'devices' as const, categories: ['devices'] },
  { name: 'diamond' as const, categories: ['shapes'] },
  { name: 'digital-ocean' as const, categories: ['development'] },
  { name: 'disc' as const, categories: ['multimedia'] },
  { name: 'discord' as const, categories: ['brand'] },
  { name: 'discussion' as const, categories: ['misc'] },
  { name: 'discussion-closed' as const, categories: ['misc'] },
  { name: 'discussion-duplicated' as const, categories: ['misc'] },
  { name: 'discussion-outdated' as const, categories: ['misc'] },
  { name: 'divide' as const, categories: ['math'] },
  { name: 'divide-heavy' as const, categories: ['math'] },
  { name: 'download' as const, categories: ['ui'] },
  { name: 'draft' as const, categories: ['ui'] },
  { name: 'drag' as const, categories: ['arrows', 'ui'] },
  { name: 'drag-alt' as const, categories: ['ui'] },
  { name: 'dribble' as const, categories: ['brand'] },
  { name: 'dropbox' as const, categories: ['brand'] },
  { name: 'edge' as const, categories: ['browsers'] },
  { name: 'eject' as const, categories: ['multimedia'] },
  { name: 'ellipsis' as const, categories: ['misc'] },
  { name: 'equal' as const, categories: ['math'] },
  { name: 'equal-heavy' as const, categories: ['math'] },
  { name: 'expand' as const, categories: ['arrows'] },
  { name: 'eye' as const, categories: ['ui'] },
  { name: 'eye-slash' as const, categories: ['ui'] },
  { name: 'facebook' as const, categories: ['brand'] },
  { name: 'figma' as const, categories: ['brand'] },
  { name: 'filter' as const, categories: ['ui'] },
  { name: 'fingerprint' as const, categories: ['misc'] },
  { name: 'firefox' as const, categories: ['browsers'] },
  { name: 'flag' as const, categories: ['ui'] },
  { name: 'flag-alt' as const, categories: ['ui'] },
  { name: 'flame' as const, categories: ['ui'] },
  { name: 'flash' as const, categories: ['ui'] },
  { name: 'flash-circle' as const, categories: ['ui', 'circle'] },
  { name: 'flash-o' as const, categories: ['ui', 'circle'] },
  { name: 'focus' as const, categories: ['ui'] },
  { name: 'fold' as const, categories: ['misc'] },
  { name: 'fold-down' as const, categories: ['misc'] },
  { name: 'fold-up' as const, categories: ['misc'] },
  { name: 'format-bold' as const, categories: ['typography'] },
  { name: 'format-strikethrough' as const, categories: ['typography'] },
  { name: 'framer' as const, categories: ['brand'] },
  { name: 'function' as const, categories: ['development'] },
  { name: 'gauge' as const, categories: ['time'] },
  { name: 'ghost' as const, categories: ['misc'] },
  { name: 'gift' as const, categories: ['misc'] },
  { name: 'git' as const, categories: ['development'] },
  { name: 'git-branch' as const, categories: ['development'] },
  { name: 'git-commit' as const, categories: ['development'] },
  { name: 'git-compare' as const, categories: ['development'] },
  { name: 'git-fork' as const, categories: ['development'] },
  { name: 'git-merge' as const, categories: ['development'] },
  { name: 'git-pull-request' as const, categories: ['development'] },
  { name: 'github' as const, categories: ['development'] },
  { name: 'github-actions' as const, categories: ['development'] },
  { name: 'github-copilot' as const, categories: ['development'] },
  { name: 'gitlab' as const, categories: ['development'] },
  { name: 'gitter' as const, categories: ['development'] },
  { name: 'glass' as const, categories: ['misc'] },
  { name: 'glasses' as const, categories: ['misc'] },
  { name: 'globe' as const, categories: ['ui'] },
  { name: 'google' as const, categories: ['brand'] },
  { name: 'google-calendar' as const, categories: ['brand'] },
  { name: 'google-drive' as const, categories: ['brand'] },
  { name: 'google-meet' as const, categories: ['brand'] },
  { name: 'grabber' as const, categories: ['ui'] },
  { name: 'graph' as const, categories: ['ui'] },
  { name: 'greater-than' as const, categories: ['math'] },
  { name: 'greater-than-or-equal' as const, categories: ['math'] },
  { name: 'hash' as const, categories: ['ui'] },
  { name: 'headphone' as const, categories: ['devices', 'multimedia'] },
  { name: 'heart' as const, categories: ['ui'] },
  { name: 'heart-o' as const, categories: ['ui'] },
  { name: 'help' as const, categories: ['ui'] },
  { name: 'hexagon' as const, categories: ['shapes'] },
  { name: 'history' as const, categories: ['ui'] },
  { name: 'home' as const, categories: ['ui'] },
  { name: 'hook' as const, categories: ['misc'] },
  { name: 'hourglass' as const, categories: ['time'] },
  { name: 'inbox' as const, categories: ['ui'] },
  { name: 'infinity' as const, categories: ['misc'] },
  { name: 'info' as const, categories: ['ui'] },
  { name: 'info-circle' as const, categories: ['ui', 'circle'] },
  { name: 'info-o' as const, categories: ['ui', 'circle'] },
  { name: 'instagram' as const, categories: ['brand'] },
  { name: 'invision' as const, categories: ['brand'] },
  { name: 'iterations' as const, categories: ['ui'] },
  { name: 'javascript' as const, categories: ['development'] },
  { name: 'jenkins' as const, categories: ['development'] },
  { name: 'jest' as const, categories: ['development'] },
  { name: 'jsfiddle' as const, categories: ['development'] },
  { name: 'key' as const, categories: ['ui'] },
  { name: 'key-alt' as const, categories: ['ui'] },
  { name: 'keyboard' as const, categories: ['devices'] },
  { name: 'keyhole-circle' as const, categories: ['ui', 'circle'] },
  { name: 'keyhole-o' as const, categories: ['ui', 'circle'] },
  { name: 'kotlin' as const, categories: ['development'] },
  { name: 'law' as const, categories: ['misc'] },
  { name: 'layout-grid' as const, categories: ['layout'] },
  { name: 'layout-grid-small' as const, categories: ['layout'] },
  { name: 'layout-list' as const, categories: ['layout'] },
  { name: 'layout-pin' as const, categories: ['layout'] },
  { name: 'leaf' as const, categories: ['misc'] },
  { name: 'less-than' as const, categories: ['math'] },
  { name: 'less-than-or-equal' as const, categories: ['math'] },
  { name: 'lightbulb' as const, categories: ['misc'] },
  { name: 'link' as const, categories: ['ui'] },
  { name: 'linkedin' as const, categories: ['brand'] },
  { name: 'live' as const, categories: ['multimedia'] },
  { name: 'live-photo' as const, categories: ['multimedia'] },
  { name: 'loadbar' as const, categories: ['loaders'] },
  { name: 'loadbar-alt' as const, categories: ['loaders'] },
  { name: 'loadbar-doc' as const, categories: ['loaders'] },
  { name: 'loadbar-sound' as const, categories: ['loaders'] },
  { name: 'location' as const, categories: ['ui'] },
  { name: 'log' as const, categories: ['misc'] },
  { name: 'loom' as const, categories: ['brand'] },
  { name: 'mail' as const, categories: ['ui'] },
  { name: 'mail-read' as const, categories: ['ui'] },
  { name: 'markdown' as const, categories: ['development'] },
  { name: 'megaphone' as const, categories: ['misc'] },
  { name: 'mention' as const, categories: ['ui'] },
  { name: 'menu-close' as const, categories: ['ui'] },
  { name: 'menu-open' as const, categories: ['ui'] },
  { name: 'menu-round-circle' as const, categories: ['ui', 'circle'] },
  { name: 'menu-round-o' as const, categories: ['ui', 'circle'] },
  { name: 'message' as const, categories: ['ui'] },
  { name: 'message-circle' as const, categories: ['ui', 'circle'] },
  { name: 'message-o' as const, categories: ['ui', 'circle'] },
  { name: 'messenger' as const, categories: ['brand'] },
  { name: 'meta' as const, categories: ['brand'] },
  { name: 'meter' as const, categories: ['ui'] },
  { name: 'mic' as const, categories: ['devices', 'multimedia'] },
  { name: 'mic-slash' as const, categories: ['devices', 'multimedia'] },
  { name: 'microsoft' as const, categories: ['brand'] },
  { name: 'microsoft-teams' as const, categories: ['brand'] },
  { name: 'microsoft-windows' as const, categories: ['brand'] },
  { name: 'middleware' as const, categories: ['development'] },
  { name: 'milestone' as const, categories: ['misc'] },
  { name: 'minus' as const, categories: ['math'] },
  { name: 'minus-heavy' as const, categories: ['math'] },
  { name: 'minus-circle' as const, categories: ['ui', 'circle'] },
  { name: 'minus-o' as const, categories: ['ui', 'circle'] },
  { name: 'minus-r' as const, categories: ['ui', 'square'] },
  { name: 'money-sign' as const, categories: ['misc'] },
  { name: 'moon' as const, categories: ['misc'] },
  { name: 'more' as const, categories: ['ui'] },
  { name: 'more-circle' as const, categories: ['ui', 'circle'] },
  { name: 'more-o' as const, categories: ['ui', 'circle'] },
  { name: 'more-r' as const, categories: ['ui', 'square'] },
  { name: 'more-vertical' as const, categories: ['ui'] },
  { name: 'more-vertical-circle' as const, categories: ['ui', 'circle'] },
  { name: 'more-vertical-o' as const, categories: ['ui', 'circle'] },
  { name: 'more-vertical-r' as const, categories: ['ui', 'square'] },
  { name: 'multi-select' as const, categories: ['ui'] },
  { name: 'music-note' as const, categories: ['multimedia'] },
  { name: 'music-note-alt' as const, categories: ['multimedia'] },
  { name: 'next' as const, categories: ['multimedia'] },
  { name: 'next-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'next-r' as const, categories: ['multimedia', 'square'] },
  { name: 'next.js' as const, categories: ['development'] },
  { name: 'node.js' as const, categories: ['development'] },
  { name: 'not-equal' as const, categories: ['math'] },
  { name: 'note' as const, categories: ['ui'] },
  { name: 'notebook' as const, categories: ['ui'] },
  { name: 'npm' as const, categories: ['development'] },
  { name: 'numbers' as const, categories: ['ui'] },
  { name: 'opera' as const, categories: ['browsers'] },
  { name: 'option-key' as const, categories: ['devices'] },
  { name: 'options' as const, categories: ['ui'] },
  { name: 'organization' as const, categories: ['ui'] },
  { name: 'package' as const, categories: ['misc'] },
  { name: 'paintbrush' as const, categories: ['ui'] },
  { name: 'palette' as const, categories: ['ui'] },
  { name: 'paperclip' as const, categories: ['ui'] },
  { name: 'password' as const, categories: ['ui'] },
  { name: 'patreon' as const, categories: ['brand'] },
  { name: 'pause' as const, categories: ['multimedia'] },
  { name: 'pause-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'pause-r' as const, categories: ['multimedia', 'square'] },
  { name: 'paypal' as const, categories: ['brand'] },
  { name: 'pen' as const, categories: ['ui'] },
  { name: 'pencil' as const, categories: ['ui'] },
  { name: 'percent' as const, categories: ['math'] },
  { name: 'phone' as const, categories: ['devices'] },
  { name: 'phone-o' as const, categories: ['devices'] },
  { name: 'pi' as const, categories: ['math'] },
  { name: 'pin' as const, categories: ['ui'] },
  { name: 'pin-slash' as const, categories: ['ui'] },
  { name: 'play' as const, categories: ['multimedia'] },
  { name: 'play-backwards' as const, categories: ['multimedia'] },
  { name: 'play-forwards' as const, categories: ['multimedia'] },
  { name: 'play-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'play-r' as const, categories: ['multimedia', 'square'] },
  { name: 'playlist' as const, categories: ['multimedia'] },
  { name: 'playlist-add' as const, categories: ['multimedia'] },
  { name: 'playlist-check' as const, categories: ['multimedia'] },
  { name: 'playlist-remove' as const, categories: ['multimedia'] },
  { name: 'playlist-search' as const, categories: ['multimedia'] },
  { name: 'plus' as const, categories: ['math'] },
  { name: 'plus-heavy' as const, categories: ['math'] },
  { name: 'plus-circle' as const, categories: ['ui', 'circle'] },
  { name: 'plus-minus' as const, categories: ['math'] },
  { name: 'plus-minus-slash' as const, categories: ['math'] },
  { name: 'plus-o' as const, categories: ['ui', 'circle'] },
  { name: 'plus-r' as const, categories: ['ui', 'square'] },
  { name: 'podcast' as const, categories: ['multimedia'] },
  { name: 'previous' as const, categories: ['multimedia'] },
  { name: 'previous-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'previous-r' as const, categories: ['multimedia', 'square'] },
  { name: 'product-hunt' as const, categories: ['brand'] },
  { name: 'project' as const, categories: ['misc'] },
  { name: 'pulse' as const, categories: ['ui'] },
  { name: 'puzzle' as const, categories: ['misc'] },
  { name: 'python' as const, categories: ['development'] },
  { name: 'ram' as const, categories: ['devices'] },
  { name: 'react' as const, categories: ['development'] },
  { name: 'record-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'redux' as const, categories: ['development'] },
  { name: 'repeat' as const, categories: ['multimedia', 'ui'] },
  { name: 'repo' as const, categories: ['misc'] },
  { name: 'report' as const, categories: ['misc'] },
  { name: 'return' as const, categories: ['ui'] },
  { name: 'roadmap' as const, categories: ['misc'] },
  { name: 'rocket' as const, categories: ['misc'] },
  { name: 'rocket-chat' as const, categories: ['brand'] },
  { name: 'route' as const, categories: ['development'] },
  { name: 'rust' as const, categories: ['development'] },
  { name: 'safari' as const, categories: ['browsers'] },
  { name: 'safe' as const, categories: ['misc'] },
  { name: 'send' as const, categories: ['ui'] },
  { name: 'send-alt' as const, categories: ['ui'] },
  { name: 'server' as const, categories: ['development'] },
  { name: 'server-alt' as const, categories: ['development'] },
  { name: 'serverless' as const, categories: ['development'] },
  { name: 'serverless-alt' as const, categories: ['development'] },
  { name: 'share' as const, categories: ['ui'] },
  { name: 'shareplay' as const, categories: ['multimedia'] },
  { name: 'share-mobile' as const, categories: ['ui'] },
  { name: 'shield' as const, categories: ['misc'] },
  { name: 'shield-slash' as const, categories: ['misc'] },
  { name: 'shift-key' as const, categories: ['devices'] },
  { name: 'shortcuts' as const, categories: ['ui'] },
  { name: 'shuffle' as const, categories: ['multimedia'] },
  { name: 'side-by-side' as const, categories: ['ui'] },
  { name: 'sigma' as const, categories: ['math'] },
  { name: 'sign-in' as const, categories: ['ui'] },
  { name: 'sign-out' as const, categories: ['ui'] },
  { name: 'single-select' as const, categories: ['ui'] },
  { name: 'skype' as const, categories: ['brand'] },
  { name: 'slack' as const, categories: ['brand'] },
  { name: 'sort' as const, categories: ['ui'] },
  { name: 'sort-asc' as const, categories: ['ui'] },
  { name: 'sort-desc' as const, categories: ['ui'] },
  { name: 'sparkle' as const, categories: ['ui'] },
  { name: 'sparkle-o' as const, categories: ['ui'] },
  { name: 'sparkles' as const, categories: ['ui'] },
  { name: 'speaker' as const, categories: ['multimedia'] },
  { name: 'spotify' as const, categories: ['brand'] },
  { name: 'square' as const, categories: ['shapes'] },
  { name: 'square-payments' as const, categories: ['brand'] },
  { name: 'square-root' as const, categories: ['math'] },
  { name: 'stack' as const, categories: ['layout'] },
  { name: 'stacked' as const, categories: ['ui'] },
  { name: 'star' as const, categories: ['ui'] },
  { name: 'star-half' as const, categories: ['ui'] },
  { name: 'star-o' as const, categories: ['ui'] },
  { name: 'star-half-o' as const, categories: ['ui'] },
  { name: 'stop' as const, categories: ['multimedia'] },
  { name: 'stop-o' as const, categories: ['multimedia', 'circle'] },
  { name: 'stop-r' as const, categories: ['multimedia', 'square'] },
  { name: 'stop-sign' as const, categories: ['misc'] },
  { name: 'stopwatch' as const, categories: ['time'] },
  { name: 'storybook' as const, categories: ['brand'] },
  { name: 'student' as const, categories: ['misc'] },
  { name: 'style' as const, categories: ['ui'] },
  { name: 'sun' as const, categories: ['misc'] },
  { name: 'svelte' as const, categories: ['development'] },
  { name: 'swift' as const, categories: ['development'] },
  { name: 'sync' as const, categories: ['ui'] },
  { name: 'sync-alt' as const, categories: ['ui'] },
  { name: 'tab-key' as const, categories: ['devices'] },
  { name: 'tag' as const, categories: ['ui'] },
  { name: 'tags' as const, categories: ['ui'] },
  { name: 'tasklist' as const, categories: ['ui'] },
  { name: 'template' as const, categories: ['layout'] },
  { name: 'terminal' as const, categories: ['development'] },
  { name: 'thumbs-down' as const, categories: ['ui'] },
  { name: 'thumbs-up' as const, categories: ['ui'] },
  { name: 'tidal' as const, categories: ['brand'] },
  { name: 'timelapse' as const, categories: ['time'] },
  { name: 'timer' as const, categories: ['time'] },
  { name: 'times' as const, categories: ['math'] },
  { name: 'times-heavy' as const, categories: ['math'] },
  { name: 'tools' as const, categories: ['ui'] },
  { name: 'tools-alt' as const, categories: ['ui'] },
  { name: 'touch-id' as const, categories: ['devices'] },
  { name: 'travis-ci' as const, categories: ['development'] },
  { name: 'tree' as const, categories: ['misc'] },
  { name: 'trello' as const, categories: ['brand'] },
  { name: 'triangle' as const, categories: ['shapes'] },
  { name: 'trophy' as const, categories: ['misc'] },
  { name: 'tumblr' as const, categories: ['brand'] },
  { name: 'twilio' as const, categories: ['development'] },
  { name: 'twitch' as const, categories: ['brand'] },
  { name: 'twitter' as const, categories: ['brand'] },
  { name: 'typescript' as const, categories: ['development'] },
  { name: 'unavailable-o' as const, categories: ['ui', 'circle'] },
  { name: 'unblock-o' as const, categories: ['ui', 'circle'] },
  { name: 'unfold' as const, categories: ['misc'] },
  { name: 'unlink' as const, categories: ['ui'] },
  { name: 'unread' as const, categories: ['ui'] },
  { name: 'unverified' as const, categories: ['misc'] },
  { name: 'upload' as const, categories: ['ui'] },
  { name: 'user' as const, categories: ['ui'] },
  { name: 'user-add' as const, categories: ['ui'] },
  { name: 'user-remove' as const, categories: ['ui'] },
  { name: 'users' as const, categories: ['ui'] },
  { name: 'vector' as const, categories: ['ui'] },
  { name: 'vercel' as const, categories: ['development'] },
  { name: 'verified' as const, categories: ['misc'] },
  { name: 'versions' as const, categories: ['development'] },
  { name: 'video' as const, categories: ['multimedia'] },
  { name: 'video-camera' as const, categories: ['devices', 'multimedia'] },
  { name: 'vimeo' as const, categories: ['brand'] },
  { name: 'vinyl' as const, categories: ['multimedia'] },
  { name: 'volume-high' as const, categories: ['multimedia'] },
  { name: 'volume-low' as const, categories: ['multimedia'] },
  { name: 'volume-mid' as const, categories: ['multimedia'] },
  { name: 'vscode' as const, categories: ['development'] },
  { name: 'vue' as const, categories: ['development'] },
  { name: 'wand' as const, categories: ['misc'] },
  { name: 'wave' as const, categories: ['misc'] },
  { name: 'webcam' as const, categories: ['devices', 'multimedia'] },
  { name: 'webhook' as const, categories: ['development'] },
  { name: 'website' as const, categories: ['ui'] },
  { name: 'webstorm' as const, categories: ['development'] },
  { name: 'whatsapp' as const, categories: ['brand'] },
  { name: 'wheelchair' as const, categories: ['ui'] },
  { name: 'wi-fi' as const, categories: ['devices'] },
  { name: 'workflow' as const, categories: ['development'] },
  { name: 'workplace' as const, categories: ['brand'] },
  { name: 'youtube' as const, categories: ['brand'] },
  { name: 'zap' as const, categories: ['ui'] },
  { name: 'zigzag' as const, categories: ['shapes'] },
  { name: 'zoom' as const, categories: ['brand'] },
];

export const icons = [...iconsCustom, ...iconsPack].sort(sortByLocaleCompare('name'));

export const inputTypes = [
  'color',
  'date',
  'email',
  'file',
  'hidden',
  'number',
  'password',
  'search',
  'tel',
  'text',
] as const;

export const sizes = ['sm', 'md', 'lg'] as const;

export const textSizes = ['xxs', 'xs', ...sizes, 'xl'] as const;
export const textDefaultOptions = {
  bold: false,
  italic: false,
  size: 'md' as const,
};
