"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  Accordion: () => Accordion,
  AccordionItem: () => AccordionItem,
  Alert: () => Alert,
  Anchor: () => Anchor,
  AspectRatio: () => AspectRatio,
  Avatar: () => Avatar,
  Badge: () => Badge,
  Box: () => Box,
  Button: () => Button,
  ButtonGroup: () => ButtonGroup,
  ButtonSplit: () => ButtonSplit,
  ButtonSplitItem: () => MenuItem,
  ButtonSplitSeparator: () => MenuSeparator,
  ButtonUnstyled: () => ButtonUnstyled,
  Checkbox: () => Checkbox,
  Chip: () => Chip,
  ClickOutside: () => ClickOutside,
  Collapse: () => Collapse,
  Container: () => Container,
  CopyToClipboard: () => CopyToClipboard,
  DataTable: () => DataTable,
  DatePicker: () => DatePicker,
  DatePickerRange: () => DatePickerRange,
  DatePickerSelector: () => DatePickerSelector,
  Dialog: () => Dialog,
  Divider: () => Divider,
  Dropdown: () => Dropdown,
  Emoji: () => Emoji,
  Field: () => Field,
  Flex: () => Flex,
  FlexCenter: () => FlexCenter,
  FlexInline: () => FlexInline,
  Form: () => Form,
  FormElementWrapper: () => FormElementWrapper,
  FormGroup: () => FormGroup,
  Grid: () => Grid,
  H1: () => H1,
  H2: () => H2,
  H3: () => H3,
  H4: () => H4,
  H5: () => H5,
  H6: () => H6,
  Icon: () => Icon,
  Image: () => Image2,
  Input: () => Input2,
  InputColor: () => InputColor,
  InputFile: () => InputFile,
  Jumbo: () => Jumbo,
  Keyboard: () => Keyboard,
  Label: () => Label,
  List: () => List2,
  ListItem: () => ListItem,
  Loader: () => Loader,
  Menu: () => Menu,
  MenuItem: () => MenuItem,
  MenuSeparator: () => MenuSeparator,
  MenuTitle: () => MenuTitle,
  MenuToggle: () => MenuToggle,
  Modal: () => Modal,
  NavBar: () => NavBar,
  NavBarContent: () => NavBarContent,
  NavBarMenu: () => NavBarMenu,
  NavBarMenuToggle: () => NavBarMenuToggle,
  NonIdealState: () => NonIdealState,
  Page: () => Page,
  Pagination: () => Pagination,
  Paragraph: () => Paragraph,
  Portal: () => Portal,
  ProgressBar: () => ProgressBar,
  ProgressCircle: () => ProgressCircle,
  Props: () => props_exports,
  Quote: () => Quote,
  Radio: () => Radio,
  RadioGroup: () => RadioGroup,
  Ripple: () => Ripple,
  SVG: () => import_react_inlinesvg2.default,
  Search: () => Search2,
  Select: () => Select,
  Sidebar: () => Sidebar,
  Skeleton: () => Skeleton,
  SkeletonCircle: () => SkeletonCircle,
  SkeletonText: () => SkeletonText,
  Snippet: () => Snippet,
  Spacer: () => Spacer,
  StatusIndicator: () => StatusIndicator,
  Tab: () => Tab,
  Tabs: () => Tabs,
  Text: () => Text,
  Textarea: () => Textarea,
  Toggle: () => Toggle,
  Tooltip: () => Tooltip,
  Truncate: () => Truncate,
  Types: () => types_exports,
  animateIcon: () => animateIcon,
  fadeIn: () => fadeIn,
  fadeInOut: () => fadeInOut,
  fadeOut: () => fadeOut,
  getContainerStyles: () => getContainerStyles,
  horizontalScale: () => horizontalScale,
  icons: () => icons,
  mergeTheme: () => mergeTheme,
  px: () => import_helpers84.px,
  responsive: () => responsive,
  ripple: () => ripple,
  rotate: () => rotate,
  theme: () => theme_exports,
  useImage: () => useImage,
  useKeyboardNavigation: () => useKeyboardNavigation,
  useRipple: () => useRipple,
  useTheme: () => useTheme
});
module.exports = __toCommonJS(src_exports);

// src/components/Accordion/Accordion.tsx
var import_react18 = require("react");
var import_react19 = require("@emotion/react");
var import_styled7 = __toESM(require("@emotion/styled"));
var import_helpers13 = require("@gilbarbara/helpers");
var import_hooks4 = require("@gilbarbara/hooks");
var import_is_lite5 = __toESM(require("is-lite"));

// src/hooks/useKeyboardNavigation.ts
var import_react = require("react");
var import_hooks = require("@gilbarbara/hooks");
function useKeyboardNavigation(elementRef, options) {
  const { arrowNavigation, disabled, escCallback, initialFocusedElement, selector, trapFocus } = options;
  const escCallbackRef = (0, import_hooks.useLatest)(escCallback);
  const canBeTabbed = (0, import_react.useCallback)((element) => {
    const { tabIndex } = element;
    if (tabIndex === null || tabIndex < 0) {
      return false;
    }
    return !!element;
  }, []);
  const getValidElements = (0, import_react.useCallback)(() => {
    return [...elementRef.current?.querySelectorAll(selector) ?? []].filter(
      canBeTabbed
    );
  }, [elementRef, canBeTabbed, selector]);
  const getElementIndex = (0, import_react.useCallback)((elements) => {
    return elements.indexOf(document.activeElement);
  }, []);
  const isLastElement = (0, import_react.useCallback)((elements, index) => {
    return index === elements.length - 1;
  }, []);
  const interceptArrows = (0, import_react.useCallback)(
    (event) => {
      const elements = getValidElements();
      if (!elements.length) {
        return;
      }
      const isPrevious = ["ArrowLeft", "ArrowUp"].includes(event.code);
      const initialIndex = getElementIndex(elements);
      let index = getElementIndex(elements);
      if (isPrevious) {
        if (trapFocus) {
          index = index === 0 ? elements.length - 1 : index - 1;
        } else {
          index = index === 0 ? index : index - 1;
        }
      } else {
        index = !isLastElement(elements, index) || trapFocus ? (index + 1) % elements.length : index;
      }
      if (initialIndex !== index) {
        event.preventDefault();
        elements[index].focus();
      }
    },
    [getValidElements, getElementIndex, isLastElement, trapFocus]
  );
  const interceptTab = (0, import_react.useCallback)(
    (event) => {
      const elements = getValidElements();
      if (!elements.length) {
        return;
      }
      const { shiftKey } = event;
      const initialIndex = getElementIndex(elements);
      let index = getElementIndex(elements);
      if (shiftKey) {
        if (trapFocus) {
          index = index === 0 ? elements.length - 1 : index - 1;
        } else {
          index = index === 0 ? index : index - 1;
        }
      } else {
        index = !isLastElement(elements, index) || trapFocus ? (index + 1) % elements.length : index;
      }
      if (initialIndex !== index) {
        event.preventDefault();
        elements[index].focus();
      }
    },
    [getValidElements, getElementIndex, isLastElement, trapFocus]
  );
  const allowArrowNavigation = (0, import_react.useCallback)(
    (types) => {
      return types.includes(arrowNavigation);
    },
    [arrowNavigation]
  );
  const handleKeyDown2 = (0, import_react.useCallback)(
    (event) => {
      const { code } = event;
      if (code === "Tab") {
        interceptTab(event);
      } else if (escCallbackRef.current && code === "Escape") {
        escCallbackRef.current();
      } else if (["ArrowLeft", "ArrowRight"].includes(code) && allowArrowNavigation(["horizontal", "both"])) {
        interceptArrows(event);
      } else if (["ArrowDown", "ArrowUp"].includes(code) && allowArrowNavigation(["vertical", "both"])) {
        interceptArrows(event);
      }
    },
    [allowArrowNavigation, escCallbackRef, interceptArrows, interceptTab]
  );
  const checkFocus = (0, import_react.useCallback)((target) => {
    if (target && document.activeElement !== target) {
      target.focus();
      window.requestAnimationFrame(() => checkFocus(target));
    }
  }, []);
  const setFocus = (0, import_react.useCallback)(() => {
    if (!initialFocusedElement) {
      return;
    }
    const target = typeof initialFocusedElement === "string" ? elementRef.current?.querySelector(initialFocusedElement) : initialFocusedElement;
    if (target) {
      window.requestAnimationFrame(() => checkFocus(target));
    }
  }, [checkFocus, elementRef, initialFocusedElement]);
  (0, import_react.useEffect)(() => {
    if (disabled) {
      return () => {
      };
    }
    window.addEventListener("keydown", handleKeyDown2);
    setFocus();
    return () => {
      if (!disabled) {
        window.removeEventListener("keydown", handleKeyDown2);
      }
    };
  }, [disabled, handleKeyDown2, setFocus]);
  const addScope = (0, import_react.useCallback)(() => {
    if (!disabled) {
      window.addEventListener("keydown", handleKeyDown2);
    }
  }, [disabled, handleKeyDown2]);
  const removeScope = (0, import_react.useCallback)(() => {
    if (!disabled) {
      window.removeEventListener("keydown", handleKeyDown2);
    }
  }, [disabled, handleKeyDown2]);
  return {
    addScope,
    removeScope
  };
}

// src/modules/system.ts
var import_is_prop_valid = __toESM(require("@emotion/is-prop-valid"));
var import_react3 = require("@emotion/react");
var import_helpers4 = require("@gilbarbara/helpers");
var import_colorizr4 = require("colorizr");
var import_is_lite2 = __toESM(require("is-lite"));

// src/modules/colors.ts
var import_helpers2 = require("@gilbarbara/helpers");
var import_colorizr2 = require("colorizr");

// src/modules/theme.ts
var theme_exports = {};
__export(theme_exports, {
  avatar: () => avatar,
  black: () => black,
  breakpoints: () => breakpoints,
  button: () => button,
  colors: () => colors,
  darkColor: () => darkColor,
  darkMode: () => darkMode,
  dataAttributeName: () => dataAttributeName,
  easing: () => easing,
  fontFamily: () => fontFamily,
  fontMonospace: () => fontMonospace,
  fontWeights: () => fontWeights,
  grayScale: () => grayScale,
  image: () => image,
  inputHeight: () => inputHeight,
  inputPaddingY: () => inputPaddingY,
  lightColor: () => lightColor,
  opacity: () => opacity,
  opacityDisabled: () => opacityDisabled,
  outlineOffset: () => outlineOffset,
  outlineOpacity: () => outlineOpacity,
  outlineWidth: () => outlineWidth,
  outlineZIndex: () => outlineZIndex,
  paragraphMarginBetween: () => paragraphMarginBetween,
  radius: () => radius,
  selectPaddingY: () => selectPaddingY,
  shadow: () => shadow,
  shadowDark: () => shadowDark,
  spacing: () => spacing,
  swatchOptions: () => swatchOptions,
  textColorOptions: () => textColorOptions,
  typography: () => typography,
  variants: () => variants,
  white: () => white,
  zIndex: () => zIndex
});
var import_helpers = require("@gilbarbara/helpers");
var import_colorizr = require("colorizr");
var breakpoints = {
  /** @default 320px */
  xxs: "320px",
  /** @default 375px */
  xs: "375px",
  /** @default 400px */
  sm: "400px",
  /** @default 768px */
  md: "768px",
  /** @default 1024px */
  lg: "1024px",
  /** @default 1280px */
  xl: "1280px",
  /** @default 1440px */
  xxl: "1440px",
  /** @default 1680px */
  xxxl: "1680px"
};
var dataAttributeName = "component-name";
var darkMode = false;
var easing = "cubic-bezier(0.65, 0.815, 0.735, 0.395)";
var fontFamily = "inherit";
var fontMonospace = "Courier, monospace";
var fontWeights = {
  normal: 400,
  bold: 700
};
var opacity = {
  /** @default 0.72 */
  semiOpaque: 0.72,
  /** @default 0.64 */
  intense: 0.64,
  /** @default 0.32 */
  medium: 0.32,
  /** @default 0.16 */
  light: 0.16,
  /** @default 0.08 */
  semiTransparent: 0.08
};
var opacityDisabled = opacity.intense;
var outlineOffset = 1;
var outlineOpacity = 0.6;
var outlineWidth = 3;
var outlineZIndex = 10;
var radius = {
  /** @default 0px */
  none: "0px",
  /** @default 4px */
  xxs: "4px",
  /** @default 8px */
  xs: "8px",
  /** @default 12px */
  sm: "12px",
  /** @default 16px */
  md: "16px",
  /** @default 24px */
  lg: "24px",
  /** @default 32px */
  xl: "32px",
  /** @default 9999px */
  full: "9999px",
  /** @default 50% */
  round: "50%"
};
var shadow = {
  low: "2px 4px 16px 2px rgba(148, 148, 148, 0.16)",
  mid: "2px 4px 16px 4px rgba(148, 148, 148, 0.24)",
  high: "2px 4px 16px 8px rgba(148, 148, 148, 0.32)"
};
var shadowDark = {
  low: "2px 4px 16px 2px rgba(32, 32, 32, 0.16)",
  mid: "2px 4px 16px 4px rgba(32, 32, 32, 0.24)",
  high: "2px 4px 16px 8px rgba(32, 32, 32, 0.32)"
};
var spacing = {
  /** @default 2px */
  xxxs: "2px",
  /** @default 4px */
  xxs: "4px",
  /** @default 8px */
  xs: "8px",
  /** @default 12px */
  sm: "12px",
  /** @default 16px */
  md: "16px",
  /** @default 24px */
  lg: "24px",
  /** @default 32px */
  xl: "32px",
  /** @default 48px */
  xxl: "48px",
  /** @default 64px */
  xxxl: "64px",
  /** @default 96px */
  jumbo: "96px"
};
var typography = {
  xxs: {
    /** @default 10px */
    fontSize: "10px",
    lineHeight: 1.1
  },
  xs: {
    /** @default 12px */
    fontSize: "12px",
    lineHeight: 1.2
  },
  sm: {
    /** @default 14px */
    fontSize: "14px",
    lineHeight: 1.2
  },
  md: {
    /** @default 16px */
    fontSize: "16px",
    lineHeight: 1.2
  },
  lg: {
    /** @default 18px */
    fontSize: "18px",
    lineHeight: 1.2
  },
  xl: {
    /** @default 20px */
    fontSize: "20px",
    lineHeight: 1.2
  },
  h6: {
    /** @default 16px */
    fontSize: "16px",
    lineHeight: 1.2
  },
  h5: {
    /** @default 18px */
    fontSize: "18px",
    lineHeight: 1.2
  },
  h4: {
    /** @default 20px */
    fontSize: "20px",
    lineHeight: 1.2
  },
  h3: {
    /** @default 24px */
    fontSize: "24px",
    lineHeight: 1.2
  },
  h2: {
    /** @default 28px */
    fontSize: "28px",
    lineHeight: 1.2
  },
  h1: {
    /** @default 32px */
    fontSize: "32px",
    lineHeight: 1.2
  },
  jumbo: {
    /** @default 48px */
    fontSize: "48px",
    lineHeight: 1.2
  },
  jumboLarge: {
    /** @default 64px */
    fontSize: "64px",
    lineHeight: 1.2
  }
};
var zIndex = {
  xxs: 10,
  xs: 20,
  sm: 50,
  md: 100,
  lg: 200,
  xl: 500,
  xxl: 1e3
};
var textColorOptions = {
  threshold: 128
};
var swatchOptions = {};
var black = "#000";
var white = "#fff";
var darkColor = "#262626";
var lightColor = "#f5f5f5";
var grayScale = {
  /** @default #fcfcfc */
  "10": "#fcfcfc",
  /** @default #fafafa */
  "20": "#fafafa",
  /** @default #f7f7f7 */
  "30": "#f7f7f7",
  /**
   * Lightest
   * @default #f5f5f5
   * */
  "40": "#f5f5f5",
  /** @default #f2f2f2 */
  "50": "#f2f2f2",
  /**
   * Lighter
   * @default #e6e6e6
   */
  "100": "#e6e6e6",
  /** @default #d9d9d9 */
  "150": "#d9d9d9",
  /**
   * Light
   * @default #cccccc
   */
  "200": "#cccccc",
  /** @default #b3b3b3 */
  "300": "#b3b3b3",
  /** @default #999999 */
  "400": "#999999",
  /**
   * Mid
   * @default #808080
   */
  "500": "#808080",
  /** @default #666666 */
  "600": "#666666",
  /**
   * Dark
   * @default #4d4d4d
   */
  "700": "#4d4d4d",
  /** @default #404040 */
  "750": "#404040",
  /**
   * Darker
   * @default #333333
   */
  "800": "#333333",
  /** @default #262626 */
  "850": "#262626",
  /**
   * Darkest
   * @default #1a1a1a
   */
  "900": "#1a1a1a",
  /** @default #0d0d0d */
  "950": "#0d0d0d"
};
var colors = {
  /** @default #0049DB */
  primary: "#0049DB",
  /** @default #006157 */
  secondary: "#006157",
  /** @default #b3b3b3 */
  gray: "#b3b3b3",
  /** @default #ff5e5e */
  red: "#ff5e5e",
  /** @default #ff995d */
  orange: "#ff995d",
  /** @default #ffe166 */
  yellow: "#ffe166",
  /** @default #d9ff66 */
  lime: "#d9ff66",
  /** @default #a8ff66 */
  citrus: "#a8ff66",
  /** @default #58d063 */
  green: "#58d063",
  /** @default #52d6c5 */
  teal: "#52d6c5",
  /** @default #0bc5ea */
  cyan: "#0bc5ea",
  /** @default #66a5ff */
  blue: "#66a5ff",
  /** @default #8a8fff */
  indigo: "#8a8fff",
  /** @default #ad7bff */
  purple: "#ad7bff",
  /** @default #ee63ab */
  pink: "#ee63ab"
};
var variants = (0, import_helpers.objectEntries)(colors).reduce(
  (acc, [key, value]) => {
    acc[key] = (0, import_colorizr.swatch)(value, swatchOptions);
    return acc;
  },
  {}
);
var avatar = {
  xs: {
    size: "24px",
    fontSize: "12px"
  },
  sm: {
    size: "32px",
    fontSize: "14px"
  },
  md: {
    size: "48px",
    fontSize: "18px"
  },
  lg: {
    size: "64px",
    fontSize: "24px"
  },
  xl: {
    size: "96px",
    fontSize: "40px"
  },
  jumbo: {
    size: "128px",
    fontSize: "52px"
  }
};
var button = {
  xs: {
    borderRadius: "4px",
    fontSize: "12px",
    fontWeight: 700,
    height: "24px",
    lineHeight: 1.2,
    padding: ["4px", "8px"]
  },
  sm: {
    borderRadius: "8px",
    fontSize: "14px",
    fontWeight: 700,
    height: "32px",
    lineHeight: 1.2,
    padding: ["6px", "12px"]
  },
  md: {
    borderRadius: "8px",
    fontSize: "16px",
    fontWeight: 700,
    height: "40px",
    lineHeight: 1.3,
    padding: ["8px", "16px"]
  },
  lg: {
    borderRadius: "8px",
    fontSize: "18px",
    fontWeight: 700,
    height: "48px",
    lineHeight: 1.4,
    padding: ["10px", "20px"]
  },
  xl: {
    borderRadius: "8px",
    fontSize: "24px",
    fontWeight: 700,
    height: "56px",
    lineHeight: 1.4,
    padding: ["12px", "24px"]
  }
};
var image = {
  animationDuration: 1.5,
  radius: "none",
  skeletonBg: grayScale[50],
  skeletonColor: grayScale[100],
  timingFunction: "ease-in-out"
};
var inputHeight = {
  /** @default 32px */
  sm: "32px",
  /** @default 40px */
  md: "40px",
  /** @default 48px */
  lg: "48px"
};
var inputPaddingY = {
  sm: spacing.xs,
  md: spacing.sm,
  lg: spacing.md
};
var paragraphMarginBetween = spacing.sm;
var selectPaddingY = {
  sm: spacing.xxs,
  md: spacing.xs,
  lg: spacing.sm
};

// src/modules/colors.ts
function getColorComplement(color) {
  const { l } = (0, import_colorizr2.parseCSS)(color, "hsl");
  return l >= 90 ? (0, import_colorizr2.darken)(color, 10) : (0, import_colorizr2.lighten)(color, 10);
}
function getColorTokens(mainColor, textColor2, currentTheme = theme_exports) {
  const { colors: colors2, textColorOptions: textColorOptions2, variants: variants2 } = currentTheme;
  try {
    const variantKeys = (0, import_helpers2.objectKeys)(variants2);
    const selectedTextColor = textColor2 && variantKeys.some((d) => textColor2.startsWith(d)) ? getColorTokens(textColor2, null, theme_exports)?.mainColor : textColor2;
    switch (mainColor) {
      case "black": {
        return {
          mainColor: black,
          textColor: selectedTextColor ?? white,
          hoverColor: grayScale["800"]
        };
      }
      case "white": {
        return {
          mainColor: white,
          textColor: selectedTextColor ?? black,
          hoverColor: grayScale["100"]
        };
      }
      case "transparent": {
        return {
          mainColor: "transparent",
          textColor: selectedTextColor ?? black,
          hoverColor: "transparent"
        };
      }
      default: {
        if (variantKeys.some((d) => mainColor.startsWith(d))) {
          const [variant, tone] = mainColor.split(".");
          const selectedMainColor = tone ? variants2[variant][tone] : colors2[variant];
          return {
            mainColor: selectedMainColor,
            textColor: selectedTextColor ?? (0, import_colorizr2.textColor)(selectedMainColor, textColorOptions2),
            hoverColor: getColorComplement(selectedMainColor),
            variant
          };
        }
        return {
          mainColor,
          textColor: selectedTextColor ?? (0, import_colorizr2.textColor)(mainColor, textColorOptions2),
          hoverColor: getColorComplement(mainColor)
        };
      }
    }
  } catch {
    return {
      mainColor: colors2.primary,
      textColor: (0, import_colorizr2.textColor)(colors2.primary),
      hoverColor: getColorComplement(colors2.primary),
      variant: "primary"
    };
  }
}
function getColorWithTone(color, tone) {
  const hsl = (0, import_colorizr2.hex2hsl)((0, import_colorizr2.parseCSS)(color, "hex"));
  const lightness = 100 - parseInt(tone, 10) / 10;
  return (0, import_colorizr2.hsl2hex)({ ...hsl, l: lightness });
}

// src/modules/helpers.ts
var import_react2 = require("@emotion/react");
var import_helpers3 = require("@gilbarbara/helpers");
var import_colorizr3 = require("colorizr");
var import_deepmerge_ts = require("deepmerge-ts");
var import_is_lite = __toESM(require("is-lite"));
var { breakpoints: breakpoints2 } = theme_exports;
var deepmerge = (0, import_deepmerge_ts.deepmergeCustom)({
  mergeArrays: false
});
function clearNumber(value) {
  return value.replace(/\D+/g, "");
}
function convertCamelCaseToKebabCase(string_) {
  return string_.replace(/[A-Z]/g, (match) => `-${match.toLowerCase()}`);
}
function convertKebabCaseToCamelCase(value) {
  return value.replace(/-./g, (m) => m[1].toUpperCase());
}
function createMediaQuery(size, mediaQueries) {
  if (isCSSUnit(size) || import_is_lite.default.numericString(size)) {
    return `@media screen and (min-width: ${(0, import_helpers3.px)(size)})`;
  }
  return mediaQueries[size];
}
function formatBreakpoints(theme) {
  return Object.entries(theme.breakpoints).reduce(
    (acc, [key, value]) => {
      acc[key] = parseInt(value, 10);
      return acc;
    },
    { _: 0 }
  );
}
function getElement(target) {
  if (!(0, import_helpers3.canUseDOM)()) {
    return null;
  }
  let targetEl;
  if (typeof target === "string") {
    targetEl = document.querySelector(target);
  } else {
    targetEl = target && "current" in target ? target.current : target;
  }
  return targetEl;
}
function getMediaQueries() {
  return (0, import_helpers3.objectKeys)(breakpoints2).filter((d) => Number.isNaN(parseInt(d, 10))).reduce((acc, d) => {
    acc[d] = `@media screen and (min-width: ${(0, import_helpers3.px)(breakpoints2[d])})`;
    return acc;
  }, {});
}
function isCSSUnit(value) {
  const units = ["em", "px", "rem", "vh", "vmax", "vmin", "vw"];
  const regex = new RegExp(`\\d+(${units.join("|")})$`);
  return typeof value === "string" && regex.test(value);
}
function mergeTheme(customTheme = {}) {
  const nextTheme = deepmerge({ ...theme_exports }, customTheme);
  const baseVariants = (0, import_helpers3.objectEntries)(nextTheme.colors).reduce(
    (acc, [key, value]) => {
      acc[key] = (0, import_colorizr3.swatch)(value, nextTheme.swatchOptions);
      return acc;
    },
    {}
  );
  return {
    ...nextTheme,
    variants: deepmerge(baseVariants, customTheme.variants ?? {})
  };
}
function responsive(rules) {
  const entries = {};
  const mediaQueries = getMediaQueries();
  for (const rule in rules) {
    if ({}.hasOwnProperty.call(rules, rule)) {
      const styles2 = rules[rule];
      const query = createMediaQuery(rule, mediaQueries);
      if (rule === "_") {
        Object.entries(styles2).forEach(([k, v]) => {
          entries[k] = v;
        });
      } else if (query) {
        entries[query] = styles2;
      }
    }
  }
  return (0, import_react2.css)(entries);
}
function stringifyCSSProperties(style) {
  if (!style || !import_is_lite.default.plainObject(style)) {
    return "";
  }
  return (0, import_helpers3.objectKeys)(style).reduce((accumulator, key) => {
    const cssKey = convertCamelCaseToKebabCase(key);
    const cssValue = import_is_lite.default.string(style[key]) ? (0, import_helpers3.px)(style[key].replace("'", "")) : style[key];
    return `${accumulator}${cssKey}:${cssValue};`;
  }, "");
}

// src/modules/system.ts
function alignStyles(props) {
  const { align } = props;
  if (align) {
    return {
      textAlign: align
    };
  }
  return {};
}
function getContainerStyles(props, options) {
  const { responsive: responsive2 = true, verticalPadding = false } = options ?? {};
  const { spacing: spacing2 } = props.theme;
  return import_react3.css`
    padding-left: ${spacing2.md};
    padding-right: ${spacing2.md};

    ${verticalPadding && import_react3.css`
      padding-bottom: ${spacing2.md};
      padding-top: ${spacing2.md};
    `}

    ${responsive2 && responsive({
    lg: {
      paddingLeft: spacing2.xl,
      paddingRight: spacing2.xl
    }
  })}

    ${responsive2 && verticalPadding && responsive({
    lg: {
      paddingBottom: spacing2.xl,
      paddingTop: spacing2.xl
    }
  })}
  `;
}
function getDisableStyles(props, options = {}) {
  const { borderless, theme, variant } = props;
  const { hasPlaceholder, isButton } = options;
  const { darkMode: darkMode2, grayScale: grayScale2 } = theme;
  let backgroundColor;
  let borderColor = darkMode2 ? grayScale2["800"] : grayScale2["100"];
  let color = darkMode2 ? grayScale2["100"] : grayScale2["700"];
  const placeholderColor = darkMode2 ? grayScale2["600"] : grayScale2["300"];
  if (!borderless) {
    backgroundColor = darkMode2 ? grayScale2["900"] : grayScale2["30"];
  }
  if (isButton) {
    backgroundColor = darkMode2 ? grayScale2["800"] : grayScale2["100"];
    borderColor = darkMode2 ? grayScale2["800"] : grayScale2["100"];
    color = grayScale2["500"];
    if (variant === "clean") {
      backgroundColor = "transparent";
      borderColor = "transparent";
    }
    if (variant === "bordered") {
      backgroundColor = "transparent";
    }
  }
  return import_react3.css`
    background-color: ${backgroundColor};
    border-color: ${borderColor};
    color: ${color};
    cursor: not-allowed;

    ${hasPlaceholder && import_react3.css`
      &::placeholder {
        color: ${placeholderColor};
      }
    `}
  `;
}
function getOutlineStyles(color, { outlineOffset: outlineOffset2, outlineOpacity: outlineOpacity2, outlineWidth: outlineWidth2, outlineZIndex: outlineZIndex2 } = theme_exports) {
  return {
    outline: `${(0, import_colorizr4.opacify)(color, outlineOpacity2)} solid ${(0, import_helpers4.px)(outlineWidth2)}`,
    outlineOffset: (0, import_helpers4.px)(outlineOffset2),
    zIndex: outlineZIndex2
  };
}
function getStyledOptions(...exclude) {
  return {
    shouldForwardProp: (prop) => (0, import_is_prop_valid.default)(prop) && ![
      "bg",
      "color",
      "direction",
      "display",
      "height",
      "letterSpacing",
      "loading",
      "margin",
      "opacity",
      "orientation",
      "overflow",
      "padding",
      "pointerEvents",
      "radius",
      "shadow",
      "size",
      "textDecoration",
      "textTransform",
      "transform",
      "width",
      "wordSpacing",
      "wrap",
      ...exclude
    ].includes(prop) && !["onApply", "onClear", "onCreate", "onDropdown", "onOpen", "onSelect"].some(
      (d) => prop.startsWith(d)
    )
  };
}
function getStyles(props, options = {}) {
  const { busy, display, textAlign, theme } = props;
  const { lineHeightCustom, skipBorder, skipColor, skipShadow, skipSpacing, useFontSize } = options;
  const { fontFamily: fontFamily2 } = theme;
  const styles2 = {
    ...borderStyles(props),
    ...!skipColor ? colorStyles(props, { skipBorder, skipShadow }) : {},
    ...dimensionStyles(props),
    ...flexBoxStyles(props),
    ...flexItemStyles(props),
    ...gridStyles(props),
    ...layoutStyles(props),
    ...positioningStyles(props),
    ...radiusStyles(props),
    ...shadowStyles(props),
    ...textStyles(props, { lineHeightCustom, skipFontSizing: !useFontSize }),
    ...!skipSpacing ? marginStyles(props) : {},
    ...!skipSpacing ? paddingStyles(props) : {},
    boxSizing: "border-box",
    display,
    fontFamily: fontFamily2,
    textAlign
  };
  if (busy) {
    styles2.pointerEvents = "none";
  }
  return (0, import_helpers4.sortObjectKeys)((0, import_helpers4.cleanUpObject)(styles2));
}
var appearanceStyles = {
  appearance: "none"
};
function baseStyles(theme = theme_exports) {
  return {
    boxSizing: "border-box",
    fontFamily: theme.fontFamily
  };
}
function borderStyles(props) {
  const { border, theme } = props;
  let { mainColor: borderColor } = getColorTokens("gray.100", null, theme);
  const defaultBorder = `1px solid ${borderColor}`;
  let output = {};
  const getBorderValue = (side, value = defaultBorder) => {
    const item = {};
    if (["bottom", "left", "right", "top"].includes(side)) {
      item[`border${(0, import_helpers4.capitalize)(side)}`] = value;
    } else if (["end", "start"].includes(side)) {
      item[`borderInline${(0, import_helpers4.capitalize)(side)}`] = value;
    } else if (side === "horizontal") {
      item.borderBottom = value;
      item.borderTop = value;
    } else if (side === "vertical") {
      item.borderLeft = value;
      item.borderRight = value;
    } else {
      item.border = value;
    }
    return item;
  };
  const getBorderItem = (item) => {
    const { color = "gray.100", side = "all", size = "1px", style = "solid" } = item;
    ({ mainColor: borderColor } = getColorTokens(color, null, theme));
    const value = `${(0, import_helpers4.px)(size)} ${style} ${borderColor}`;
    return getBorderValue(side, value);
  };
  if (import_is_lite2.default.nullOrUndefined(border)) {
    return output;
  }
  if (import_is_lite2.default.boolean(border)) {
    output.border = border ? defaultBorder : void 0;
  } else if (import_is_lite2.default.string(border)) {
    output = getBorderValue(border);
  } else if (import_is_lite2.default.array(border)) {
    const items = [];
    border.forEach((item) => {
      items.push(getBorderItem(item));
    });
    output = items.reduce((acc, item) => {
      (0, import_helpers4.objectEntries)(item).forEach(([key, value]) => {
        acc[key] = value;
      });
      return acc;
    }, {});
  } else {
    output = getBorderItem(border);
  }
  return output;
}
function colorStyles(props, options = {}) {
  const { skipBorder = false, skipShadow = false } = options;
  const { bg, color, theme, variant } = props;
  const isTransparent = !!variant && ["bordered", "clean"].includes(variant);
  const styles2 = {};
  if (bg) {
    const { mainColor, textColor: textColor2 } = getColorTokens(bg, color, theme);
    styles2.backgroundColor = isTransparent ? "transparent" : mainColor;
    styles2.color = isTransparent ? mainColor : textColor2;
    if (color) {
      styles2.color = textColor2;
    }
    if (!skipBorder) {
      styles2.border = variant === "clean" ? 0 : `1px solid ${mainColor}`;
    }
    if (variant === "shadow" && !skipShadow) {
      const shadowColor = (0, import_colorizr4.opacify)(mainColor, 0.5);
      styles2.boxShadow = `0 6px 12px -3px ${shadowColor},0 4px 6px -4px ${shadowColor}`;
    }
    return styles2;
  }
  if (color) {
    const { mainColor } = getColorTokens(color, null, theme);
    styles2.color = mainColor;
  }
  return styles2;
}
function dimensionStyles(props) {
  const { height, maxHeight, maxWidth, minHeight, minWidth, width } = props;
  const output = {};
  if (!import_is_lite2.default.nullOrUndefined(height)) {
    output.height = (0, import_helpers4.px)(height);
  }
  if (!import_is_lite2.default.nullOrUndefined(maxHeight)) {
    output.maxHeight = (0, import_helpers4.px)(maxHeight);
  }
  if (!import_is_lite2.default.nullOrUndefined(maxWidth)) {
    output.maxWidth = (0, import_helpers4.px)(maxWidth);
  }
  if (!import_is_lite2.default.nullOrUndefined(minHeight)) {
    output.minHeight = (0, import_helpers4.px)(minHeight);
  }
  if (!import_is_lite2.default.nullOrUndefined(minWidth)) {
    output.minWidth = (0, import_helpers4.px)(minWidth);
  }
  if (!import_is_lite2.default.nullOrUndefined(width)) {
    output.width = (0, import_helpers4.px)(width);
  }
  return output;
}
function flexBoxStyles(props) {
  const {
    align,
    alignContent,
    direction,
    gap,
    justify,
    justifyItems,
    placeContent,
    placeItems,
    theme,
    wrap
  } = props;
  const spacingKeys = (0, import_helpers4.objectKeys)(theme.spacing);
  let gapValue = (0, import_helpers4.px)(gap);
  if (import_is_lite2.default.string(gap) && spacingKeys.includes(gap)) {
    gapValue = theme.spacing[gap];
  }
  return {
    alignContent,
    alignItems: align,
    flexDirection: direction,
    flexWrap: wrap,
    gap: gapValue,
    justifyContent: justify,
    justifyItems,
    placeContent,
    placeItems
  };
}
function flexItemStyles(props) {
  const { alignSelf, basis, fill, flex, justifySelf, order } = props;
  const output = {};
  if (!import_is_lite2.default.nullOrUndefined(fill)) {
    output.height = fill === true || fill === "vertical" ? "100%" : void 0;
    output.width = fill === true || fill === "horizontal" ? "100%" : void 0;
  }
  if (!import_is_lite2.default.nullOrUndefined(flex)) {
    if (import_is_lite2.default.boolean(flex)) {
      output.flex = flex ? "1 1" : "0 0";
    } else if (import_is_lite2.default.string(flex)) {
      output.flex = flex === "grow" ? "1 0" : "0 1";
    } else {
      if (import_is_lite2.default.number(flex.grow)) {
        output.flexGrow = flex.grow;
      }
      if (import_is_lite2.default.number(flex.shrink)) {
        output.flexShrink = flex.shrink;
      }
    }
  }
  return {
    ...output,
    alignSelf,
    flexBasis: basis,
    justifySelf,
    order
  };
}
function gridStyles(props) {
  const {
    area,
    autoColumns,
    autoFlow,
    autoRows,
    column,
    columnEnd,
    columnGap,
    columnStart,
    grid,
    row,
    rowEnd,
    rowGap,
    rowStart,
    template,
    templateAreas,
    templateColumns,
    templateRows,
    theme
  } = props;
  const spacingKeys = (0, import_helpers4.objectKeys)(theme.spacing);
  let columnGapValue = (0, import_helpers4.px)(columnGap);
  let rowGapValue = (0, import_helpers4.px)(rowGap);
  if (import_is_lite2.default.string(columnGap) && spacingKeys.includes(columnGap)) {
    columnGapValue = theme.spacing[columnGap];
  }
  if (import_is_lite2.default.string(rowGap) && spacingKeys.includes(rowGap)) {
    rowGapValue = theme.spacing[rowGap];
  }
  return {
    columnGap: columnGapValue,
    grid,
    gridArea: area,
    gridAutoColumns: autoColumns,
    gridAutoFlow: autoFlow,
    gridAutoRows: autoRows,
    gridColumn: column,
    gridColumnEnd: columnEnd,
    gridColumnStart: columnStart,
    gridRow: row,
    gridRowEnd: rowEnd,
    gridRowStart: rowStart,
    gridTemplate: template,
    gridTemplateAreas: templateAreas,
    gridTemplateColumns: templateColumns,
    gridTemplateRows: templateRows,
    rowGap: rowGapValue
  };
}
function hoverStyles(props) {
  const { bg, color, disabled, theme, variant } = props;
  const styles2 = {};
  if (!bg || disabled) {
    return {};
  }
  const { hoverColor } = getColorTokens(bg, color, theme);
  if (variant === "bordered") {
    styles2.color = hoverColor;
    styles2.borderColor = hoverColor;
  } else if (variant === "clean") {
    styles2.color = hoverColor;
  } else {
    styles2.backgroundColor = hoverColor;
    styles2.borderColor = hoverColor;
  }
  return styles2;
}
function inputStyles(props, type) {
  const {
    accent = "primary",
    borderless,
    height = "md",
    multiple,
    prefixSpacing,
    suffixSpacing,
    theme,
    width
  } = props;
  const {
    darkColor: darkColor2,
    darkMode: darkMode2,
    fontFamily: fontFamily2,
    grayScale: grayScale2,
    inputHeight: inputHeight2,
    inputPaddingY: inputPaddingY2,
    lightColor: lightColor2,
    radius: radius2,
    selectPaddingY: selectPaddingY2,
    spacing: spacing2,
    typography: typography2,
    white: white2
  } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  const isSelect = import_is_lite2.default.boolean(multiple);
  const placeholderColor = grayScale2["500"];
  let componentHeight;
  let paddingY = inputPaddingY2[height];
  let paddingLeft = borderless ? 0 : spacing2.md;
  let paddingRight = borderless ? 0 : spacing2.md;
  if (type === "textarea") {
    paddingY = spacing2.xs;
  } else if (!multiple) {
    componentHeight = inputHeight2[height];
  }
  if (isSelect) {
    paddingY = selectPaddingY2[height];
    paddingRight = spacing2.lg;
  }
  if (prefixSpacing) {
    paddingLeft = import_is_lite2.default.boolean(prefixSpacing) ? "40px" : (0, import_helpers4.px)(prefixSpacing);
  }
  if (suffixSpacing) {
    paddingRight = import_is_lite2.default.boolean(suffixSpacing) ? "40px" : (0, import_helpers4.px)(suffixSpacing);
  }
  const disabled = getDisableStyles(props, { hasPlaceholder: true });
  const styles2 = borderless ? import_react3.css`
        background-color: transparent;
        border: 0;
        border-bottom: 1px solid ${darkMode2 ? grayScale2["700"] : grayScale2["500"]};
      ` : import_react3.css`
        background-color: ${darkMode2 ? grayScale2["800"] : white2};
        border: 1px solid ${darkMode2 ? grayScale2["700"] : grayScale2["500"]};
        border-radius: ${radius2.xs};
      `;
  return import_react3.css`
    color: ${darkMode2 ? lightColor2 : darkColor2};
    display: block;
    font-family: ${fontFamily2};
    font-size: ${typography2.md.fontSize};
    height: ${componentHeight};
    line-height: 1.4;
    padding: ${paddingY} ${paddingRight} ${paddingY} ${paddingLeft};
    width: ${width ? (0, import_helpers4.px)(width) : "100%"};
    ${styles2}

    &:focus {
      ${!!borderless && `
box-shadow: 0 3px 0 0 ${(0, import_colorizr4.opacify)(mainColor, theme.outlineOpacity)};
outline: none;
`}
      ${!borderless && getOutlineStyles(mainColor, theme)}
    }

    &:disabled {
      ${disabled}
    }

    ${!isSelect && import_react3.css`
      &::placeholder {
        color: ${placeholderColor};
      }

      &:not(:placeholder-shown) {
        border-color: ${mainColor};
      }

      &:read-only {
        ${disabled}
      }
    `}
  `;
}
function layoutStyles(props) {
  const { display } = props;
  const output = {};
  [
    "opacity",
    "overflow",
    "pointerEvents",
    "textAlign",
    "transition",
    "transform",
    "transformOrigin"
  ].forEach((prop) => {
    const value = props[prop];
    if (!import_is_lite2.default.nullOrUndefined(value)) {
      output[prop] = value;
    }
  });
  if (!import_is_lite2.default.nullOrUndefined(display)) {
    output.display = display;
  }
  return output;
}
function marginStyles(props) {
  const { m, margin, mb, ml, mr, mt, mx, my, theme } = props;
  const { spacing: spacing2 } = theme;
  const output = {};
  if (!import_is_lite2.default.undefined(m)) {
    output.margin = m ? spacing2[m] : m;
  }
  if (!import_is_lite2.default.undefined(margin)) {
    output.margin = margin ? spacing2[margin] : margin;
  }
  if (!import_is_lite2.default.undefined(my)) {
    output.marginBottom = my ? spacing2[my] : my;
    output.marginTop = my ? spacing2[my] : my;
  } else {
    if (!import_is_lite2.default.undefined(mb)) {
      output.marginBottom = mb === "auto" || mb === 0 ? mb : spacing2[mb];
    }
    if (!import_is_lite2.default.undefined(mt)) {
      output.marginTop = mt === "auto" || mt === 0 ? mt : spacing2[mt];
    }
  }
  if (!import_is_lite2.default.undefined(mx)) {
    output.marginLeft = mx === "auto" || mx === 0 ? mx : spacing2[mx];
    output.marginRight = mx === "auto" || mx === 0 ? mx : spacing2[mx];
  } else {
    if (!import_is_lite2.default.undefined(ml)) {
      output.marginLeft = ml === "auto" || ml === 0 ? ml : spacing2[ml];
    }
    if (!import_is_lite2.default.undefined(mr)) {
      output.marginRight = mr === "auto" || mr === 0 ? mr : spacing2[mr];
    }
  }
  return output;
}
function outlineStyles(color, theme = theme_exports) {
  const outline = getOutlineStyles(color, theme);
  return import_react3.css`
    @supports not selector(:focus-visible) {
      &:focus {
        ${outline}
      }
    }

    &:focus-visible {
      ${outline}
    }
  `;
}
function paddingStyles(props, force = false) {
  const { p, padding, pb, pl, pr, pt, px: paddingX, py, theme } = props;
  const { spacing: spacing2 } = theme;
  const output = {};
  if (!import_is_lite2.default.nullOrUndefined(p)) {
    output.padding = import_is_lite2.default.number(p) ? p : spacing2[p];
  }
  if (!import_is_lite2.default.nullOrUndefined(padding)) {
    output.padding = import_is_lite2.default.number(padding) ? padding : spacing2[padding];
  }
  if (!import_is_lite2.default.nullOrUndefined(py)) {
    output.paddingBottom = import_is_lite2.default.number(py) ? py : spacing2[py];
    output.paddingTop = import_is_lite2.default.number(py) ? py : spacing2[py];
  } else {
    if (!import_is_lite2.default.nullOrUndefined(pb)) {
      output.paddingBottom = import_is_lite2.default.number(pb) ? pb : spacing2[pb];
    }
    if (!import_is_lite2.default.nullOrUndefined(pt)) {
      output.paddingTop = import_is_lite2.default.number(pt) ? pt : spacing2[pt];
    }
  }
  if (!import_is_lite2.default.nullOrUndefined(paddingX)) {
    output.paddingLeft = import_is_lite2.default.number(paddingX) ? paddingX : spacing2[paddingX];
    output.paddingRight = import_is_lite2.default.number(paddingX) ? paddingX : spacing2[paddingX];
  } else {
    if (!import_is_lite2.default.nullOrUndefined(pl)) {
      output.paddingLeft = import_is_lite2.default.number(pl) ? pl : spacing2[pl];
    }
    if (!import_is_lite2.default.nullOrUndefined(pr)) {
      output.paddingRight = import_is_lite2.default.number(pr) ? pr : spacing2[pr];
    }
  }
  if (force) {
    return (0, import_helpers4.objectEntries)(output).reduce((acc, [key, value]) => {
      acc[key] = `${value} !important`;
      return acc;
    }, {});
  }
  return output;
}
function positioningStyles(props) {
  const { bottom, left, right, top } = props;
  const output = {};
  ["position", "zIndex"].forEach((prop) => {
    const value = props[prop];
    if (!import_is_lite2.default.nullOrUndefined(value)) {
      output[prop] = value;
    }
  });
  if (!import_is_lite2.default.nullOrUndefined(bottom)) {
    output.bottom = (0, import_helpers4.px)(bottom);
  }
  if (!import_is_lite2.default.nullOrUndefined(left)) {
    output.left = (0, import_helpers4.px)(left);
  }
  if (!import_is_lite2.default.nullOrUndefined(right)) {
    output.right = (0, import_helpers4.px)(right);
  }
  if (!import_is_lite2.default.nullOrUndefined(top)) {
    output.top = (0, import_helpers4.px)(top);
  }
  return output;
}
function radiusStyles(props) {
  const { radius: radius2 } = props.theme;
  const output = {};
  if (import_is_lite2.default.plainObject(props.radius)) {
    const { bottom, left, right, top } = props.radius;
    if (top) {
      output.borderTopLeftRadius = radius2[top];
      output.borderTopRightRadius = radius2[top];
    }
    if (right) {
      output.borderTopRightRadius = radius2[right];
      output.borderBottomRightRadius = radius2[right];
    }
    if (bottom) {
      output.borderBottomRightRadius = radius2[bottom];
      output.borderBottomLeftRadius = radius2[bottom];
    }
    if (left) {
      output.borderBottomLeftRadius = radius2[left];
      output.borderTopLeftRadius = radius2[left];
    }
  } else if (props.radius) {
    output.borderRadius = radius2[props.radius];
  }
  return output;
}
function shadowStyles(props) {
  const { darkMode: darkMode2, shadow: shadow2, shadowDark: shadowDark2 } = props.theme;
  if (props.shadow) {
    return {
      boxShadow: darkMode2 ? shadowDark2[props.shadow] : shadow2[props.shadow]
    };
  }
  return {};
}
function textStyles(props, options = {}) {
  const { bold = false, italic = false, lineHeight, size, theme } = props;
  const { fontWeights: fontWeights2, typography: typography2 } = theme;
  const { lineHeightCustom, skipFontSizing } = options;
  const output = {};
  ["letterSpacing", "lineHeight", "textDecoration", "textTransform", "wordSpacing"].forEach((prop) => {
    const value = props[prop];
    if (!import_is_lite2.default.nullOrUndefined(value)) {
      output[prop] = value;
    }
  });
  if (bold) {
    output.fontWeight = fontWeights2.bold;
  }
  if (italic) {
    output.fontStyle = "italic";
  }
  if (size && !skipFontSizing) {
    const { fontSize, lineHeight: typographyLineHeight } = typography2[size];
    const fontWeight = bold ? fontWeights2.bold : fontWeights2.normal;
    output.fontSize = fontSize;
    output.fontWeight = fontWeight;
    output.lineHeight = lineHeight ?? lineHeightCustom ?? typographyLineHeight;
  }
  return output;
}

// src/components/Divider/Divider.tsx
var import_react6 = require("@emotion/react");
var import_styled = __toESM(require("@emotion/styled"));
var import_helpers9 = require("@gilbarbara/helpers");

// src/hooks/useComponentProps.ts
var import_helpers7 = require("@gilbarbara/helpers");

// src/hooks/useTheme.tsx
var import_react4 = require("react");
var import_react5 = require("@emotion/react");
var import_deep_equal = __toESM(require("@gilbarbara/deep-equal"));
var storedEmotionTheme;
var storedTheme;
function useTheme() {
  const emotionTheme = (0, import_react5.useTheme)();
  const needsUpdate = !storedTheme || !(0, import_deep_equal.default)(storedEmotionTheme, emotionTheme);
  const nextTheme = (0, import_react4.useRef)(storedTheme ?? emotionTheme);
  if (needsUpdate) {
    storedEmotionTheme = emotionTheme;
    nextTheme.current = mergeTheme(emotionTheme);
    storedTheme = nextTheme.current;
  }
  const { dataAttributeName: dataAttributeName2 } = nextTheme.current;
  const getDataAttributes = (0, import_react4.useCallback)(
    (name) => {
      return {
        [`data-${dataAttributeName2}`]: name
      };
    },
    [dataAttributeName2]
  );
  return { getDataAttributes, theme: nextTheme.current };
}

// src/hooks/useComponentProps.ts
function useComponentProps(props, defaultProps61 = {}) {
  const { getDataAttributes, theme } = useTheme();
  const propsWithTheme = { ...props, theme };
  return {
    componentProps: (0, import_helpers7.mergeProps)(defaultProps61, propsWithTheme),
    getDataAttributes
  };
}

// src/modules/options.ts
var import_helpers8 = require("@gilbarbara/helpers");
var iconsPack = [
  { name: "align-bottom", categories: ["layout"] },
  { name: "align-center", categories: ["layout"] },
  { name: "align-left", categories: ["layout"] },
  { name: "align-middle", categories: ["layout"] },
  { name: "align-right", categories: ["layout"] },
  { name: "align-top", categories: ["layout"] },
  { name: "apple-watch", categories: ["devices"] },
  { name: "arrange-back", categories: ["layout"] },
  { name: "arrange-front", categories: ["layout"] },
  { name: "attachment", categories: ["ui"] },
  { name: "backspace", categories: ["arrows"] },
  { name: "band-aid", categories: ["misc"] },
  { name: "battery", categories: ["devices"] },
  { name: "battery-empty", categories: ["devices"] },
  { name: "battery-full", categories: ["devices"] },
  { name: "board", categories: ["ui"] },
  { name: "border-all", categories: ["layout"] },
  { name: "border-bottom", categories: ["layout"] },
  { name: "border-left", categories: ["layout"] },
  { name: "border-right", categories: ["layout"] },
  { name: "border-style-dashed", categories: ["layout"] },
  { name: "border-style-dotted", categories: ["layout"] },
  { name: "border-style-solid", categories: ["layout"] },
  { name: "border-top", categories: ["layout"] },
  { name: "bot", categories: ["misc"] },
  { name: "bowl", categories: ["misc"] },
  { name: "boy", categories: ["misc"] },
  { name: "briefcase", categories: ["ui"] },
  { name: "browse", categories: ["ui"] },
  { name: "browser", categories: ["ui"] },
  { name: "calculator", categories: ["devices"] },
  { name: "calendar-dates", categories: ["date"] },
  { name: "calendar-due", categories: ["date"] },
  { name: "calendar-next", categories: ["date"] },
  { name: "calendar-today", categories: ["date"] },
  { name: "calendar", categories: ["date"] },
  { name: "calibrate", categories: ["misc"] },
  { name: "captions", categories: ["ui"] },
  { name: "card-clubs", categories: ["misc"] },
  { name: "card-diamonds", categories: ["misc"] },
  { name: "card-hearts", categories: ["misc"] },
  { name: "card-spades", categories: ["misc"] },
  { name: "carousel", categories: ["ui"] },
  { name: "cast", categories: ["ui"] },
  { name: "chart", categories: ["ui"] },
  { name: "clapper-board", categories: ["multimedia"] },
  { name: "clipboard", categories: ["ui"] },
  { name: "code", categories: ["development"] },
  { name: "code-slash", categories: ["development"] },
  { name: "collage", categories: ["ui"] },
  { name: "color-bucket", categories: ["ui"] },
  { name: "color-picker", categories: ["ui"] },
  { name: "community", categories: ["misc"] },
  { name: "components", categories: ["ui"] },
  { name: "compress-left", categories: ["arrows"] },
  { name: "compress-right", categories: ["arrows"] },
  { name: "compress-v", categories: ["arrows"] },
  { name: "compress", categories: ["arrows"] },
  { name: "controller", categories: ["ui"] },
  { name: "corner-double-down-left", categories: ["arrows"] },
  { name: "corner-double-down-right", categories: ["arrows"] },
  { name: "corner-double-left-down", categories: ["arrows"] },
  { name: "corner-double-left-up", categories: ["arrows"] },
  { name: "corner-double-right-down", categories: ["arrows"] },
  { name: "corner-double-right-up", categories: ["arrows"] },
  { name: "corner-double-up-left", categories: ["arrows"] },
  { name: "corner-double-up-right", categories: ["arrows"] },
  { name: "corner-down-left", categories: ["arrows"] },
  { name: "corner-down-right", categories: ["arrows"] },
  { name: "corner-left-down", categories: ["arrows"] },
  { name: "corner-left-up", categories: ["arrows"] },
  { name: "corner-right-down", categories: ["arrows"] },
  { name: "corner-right-up", categories: ["arrows"] },
  { name: "corner-up-left", categories: ["arrows"] },
  { name: "corner-up-right", categories: ["arrows"] },
  { name: "credit-card", categories: ["misc"] },
  { name: "crop", categories: ["ui"] },
  { name: "dark-mode", categories: ["ui"] },
  { name: "desktop", categories: ["ui"] },
  { name: "details-less", categories: ["layout"] },
  { name: "details-more", categories: ["layout"] },
  { name: "dialpad", categories: ["ui"] },
  { name: "dice-1", categories: ["misc"] },
  { name: "dice-2", categories: ["misc"] },
  { name: "dice-3", categories: ["misc"] },
  { name: "dice-4", categories: ["misc"] },
  { name: "dice-5", categories: ["misc"] },
  { name: "dice-6", categories: ["misc"] },
  { name: "display-flex", categories: ["layout"] },
  { name: "display-fullwidth", categories: ["layout"] },
  { name: "display-grid", categories: ["layout"] },
  { name: "display-spacing", categories: ["layout"] },
  { name: "distribute-horizontal", categories: ["layout"] },
  { name: "distribute-vertical", categories: ["layout"] },
  { name: "dock-bottom", categories: ["ui"] },
  { name: "dock-left", categories: ["ui"] },
  { name: "dock-right", categories: ["ui"] },
  { name: "dock-window", categories: ["ui"] },
  { name: "drive", categories: ["devices"] },
  { name: "drop-invert", categories: ["ui"] },
  { name: "drop-opacity", categories: ["ui"] },
  { name: "drop", categories: ["ui"] },
  { name: "duplicate", categories: ["ui"] },
  { name: "edit-black-point", categories: ["ui"] },
  { name: "edit-contrast", categories: ["ui"] },
  { name: "edit-exposure", categories: ["ui"] },
  { name: "edit-fade", categories: ["ui"] },
  { name: "edit-flip-h", categories: ["ui"] },
  { name: "edit-flip-v", categories: ["ui"] },
  { name: "edit-highlight", categories: ["ui"] },
  { name: "edit-markup", categories: ["ui"] },
  { name: "edit-mask", categories: ["ui"] },
  { name: "edit-noise", categories: ["ui"] },
  { name: "edit-shadows", categories: ["ui"] },
  { name: "edit-straight", categories: ["ui"] },
  { name: "edit-unmask", categories: ["ui"] },
  { name: "enter", categories: ["ui"] },
  { name: "erase", categories: ["ui"] },
  { name: "euro", categories: ["misc"] },
  { name: "export", categories: ["ui"] },
  { name: "extension-add", categories: ["ui"] },
  { name: "extension-remove", categories: ["ui"] },
  { name: "extension", categories: ["ui"] },
  { name: "external", categories: ["ui"] },
  { name: "feed", categories: ["ui"] },
  { name: "file-add", categories: ["ui"] },
  { name: "file-document", categories: ["ui"] },
  { name: "file-remove", categories: ["ui"] },
  { name: "file", categories: ["ui"] },
  { name: "film", categories: ["multimedia"] },
  { name: "filters", categories: ["ui"] },
  { name: "folder-add", categories: ["ui"] },
  { name: "folder-remove", categories: ["ui"] },
  { name: "folder", categories: ["ui"] },
  { name: "font-height", categories: ["typography"] },
  { name: "font-spacing", categories: ["typography"] },
  { name: "format-center", categories: ["typography"] },
  { name: "format-color", categories: ["typography"] },
  { name: "format-heading", categories: ["typography"] },
  { name: "format-indent-decrease", categories: ["typography"] },
  { name: "format-indent-increase", categories: ["typography"] },
  { name: "format-italic", categories: ["typography"] },
  { name: "format-justify", categories: ["typography"] },
  { name: "format-left", categories: ["typography"] },
  { name: "format-line-height", categories: ["typography"] },
  { name: "format-right", categories: ["typography"] },
  { name: "format-separator", categories: ["typography"] },
  { name: "format-slash", categories: ["typography"] },
  { name: "format-text", categories: ["typography"] },
  { name: "format-underline", categories: ["typography"] },
  { name: "format-uppercase", categories: ["typography"] },
  { name: "games", categories: ["devices"] },
  { name: "gender-female", categories: ["misc"] },
  { name: "gender-male", categories: ["misc"] },
  { name: "girl", categories: ["misc"] },
  { name: "glass-alt", categories: ["misc"] },
  { name: "home-screen", categories: ["devices"] },
  { name: "image", categories: ["ui"] },
  { name: "import", categories: ["ui"] },
  { name: "inpicture", categories: ["multimedia"] },
  { name: "insert-after-o", categories: ["ui"] },
  { name: "insert-after-r", categories: ["ui"] },
  { name: "insert-after", categories: ["ui"] },
  { name: "insert-before-o", categories: ["ui"] },
  { name: "insert-before-r", categories: ["ui"] },
  { name: "insert-before", categories: ["ui"] },
  { name: "insights", categories: ["ui"] },
  { name: "internal", categories: ["ui"] },
  { name: "laptop", categories: ["devices"] },
  { name: "list-tree", categories: ["ui"] },
  { name: "list", categories: ["ui"] },
  { name: "lock-unlock", categories: ["ui"] },
  { name: "lock", categories: ["ui"] },
  { name: "log-off", categories: ["ui"] },
  { name: "loupe", categories: ["ui"] },
  { name: "magnet", categories: ["misc"] },
  { name: "mail-forward", categories: ["ui"] },
  { name: "mail-reply", categories: ["ui"] },
  { name: "maximize", categories: ["ui"] },
  { name: "maximize-alt", categories: ["arrows", "ui"] },
  { name: "menu-boxed", categories: ["ui"] },
  { name: "menu-grid-o", categories: ["ui"] },
  { name: "menu-grid-r", categories: ["ui"] },
  { name: "menu-left-alt", categories: ["ui"] },
  { name: "menu-left", categories: ["ui"] },
  { name: "menu-motion", categories: ["ui"] },
  { name: "menu-right-alt", categories: ["ui"] },
  { name: "menu-right", categories: ["ui"] },
  { name: "menu", categories: ["ui"] },
  { name: "merge-horizontal", categories: ["ui"] },
  { name: "merge-vertical", categories: ["ui"] },
  { name: "mini-player", categories: ["multimedia"] },
  { name: "minimize-alt", categories: ["ui"] },
  { name: "minimize", categories: ["ui"] },
  { name: "mouse", categories: ["devices"] },
  { name: "move-down", categories: ["ui"] },
  { name: "move-left", categories: ["ui"] },
  { name: "move-right", categories: ["ui"] },
  { name: "move-up", categories: ["ui"] },
  { name: "notifications", categories: ["ui"] },
  { name: "pacman", categories: ["misc"] },
  { name: "path-back", categories: ["layout"] },
  { name: "path-crop", categories: ["layout"] },
  { name: "path-divide", categories: ["layout"] },
  { name: "path-exclude", categories: ["layout"] },
  { name: "path-front", categories: ["layout"] },
  { name: "path-intersect", categories: ["layout"] },
  { name: "path-outline", categories: ["layout"] },
  { name: "path-trim", categories: ["layout"] },
  { name: "path-unite", categories: ["layout"] },
  { name: "performance", categories: ["ui"] },
  { name: "piano", categories: ["multimedia"] },
  { name: "pill", categories: ["misc"] },
  { name: "plug", categories: ["ui"] },
  { name: "pokemon", categories: ["misc"] },
  { name: "poll", categories: ["ui"] },
  { name: "printer", categories: ["devices"] },
  { name: "profile", categories: ["ui"] },
  { name: "pull-clear", categories: ["ui"] },
  { name: "push-chevron-down-o", categories: ["ui", "circle"] },
  { name: "push-chevron-down-r", categories: ["ui", "square"] },
  { name: "push-chevron-down", categories: ["ui"] },
  { name: "push-chevron-left-o", categories: ["ui", "circle"] },
  { name: "push-chevron-left-r", categories: ["ui", "square"] },
  { name: "push-chevron-left", categories: ["ui"] },
  { name: "push-chevron-right-o", categories: ["ui", "circle"] },
  { name: "push-chevron-right-r", categories: ["ui", "square"] },
  { name: "push-chevron-right", categories: ["ui"] },
  { name: "push-chevron-up-o", categories: ["ui", "circle"] },
  { name: "push-chevron-up-r", categories: ["ui", "square"] },
  { name: "push-chevron-up", categories: ["ui"] },
  { name: "push-down", categories: ["ui"] },
  { name: "push-left", categories: ["ui"] },
  { name: "push-right", categories: ["ui"] },
  { name: "push-up", categories: ["ui"] },
  { name: "qr", categories: ["ui"] },
  { name: "quote-o", categories: ["ui"] },
  { name: "quote", categories: ["ui"] },
  { name: "radio-check", categories: ["ui"] },
  { name: "radio-checked", categories: ["ui"] },
  { name: "ratio", categories: ["ui"] },
  { name: "redo", categories: ["ui"] },
  { name: "remove-r", categories: ["ui", "square"] },
  { name: "remove", categories: ["ui"] },
  { name: "rename", categories: ["ui"] },
  { name: "reorder", categories: ["ui"] },
  { name: "row-first", categories: ["layout"] },
  { name: "row-last", categories: ["layout"] },
  { name: "ruler", categories: ["ui"] },
  { name: "scan", categories: ["ui"] },
  { name: "screen-mirror", categories: ["ui"] },
  { name: "screen-wide", categories: ["ui"] },
  { name: "screen", categories: ["ui"] },
  { name: "scroll-h", categories: ["ui"] },
  { name: "scroll-v", categories: ["ui"] },
  { name: "search-found", categories: ["ui"] },
  { name: "search-loading", categories: ["ui"] },
  { name: "search", categories: ["ui"] },
  { name: "select-o", categories: ["ui", "circle"] },
  { name: "select-r", categories: ["ui", "square"] },
  { name: "select", categories: ["ui"] },
  { name: "shopping-bag", categories: ["ui"] },
  { name: "shopping-cart", categories: ["ui"] },
  { name: "sidebar-open", categories: ["ui"] },
  { name: "sidebar-right", categories: ["ui"] },
  { name: "sidebar", categories: ["ui"] },
  { name: "signal", categories: ["ui"] },
  { name: "size", categories: ["ui"] },
  { name: "smartphone", categories: ["devices"] },
  { name: "smile-mouth-open", categories: ["misc"] },
  { name: "smile-neutral", categories: ["misc"] },
  { name: "smile-no-mouth", categories: ["misc"] },
  { name: "smile-none", categories: ["misc"] },
  { name: "smile-sad", categories: ["misc"] },
  { name: "smile-upside", categories: ["misc"] },
  { name: "smile", categories: ["misc"] },
  { name: "space-between-v", categories: ["layout"] },
  { name: "space-between", categories: ["layout"] },
  { name: "spinner-alt", categories: ["loaders"] },
  { name: "spinner-two-alt", categories: ["loaders"] },
  { name: "spinner-two", categories: ["loaders"] },
  { name: "spinner", categories: ["loaders"] },
  { name: "swap-vertical", categories: ["ui"] },
  { name: "swap", categories: ["ui"] },
  { name: "tab", categories: ["ui"] },
  { name: "terrain", categories: ["misc"] },
  { name: "thermostat", categories: ["misc"] },
  { name: "today", categories: ["ui"] },
  { name: "toggle-off", categories: ["ui"] },
  { name: "toggle-on", categories: ["ui"] },
  { name: "toggle-square-off", categories: ["ui"] },
  { name: "toggle-square", categories: ["ui"] },
  { name: "toolbar-bottom", categories: ["ui"] },
  { name: "toolbar-left", categories: ["ui"] },
  { name: "toolbar-right", categories: ["ui"] },
  { name: "toolbar-top", categories: ["ui"] },
  { name: "toolbox", categories: ["ui"] },
  { name: "touchpad", categories: ["devices"] },
  { name: "track", categories: ["ui"] },
  { name: "transcript", categories: ["ui"] },
  { name: "trash-empty", categories: ["ui"] },
  { name: "trash", categories: ["ui"] },
  { name: "trending-down", categories: ["ui"] },
  { name: "trending", categories: ["ui"] },
  { name: "tv", categories: ["devices"] },
  { name: "ui-kit", categories: ["misc"] },
  { name: "umbrella", categories: ["misc"] },
  { name: "undo", categories: ["ui"] },
  { name: "usb", categories: ["devices"] },
  { name: "usb-c", categories: ["devices"] },
  { name: "view-cols", categories: ["layout"] },
  { name: "view-comfortable", categories: ["layout"] },
  { name: "view-day", categories: ["layout"] },
  { name: "view-grid", categories: ["layout"] },
  { name: "view-list", categories: ["layout"] },
  { name: "view-month", categories: ["layout"] },
  { name: "view-split", categories: ["layout"] },
  { name: "voicemail-o", categories: ["ui", "circle"] },
  { name: "voicemail-r", categories: ["ui"] },
  { name: "voicemail", categories: ["ui"] },
  { name: "work-alt", categories: ["ui"] },
  { name: "yinyang", categories: ["misc"] },
  { name: "zoom-in", categories: ["ui"] },
  { name: "zoom-out", categories: ["ui"] }
];
var iconsCustom = [
  { name: "accessibility", categories: ["ui"] },
  { name: "accessibility-circle", categories: ["ui", "circle"] },
  { name: "accessibility-o", categories: ["ui", "circle"] },
  { name: "airplane", categories: ["misc"] },
  { name: "airpods", categories: ["devices", "multimedia"] },
  { name: "alarm", categories: ["time"] },
  { name: "album", categories: ["multimedia"] },
  { name: "anchor", categories: ["misc"] },
  { name: "angular", categories: ["development"] },
  { name: "api", categories: ["development"] },
  { name: "api-alt", categories: ["development"] },
  { name: "apple", categories: ["brand"] },
  { name: "approximately-equal", categories: ["math"] },
  { name: "arc", categories: ["browsers"] },
  { name: "archive", categories: ["ui"] },
  { name: "arrow-bottom-left-o", categories: ["arrows", "circle"] },
  { name: "arrow-bottom-left-r", categories: ["arrows", "square"] },
  { name: "arrow-bottom-left", categories: ["arrows"] },
  { name: "arrow-bottom-right-o", categories: ["arrows", "circle"] },
  { name: "arrow-bottom-right-r", categories: ["arrows", "square"] },
  { name: "arrow-bottom-right", categories: ["arrows"] },
  { name: "arrow-down-o", categories: ["arrows", "circle"] },
  { name: "arrow-down-r", categories: ["arrows", "square"] },
  { name: "arrow-down", categories: ["arrows"] },
  { name: "arrows-exchange-alt-v", categories: ["arrows"] },
  { name: "arrows-exchange-alt", categories: ["arrows"] },
  { name: "arrows-exchange-v", categories: ["arrows"] },
  { name: "arrows-exchange", categories: ["arrows"] },
  { name: "arrows-expand-down-left", categories: ["arrows"] },
  { name: "arrows-expand-down-right", categories: ["arrows"] },
  { name: "arrows-expand-left", categories: ["arrows"] },
  { name: "arrows-expand-right", categories: ["arrows"] },
  { name: "arrows-expand-up-left", categories: ["arrows"] },
  { name: "arrows-expand-up-right", categories: ["arrows"] },
  { name: "arrows-h", categories: ["arrows"] },
  { name: "arrows-h-alt", categories: ["arrows"] },
  { name: "arrow-left-o", categories: ["arrows", "circle"] },
  { name: "arrow-left-r", categories: ["arrows", "square"] },
  { name: "arrow-left", categories: ["arrows"] },
  { name: "arrow-right-o", categories: ["arrows", "circle"] },
  { name: "arrow-right-r", categories: ["arrows", "square"] },
  { name: "arrow-right", categories: ["arrows"] },
  { name: "arrows-scroll-h", categories: ["arrows"] },
  { name: "arrows-scroll-v", categories: ["arrows"] },
  { name: "arrow-switch", categories: ["arrows"] },
  { name: "arrow-switch-o", categories: ["arrows"] },
  { name: "arrow-switch-r", categories: ["arrows"] },
  { name: "arrow-top-left-o", categories: ["arrows", "circle"] },
  { name: "arrow-top-left-r", categories: ["arrows", "square"] },
  { name: "arrow-top-left", categories: ["arrows"] },
  { name: "arrow-top-right-o", categories: ["arrows", "circle"] },
  { name: "arrow-top-right-r", categories: ["arrows", "square"] },
  { name: "arrow-top-right", categories: ["arrows"] },
  { name: "arrow-up-o", categories: ["arrows", "circle"] },
  { name: "arrow-up-r", categories: ["arrows", "square"] },
  { name: "arrow-up", categories: ["arrows"] },
  { name: "arrows-v", categories: ["arrows"] },
  { name: "arrows-v-alt", categories: ["arrows"] },
  { name: "asterisk", categories: ["misc"] },
  { name: "asterisk-o", categories: ["misc", "circle"] },
  { name: "asterisk-r", categories: ["misc", "square"] },
  { name: "atlassian", categories: ["development"] },
  { name: "attribution", categories: ["multimedia"] },
  { name: "award", categories: ["misc"] },
  { name: "badge", categories: ["misc"] },
  { name: "bamboo", categories: ["development"] },
  { name: "bell", categories: ["ui"] },
  { name: "bell-o", categories: ["ui"] },
  { name: "bell-slash", categories: ["ui"] },
  { name: "bitbucket", categories: ["development"] },
  { name: "blob", categories: ["misc"] },
  { name: "block-o", categories: ["ui", "circle"] },
  { name: "blocked", categories: ["ui"] },
  { name: "bluetooth", categories: ["devices"] },
  { name: "book", categories: ["ui"] },
  { name: "bookmark", categories: ["ui"] },
  { name: "bookmark-slash", categories: ["ui"] },
  { name: "box", categories: ["misc"] },
  { name: "bug", categories: ["development"] },
  { name: "bullseye", categories: ["misc"] },
  { name: "bullseye-arrow", categories: ["misc"] },
  { name: "c-plus-plus", categories: ["development"] },
  { name: "cache", categories: ["development"] },
  { name: "camera", categories: ["devices", "multimedia"] },
  { name: "camera-alt", categories: ["devices", "multimedia"] },
  { name: "categories", categories: ["ui"] },
  { name: "chart-activity", categories: ["ui"] },
  { name: "chart-bar", categories: ["ui"] },
  { name: "chart-line", categories: ["ui"] },
  { name: "chart-trending-down", categories: ["ui"] },
  { name: "chart-trending-up", categories: ["ui"] },
  { name: "check", categories: ["ui"] },
  { name: "check-heavy", categories: ["ui"] },
  { name: "check-circle", categories: ["ui", "circle"] },
  { name: "check-o", categories: ["ui", "circle"] },
  { name: "check-r", categories: ["ui", "square"] },
  { name: "checklist", categories: ["ui"] },
  { name: "chevron-double-down-o", categories: ["arrows", "circle"] },
  { name: "chevron-double-down-r", categories: ["arrows", "square"] },
  { name: "chevron-double-left-o", categories: ["arrows", "circle"] },
  { name: "chevron-double-left-r", categories: ["arrows", "square"] },
  { name: "chevron-double-right-o", categories: ["arrows", "circle"] },
  { name: "chevron-double-right-r", categories: ["arrows", "square"] },
  { name: "chevron-double-up-o", categories: ["arrows", "circle"] },
  { name: "chevron-double-up-r", categories: ["arrows", "square"] },
  { name: "chevron-down-o", categories: ["arrows", "circle"] },
  { name: "chevron-down-r", categories: ["arrows", "square"] },
  { name: "chevron-down", categories: ["arrows"] },
  { name: "chevron-left-o", categories: ["arrows", "circle"] },
  { name: "chevron-left-r", categories: ["arrows", "square"] },
  { name: "chevron-left", categories: ["arrows"] },
  { name: "chevron-right-o", categories: ["arrows", "circle"] },
  { name: "chevron-right-r", categories: ["arrows", "square"] },
  { name: "chevron-right", categories: ["arrows"] },
  { name: "chevron-up-o", categories: ["arrows", "circle"] },
  { name: "chevron-up-r", categories: ["arrows", "square"] },
  { name: "chevron-up", categories: ["arrows"] },
  { name: "chevron-double-down", categories: ["arrows"] },
  { name: "chevron-double-left", categories: ["arrows"] },
  { name: "chevron-double-right", categories: ["arrows"] },
  { name: "chevron-double-up", categories: ["arrows"] },
  { name: "chip", categories: ["devices"] },
  { name: "chrome", categories: ["browsers"] },
  { name: "circle", categories: ["shapes"] },
  { name: "circle-ci", categories: ["development"] },
  { name: "circle-half", categories: ["shapes"] },
  { name: "clock", categories: ["time"] },
  { name: "close", categories: ["ui"] },
  { name: "close-heavy", categories: ["ui"] },
  { name: "close-circle", categories: ["ui", "circle"] },
  { name: "close-o", categories: ["ui", "circle"] },
  { name: "close-r", categories: ["ui", "square"] },
  { name: "cloud", categories: ["ui"] },
  { name: "cloud-slash", categories: ["ui"] },
  { name: "code-climate", categories: ["development"] },
  { name: "code-review", categories: ["development"] },
  { name: "codepen", categories: ["development"] },
  { name: "codesandbox", categories: ["development"] },
  { name: "codescan", categories: ["development"] },
  { name: "coffee", categories: ["misc"] },
  { name: "cog", categories: ["ui"] },
  { name: "command-key", categories: ["devices"] },
  { name: "command-palette", categories: ["development"] },
  { name: "comment", categories: ["ui"] },
  { name: "comment-external", categories: ["ui"] },
  { name: "container", categories: ["misc"] },
  { name: "control-key", categories: ["devices"] },
  { name: "copy", categories: ["ui"] },
  { name: "copyright", categories: ["ui"] },
  { name: "cross", categories: ["misc"] },
  { name: "crosshair", categories: ["ui", "circle"] },
  { name: "crown", categories: ["misc"] },
  { name: "cursor", categories: ["ui"] },
  { name: "danger-circle", categories: ["ui", "circle"] },
  { name: "danger-o", categories: ["ui", "circle"] },
  { name: "database", categories: ["development"] },
  { name: "delta", categories: ["math"] },
  { name: "devices", categories: ["devices"] },
  { name: "diamond", categories: ["shapes"] },
  { name: "digital-ocean", categories: ["development"] },
  { name: "disc", categories: ["multimedia"] },
  { name: "discord", categories: ["brand"] },
  { name: "discussion", categories: ["misc"] },
  { name: "discussion-closed", categories: ["misc"] },
  { name: "discussion-duplicated", categories: ["misc"] },
  { name: "discussion-outdated", categories: ["misc"] },
  { name: "divide", categories: ["math"] },
  { name: "divide-heavy", categories: ["math"] },
  { name: "download", categories: ["ui"] },
  { name: "draft", categories: ["ui"] },
  { name: "drag", categories: ["arrows", "ui"] },
  { name: "drag-alt", categories: ["ui"] },
  { name: "dribble", categories: ["brand"] },
  { name: "dropbox", categories: ["brand"] },
  { name: "edge", categories: ["browsers"] },
  { name: "eject", categories: ["multimedia"] },
  { name: "ellipsis", categories: ["misc"] },
  { name: "equal", categories: ["math"] },
  { name: "equal-heavy", categories: ["math"] },
  { name: "expand", categories: ["arrows"] },
  { name: "eye", categories: ["ui"] },
  { name: "eye-slash", categories: ["ui"] },
  { name: "facebook", categories: ["brand"] },
  { name: "figma", categories: ["brand"] },
  { name: "filter", categories: ["ui"] },
  { name: "fingerprint", categories: ["misc"] },
  { name: "firefox", categories: ["browsers"] },
  { name: "flag", categories: ["ui"] },
  { name: "flag-alt", categories: ["ui"] },
  { name: "flame", categories: ["ui"] },
  { name: "flash", categories: ["ui"] },
  { name: "flash-circle", categories: ["ui", "circle"] },
  { name: "flash-o", categories: ["ui", "circle"] },
  { name: "focus", categories: ["ui"] },
  { name: "fold", categories: ["misc"] },
  { name: "fold-down", categories: ["misc"] },
  { name: "fold-up", categories: ["misc"] },
  { name: "format-bold", categories: ["typography"] },
  { name: "format-strikethrough", categories: ["typography"] },
  { name: "framer", categories: ["brand"] },
  { name: "function", categories: ["development"] },
  { name: "gauge", categories: ["time"] },
  { name: "ghost", categories: ["misc"] },
  { name: "gift", categories: ["misc"] },
  { name: "git", categories: ["development"] },
  { name: "git-branch", categories: ["development"] },
  { name: "git-commit", categories: ["development"] },
  { name: "git-compare", categories: ["development"] },
  { name: "git-fork", categories: ["development"] },
  { name: "git-merge", categories: ["development"] },
  { name: "git-pull-request", categories: ["development"] },
  { name: "github", categories: ["development"] },
  { name: "github-actions", categories: ["development"] },
  { name: "github-copilot", categories: ["development"] },
  { name: "gitlab", categories: ["development"] },
  { name: "gitter", categories: ["development"] },
  { name: "glass", categories: ["misc"] },
  { name: "glasses", categories: ["misc"] },
  { name: "globe", categories: ["ui"] },
  { name: "google", categories: ["brand"] },
  { name: "google-calendar", categories: ["brand"] },
  { name: "google-drive", categories: ["brand"] },
  { name: "google-meet", categories: ["brand"] },
  { name: "grabber", categories: ["ui"] },
  { name: "graph", categories: ["ui"] },
  { name: "greater-than", categories: ["math"] },
  { name: "greater-than-or-equal", categories: ["math"] },
  { name: "hash", categories: ["ui"] },
  { name: "headphone", categories: ["devices", "multimedia"] },
  { name: "heart", categories: ["ui"] },
  { name: "heart-o", categories: ["ui"] },
  { name: "help", categories: ["ui"] },
  { name: "hexagon", categories: ["shapes"] },
  { name: "history", categories: ["ui"] },
  { name: "home", categories: ["ui"] },
  { name: "hook", categories: ["misc"] },
  { name: "hourglass", categories: ["time"] },
  { name: "inbox", categories: ["ui"] },
  { name: "infinity", categories: ["misc"] },
  { name: "info", categories: ["ui"] },
  { name: "info-circle", categories: ["ui", "circle"] },
  { name: "info-o", categories: ["ui", "circle"] },
  { name: "instagram", categories: ["brand"] },
  { name: "invision", categories: ["brand"] },
  { name: "iterations", categories: ["ui"] },
  { name: "javascript", categories: ["development"] },
  { name: "jenkins", categories: ["development"] },
  { name: "jest", categories: ["development"] },
  { name: "jsfiddle", categories: ["development"] },
  { name: "key", categories: ["ui"] },
  { name: "key-alt", categories: ["ui"] },
  { name: "keyboard", categories: ["devices"] },
  { name: "keyhole-circle", categories: ["ui", "circle"] },
  { name: "keyhole-o", categories: ["ui", "circle"] },
  { name: "kotlin", categories: ["development"] },
  { name: "law", categories: ["misc"] },
  { name: "layout-grid", categories: ["layout"] },
  { name: "layout-grid-small", categories: ["layout"] },
  { name: "layout-list", categories: ["layout"] },
  { name: "layout-pin", categories: ["layout"] },
  { name: "leaf", categories: ["misc"] },
  { name: "less-than", categories: ["math"] },
  { name: "less-than-or-equal", categories: ["math"] },
  { name: "lightbulb", categories: ["misc"] },
  { name: "link", categories: ["ui"] },
  { name: "linkedin", categories: ["brand"] },
  { name: "live", categories: ["multimedia"] },
  { name: "live-photo", categories: ["multimedia"] },
  { name: "loadbar", categories: ["loaders"] },
  { name: "loadbar-alt", categories: ["loaders"] },
  { name: "loadbar-doc", categories: ["loaders"] },
  { name: "loadbar-sound", categories: ["loaders"] },
  { name: "location", categories: ["ui"] },
  { name: "log", categories: ["misc"] },
  { name: "loom", categories: ["brand"] },
  { name: "mail", categories: ["ui"] },
  { name: "mail-read", categories: ["ui"] },
  { name: "markdown", categories: ["development"] },
  { name: "megaphone", categories: ["misc"] },
  { name: "mention", categories: ["ui"] },
  { name: "menu-close", categories: ["ui"] },
  { name: "menu-open", categories: ["ui"] },
  { name: "menu-round-circle", categories: ["ui", "circle"] },
  { name: "menu-round-o", categories: ["ui", "circle"] },
  { name: "message", categories: ["ui"] },
  { name: "message-circle", categories: ["ui", "circle"] },
  { name: "message-o", categories: ["ui", "circle"] },
  { name: "messenger", categories: ["brand"] },
  { name: "meta", categories: ["brand"] },
  { name: "meter", categories: ["ui"] },
  { name: "mic", categories: ["devices", "multimedia"] },
  { name: "mic-slash", categories: ["devices", "multimedia"] },
  { name: "microsoft", categories: ["brand"] },
  { name: "microsoft-teams", categories: ["brand"] },
  { name: "microsoft-windows", categories: ["brand"] },
  { name: "middleware", categories: ["development"] },
  { name: "milestone", categories: ["misc"] },
  { name: "minus", categories: ["math"] },
  { name: "minus-heavy", categories: ["math"] },
  { name: "minus-circle", categories: ["ui", "circle"] },
  { name: "minus-o", categories: ["ui", "circle"] },
  { name: "minus-r", categories: ["ui", "square"] },
  { name: "money-sign", categories: ["misc"] },
  { name: "moon", categories: ["misc"] },
  { name: "more", categories: ["ui"] },
  { name: "more-circle", categories: ["ui", "circle"] },
  { name: "more-o", categories: ["ui", "circle"] },
  { name: "more-r", categories: ["ui", "square"] },
  { name: "more-vertical", categories: ["ui"] },
  { name: "more-vertical-circle", categories: ["ui", "circle"] },
  { name: "more-vertical-o", categories: ["ui", "circle"] },
  { name: "more-vertical-r", categories: ["ui", "square"] },
  { name: "multi-select", categories: ["ui"] },
  { name: "music-note", categories: ["multimedia"] },
  { name: "music-note-alt", categories: ["multimedia"] },
  { name: "next", categories: ["multimedia"] },
  { name: "next-o", categories: ["multimedia", "circle"] },
  { name: "next-r", categories: ["multimedia", "square"] },
  { name: "next.js", categories: ["development"] },
  { name: "node.js", categories: ["development"] },
  { name: "not-equal", categories: ["math"] },
  { name: "note", categories: ["ui"] },
  { name: "notebook", categories: ["ui"] },
  { name: "npm", categories: ["development"] },
  { name: "numbers", categories: ["ui"] },
  { name: "opera", categories: ["browsers"] },
  { name: "option-key", categories: ["devices"] },
  { name: "options", categories: ["ui"] },
  { name: "organization", categories: ["ui"] },
  { name: "package", categories: ["misc"] },
  { name: "paintbrush", categories: ["ui"] },
  { name: "palette", categories: ["ui"] },
  { name: "paperclip", categories: ["ui"] },
  { name: "password", categories: ["ui"] },
  { name: "patreon", categories: ["brand"] },
  { name: "pause", categories: ["multimedia"] },
  { name: "pause-o", categories: ["multimedia", "circle"] },
  { name: "pause-r", categories: ["multimedia", "square"] },
  { name: "paypal", categories: ["brand"] },
  { name: "pen", categories: ["ui"] },
  { name: "pencil", categories: ["ui"] },
  { name: "percent", categories: ["math"] },
  { name: "phone", categories: ["devices"] },
  { name: "phone-o", categories: ["devices"] },
  { name: "pi", categories: ["math"] },
  { name: "pin", categories: ["ui"] },
  { name: "pin-slash", categories: ["ui"] },
  { name: "play", categories: ["multimedia"] },
  { name: "play-backwards", categories: ["multimedia"] },
  { name: "play-forwards", categories: ["multimedia"] },
  { name: "play-o", categories: ["multimedia", "circle"] },
  { name: "play-r", categories: ["multimedia", "square"] },
  { name: "playlist", categories: ["multimedia"] },
  { name: "playlist-add", categories: ["multimedia"] },
  { name: "playlist-check", categories: ["multimedia"] },
  { name: "playlist-remove", categories: ["multimedia"] },
  { name: "playlist-search", categories: ["multimedia"] },
  { name: "plus", categories: ["math"] },
  { name: "plus-heavy", categories: ["math"] },
  { name: "plus-circle", categories: ["ui", "circle"] },
  { name: "plus-minus", categories: ["math"] },
  { name: "plus-minus-slash", categories: ["math"] },
  { name: "plus-o", categories: ["ui", "circle"] },
  { name: "plus-r", categories: ["ui", "square"] },
  { name: "podcast", categories: ["multimedia"] },
  { name: "previous", categories: ["multimedia"] },
  { name: "previous-o", categories: ["multimedia", "circle"] },
  { name: "previous-r", categories: ["multimedia", "square"] },
  { name: "product-hunt", categories: ["brand"] },
  { name: "project", categories: ["misc"] },
  { name: "pulse", categories: ["ui"] },
  { name: "puzzle", categories: ["misc"] },
  { name: "python", categories: ["development"] },
  { name: "ram", categories: ["devices"] },
  { name: "react", categories: ["development"] },
  { name: "record-o", categories: ["multimedia", "circle"] },
  { name: "redux", categories: ["development"] },
  { name: "repeat", categories: ["multimedia", "ui"] },
  { name: "repo", categories: ["misc"] },
  { name: "report", categories: ["misc"] },
  { name: "return", categories: ["ui"] },
  { name: "roadmap", categories: ["misc"] },
  { name: "rocket", categories: ["misc"] },
  { name: "rocket-chat", categories: ["brand"] },
  { name: "route", categories: ["development"] },
  { name: "rust", categories: ["development"] },
  { name: "safari", categories: ["browsers"] },
  { name: "safe", categories: ["misc"] },
  { name: "send", categories: ["ui"] },
  { name: "send-alt", categories: ["ui"] },
  { name: "server", categories: ["development"] },
  { name: "server-alt", categories: ["development"] },
  { name: "serverless", categories: ["development"] },
  { name: "serverless-alt", categories: ["development"] },
  { name: "share", categories: ["ui"] },
  { name: "shareplay", categories: ["multimedia"] },
  { name: "share-mobile", categories: ["ui"] },
  { name: "shield", categories: ["misc"] },
  { name: "shield-slash", categories: ["misc"] },
  { name: "shift-key", categories: ["devices"] },
  { name: "shortcuts", categories: ["ui"] },
  { name: "shuffle", categories: ["multimedia"] },
  { name: "side-by-side", categories: ["ui"] },
  { name: "sigma", categories: ["math"] },
  { name: "sign-in", categories: ["ui"] },
  { name: "sign-out", categories: ["ui"] },
  { name: "single-select", categories: ["ui"] },
  { name: "skype", categories: ["brand"] },
  { name: "slack", categories: ["brand"] },
  { name: "sort", categories: ["ui"] },
  { name: "sort-asc", categories: ["ui"] },
  { name: "sort-desc", categories: ["ui"] },
  { name: "sparkle", categories: ["ui"] },
  { name: "sparkle-o", categories: ["ui"] },
  { name: "sparkles", categories: ["ui"] },
  { name: "speaker", categories: ["multimedia"] },
  { name: "spotify", categories: ["brand"] },
  { name: "square", categories: ["shapes"] },
  { name: "square-payments", categories: ["brand"] },
  { name: "square-root", categories: ["math"] },
  { name: "stack", categories: ["layout"] },
  { name: "stacked", categories: ["ui"] },
  { name: "star", categories: ["ui"] },
  { name: "star-half", categories: ["ui"] },
  { name: "star-o", categories: ["ui"] },
  { name: "star-half-o", categories: ["ui"] },
  { name: "stop", categories: ["multimedia"] },
  { name: "stop-o", categories: ["multimedia", "circle"] },
  { name: "stop-r", categories: ["multimedia", "square"] },
  { name: "stop-sign", categories: ["misc"] },
  { name: "stopwatch", categories: ["time"] },
  { name: "storybook", categories: ["brand"] },
  { name: "student", categories: ["misc"] },
  { name: "style", categories: ["ui"] },
  { name: "sun", categories: ["misc"] },
  { name: "svelte", categories: ["development"] },
  { name: "swift", categories: ["development"] },
  { name: "sync", categories: ["ui"] },
  { name: "sync-alt", categories: ["ui"] },
  { name: "tab-key", categories: ["devices"] },
  { name: "tag", categories: ["ui"] },
  { name: "tags", categories: ["ui"] },
  { name: "tasklist", categories: ["ui"] },
  { name: "template", categories: ["layout"] },
  { name: "terminal", categories: ["development"] },
  { name: "thumbs-down", categories: ["ui"] },
  { name: "thumbs-up", categories: ["ui"] },
  { name: "tidal", categories: ["brand"] },
  { name: "timelapse", categories: ["time"] },
  { name: "timer", categories: ["time"] },
  { name: "times", categories: ["math"] },
  { name: "times-heavy", categories: ["math"] },
  { name: "tools", categories: ["ui"] },
  { name: "tools-alt", categories: ["ui"] },
  { name: "touch-id", categories: ["devices"] },
  { name: "travis-ci", categories: ["development"] },
  { name: "tree", categories: ["misc"] },
  { name: "trello", categories: ["brand"] },
  { name: "triangle", categories: ["shapes"] },
  { name: "trophy", categories: ["misc"] },
  { name: "tumblr", categories: ["brand"] },
  { name: "twilio", categories: ["development"] },
  { name: "twitch", categories: ["brand"] },
  { name: "twitter", categories: ["brand"] },
  { name: "typescript", categories: ["development"] },
  { name: "unavailable-o", categories: ["ui", "circle"] },
  { name: "unblock-o", categories: ["ui", "circle"] },
  { name: "unfold", categories: ["misc"] },
  { name: "unlink", categories: ["ui"] },
  { name: "unread", categories: ["ui"] },
  { name: "unverified", categories: ["misc"] },
  { name: "upload", categories: ["ui"] },
  { name: "user", categories: ["ui"] },
  { name: "user-add", categories: ["ui"] },
  { name: "user-remove", categories: ["ui"] },
  { name: "users", categories: ["ui"] },
  { name: "vector", categories: ["ui"] },
  { name: "vercel", categories: ["development"] },
  { name: "verified", categories: ["misc"] },
  { name: "versions", categories: ["development"] },
  { name: "video", categories: ["multimedia"] },
  { name: "video-camera", categories: ["devices", "multimedia"] },
  { name: "vimeo", categories: ["brand"] },
  { name: "vinyl", categories: ["multimedia"] },
  { name: "volume-high", categories: ["multimedia"] },
  { name: "volume-low", categories: ["multimedia"] },
  { name: "volume-mid", categories: ["multimedia"] },
  { name: "vscode", categories: ["development"] },
  { name: "vue", categories: ["development"] },
  { name: "wand", categories: ["misc"] },
  { name: "wave", categories: ["misc"] },
  { name: "webcam", categories: ["devices", "multimedia"] },
  { name: "webhook", categories: ["development"] },
  { name: "website", categories: ["ui"] },
  { name: "webstorm", categories: ["development"] },
  { name: "whatsapp", categories: ["brand"] },
  { name: "wheelchair", categories: ["ui"] },
  { name: "wi-fi", categories: ["devices"] },
  { name: "workflow", categories: ["development"] },
  { name: "workplace", categories: ["brand"] },
  { name: "youtube", categories: ["brand"] },
  { name: "zap", categories: ["ui"] },
  { name: "zigzag", categories: ["shapes"] },
  { name: "zoom", categories: ["brand"] }
];
var icons = [...iconsCustom, ...iconsPack].sort((0, import_helpers8.sortByLocaleCompare)("name"));
var sizes = ["sm", "md", "lg"];
var textSizes = ["xxs", "xs", ...sizes, "xl"];
var textDefaultOptions = {
  bold: false,
  italic: false,
  size: "md"
};

// src/components/Divider/useDivider.ts
var defaultProps = {
  ...textDefaultOptions,
  align: "center",
  borderSize: "sm",
  borderStyle: "solid",
  color: "gray.200",
  gap: "xs",
  length: "100%",
  minBorderWidth: 50,
  orientation: "horizontal",
  spacing: "md"
};
function useDivider(props) {
  return useComponentProps(props, defaultProps);
}

// src/components/Divider/Divider.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var borderSizes = {
  sm: "1px",
  md: "2px",
  lg: "4px"
};
var StyledDivider = (0, import_styled.default)("div", getStyledOptions("type"))(
  {
    alignItems: "center",
    flexDirection: "row",
    display: "flex",
    lineHeight: 1,
    position: "relative"
  },
  (props) => {
    const {
      align,
      borderSize,
      borderStyle,
      children,
      color,
      gap,
      length,
      minBorderWidth,
      orientation,
      spacing: spacing2,
      theme
    } = props;
    const { spacing: spacingTheme } = theme;
    const isHorizontal = orientation === "horizontal";
    let marginStart = 0;
    let marginEnd = 0;
    let mainColor = color;
    if (spacing2) {
      if (Array.isArray(spacing2)) {
        marginStart = spacing2[0] ? spacingTheme[spacing2[0]] : 0;
        marginEnd = spacing2[1] ? spacingTheme[spacing2[1]] : 0;
      } else {
        marginStart = spacingTheme[spacing2];
        marginEnd = spacingTheme[spacing2];
      }
    }
    if (color !== "transparent") {
      ({ mainColor } = getColorTokens(color, null, theme));
    }
    const selectedDimension = borderSizes[borderSize];
    const margin = isHorizontal ? import_react6.css`
          margin-bottom: ${marginStart};
          margin-top: ${marginEnd};
        ` : import_react6.css`
          margin-left: ${marginStart};
          margin-right: ${marginEnd};
        `;
    if (isHorizontal && children) {
      return import_react6.css`
        color: ${mainColor};
        ${margin};
        width: ${(0, import_helpers9.px)(length)};
        ${alignStyles(props)};
        ${getStyles((0, import_helpers9.omit)(props, "align"), { useFontSize: true })};

        &:before,
        &:after {
          border-top: ${borderSizes[borderSize]} ${borderStyle} ${mainColor};
          content: '';
          display: inline-flex;
          min-width: ${(0, import_helpers9.px)(minBorderWidth)};
          flex-grow: 1;
        }

        &:before {
          flex-grow: ${["center", "right"].includes(align) ? 1 : 0};
          margin-right: ${spacingTheme[gap]};
        }

        &:after {
          flex-grow: ${["center", "left"].includes(align) ? 1 : 0};
          margin-left: ${spacingTheme[gap]};
        }
      `;
    }
    return import_react6.css`
      border-bottom: ${isHorizontal ? `${selectedDimension} ${borderStyle} ${mainColor}` : void 0};
      border-left: ${isHorizontal ? void 0 : `${selectedDimension} ${borderStyle} ${mainColor}`};
      height: ${isHorizontal ? void 0 : (0, import_helpers9.px)(length)};
      ${margin};
      text-indent: -9999px;
      width: ${(0, import_helpers9.px)(isHorizontal ? length : selectedDimension)};
      ${marginStyles(props)};
    `;
  }
);
function Divider(props) {
  const { componentProps, getDataAttributes } = useDivider(props);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(StyledDivider, { ...getDataAttributes("Divider"), role: "separator", ...componentProps });
}
Divider.displayName = "Divider";

// src/components/Accordion/AccordionItem.tsx
var import_react17 = require("react");

// src/components/Collapse/Collapse.tsx
var import_react13 = require("react");
var import_react14 = require("@emotion/react");
var import_styled5 = __toESM(require("@emotion/styled"));
var import_helpers12 = require("@gilbarbara/helpers");
var import_hooks2 = require("@gilbarbara/hooks");
var import_is_lite3 = __toESM(require("is-lite"));

// src/components/ButtonUnstyled/ButtonUnstyled.tsx
var import_react10 = require("react");
var import_react11 = require("@emotion/react");
var import_styled3 = __toESM(require("@emotion/styled"));

// src/components/Icon/Icon.tsx
var import_react8 = require("react");
var import_react_inlinesvg = __toESM(require("react-inlinesvg"));
var import_react_innertext = __toESM(require("react-innertext"));
var import_react9 = require("@emotion/react");
var import_styled2 = __toESM(require("@emotion/styled"));
var import_helpers11 = require("@gilbarbara/helpers");

// src/modules/animations.ts
var import_react7 = require("@emotion/react");
var import_helpers10 = require("@gilbarbara/helpers");
var import_scroll = __toESM(require("scroll"));
function animateIcon(target, color, theme = theme_exports) {
  const { mainColor } = getColorTokens(color, null, theme);
  if (!target) {
    return;
  }
  const style = `color: ${mainColor}; position: absolute; top: ${target.offsetTop}px;
    left: ${target.offsetLeft}px;
    transition: opacity 0.6s, transform 0.6s;`;
  const iconClone = document.createElement("span");
  iconClone.innerHTML = target.innerHTML;
  iconClone.setAttribute("style", style);
  target.parentElement?.appendChild(iconClone);
  setTimeout(() => {
    iconClone.setAttribute("style", `${style}opacity:0;transform: scale(4);`);
  }, 100);
  iconClone.addEventListener("transitionend", () => {
    if (iconClone.parentNode !== null) {
      iconClone.parentNode.removeChild(iconClone);
    }
  });
}
var fadeIn = import_react7.keyframes`
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
`;
var fadeOut = import_react7.keyframes`
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
`;
var fadeInOut = import_react7.keyframes`
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
`;
var horizontalScale = import_react7.keyframes`
  0% {
    transform: translateX(-50%) scaleX(.2);
  }
  
  100% {
    transform: translateX(100%) scaleX(1);
  }
`;
var ripple = import_react7.keyframes`
  0% {
    transform: scale(0);
    opacity: 1;
  }
  
  100% {
    transform: scale(1.1);
    opacity: 0;
  }
`;
var rotate = import_react7.keyframes`
  100% {
    transform: rotate(360deg);
  }
`;
function scrollDocument() {
  return document.scrollingElement || document.createElement("body");
}
function scrollTo(value, options = {}) {
  const { element = scrollDocument(), scrollDuration = 400 } = options;
  return new Promise((resolve, reject) => {
    const { scrollTop } = element;
    const nextValue = scrollDocument().scrollTop + value;
    const limit = nextValue > scrollTop ? nextValue - scrollTop : scrollTop - nextValue;
    import_scroll.default.top(element, nextValue, { duration: limit < 100 ? 50 : scrollDuration }, (error) => {
      if (error && error.message !== "Element already at target scroll position") {
        return reject(error);
      }
      return resolve();
    });
  });
}

// src/components/Icon/useIcon.ts
var defaultProps3 = {
  size: 16,
  spin: false
};
function useIcon(props) {
  return useComponentProps(props, defaultProps3);
}

// src/components/Icon/Icon.tsx
var import_jsx_runtime2 = require("react/jsx-runtime");
var loadBar = import_react9.keyframes`
  0%, 100% { transform: translateX(0); width: 4px; }
  25%, 75% { transform: translateX(0); width: 24px; }
  50% { transform: translateX(20px); width: 4px }
`;
var loadBarDocument = import_react9.keyframes`
  0%, 10% { transform: translateX(-100%) }
  50%, 60% { transform: translateX(0) }
`;
var loadBarSound = import_react9.keyframes`
  10% {transform: scaleY(0.2) }
  30% {transform: scaleY(0.8) }
  60% {transform: scaleY(0.7) }
  80% {transform: scaleY(0.2) }
  100% {transform: scaleY(1) }
`;
var StyledIcon = (0, import_styled2.default)("span", getStyledOptions())(
  {
    display: "inline-flex",
    lineHeight: 1
  },
  (props) => {
    const { color, name = "", size, spin, theme } = props;
    let iconColor = color ?? "inherit";
    if (color) {
      const { mainColor } = getColorTokens(color, null, theme);
      iconColor = mainColor;
    }
    return import_react9.css`
      color: ${iconColor};
      height: ${(0, import_helpers11.px)(size)};
      width: ${(0, import_helpers11.px)(size)};
      ${getStyles((0, import_helpers11.omit)(props, "size"))};

      > * {
        ${(!!spin || name.startsWith("spinner")) && import_react9.css`
          animation: ${rotate} 1s infinite linear;
        `};
      }

      ${["loadbar", "loadbar-alt"].includes(name) && import_react9.css`
        rect:last-of-type {
          animation: ${loadBar} 2s infinite linear;
        }
      `};

      ${name === "loadbar-doc" && import_react9.css`
        g > rect {
          animation: ${loadBarDocument} 1s linear infinite alternate;
        }
      `};

      ${name === "loadbar-sound" && import_react9.css`
        g > rect {
          animation: ${loadBarSound} 1s linear infinite alternate;
          transform: scaleY(0);
          transform-origin: bottom;

          &:nth-of-type(2) {
            animation-delay: 0.2s;
          }

          &:nth-of-type(3) {
            animation-delay: 0.4s;
          }
        }
      `};
    `;
  }
);
var Icon = (0, import_react8.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useIcon(props);
  const { name, size = 16, title, url, ...rest } = componentProps;
  const iconURL = (0, import_react8.useMemo)(() => {
    if (name) {
      const urlPrefix = iconsCustom.some((d) => d.name === name) ? "https://files.gilbarbara.dev/icons/" : "https://cdn.jsdelivr.net/npm/css.gg/icons/svg/";
      return `${urlPrefix}${name}.svg`;
    } else if (url) {
      return url;
    }
    return "";
  }, [name, url]);
  if (!iconURL) {
    return null;
  }
  let titleSVG;
  if (title !== null) {
    titleSVG = title ? (0, import_react_innertext.default)(title) : name;
  } else {
    titleSVG = null;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(StyledIcon, { ref, name, size, ...getDataAttributes("Icon"), ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(import_react_inlinesvg.default, { height: size, src: iconURL, title: titleSVG, width: size }) });
});
Icon.displayName = "Icon";

// src/components/ButtonUnstyled/useButtonUnstyled.ts
var defaultProps4 = {
  ...textDefaultOptions,
  align: "center",
  busy: false,
  disabled: false,
  type: "button"
};
function useButtonUnstyled(props) {
  return useComponentProps(props, defaultProps4);
}

// src/components/ButtonUnstyled/ButtonUnstyled.tsx
var import_jsx_runtime3 = require("react/jsx-runtime");
var StyledButtonUnstyled = (0, import_styled3.default)("button", getStyledOptions())(
  {
    backgroundColor: "transparent",
    border: 0,
    color: "inherit",
    cursor: "pointer",
    display: "inline-flex",
    fontFamily: "inherit",
    lineHeight: 1,
    padding: 0
  },
  (props) => {
    return import_react11.css`
      ${appearanceStyles};
      ${getStyles(props, { useFontSize: true })};

      :disabled {
        cursor: not-allowed;
        opacity: ${props.theme.opacityDisabled};
      }
    `;
  }
);
var ButtonUnstyled = (0, import_react10.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useButtonUnstyled(props);
  const { busy, children } = componentProps;
  const { fontSize = "16px" } = textStyles(componentProps);
  return /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)(StyledButtonUnstyled, { ref, ...getDataAttributes("ButtonUnstyled"), ...componentProps, children: [
    children,
    busy && /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(Icon, { ml: "xxs", name: "spinner", size: parseInt(`${fontSize}`, 10) + 2, spin: true })
  ] });
});
ButtonUnstyled.displayName = "ButtonUnstyled";

// src/components/Flex/Flex.tsx
var import_react12 = require("react");
var import_styled4 = __toESM(require("@emotion/styled"));

// src/components/Flex/useFlex.ts
var flexDefaultProps = {
  display: "flex"
};
var flexCenterDefaultProps = {
  align: "center",
  direction: "column",
  display: "flex",
  justify: "center"
};
var flexInlineDefaultProps = {
  align: "center",
  as: "span",
  direction: "row",
  display: "inline-flex"
};
function useFlex(props, type) {
  let defaultProps61 = flexDefaultProps;
  if (type === "FlexCenter") {
    defaultProps61 = flexCenterDefaultProps;
  } else if (type === "FlexInline") {
    defaultProps61 = flexInlineDefaultProps;
  }
  return useComponentProps(props, defaultProps61);
}

// src/components/Flex/Flex.tsx
var import_jsx_runtime4 = require("react/jsx-runtime");
var StyledFlex = (0, import_styled4.default)("div", getStyledOptions("fill"))(
  {},
  (props) => getStyles(props, { skipBorder: true, useFontSize: true })
);
var Flex = (0, import_react12.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useFlex(props, "Flex");
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(StyledFlex, { ref, ...getDataAttributes("Flex"), ...componentProps });
});
Flex.displayName = "Box";
var FlexCenter = (0, import_react12.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useFlex(props, "FlexCenter");
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(StyledFlex, { ref, ...getDataAttributes("FlexCenter"), ...componentProps });
});
FlexCenter.displayName = "FlexCenter";
var FlexInline = (0, import_react12.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useFlex(props, "FlexInline");
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(StyledFlex, { ref, ...getDataAttributes("FlexInline"), ...componentProps });
});
FlexInline.displayName = "FlexInline";

// src/components/Collapse/useCollapse.ts
var defaultProps5 = {
  animationEnterDuration: 0.3,
  animationExitDuration: 0.3,
  "aria-label": "Toggle the content",
  componentName: "Collapse",
  defaultOpen: false,
  disabled: false,
  gap: "xs",
  headerAlign: "start",
  hideHeaderToggle: false,
  initialHeight: 0,
  showBottomToggle: false
};
function useCollapse(props) {
  return useComponentProps(props, defaultProps5);
}

// src/components/Collapse/Collapse.tsx
var import_jsx_runtime5 = require("react/jsx-runtime");
var StyledCollapse = (0, import_styled5.default)("div")(
  {
    display: "flex",
    flexDirection: "column"
  },
  (props) => getStyles(props)
);
var Header = import_styled5.default.button((props) => {
  const { bg = "primary", color, disabled, gap, theme } = props;
  const { opacity: opacity2, spacing: spacing2 } = theme;
  const { mainColor } = getColorTokens(bg, color, theme);
  return import_react14.css`
    all: unset;
    align-items: center;
    cursor: pointer;
    display: flex;
    gap: ${spacing2[gap]};
    justify-content: space-between;
    width: 100%;
    ${outlineStyles(mainColor, theme)};

    ${disabled && import_react14.css`
      cursor: not-allowed;
      opacity: ${opacity2.medium};
    `}
  `;
});
var getContentAnimation = (initialHeight, endHeight, marginTop) => import_react14.keyframes`
  0% {
    height: ${(0, import_helpers12.px)(initialHeight)};
    opacity: ${initialHeight ? 1 : 0};
    margin-top: 0;
    visibility: hidden;
  }
  100% {
    height: ${(0, import_helpers12.px)(endHeight)};
    opacity: 1;
    margin-top: ${marginTop};
    visibility: visible;
  }
`;
var Content = (0, import_styled5.default)("div")((props) => {
  const {
    animationEnterDuration,
    animationExitDuration,
    hasTitle,
    initialHeight,
    isOpen,
    maxHeight,
    scrollHeight,
    shouldAnimate,
    theme
  } = props;
  const { spacing: spacing2 } = theme;
  let animation3;
  let height = initialHeight;
  let marginTop = hasTitle ? spacing2.xs : void 0;
  if (shouldAnimate) {
    animation3 = import_react14.css`
      animation: ${getContentAnimation(initialHeight, maxHeight ?? scrollHeight, marginTop)}
        ${isOpen ? animationEnterDuration : animationExitDuration}s ease-in-out forwards
        ${isOpen ? "" : " reverse"};
    `;
  } else {
    height = isOpen ? maxHeight || scrollHeight || "auto" : initialHeight;
    marginTop = isOpen ? marginTop : void 0;
  }
  return import_react14.css`
    ${animation3};
    height: ${(0, import_helpers12.px)(height)};
    margin-top: ${marginTop};
    overflow: hidden;
    visibility: ${isOpen ? "visible" : "hidden"};
  `;
});
var HeaderToggle = (0, import_styled5.default)("span")((props) => {
  const { isOpen } = props;
  return import_react14.css`
    align-self: center;
    display: inline-flex;
    transform: rotate(${isOpen ? -90 : 0}deg);
    transition: transform 0.3s;
    transform-origin: center;
  `;
});
function Collapse(props) {
  const {
    componentProps: {
      "aria-label": ariaLabel,
      bottomToggle,
      componentName,
      defaultOpen,
      disabled,
      gap,
      headerAlign,
      headerToggle = /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(Icon, { name: "chevron-left", title: null }),
      hideHeaderToggle,
      id,
      onToggle,
      open,
      role,
      showBottomToggle,
      startContent,
      title,
      ...rest
    },
    getDataAttributes
  } = useCollapse(props);
  const contentId = (0, import_react13.useId)();
  const isControlled = import_is_lite3.default.boolean(open);
  const [isOpen, setIsOpen] = (0, import_react13.useState)(isControlled ? open : defaultOpen);
  const [shouldAnimate, setShouldAnimate] = (0, import_react13.useState)(false);
  const contentRef = (0, import_react13.useRef)(null);
  const previousIsOpen = (0, import_hooks2.usePrevious)(isOpen);
  (0, import_react13.useEffect)(() => {
    if (isControlled) {
      setIsOpen(open);
      setShouldAnimate(import_is_lite3.default.boolean(previousIsOpen) && previousIsOpen !== open);
    }
  }, [isControlled, open, previousIsOpen]);
  const handleAnimationEnd = () => {
    setShouldAnimate(false);
  };
  const handleClickToggle = () => {
    if (!isControlled) {
      setIsOpen(!isOpen);
      setShouldAnimate(true);
    }
    onToggle?.(isControlled ? open : !isOpen, id);
  };
  const hasTitle = Boolean(title);
  const toggleProps = {
    "aria-controls": contentId,
    "aria-expanded": isOpen,
    "aria-label": ariaLabel,
    "data-open": isOpen,
    "data-disabled": disabled,
    disabled,
    onClick: handleClickToggle
  };
  const content = {};
  if (!hideHeaderToggle) {
    content.headerToggle = /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(HeaderToggle, { isOpen, children: import_is_lite3.default.function(headerToggle) ? headerToggle({ isOpen, isDisabled: disabled }) : headerToggle });
  }
  if (startContent) {
    content.startContent = (0, import_react13.isValidElement)(startContent) ? startContent : /* @__PURE__ */ (0, import_jsx_runtime5.jsx)("span", { ...getDataAttributes("AccordionItemStartContent"), children: startContent });
  }
  if (hasTitle) {
    content.header = /* @__PURE__ */ (0, import_jsx_runtime5.jsxs)(
      Header,
      {
        ...getDataAttributes(`${componentName}Header`),
        ...toggleProps,
        role,
        ...rest,
        gap,
        children: [
          /* @__PURE__ */ (0, import_jsx_runtime5.jsxs)(FlexInline, { flex: true, gap, children: [
            content.startContent,
            (0, import_react13.isValidElement)(title) ? title : /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(
              FlexInline,
              {
                align: headerAlign,
                ...getDataAttributes(`${componentName}Title`),
                direction: "column",
                flex: true,
                size: "lg",
                theme: rest.theme,
                children: title
              }
            )
          ] }),
          content.headerToggle
        ]
      }
    );
  }
  if (showBottomToggle) {
    content.footer = /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(Flex, { mt: "xs", ...getDataAttributes(`${componentName}Footer`), children: bottomToggle ? bottomToggle({ isOpen, toggleProps }) : /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(ButtonUnstyled, { color: "gray.500", size: "xs", ...toggleProps, children: isOpen ? "hide" : "show more" }) });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime5.jsxs)(StyledCollapse, { ...getDataAttributes(componentName), ...rest, children: [
    content.header,
    /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(
      Content,
      {
        ref: contentRef,
        ...getDataAttributes(`${componentName}Content`),
        hasTitle,
        id: contentId,
        isOpen,
        onAnimationEnd: handleAnimationEnd,
        scrollHeight: contentRef.current?.scrollHeight ?? 0,
        shouldAnimate,
        ...rest
      }
    ),
    content.footer
  ] });
}
Collapse.displayName = "Collapse";

// src/components/Text/Text.tsx
var import_react15 = require("react");
var import_styled6 = __toESM(require("@emotion/styled"));

// src/components/Text/useText.ts
function useText(props) {
  return useComponentProps(props, textDefaultOptions);
}

// src/components/Text/Text.tsx
var import_jsx_runtime6 = require("react/jsx-runtime");
var StyledText = (0, import_styled6.default)("span", getStyledOptions())(
  {
    display: "inline-block",
    textDecoration: "inherit"
  },
  (props) => getStyles(props, { skipSpacing: true, useFontSize: true })
);
var Text = (0, import_react15.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useText(props);
  return /* @__PURE__ */ (0, import_jsx_runtime6.jsx)(StyledText, { ref, ...getDataAttributes("Text"), ...componentProps });
});
Text.displayName = "Text";

// src/components/Accordion/useAccordion.ts
var import_react16 = require("react");
var import_hooks3 = require("@gilbarbara/hooks");
var import_is_lite4 = __toESM(require("is-lite"));
var defaultProps6 = {
  compact: false,
  disabled: false,
  headerAlign: "start",
  hideDivider: false,
  hideToggle: false,
  variant: "clean",
  selectionMode: "single"
};
function useAccordion(props, childType) {
  const { componentProps, getDataAttributes } = useComponentProps(props, defaultProps6);
  const { children, initialSelectedIds, onChange, selectedIds, selectionMode } = componentProps;
  const items = import_react16.Children.map(
    children,
    (child) => !(0, import_react16.isValidElement)(child) || child.type !== childType ? "" : child.props.id
  );
  const [activeItems, setActiveItems] = (0, import_react16.useState)(() => {
    let keys = [];
    if (selectedIds) {
      keys = selectedIds === "all" ? items : selectedIds;
    }
    if (initialSelectedIds) {
      keys = initialSelectedIds === "all" ? items : initialSelectedIds;
    }
    return keys;
  });
  const isControlled = import_is_lite4.default.defined(selectedIds);
  const isSelectable = selectionMode !== "none";
  const isSingle = selectionMode === "single";
  (0, import_hooks3.useEffectDeepCompare)(() => {
    if (selectedIds) {
      setActiveItems(selectedIds === "all" ? items : selectedIds);
    }
  }, [items, selectedIds]);
  const onToggle = (0, import_react16.useCallback)(
    (isOpen, id) => {
      if (!id) {
        return;
      }
      let nextActiveItems;
      if (isSingle) {
        nextActiveItems = !isOpen ? [id] : [];
      } else {
        nextActiveItems = !isOpen ? [...activeItems, id] : activeItems.filter((key) => key !== id);
      }
      onChange?.(nextActiveItems);
      if (isControlled || !isSelectable) {
        return;
      }
      setActiveItems(nextActiveItems);
    },
    [activeItems, isControlled, isSelectable, isSingle, onChange]
  );
  return {
    activeItems,
    componentProps,
    getDataAttributes,
    onToggle
  };
}
function useAccordionItem(props) {
  return useComponentProps(props);
}

// src/components/Accordion/AccordionItem.tsx
var import_jsx_runtime7 = require("react/jsx-runtime");
function AccordionItem(props) {
  return /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(AccordionItemBase, { ...props });
}
function AccordionItemBase(props) {
  const { componentProps, getDataAttributes } = useAccordionItem(props);
  const { children, compact, headerAlign, hideToggle, subtitle, title, ...rest } = componentProps;
  const content = {
    title: (0, import_react17.isValidElement)(title) ? title : /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(Text, { size: compact ? "md" : "lg", children: title })
  };
  if (subtitle) {
    content.subtitle = (0, import_react17.isValidElement)(subtitle) ? subtitle : /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(Text, { color: "gray.500", children: subtitle });
  }
  content.header = /* @__PURE__ */ (0, import_jsx_runtime7.jsxs)(
    FlexInline,
    {
      ...getDataAttributes("AccordionItemWrapper"),
      align: headerAlign,
      direction: "column",
      flex: true,
      py: compact ? void 0 : "xs",
      children: [
        content.title,
        content.subtitle
      ]
    }
  );
  return /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(
    Collapse,
    {
      componentName: "AccordionItem",
      hideHeaderToggle: hideToggle,
      ...rest,
      role: "region",
      title: content.header,
      children
    }
  );
}

// src/components/Accordion/Accordion.tsx
var import_jsx_runtime8 = require("react/jsx-runtime");
var StyledAccordion = (0, import_styled7.default)("div", getStyledOptions())(
  {
    display: "flex",
    flexDirection: "column"
  },
  (props) => {
    const { shadow: shadow2, theme, variant = "sm" } = props;
    const { darkColor: darkColor2, darkMode: darkMode2, grayScale: grayScale2, radius: radius2, shadow: themeShadow, spacing: spacing2, white: white2 } = theme;
    const variantStyles = {};
    if (["bordered", "shadow"].includes(variant)) {
      variantStyles.padding = `${spacing2.xs} ${spacing2.md}`;
      variantStyles.borderRadius = radius2.md;
    }
    if (variant === "bordered") {
      variantStyles.border = `2px solid ${grayScale2[200]} `;
    }
    if (["bordered", "shadow"].includes(variant)) {
      variantStyles.backgroundColor = darkMode2 ? darkColor2 : white2;
    }
    if (variant === "shadow" && !import_is_lite5.default.defined(shadow2)) {
      variantStyles.boxShadow = themeShadow.mid;
    }
    return import_react19.css`
      ${getStyles((0, import_helpers13.omit)(props, "variant"), { skipShadow: true })};
      ${variantStyles};
    `;
  }
);
function Accordion(props) {
  const { activeItems, componentProps, getDataAttributes, onToggle } = useAccordion(
    props,
    AccordionItem
  );
  const {
    children,
    compact,
    disabled,
    disabledIds,
    dividerProps,
    headerAlign,
    hideDivider,
    hideToggle,
    initialSelectedIds,
    onChange,
    selectedIds,
    selectionMode,
    theme,
    variant,
    ...rest
  } = componentProps;
  const ref = (0, import_react18.useRef)(null);
  const { addScope, removeScope } = useKeyboardNavigation(ref, {
    arrowNavigation: "vertical",
    selector: `[data-${theme.dataAttributeName}="AccordionItemHeader"]`
  });
  const handleClickToggle = (isOpen, id) => {
    onToggle(isOpen, id);
  };
  (0, import_hooks4.useLifecycleHooks)(
    () => {
      addScope();
    },
    () => {
      removeScope();
    }
  );
  const showDivider = !hideDivider;
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
    StyledAccordion,
    {
      ref,
      ...getDataAttributes("Accordion"),
      ...rest,
      theme,
      variant,
      children: import_react18.Children.map(children, (child, index) => {
        if (!(0, import_react18.isValidElement)(child) || child.type !== AccordionItem) {
          console.error("Invalid children detected. Only the AccordionItem component is allowed.");
          return null;
        }
        const { id, ...childProps } = child.props;
        const splitProps = {};
        const notLastChild = index < import_react18.Children.count(children) - 1;
        const isSplit = variant === "split";
        if (isSplit) {
          splitProps.px = "md";
          splitProps.radius = "sm";
          splitProps.shadow = "mid";
        }
        const isDisabled = disabled || disabledIds?.includes(id) || childProps.disabled;
        return /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)(import_react18.Fragment, { children: [
          /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
            AccordionItemBase,
            {
              compact,
              disabled: isDisabled,
              headerAlign,
              hideToggle: hideToggle ?? childProps.hideToggle,
              id,
              onToggle: handleClickToggle,
              open: activeItems.includes(id),
              py: "xs",
              ...childProps,
              ...splitProps
            }
          ),
          showDivider && notLastChild && /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
            Divider,
            {
              color: isSplit ? "transparent" : void 0,
              spacing: isSplit ? "xs" : 0,
              ...dividerProps
            }
          )
        ] }, id);
      })
    }
  );
}
Accordion.displayName = "Accordion";

// src/components/Alert/Alert.tsx
var import_react20 = require("react");
var import_react21 = require("@emotion/react");
var import_styled8 = __toESM(require("@emotion/styled"));

// src/components/Alert/useAlert.ts
function getColor(type, light) {
  const colors2 = {
    success: light ? "green.100" : "green.600",
    warning: light ? "orange.100" : "orange.600",
    error: light ? "red.100" : "red.600",
    info: light ? "blue.100" : "blue.600",
    neutral: light ? "gray.100" : "gray.600"
  };
  return colors2[type];
}
function getIconOptions(props) {
  const { bg, color, theme, type, variant } = props;
  const notSolid = ["bordered", "light"].includes(variant);
  let iconColor = getColorTokens(getColor(type), null, theme)[notSolid ? "mainColor" : "textColor"];
  if (bg) {
    iconColor = getColorTokens(bg, null, theme)[variant === "bordered" ? "mainColor" : "textColor"];
  }
  if (color) {
    iconColor = getColorTokens(color, null, theme).mainColor;
  }
  const options = {
    success: {
      color: iconColor,
      icon: "check-circle"
    },
    warning: {
      color: iconColor,
      icon: "danger-circle"
    },
    error: {
      color: iconColor,
      icon: "close-circle"
    },
    info: {
      color: iconColor,
      icon: "info-circle"
    },
    neutral: {
      color: iconColor,
      icon: "flash-o"
    }
  };
  return options[type];
}
var defaultProps7 = {
  align: "center",
  direction: "row",
  gap: "sm",
  hideIcon: false,
  iconSize: 20,
  padding: "md",
  radius: "xs",
  type: "success",
  variant: "solid",
  width: "100%"
};
function useAlert(props) {
  return useComponentProps(props, defaultProps7);
}

// src/components/Alert/Alert.tsx
var import_jsx_runtime9 = require("react/jsx-runtime");
var StyledAlert = (0, import_styled8.default)("div", getStyledOptions("type"))(
  {
    display: "flex",
    position: "relative",
    width: "100%"
  },
  (props) => {
    const { align, bg, direction, theme, type, variant } = props;
    let { mainColor, textColor: textColor2 } = getColorTokens(getColor(type, variant === "light"), null, theme);
    if (bg) {
      ({ mainColor, textColor: textColor2 } = getColorTokens(bg, null, theme));
    }
    let bgColor = mainColor;
    let border;
    let selectedColor = textColor2;
    if (variant === "bordered") {
      border = `1px solid ${mainColor}`;
      bgColor = "transparent";
      selectedColor = mainColor;
    } else if (variant === "light") {
      selectedColor = getColorTokens(getColor(type), null, theme).mainColor;
    }
    return import_react21.css`
      align-items: ${align};
      background-color: ${bgColor};
      border: ${border};
      color: ${selectedColor};
      flex-direction: ${direction};
      width: 100%;
      ${getStyles(props, { skipBorder: true })};
    `;
  }
);
var Alert = (0, import_react20.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useAlert(props);
  const { children, direction, hideIcon, icon, iconSize, type, ...rest } = componentProps;
  const selected = getIconOptions(componentProps);
  return /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)(
    StyledAlert,
    {
      ref,
      ...getDataAttributes("Alert"),
      direction,
      role: "alert",
      type,
      ...rest,
      children: [
        !hideIcon && /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(Icon, { color: selected.color, name: icon ?? selected.icon, size: iconSize }),
        (0, import_react20.isValidElement)(children) ? children : /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(Text, { children })
      ]
    }
  );
});
Alert.displayName = "Alert";

// src/components/Anchor/Anchor.tsx
var import_react22 = require("react");
var import_react23 = require("@emotion/react");
var import_styled9 = __toESM(require("@emotion/styled"));

// src/components/Anchor/useAnchor.ts
var import_helpers14 = require("@gilbarbara/helpers");
var defaultProps8 = {
  ...(0, import_helpers14.omit)(textDefaultOptions, "size"),
  color: "primary",
  external: false,
  gap: "xxs",
  hideDecoration: false
};
function useAnchor(props) {
  return useComponentProps(props, defaultProps8);
}

// src/components/Anchor/Anchor.tsx
var import_jsx_runtime10 = require("react/jsx-runtime");
var StyledAnchor = (0, import_styled9.default)("a", getStyledOptions())(
  {
    alignItems: "center",
    color: "inherit",
    cursor: "pointer",
    display: "inline-flex",
    padding: 0
  },
  (props) => {
    const { hideDecoration } = props;
    return import_react23.css`
      text-decoration: ${hideDecoration ? "none" : "underline"};
      ${getStyles(props, { lineHeightCustom: 1, useFontSize: true })};
    `;
  }
);
var Anchor = (0, import_react22.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useAnchor(props);
  const { children, endContent, external, startContent, ...rest } = componentProps;
  const additionalProps = {};
  if (external) {
    additionalProps.rel = "noopener noreferrer";
    additionalProps.target = "_blank";
  }
  const content = {};
  if (startContent) {
    content.startContent = (0, import_react22.isValidElement)(startContent) ? startContent : /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("span", { children: startContent });
  }
  if (endContent) {
    content.endContent = (0, import_react22.isValidElement)(endContent) ? endContent : /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("span", { children: endContent });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)(StyledAnchor, { ref, ...getDataAttributes("Anchor"), ...additionalProps, ...rest, children: [
    content.startContent,
    /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("span", { children }),
    content.endContent
  ] });
});
Anchor.displayName = "Anchor";

// src/components/AspectRatio/AspectRatio.tsx
var import_react24 = require("react");
var import_react25 = require("@emotion/react");
var import_styled10 = __toESM(require("@emotion/styled"));
var import_helpers15 = require("@gilbarbara/helpers");

// src/components/AspectRatio/useAspectRatio.ts
function useAspectRatio(props) {
  return useComponentProps(props);
}

// src/components/AspectRatio/AspectRatio.tsx
var import_jsx_runtime11 = require("react/jsx-runtime");
var StyledAspectRatio = (0, import_styled10.default)("div", getStyledOptions())(
  import_react25.css`
    display: flex;
    overflow: hidden;
    position: relative;
    width: 100%;

    &:before {
      content: '';
      display: flex;
      width: 100%;
    }

    > img,
    > video {
      object-fit: cover;
    }

    > * {
      align-self: center;
      display: flex;
      height: 100%;
      inset: 0;
      justify-content: center;
      position: absolute;
      width: 100%;
    }
  `,
  (props) => {
    const { maxWidth, ratio } = props;
    return import_react25.css`
      max-width: ${maxWidth ? (0, import_helpers15.px)(maxWidth) : "none"};
      ${getStyles(props)};

      &:before {
        padding-bottom: ${`${(0, import_helpers15.round)(1 / ratio * 100)}%`};
      }
    `;
  }
);
var AspectRatio = (0, import_react24.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useAspectRatio(props);
  return /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(StyledAspectRatio, { ref, ...getDataAttributes("AspectRatio"), ...componentProps });
});
AspectRatio.displayName = "AspectRatio";

// src/components/Avatar/Avatar.tsx
var import_react26 = require("react");
var import_react27 = require("@emotion/react");
var import_styled11 = __toESM(require("@emotion/styled"));
var import_helpers16 = require("@gilbarbara/helpers");

// src/components/Avatar/useAvatar.ts
var defaultProps9 = {
  bg: "primary",
  borderColor: "primary",
  bordered: false,
  size: "md",
  radius: "round"
};
function useAvatar(props) {
  return useComponentProps(props, defaultProps9);
}

// src/components/Avatar/Avatar.tsx
var import_jsx_runtime12 = require("react/jsx-runtime");
function getSize(props) {
  const { fontSize, size, theme } = props;
  const selectedSize = typeof size === "number" ? {
    size: `${size}px`,
    fontSize: `${size / 2}px`
  } : theme.avatar[size];
  if (fontSize) {
    selectedSize.fontSize = (0, import_helpers16.px)(fontSize);
  }
  return selectedSize;
}
var StyledAvatar = (0, import_styled11.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "flex",
    flexShrink: 0,
    justifyContent: "center",
    outlineOffset: "2px",
    overflow: "hidden"
  },
  (props) => {
    const { borderColor, bordered, theme } = props;
    const { size } = getSize(props);
    const { mainColor } = getColorTokens(borderColor, null, theme);
    return import_react27.css`
      outline: ${bordered ? `2px solid ${mainColor}` : "none"};
      height: ${size};
      width: ${size};
      ${getStyles((0, import_helpers16.omit)(props, "size"), { skipColor: true })};
    `;
  }
);
var Circle = (0, import_styled11.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "flex",
    justifyContent: "center",
    textAlign: "center"
  },
  (props) => {
    const { fontSize, size } = getSize(props);
    return import_react27.css`
      height: ${size};
      font-size: ${fontSize};
      width: ${size};
      ${colorStyles(props)};
    `;
  }
);
var Avatar = (0, import_react26.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useAvatar(props);
  const { fallback, image: image2, name, ...rest } = componentProps;
  const { size } = getSize(componentProps);
  let content;
  if (image2) {
    content = /* @__PURE__ */ (0, import_jsx_runtime12.jsx)("img", { alt: name ?? "User", height: size, src: image2, width: size });
  } else if (name) {
    content = /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(Circle, { ...rest, children: (0, import_helpers16.getInitials)(name).toUpperCase() });
  } else if (fallback) {
    content = /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(Circle, { ...rest, children: fallback });
  } else {
    const avatarSize = parseInt(size, 10);
    const iconSize = avatarSize * 0.7;
    content = /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(Circle, { ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(Icon, { name: "user", size: iconSize }) });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(
    StyledAvatar,
    {
      ref,
      "aria-label": name ?? "Unknown",
      ...getDataAttributes("Avatar"),
      ...rest,
      children: content
    }
  );
});
Avatar.displayName = "Avatar";

// src/components/Badge/Badge.tsx
var import_react28 = require("react");
var import_react29 = require("@emotion/react");
var import_styled12 = __toESM(require("@emotion/styled"));
var import_helpers17 = require("@gilbarbara/helpers");

// src/components/Badge/useBadge.ts
var defaultProps10 = {
  bg: "primary",
  hideBorder: false,
  dot: false,
  hideBadge: false,
  placement: "top-right",
  radius: "sm",
  shape: "rectangle",
  size: "md"
};
function useBadge(props) {
  return useComponentProps(props, defaultProps10);
}

// src/components/Badge/Badge.tsx
var import_jsx_runtime13 = require("react/jsx-runtime");
var StyledBadgeWrapper = (0, import_styled12.default)("div", getStyledOptions("shape"))(
  {
    display: "flex",
    position: "relative",
    width: "min-content"
  },
  (props) => getStyles(props, { skipColor: true })
);
var StyledBadge = (0, import_styled12.default)("span", getStyledOptions("shape"))(
  {
    alignItems: "center",
    display: "inline-flex",
    justifyContent: "center",
    lineHeight: 1,
    position: "absolute",
    transition: "opacity 0.3s"
  },
  (props) => {
    const {
      borderColor,
      dot,
      hideBadge,
      hideBorder,
      offsetX,
      offsetY,
      placement,
      shape,
      size,
      theme
    } = props;
    const { black: black2, darkMode: darkMode2, spacing: spacing2, typography: typography2, white: white2 } = theme;
    let borderColorValue = darkMode2 ? black2 : white2;
    const offsetValue = dot || shape === "circle" ? "10%" : "5%";
    const transformValue = dot ? "50%" : "40%";
    let position = {};
    if (borderColor) {
      borderColorValue = getColorTokens(borderColor, null, theme).mainColor;
    }
    const sizingMap = {
      sm: {
        fontSize: typography2.xs.fontSize,
        padding: dot ? void 0 : "2px",
        size: dot ? "12px" : "16px"
      },
      md: {
        fontSize: typography2.sm.fontSize,
        padding: dot ? void 0 : spacing2.xxs,
        size: dot ? "14px" : "20px"
      },
      lg: {
        fontSize: typography2.md.fontSize,
        padding: dot ? void 0 : spacing2.xxs,
        size: dot ? "16px" : "24px"
      }
    };
    switch (placement) {
      case "top-right": {
        position = import_react29.css`
          top: ${(0, import_helpers17.px)(offsetY ?? offsetValue)};
          right: ${(0, import_helpers17.px)(offsetX ?? offsetValue)};
          transform: translate(${transformValue}, -${transformValue});
        `;
        break;
      }
      case "top-left": {
        position = import_react29.css`
          top: ${(0, import_helpers17.px)(offsetY ?? offsetValue)};
          left: ${(0, import_helpers17.px)(offsetX ?? offsetValue)};
          transform: translate(-${transformValue}, -${transformValue});
        `;
        break;
      }
      case "bottom-right": {
        position = import_react29.css`
          bottom: ${(0, import_helpers17.px)(offsetY ?? offsetValue)};
          right: ${(0, import_helpers17.px)(offsetX ?? offsetValue)};
          transform: translate(${transformValue}, ${transformValue});
        `;
        break;
      }
      case "bottom-left": {
        position = import_react29.css`
          bottom: ${(0, import_helpers17.px)(offsetY ?? offsetValue)};
          left: ${(0, import_helpers17.px)(offsetX ?? offsetValue)};
          transform: translate(-${transformValue}, ${transformValue});
        `;
        break;
      }
    }
    return import_react29.css`
      ${!hideBorder ? `border: 2px solid ${borderColorValue};` : void 0};
      font-size: ${sizingMap[size].fontSize};
      height: ${sizingMap[size].size};
      opacity: ${hideBadge ? 0 : 1};
      padding-left: ${sizingMap[size].padding};
      padding-right: ${sizingMap[size].padding};
      min-width: ${sizingMap[size].size};
      ${position};
      ${getStyles(props, { skipBorder: true })};
    `;
  }
);
function Badge(props) {
  const { componentProps, getDataAttributes } = useBadge(props);
  const { children, content, dot, ...rest } = componentProps;
  const isDot = (0, import_react28.useMemo)(() => dot || !content || !content.toString().length, [content, dot]);
  return /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)(StyledBadgeWrapper, { ...getDataAttributes("Badge"), ...rest, children: [
    children,
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(StyledBadge, { dot: isDot, ...rest, children: !isDot && content })
  ] });
}
Badge.displayName = "Badge";

// src/components/Box/Box.tsx
var import_react30 = require("react");
var import_styled13 = __toESM(require("@emotion/styled"));

// src/components/Box/useBox.ts
var defaultProps11 = {
  display: "block"
};
function useBox(props) {
  return useComponentProps(props, defaultProps11);
}

// src/components/Box/Box.tsx
var import_jsx_runtime14 = require("react/jsx-runtime");
var StyledBox = (0, import_styled13.default)(
  "div",
  getStyledOptions("fill")
)((props) => getStyles(props, { skipBorder: true, useFontSize: true }));
var Box = (0, import_react30.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useBox(props);
  return /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(StyledBox, { ref, ...getDataAttributes("Box"), ...componentProps });
});
Box.displayName = "Box";

// src/components/Button/Button.tsx
var import_react33 = require("react");
var import_react34 = require("@emotion/react");
var import_styled15 = __toESM(require("@emotion/styled"));
var import_helpers20 = require("@gilbarbara/helpers");
var import_hooks5 = require("@gilbarbara/hooks");

// src/components/Ripple/Ripple.tsx
var import_react31 = require("@emotion/react");
var import_styled14 = __toESM(require("@emotion/styled"));
var import_helpers18 = require("@gilbarbara/helpers");
var import_colorizr5 = require("colorizr");
var import_jsx_runtime15 = require("react/jsx-runtime");
var defaultProps12 = {
  duration: "0.6s"
};
var StyledRipple = (0, import_styled14.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { color, duration, theme } = props;
  const { mainColor } = getColorTokens(color, null, theme);
  return import_react31.css`
    animation: ${ripple} ${duration} forwards;
    background-color: ${(0, import_colorizr5.lighten)(mainColor, 40)};
    border-radius: 50%;
    position: absolute;
    z-index: 0;
  `;
});
function Ripple(props) {
  const {
    componentProps: { color, duration, onClear, ripples, theme },
    getDataAttributes
  } = useComponentProps(props, defaultProps12);
  return /* @__PURE__ */ (0, import_jsx_runtime15.jsx)(import_jsx_runtime15.Fragment, { children: ripples.map(({ key, size, x, y }) => /* @__PURE__ */ (0, import_jsx_runtime15.jsx)(
    StyledRipple,
    {
      color,
      ...getDataAttributes("Ripple"),
      duration,
      onAnimationEnd: () => onClear(key),
      style: {
        height: (0, import_helpers18.px)(size),
        left: (0, import_helpers18.px)(x),
        top: (0, import_helpers18.px)(y),
        width: (0, import_helpers18.px)(size)
      },
      theme
    },
    key
  )) });
}
Ripple.displayName = "Ripple";

// src/components/Ripple/useRipple.tsx
var import_react32 = require("react");
var import_helpers19 = require("@gilbarbara/helpers");
function useRipple(props = {}) {
  const [ripples, setRipples] = (0, import_react32.useState)([]);
  const onClick = (0, import_react32.useCallback)((event) => {
    const trigger = event.currentTarget;
    const size = Math.max(trigger.clientWidth, trigger.clientHeight);
    const rect = trigger.getBoundingClientRect();
    setRipples((previousRipples) => [
      ...previousRipples,
      {
        key: Number(`${previousRipples.length}${(0, import_helpers19.randomNumber)(0, 1e3)}`),
        size,
        x: event.clientX - rect.left - size / 2,
        y: event.clientY - rect.top - size / 2
      }
    ]);
  }, []);
  const onClear = (0, import_react32.useCallback)((key) => {
    setRipples((previousState) => previousState.filter((ripple2) => ripple2.key !== key));
  }, []);
  return { ripples, onClick, onClear, ...props };
}

// src/components/Button/useButton.ts
var defaultProps13 = {
  bg: "primary",
  block: false,
  busy: false,
  disabled: false,
  disableRipple: false,
  gap: "xs",
  iconOnly: false,
  light: false,
  size: "md",
  spinnerPosition: "end",
  type: "button",
  variant: "solid",
  wide: false
};
function useButton(props) {
  return useComponentProps(props, defaultProps13);
}

// src/components/Button/Button.tsx
var import_jsx_runtime16 = require("react/jsx-runtime");
var StyledButton = (0, import_styled15.default)("button", getStyledOptions())(
  {
    alignItems: "center",
    boxShadow: "none",
    cursor: "pointer",
    display: "inline-flex",
    justifyContent: "center",
    overflow: "hidden",
    position: "relative",
    transition: "background-color 0.6s, border-color 0.6s"
  },
  (props) => {
    const { bg, block, color, iconOnly, light, size, theme, wide } = props;
    const { borderRadius, fontSize, fontWeight, height, lineHeight, padding } = theme.button[size];
    let buttonPadding = `${padding[0]} ${wide ? (0, import_helpers20.px)(parseInt(padding[1], 10) * 2) : padding[1]}`;
    if (iconOnly) {
      buttonPadding = "0px";
    }
    const { mainColor } = getColorTokens(bg, color, theme);
    return import_react34.css`
      border-radius: ${borderRadius};
      font-size: ${fontSize};
      font-weight: ${light ? 400 : fontWeight};
      min-height: ${height};
      min-width: ${height};
      line-height: ${lineHeight};
      padding: ${buttonPadding};
      width: ${block ? "100%" : "auto"};
      ${getStyles(props)};
      ${outlineStyles(mainColor, theme)};

      &:disabled {
        ${getDisableStyles(props, { isButton: true })};
      }

      &:hover {
        ${hoverStyles(props)};
      }
    `;
  }
);
var Button = (0, import_react33.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useButton(props);
  const {
    bg,
    busy,
    children,
    disableRipple,
    endContent,
    iconOnly,
    onClick,
    size,
    spinner,
    spinnerPosition,
    startContent,
    theme
  } = componentProps;
  const { onClick: onClickRipple, ...rippleProps } = useRipple();
  const localRef = (0, import_react33.useRef)(null);
  const mergedRefs = (0, import_hooks5.useMergeRefs)(localRef, ref);
  const { fontSize } = theme.button[size];
  const handleClick = (event) => {
    onClick?.(event);
    if (busy || disableRipple) {
      return;
    }
    onClickRipple(event);
  };
  const content = {
    children,
    spinner: busy && (spinner ?? /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(Icon, { name: "spinner", size: parseInt(fontSize, 10) + 4, spin: true }))
  };
  if (iconOnly && busy) {
    content.children = content.spinner;
    content.spinner = "";
  }
  if (startContent) {
    content.startContent = (0, import_react33.isValidElement)(startContent) ? startContent : /* @__PURE__ */ (0, import_jsx_runtime16.jsx)("span", { children: startContent });
  }
  if (endContent) {
    content.endContent = (0, import_react33.isValidElement)(endContent) ? endContent : /* @__PURE__ */ (0, import_jsx_runtime16.jsx)("span", { children: endContent });
  }
  if (!disableRipple) {
    content.ripple = /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(Ripple, { color: bg, ...rippleProps });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime16.jsxs)(
    StyledButton,
    {
      ref: mergedRefs,
      ...getDataAttributes("Button"),
      onClick: handleClick,
      ...(0, import_helpers20.omit)(componentProps, "onClick"),
      children: [
        content.startContent,
        spinnerPosition === "start" && content.spinner,
        content.children,
        spinnerPosition === "end" && content.spinner,
        content.endContent,
        content.ripple
      ]
    }
  );
});
Button.displayName = "Button";

// src/components/ButtonGroup/ButtonGroup.tsx
var import_react35 = require("react");
var import_react_innertext2 = __toESM(require("react-innertext"));
var import_styled16 = __toESM(require("@emotion/styled"));
var import_colorizr6 = require("colorizr");
var import_is_lite6 = __toESM(require("is-lite"));

// src/components/ButtonGroup/useButtonGroup.ts
var defaultProps15 = {
  bg: "primary",
  disabled: false,
  selectedVariant: "solid",
  size: "md",
  unselectedVariant: "bordered"
};
function useButtonGroup(props) {
  return useComponentProps(props, defaultProps15);
}

// src/components/ButtonGroup/ButtonGroup.tsx
var import_jsx_runtime17 = require("react/jsx-runtime");
var StyledButtonGroup = (0, import_styled16.default)("div", getStyledOptions())(
  `
    display: flex;

    > button {
      + button {
        margin-left: -1px;
      }

      &:first-of-type {
        border-bottom-right-radius: 0;
        border-top-right-radius: 0;
      }

      &:last-of-type {
        border-bottom-left-radius: 0;
        border-top-left-radius: 0;
      }

      &:not(:first-of-type):not(:last-of-type) {
        border-radius: 0;
      }
    }
  `,
  (props) => getStyles(props)
);
function ButtonGroup(props) {
  const { componentProps, getDataAttributes } = useButtonGroup(props);
  const {
    bg,
    children,
    color,
    defaultSelected,
    disabled,
    items,
    onClick,
    selected,
    selectedVariant,
    size,
    unselectedVariant,
    ...rest
  } = componentProps;
  const hasItems = import_is_lite6.default.array(items) && !!items.length;
  const isControlled = hasItems && !!selected;
  const [active, setActive] = (0, import_react35.useState)(
    items?.findIndex((item) => {
      const labelText = (0, import_react_innertext2.default)(item.label);
      if (isControlled) {
        return item.id === selected || labelText === selected;
      }
      if (defaultSelected) {
        return item.id === defaultSelected || labelText === defaultSelected;
      }
      return 0;
    }) ?? 0
  );
  const handleClick = (event) => {
    const { index } = event.currentTarget.dataset;
    onClick?.(event);
    if (hasItems && !isControlled) {
      if (index) {
        setActive(Number(index));
      }
    }
  };
  const buttonProps = {
    bg,
    color,
    disabled,
    size
  };
  const content = items ? items.map((item, index) => {
    const { disabled: itemDisabled, id, label, ...itemProps } = item;
    const styles2 = {};
    const labelText = (0, import_react_innertext2.default)(label);
    const isSelected = isControlled ? id === selected || labelText === selected : index === active;
    const variant = isSelected ? selectedVariant : unselectedVariant;
    if (itemDisabled) {
      styles2.color = (0, import_colorizr6.opacify)(
        getColorTokens(color ?? bg, null, rest.theme).mainColor,
        rest.theme.opacityDisabled
      );
      styles2.cursor = "not-allowed";
      buttonProps.disableRipple = true;
    }
    return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
      Button,
      {
        "data-id": id,
        "data-index": index,
        "data-label": labelText,
        "data-selected": isSelected,
        onClick: itemDisabled ? void 0 : handleClick,
        style: styles2,
        variant,
        ...buttonProps,
        ...itemProps,
        children: label
      },
      index
    );
  }) : import_react35.Children.map(children, (child) => (0, import_react35.cloneElement)(child, { ...buttonProps }));
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(StyledButtonGroup, { ...getDataAttributes("ButtonGroup"), ...rest, children: content });
}
ButtonGroup.displayName = "ButtonGroup";

// src/components/ButtonSplit/ButtonSplit.tsx
var import_react48 = require("react");
var import_react49 = require("@emotion/react");
var import_styled23 = __toESM(require("@emotion/styled"));
var import_helpers23 = require("@gilbarbara/helpers");

// src/components/Menu/Item.tsx
var import_react37 = require("react");
var import_react38 = require("@emotion/react");
var import_styled17 = __toESM(require("@emotion/styled"));
var import_is_lite7 = __toESM(require("is-lite"));

// src/components/Menu/useMenu.tsx
var import_react36 = require("react");
var import_hooks6 = require("@gilbarbara/hooks");
var import_jsx_runtime18 = require("react/jsx-runtime");
var defaultProps16 = {
  accent: "primary",
  button: /* @__PURE__ */ (0, import_jsx_runtime18.jsx)(Icon, { name: "more-vertical-o", size: 24, title: null }),
  disabled: false,
  disableCloseOnBlur: false,
  disableKeyboardNavigation: false,
  labels: {
    close: "Close menu",
    name: "Menu",
    open: "Open menu"
  },
  minWidth: 200,
  orientation: "vertical",
  position: "bottom-right",
  trigger: "click"
};
var MenuContext = (0, import_react36.createContext)(void 0);
MenuContext.displayName = "MenuContext";
function MenuProvider({ children, closeMenu, props }) {
  const [state, setState] = (0, import_react36.useState)(props);
  (0, import_hooks6.useEffectDeepCompare)(() => {
    setState(props);
  }, [props]);
  const value = (0, import_react36.useMemo)(
    () => ({
      closeMenu,
      state
    }),
    [closeMenu, state]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime18.jsx)(MenuContext.Provider, { value, children });
}
function useMenu(props) {
  return useComponentProps(props, defaultProps16);
}
function useMenuContext() {
  const context = (0, import_react36.useContext)(MenuContext);
  if (!context) {
    throw new Error("useMenuContext must be used within a MenuProvider");
  }
  return context;
}

// src/components/Menu/Item.tsx
var import_jsx_runtime19 = require("react/jsx-runtime");
var StyledMenuItem = (0, import_styled17.default)("li", getStyledOptions())(
  {
    display: "flex",
    transition: "background-color 0.3s"
  },
  (props) => {
    const { accent = "primary", bg, color, disabled = false, disableHover, theme, wrap } = props;
    const { darkMode: darkMode2, grayScale: grayScale2, opacityDisabled: opacityDisabled2, spacing: spacing2, typography: typography2 } = theme;
    const themeColor = darkMode2 ? grayScale2["200"] : grayScale2["800"];
    const { mainColor, textColor: textColor2 } = getColorTokens(accent, color, theme);
    let bgColor;
    if (bg) {
      bgColor = getColorTokens(bg, null, theme).mainColor;
    }
    return import_react38.css`
      background-color: ${bgColor};
      color: ${themeColor};
      cursor: ${disabled ? "not-allowed" : "pointer"};
      font-size: ${typography2.md.fontSize};
      opacity: ${disabled ? opacityDisabled2 : 1};
      padding: ${spacing2.xs} ${spacing2.sm};
      white-space: ${wrap ? "normal" : "nowrap"};
      ${paddingStyles(props)};

      a {
        color: ${themeColor};
        text-decoration: none;
      }

      ${!disabled && !disableHover && import_react38.css`
        &:focus-visible,
        &:hover,
        &:active {
          background-color: ${mainColor};
          color: ${textColor2};

          * {
            color: ${textColor2};
          }
        }
      `};
    `;
  }
);
var StyledMenuItemContent = (0, import_styled17.default)("span")`
  align-items: center;
  display: flex;
  flex-grow: 1;
`;
function MenuItem(props) {
  const {
    componentProps: {
      accent,
      children,
      disableAutoClose = false,
      disabled,
      disableHover = false,
      onToggle,
      ...rest
    },
    getDataAttributes
  } = useMenu(props);
  const { closeMenu, state } = useMenuContext();
  const handleToggle = (event) => {
    if (disabled) {
      return;
    }
    if ("code" in event && !state.disableKeyboardNavigation) {
      if (["Enter", "Space"].includes(event.code)) {
        onToggle?.(event, closeMenu);
        if (!disableAutoClose) {
          closeMenu();
        }
      }
    } else {
      onToggle?.(event, closeMenu);
      if (!disableAutoClose) {
        closeMenu();
      }
    }
  };
  let content;
  if (import_is_lite7.default.function(children)) {
    content = children({ closeMenu });
  } else if (!(0, import_react37.isValidElement)(children)) {
    content = /* @__PURE__ */ (0, import_jsx_runtime19.jsx)(StyledMenuItemContent, { children });
  } else {
    content = children;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime19.jsx)(
    StyledMenuItem,
    {
      accent: accent ?? state.accent,
      ...getDataAttributes("MenuItem"),
      disableHover,
      disabled,
      onClick: handleToggle,
      onKeyDown: handleToggle,
      role: "menuitem",
      tabIndex: disabled || state.disableKeyboardNavigation ? -1 : 0,
      ...rest,
      children: content
    }
  );
}
MenuItem.displayName = "MenuItem";

// src/components/Menu/Menu.tsx
var import_react43 = require("react");
var import_react44 = require("@emotion/react");
var import_styled20 = __toESM(require("@emotion/styled"));
var import_helpers22 = require("@gilbarbara/helpers");
var import_hooks7 = require("@gilbarbara/hooks");
var import_is_lite8 = __toESM(require("is-lite"));

// src/components/ClickOutside/ClickOutside.tsx
var import_react39 = require("react");
var import_react40 = require("@emotion/react");
var import_styled18 = __toESM(require("@emotion/styled"));

// src/components/ClickOutside/useClickOutside.ts
function useClickOutside(props) {
  return useComponentProps(props);
}

// src/components/ClickOutside/ClickOutside.tsx
var import_jsx_runtime20 = require("react/jsx-runtime");
var StyledClickOutside = (0, import_styled18.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { display = "inline-flex" } = props;
  return import_react40.css`
    display: ${display};
    ${layoutStyles(props)};
    ${flexBoxStyles(props)};
  `;
});
function ClickOutsideComponent(props) {
  const { componentProps, getDataAttributes } = useClickOutside(props);
  const { active, children, onClick, ...rest } = componentProps;
  const containerRef = (0, import_react39.useRef)(null);
  const [isReady, setReady] = (0, import_react39.useState)(false);
  const isTouch = (0, import_react39.useRef)(false);
  const handleClick = (0, import_react39.useCallback)(
    (event) => {
      const container = containerRef.current;
      if (event.type === "touchend") {
        isTouch.current = true;
      }
      if (event.type === "click" && isTouch.current) {
        return;
      }
      if (container && !container.contains(event.target)) {
        onClick();
      }
    },
    [onClick]
  );
  (0, import_react39.useEffect)(() => {
    if (!isReady) {
      setReady(true);
    }
    if (active) {
      document.addEventListener("touchend", handleClick, true);
      document.addEventListener("click", handleClick, true);
    }
    return () => {
      document.removeEventListener("touchend", handleClick, true);
      document.removeEventListener("click", handleClick, true);
    };
  }, [active, handleClick, isReady]);
  return /* @__PURE__ */ (0, import_jsx_runtime20.jsx)(
    StyledClickOutside,
    {
      ref: containerRef,
      ...getDataAttributes("ClickOutside"),
      "data-ready": isReady,
      ...rest,
      children
    }
  );
}
var ClickOutside = (0, import_react39.memo)(ClickOutsideComponent);
ClickOutside.displayName = "ClickOutside";

// src/components/Menu/Items.tsx
var import_react41 = require("react");
var import_react42 = require("@emotion/react");
var import_styled19 = __toESM(require("@emotion/styled"));
var import_helpers21 = require("@gilbarbara/helpers");
var import_jsx_runtime21 = require("react/jsx-runtime");
var StyledMenuItems = (0, import_styled19.default)("div", getStyledOptions())(
  {
    position: "absolute",
    transform: "scaleY(0)"
  },
  (props) => {
    const { bg, isActive, isOpen, minWidth, orientation, position, theme } = props;
    const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, shadow: shadow2, spacing: spacing2, white: white2, zIndex: zIndex2 } = theme;
    const [positionMain, positionCross] = position.split("-");
    let bgColor = darkMode2 ? grayScale2["800"] : white2;
    if (bg) {
      bgColor = getColorTokens(bg, null, theme).mainColor;
    }
    return import_react42.css`
      transition: transform 0.3s ${easing};

      ${isActive && isOpen && import_react42.css`
        transform: scaleY(1);
      `}

      ${positionMain === "bottom" && import_react42.css`
        top: 100%;
        transform-origin: top;
      `}

      ${positionMain === "left" && import_react42.css`
        right: 100%;
      `}

      ${positionMain === "right" && import_react42.css`
        left: 100%;
      `}

      ${positionMain === "top" && import_react42.css`
        bottom: 100%;
        transform-origin: bottom;
      `}

      ${positionCross === "bottom" && import_react42.css`
        bottom: 0;
        transform-origin: bottom;
      `}
      
      ${positionCross === "left" && import_react42.css`
        left: 0;
      `}
      
      ${positionCross === "right" && import_react42.css`
        right: 0;
      `}
      
      ${positionCross === "top" && import_react42.css`
        top: 0;
        transform-origin: top;
      `}

      > ul {
        background-color: ${bgColor};
        border-radius: ${radius2.xxs};
        box-shadow: ${shadow2.low};
        color: ${darkMode2 ? grayScale2["200"] : grayScale2["800"]};
        display: ${orientation === "horizontal" ? "flex" : "block"};
        flex-wrap: ${orientation === "horizontal" ? "wrap" : void 0};
        list-style: none;
        margin: 0;
        min-width: ${(0, import_helpers21.px)(minWidth)};
        overflow: hidden;
        padding: 0;
        z-index: ${zIndex2.xxs};

        ${positionMain === "bottom" && import_react42.css`
          margin-top: ${spacing2.xxs};
        `}

        ${positionMain === "left" && import_react42.css`
          margin-right: ${spacing2.xxs};
        `}

        ${positionMain === "right" && import_react42.css`
          margin-left: ${spacing2.xxs};
        `}

        ${positionMain === "top" && import_react42.css`
          margin-bottom: ${spacing2.xxs};
        `}
      }
    `;
  }
);
function MenuItems(props) {
  const {
    componentProps: { children, id, isOpen, orientation, ...rest },
    getDataAttributes
  } = useMenu(props);
  const [isActive, setActive] = (0, import_react41.useState)(isOpen);
  (0, import_react41.useEffect)(() => {
    setActive((s) => isOpen ? true : s);
  }, [isOpen]);
  const handleTransitionEnd = () => {
    if (!isOpen) {
      setActive(false);
    }
  };
  return /* @__PURE__ */ (0, import_jsx_runtime21.jsx)(
    StyledMenuItems,
    {
      isActive,
      isOpen,
      ...getDataAttributes("MenuItems"),
      "data-state": isOpen ? "open" : "closed",
      onTransitionEnd: handleTransitionEnd,
      orientation,
      ...rest,
      children: (isOpen || isActive) && /* @__PURE__ */ (0, import_jsx_runtime21.jsx)("ul", { "aria-orientation": orientation, id, role: "menu", children })
    }
  );
}
MenuItems.displayName = "MenuItems";

// src/components/Menu/Menu.tsx
var import_jsx_runtime22 = require("react/jsx-runtime");
var StyledMenu = import_styled20.default.nav(
  {
    display: "inline-flex",
    position: "relative",
    verticalAlign: "middle"
  },
  (props) => {
    const {
      theme: { dataAttributeName: dataAttributeName2 }
    } = props;
    return import_react44.css`
      [data-${dataAttributeName2}='ClickOutside'] {
        width: 100%;
      }
    `;
  }
);
var StyledMenuButton = (0, import_styled20.default)(ButtonUnstyled)(
  {
    borderRadius: "2px"
  },
  (props) => {
    const {
      theme: { spacing: spacing2, typography: typography2 }
    } = props;
    return import_react44.css`
      font-size: ${typography2.md.fontSize};
      min-height: ${spacing2.lg};
      min-width: ${spacing2.lg};
    `;
  }
);
var Menu = (0, import_react43.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useMenu(props);
  const {
    accent,
    bg,
    button: button2,
    children,
    disableCloseOnBlur,
    disabled,
    disableKeyboardNavigation,
    labels,
    minWidth,
    onToggle,
    open,
    orientation,
    position,
    theme,
    trigger
  } = componentProps;
  const [isOpen, setIsOpen] = (0, import_react43.useState)(open ?? false);
  const localRef = (0, import_react43.useRef)(null);
  const mergedRefs = (0, import_hooks7.useMergeRefs)(localRef, ref);
  const onToggleRef = (0, import_hooks7.useLatest)(onToggle);
  const id = (0, import_react43.useId)();
  const disableToggle = disabled || import_is_lite8.default.boolean(open);
  (0, import_react43.useEffect)(() => {
    if (import_is_lite8.default.boolean(open)) {
      setIsOpen(open);
    }
  }, [open]);
  const handleClickOutside = (0, import_react43.useCallback)(() => {
    if (import_is_lite8.default.boolean(open) || disableCloseOnBlur) {
      return;
    }
    setIsOpen(false);
  }, [disableCloseOnBlur, open]);
  const handleKeyDownButton = (0, import_react43.useCallback)(
    (event) => {
      if (disableKeyboardNavigation) {
        event.preventDefault();
      }
    },
    [disableKeyboardNavigation]
  );
  const handleToggleMenu = (0, import_react43.useCallback)(
    (force) => {
      return () => {
        if (disableToggle) {
          return;
        }
        setIsOpen((state) => force ?? !state);
      };
    },
    [disableToggle]
  );
  const handleClickButton = (0, import_react43.useCallback)(
    (event) => {
      event.preventDefault();
      event.stopPropagation();
      if (disableToggle) {
        return;
      }
      setIsOpen((state) => !state);
    },
    [disableToggle]
  );
  const { addScope, removeScope } = useKeyboardNavigation(localRef, {
    arrowNavigation: "both",
    disabled: disableKeyboardNavigation,
    escCallback: handleToggleMenu(false),
    selector: `#${id.replace(/:/g, "\\:")} > [data-${theme.dataAttributeName}="MenuItem"]`
  });
  (0, import_hooks7.useUpdateEffect)(() => {
    if (isOpen) {
      addScope();
    }
    onToggleRef.current?.(isOpen);
    return () => {
      if (!import_is_lite8.default.boolean(open)) {
        removeScope();
      }
    };
  }, [isOpen, addScope, onToggleRef, open, removeScope]);
  const content = import_react43.Children.map(children, (child) => {
    if ((0, import_react43.isValidElement)(child)) {
      return (0, import_react43.cloneElement)(child, {
        accent: child.props.accent ?? accent
      });
    }
    return child;
  });
  return /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(
    StyledMenu,
    {
      ref: mergedRefs,
      "aria-label": labels.name,
      ...getDataAttributes("Menu"),
      onMouseEnter: trigger === "hover" ? handleToggleMenu(true) : void 0,
      onMouseLeave: trigger === "hover" ? handleToggleMenu(false) : void 0,
      theme,
      children: /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(ClickOutside, { active: isOpen, onClick: handleClickOutside, children: /* @__PURE__ */ (0, import_jsx_runtime22.jsxs)(
        MenuProvider,
        {
          closeMenu: handleToggleMenu(false),
          props: (0, import_helpers22.omit)(componentProps, "button", "children", "onToggle"),
          children: [
            /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(
              StyledMenuButton,
              {
                "aria-controls": id,
                "aria-expanded": isOpen,
                "aria-haspopup": "menu",
                "aria-label": isOpen ? labels.close : labels.open,
                ...getDataAttributes("MenuButton"),
                disabled,
                onClick: handleClickButton,
                onKeyDown: handleKeyDownButton,
                tabIndex: disableKeyboardNavigation ? -1 : 0,
                theme,
                title: isOpen ? labels.close : labels.open,
                type: "button",
                children: import_is_lite8.default.function(button2) ? button2(isOpen) : button2
              }
            ),
            /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(
              MenuItems,
              {
                bg,
                id,
                isOpen,
                minWidth,
                orientation,
                position,
                children: content
              }
            )
          ]
        }
      ) })
    }
  );
});
Menu.displayName = "Menu";

// src/components/Menu/Separator.tsx
var import_react45 = require("@emotion/react");
var import_styled21 = __toESM(require("@emotion/styled"));
var import_jsx_runtime23 = require("react/jsx-runtime");
var StyledMenuSeparator = (0, import_styled21.default)(
  "div",
  getStyledOptions()
)((props) => {
  const {
    theme: { grayScale: grayScale2 }
  } = props;
  return import_react45.css`
    background-color: ${grayScale2["200"]};
    height: 1px;
    ${marginStyles(props)};
  `;
});
function MenuSeparator(props) {
  const { componentProps, getDataAttributes } = useMenu(props);
  return /* @__PURE__ */ (0, import_jsx_runtime23.jsx)(
    StyledMenuSeparator,
    {
      ...getDataAttributes("MenuSeparator"),
      role: "separator",
      ...componentProps
    }
  );
}
MenuSeparator.displayName = "MenuSeparator";

// src/components/Menu/Title.tsx
var import_react46 = require("react");
var import_react47 = require("@emotion/react");
var import_styled22 = __toESM(require("@emotion/styled"));
var import_jsx_runtime24 = require("react/jsx-runtime");
var StyledMenuTitle = (0, import_styled22.default)(
  "li",
  getStyledOptions()
)((props) => {
  const {
    theme: { dataAttributeName: dataAttributeName2, grayScale: grayScale2, spacing: spacing2, typography: typography2 }
  } = props;
  return import_react47.css`
    ${colorStyles(props)};

    [data-${dataAttributeName2}='MenuTitleContent'] {
      padding: ${spacing2.xs} ${spacing2.sm};
    }

    [data-${dataAttributeName2}='MenuTitleText'] {
      color: ${grayScale2["500"]};
      font-size: ${typography2.xs.fontSize};
      text-transform: uppercase;
      ${textStyles(props)};
    }
  `;
});
function MenuTitle(props) {
  const {
    componentProps: { children, ...rest },
    getDataAttributes
  } = useMenu(props);
  const content = (0, import_react46.isValidElement)(children) ? children : /* @__PURE__ */ (0, import_jsx_runtime24.jsx)("span", { ...getDataAttributes("MenuTitleText"), children });
  return /* @__PURE__ */ (0, import_jsx_runtime24.jsx)(StyledMenuTitle, { ...getDataAttributes("MenuTitle"), role: "presentation", ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime24.jsx)("div", { ...getDataAttributes("MenuTitleContent"), children: content }) });
}
MenuTitle.displayName = "MenuTitle";

// src/components/ButtonSplit/useButtonSplit.ts
var defaultProps17 = {
  bg: "primary",
  block: false,
  bordered: false,
  busy: false,
  disabled: false,
  position: "bottom-right",
  size: "md"
};
function useButtonSplit(props) {
  return useComponentProps(props, defaultProps17);
}

// src/components/ButtonSplit/ButtonSplit.tsx
var import_jsx_runtime25 = require("react/jsx-runtime");
var StyledButtonSplit = (0, import_styled23.default)("div", getStyledOptions())(
  {
    display: "inline-flex"
  },
  (props) => {
    const { block, bordered, disabled, size, theme } = props;
    const { button: button2, darkMode: darkMode2, dataAttributeName: dataAttributeName2, grayScale: grayScale2, spacing: spacing2 } = theme;
    const propsWithVariant = { ...props, variant: bordered ? "bordered" : "solid" };
    const { borderRadius, height, padding } = button2[size];
    const buttonPadding = `${padding[0]} ${padding[1]}`;
    const styles2 = colorStyles(propsWithVariant);
    if (disabled) {
      styles2.border = `1px solid ${darkMode2 ? grayScale2["800"] : grayScale2["100"]}`;
      styles2.borderColor = grayScale2["100"];
      styles2.color = grayScale2["500"];
    }
    const disabledStyles = disabled ? import_react49.css`
          ${getDisableStyles(propsWithVariant, { isButton: true })};
          border-color: ${darkMode2 ? grayScale2["850"] : grayScale2["100"]};
        ` : void 0;
    const outlineStyle = outlineStyles(styles2.backgroundColor, theme);
    return import_react49.css`
      display: inline-flex;
      min-height: ${height};
      min-width: ${height};
      width: ${block ? "100%" : "auto"};
      ${getStyles((0, import_helpers23.omit)(props, "position"), { skipColor: true })};

      [data-${dataAttributeName2}='ButtonSplitMainButton'] {
        ${styles2};
        border-bottom-left-radius: ${borderRadius};
        border-right: 0;
        border-top-left-radius: ${borderRadius};
        display: flex;
        flex: 1;
        justify-content: center;
        opacity: 1;
        padding: ${buttonPadding};

        ${disabledStyles};
        ${outlineStyle};
      }

      [data-${dataAttributeName2}='MenuButton'] {
        ${styles2};
        ${disabledStyles};
        align-items: center;
        border-left: ${bordered ? styles2.border : `1px solid ${styles2.color}`};
        border-radius: 0 ${borderRadius} ${borderRadius} 0;
        display: flex;
        height: 100%;
        opacity: 1;
        padding: 0 ${spacing2[size === "xs" ? "xxs" : "xs"]};
        width: 100%;
        ${outlineStyle};
      }
    `;
  }
);
function ButtonSplit(props) {
  const { componentProps, getDataAttributes } = useButtonSplit(props);
  const { busy, buttonProps, children, label, onClick, onToggle, position, ...rest } = componentProps;
  const { bg, disabled, size } = rest;
  const [active, setActive] = (0, import_react48.useState)(false);
  const handleToggle = (0, import_react48.useCallback)(
    (status) => {
      setActive(status);
      onToggle?.(status);
    },
    [onToggle]
  );
  let iconSize = 14;
  switch (size) {
    case "sm": {
      iconSize = 16;
      break;
    }
    case "md": {
      iconSize = 18;
      break;
    }
    case "lg": {
      iconSize = 22;
      break;
    }
    default: {
    }
  }
  return /* @__PURE__ */ (0, import_jsx_runtime25.jsxs)(
    StyledButtonSplit,
    {
      busy,
      ...getDataAttributes("ButtonSplit"),
      position,
      ...rest,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime25.jsx)(
          ButtonUnstyled,
          {
            busy,
            ...getDataAttributes("ButtonSplitMainButton"),
            disabled,
            onClick,
            size,
            ...buttonProps,
            children: label
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime25.jsx)(
          Menu,
          {
            accent: bg,
            button: /* @__PURE__ */ (0, import_jsx_runtime25.jsx)(Icon, { name: active ? "chevron-up" : "chevron-down", size: iconSize }),
            disabled: disabled || busy,
            onToggle: handleToggle,
            position,
            children
          }
        )
      ]
    }
  );
}
ButtonSplit.displayName = "ButtonSplit";

// src/components/CheckboxAndRadio/Checkbox.tsx
var import_react51 = require("react");

// src/components/CheckboxAndRadio/useCheckboxAndRadio.tsx
var import_react50 = require("@emotion/react");
var import_styled24 = __toESM(require("@emotion/styled"));
var import_helpers24 = require("@gilbarbara/helpers");
var checkBoxDefaultProps = {
  accent: "primary",
  align: "center",
  borderless: false,
  disabled: false,
  size: "md"
};
var radioDefaultProps = {
  accent: "primary",
  align: "center",
  borderless: false,
  disabled: false,
  size: "md"
};
var StyledCheckboxRadioInput = (0, import_styled24.default)("input", getStyledOptions())`
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  z-index: -1;
`;
var StyledText2 = (0, import_styled24.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { size, theme } = props;
  const { typography: typography2 } = theme;
  const { fontSize } = typography2[size ?? "md"];
  return import_react50.css`
    font-size: ${fontSize};
  `;
});
var StyledElement = (0, import_styled24.default)("span", getStyledOptions("label"))(
  {
    display: "inline-flex",
    flexShrink: 0,
    overflow: "hidden",
    position: "relative",
    transition: "background-color 0.2s, border-color 0.2s"
  },
  (props) => {
    const { accent = "primary", borderless, category = "checkbox", label, size, theme } = props;
    const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, white: white2 } = theme;
    const { mainColor } = getColorTokens(accent, null, theme);
    let backgroundColor = darkMode2 ? grayScale2["800"] : white2;
    if (borderless) {
      backgroundColor = darkMode2 ? grayScale2["700"] : grayScale2["100"];
    }
    let after;
    let dimensions = 18;
    if (size === "md") {
      dimensions = 20;
    }
    if (size === "lg") {
      dimensions = 22;
    }
    if (category === "checkbox") {
      let height = 4;
      let width = 7;
      if (size === "md") {
        height = 6;
        width = 9;
      }
      if (size === "lg") {
        height = 7;
        width = 11;
      }
      after = import_react50.css`
        border-bottom: 2px solid ${mainColor};
        border-left: 2px solid ${mainColor};
        height: ${(0, import_helpers24.px)(height)};
        transform: rotate(-45deg) translateY(-100%);
        width: ${(0, import_helpers24.px)(width)};
      `;
    } else {
      let innerDimensions = 6;
      if (size === "md") {
        innerDimensions = 7;
      }
      if (size === "lg") {
        innerDimensions = 8;
      }
      after = import_react50.css`
        background-color: ${mainColor};
        border-radius: 50%;
        height: ${(0, import_helpers24.px)(innerDimensions)};
        transform: translate(-50%, -50%);
        width: ${(0, import_helpers24.px)(innerDimensions)};
      `;
    }
    return import_react50.css`
      background-color: ${backgroundColor};
      border: ${borderless ? 0 : `2px solid ${grayScale2["700"]}`};
      border-radius: ${category === "checkbox" ? radius2.xxs : radius2.round};
      height: ${(0, import_helpers24.px)(dimensions)};
      margin-right: ${label ? "6px" : "0"};
      width: ${(0, import_helpers24.px)(dimensions)};
      ${getStyles(props, { skipColor: true })};

      input:not(:disabled) ~ &:focus {
        ${getOutlineStyles(mainColor, theme)};
      }

      &:after {
        content: '';
        display: none;
        position: absolute;
        left: 50%;
        top: 50%;
        ${after};
      }

      input:checked ~ & {
        border-color: ${mainColor};

        &:after {
          display: inline-block;
        }
      }

      input:disabled ~ & {
        ${getDisableStyles(props)};
      }
    `;
  }
);
var StyledLabel = (0, import_styled24.default)(
  "label",
  getStyledOptions()
)((props) => {
  const { align, disabled } = props;
  return import_react50.css`
    ${marginStyles(props)};
    align-items: ${align};
    cursor: ${disabled ? "not-allowed" : "pointer"};
    display: flex;
    justify-content: flex-start;
    position: relative;
  `;
});
function getMarginProps(props) {
  return (0, import_helpers24.pick)(props, "margin", "mb", "ml", "mr", "mt", "mx", "my", "theme");
}
function handleKeyDown(event) {
  const target = event.target;
  const input = target.previousElementSibling;
  if (!input || input.disabled || !["Enter", "Space"].includes(event.code)) {
    return;
  }
  input.click();
}
function useCheckboxAndRadio(props, type) {
  return useComponentProps(props, type === "checkbox" ? checkBoxDefaultProps : radioDefaultProps);
}

// src/components/CheckboxAndRadio/Checkbox.tsx
var import_jsx_runtime26 = require("react/jsx-runtime");
var Checkbox = (0, import_react51.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useCheckboxAndRadio(props, "checkbox");
  const {
    accent,
    align,
    borderless,
    checked,
    defaultChecked,
    disabled,
    id,
    label,
    name,
    size,
    style,
    ...rest
  } = componentProps;
  const inputId = id ?? name;
  return /* @__PURE__ */ (0, import_jsx_runtime26.jsxs)(
    StyledLabel,
    {
      align,
      ...getDataAttributes("Checkbox"),
      disabled,
      htmlFor: inputId,
      size,
      ...getMarginProps(componentProps),
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime26.jsx)(
          StyledCheckboxRadioInput,
          {
            ref,
            "aria-checked": checked ?? defaultChecked,
            checked,
            defaultChecked,
            disabled,
            id: inputId,
            name,
            type: "checkbox",
            ...rest
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime26.jsx)(
          StyledElement,
          {
            accent,
            borderless,
            category: "checkbox",
            ...getDataAttributes("CheckboxElement"),
            label,
            onKeyDown: handleKeyDown,
            size,
            style,
            tabIndex: disabled ? -1 : 0,
            theme: rest.theme
          }
        ),
        label && /* @__PURE__ */ (0, import_jsx_runtime26.jsx)(StyledText2, { category: "checkbox", size, theme: rest.theme, children: label })
      ]
    }
  );
});
Checkbox.displayName = "Checkbox";

// src/components/CheckboxAndRadio/Radio.tsx
var import_react52 = require("react");
var import_jsx_runtime27 = require("react/jsx-runtime");
var Radio = (0, import_react52.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useCheckboxAndRadio(props, "radio");
  const {
    accent,
    align,
    borderless,
    checked,
    defaultChecked,
    disabled,
    id,
    label,
    name,
    size,
    style,
    ...rest
  } = componentProps;
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsxs)(
    StyledLabel,
    {
      align,
      category: "radio",
      ...getDataAttributes("Radio"),
      disabled,
      htmlFor: id,
      ...getMarginProps(componentProps),
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
          StyledCheckboxRadioInput,
          {
            ref,
            "aria-checked": !!(checked ?? defaultChecked),
            checked,
            defaultChecked,
            disabled,
            id,
            name,
            role: "radio",
            type: "radio",
            ...rest
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
          StyledElement,
          {
            accent,
            borderless,
            category: "radio",
            ...getDataAttributes("RadioElement"),
            label,
            onKeyDown: handleKeyDown,
            size,
            style,
            tabIndex: disabled ? -1 : 0,
            theme: rest.theme
          }
        ),
        label && /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(StyledText2, { category: "radio", size, theme: rest.theme, children: label })
      ]
    }
  );
});
Radio.displayName = "Radio";

// src/components/Chip/Chip.tsx
var import_react53 = require("react");
var import_react54 = require("@emotion/react");
var import_styled25 = __toESM(require("@emotion/styled"));

// src/components/Chip/useChip.ts
var import_helpers25 = require("@gilbarbara/helpers");
var defaultProps19 = {
  ...(0, import_helpers25.omit)(textDefaultOptions, "size"),
  bg: "primary",
  gap: "xxs",
  radius: "md",
  size: "sm",
  variant: "solid"
};
function useChip(props) {
  return useComponentProps(props, defaultProps19);
}

// src/components/Chip/Chip.tsx
var import_jsx_runtime28 = require("react/jsx-runtime");
var StyledChip = (0, import_styled25.default)("span", getStyledOptions())(
  {
    alignItems: "center",
    display: "inline-flex",
    justifyContent: "center"
  },
  (props) => {
    const { theme } = props;
    const { spacing: spacing2 } = theme;
    return import_react54.css`
      padding: ${spacing2.xxs} ${spacing2.sm};
      ${getStyles(props, { lineHeightCustom: 1, useFontSize: true })};
    `;
  }
);
var Chip = (0, import_react53.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useChip(props);
  const { children, endContent, endContentOnClick, startContent, startContentOnClick, ...rest } = componentProps;
  const content = {};
  if (startContent) {
    content.startContent = startContent;
    if (startContentOnClick) {
      content.startContent = /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(ButtonUnstyled, { onClick: startContentOnClick, children: content.startContent });
    } else {
      content.startContent = (0, import_react53.isValidElement)(startContent) ? startContent : /* @__PURE__ */ (0, import_jsx_runtime28.jsx)("span", { children: startContent });
    }
  }
  if (endContent) {
    content.endContent = endContent;
    if (endContentOnClick) {
      content.endContent = /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(ButtonUnstyled, { onClick: endContentOnClick, children: content.endContent });
    } else {
      content.endContent = (0, import_react53.isValidElement)(endContent) ? endContent : /* @__PURE__ */ (0, import_jsx_runtime28.jsx)("span", { children: endContent });
    }
  }
  return /* @__PURE__ */ (0, import_jsx_runtime28.jsxs)(StyledChip, { ref, ...getDataAttributes("Chip"), ...rest, children: [
    content.startContent,
    /* @__PURE__ */ (0, import_jsx_runtime28.jsx)("span", { children }),
    content.endContent
  ] });
});
Chip.displayName = "Chip";

// src/components/Container/Container.tsx
var import_react55 = require("react");
var import_react56 = require("@emotion/react");
var import_styled26 = __toESM(require("@emotion/styled"));
var import_helpers26 = require("@gilbarbara/helpers");

// src/components/Container/useContainer.ts
var defaultProps21 = {
  align: "stretch",
  direction: "column",
  fullScreen: false,
  responsive: true,
  textAlign: "left",
  justify: "start",
  verticalPadding: false
};
function useContainer(props) {
  return useComponentProps(props, defaultProps21);
}

// src/components/Container/Container.tsx
var import_jsx_runtime29 = require("react/jsx-runtime");
var StyledContainer = (0, import_styled26.default)(Box)(
  {
    display: "flex",
    flexDirection: "column",
    marginLeft: "auto",
    marginRight: "auto",
    position: "relative",
    width: "100%"
  },
  (props) => {
    const { fullScreen, fullScreenOffset, responsive: responsive2, verticalPadding } = props;
    const styles2 = {};
    if (fullScreen) {
      styles2.minHeight = fullScreenOffset ? `calc(100vh - ${(0, import_helpers26.px)(fullScreenOffset)})` : "100vh";
    }
    return import_react56.css`
      ${styles2};
      ${getContainerStyles(props, { responsive: responsive2, verticalPadding })};
      ${getStyles(props, { skipBorder: true })};
    `;
  }
);
var Container = (0, import_react55.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useContainer(props);
  return /* @__PURE__ */ (0, import_jsx_runtime29.jsx)(StyledContainer, { ref, ...getDataAttributes("Container"), ...componentProps });
});
Container.displayName = "Container";

// src/components/CopyToClipboard/CopyToClipboard.tsx
var import_react59 = require("react");
var import_react_innertext4 = __toESM(require("react-innertext"));
var import_styled28 = __toESM(require("@emotion/styled"));
var import_helpers29 = require("@gilbarbara/helpers");
var import_hooks8 = require("@gilbarbara/hooks");

// src/components/Tooltip/Tooltip.tsx
var import_react57 = require("react");
var import_react_innertext3 = __toESM(require("react-innertext"));
var import_react58 = require("@emotion/react");
var import_styled27 = __toESM(require("@emotion/styled"));
var import_helpers28 = require("@gilbarbara/helpers");
var import_is_lite9 = __toESM(require("is-lite"));

// src/components/Tooltip/useTooltip.ts
var import_helpers27 = require("@gilbarbara/helpers");
var defaultProps22 = {
  ...(0, import_helpers27.omit)(textDefaultOptions, "size"),
  arrowDistance: 4,
  arrowMargin: 4,
  arrowLength: 8,
  bg: "gray.700",
  delay: 180,
  disabled: false,
  duration: 260,
  easing: "ease-in-out",
  eventType: "hover",
  placement: "bottom-middle",
  radius: "xxs",
  size: "sm",
  zIndex: 100
};
function useTooltip(props) {
  return useComponentProps(props, defaultProps22);
}

// src/components/Tooltip/Tooltip.tsx
var import_jsx_runtime30 = require("react/jsx-runtime");
var arrowSize = 6;
var StyledTooltip = (0, import_styled27.default)(
  "div",
  getStyledOptions()
)(
  (props) => import_react58.css`
    ${baseStyles(props.theme)};
    display: inline-flex;
    line-height: 1;
    position: relative;
  `
);
var StyledArrow = import_styled27.default.span(
  (props) => {
    const { arrowLength, arrowMargin, bg, placement } = props;
    const [position, align] = placement.split("-");
    const arrowStyles = {};
    const styles2 = {};
    switch (position) {
      case "bottom": {
        arrowStyles.borderLeft = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderRight = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderBottom = `${(0, import_helpers28.px)(arrowLength)} solid ${bg}`;
        styles2.top = `-${(0, import_helpers28.px)(arrowLength)}`;
        styles2.height = arrowLength;
        styles2.width = arrowSize * 2;
        break;
      }
      case "left": {
        arrowStyles.borderTop = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderBottom = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderLeft = `${(0, import_helpers28.px)(arrowLength)} solid ${bg}`;
        styles2.right = `-${(0, import_helpers28.px)(arrowLength)}`;
        styles2.height = arrowSize * 2;
        styles2.width = arrowLength;
        break;
      }
      case "right": {
        arrowStyles.borderTop = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderBottom = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderRight = `${(0, import_helpers28.px)(arrowLength)} solid ${bg}`;
        styles2.left = `-${(0, import_helpers28.px)(arrowLength)}`;
        styles2.height = arrowSize * 2;
        styles2.width = arrowLength;
        break;
      }
      case "top": {
        arrowStyles.borderLeft = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderRight = `${(0, import_helpers28.px)(arrowSize)} solid transparent`;
        arrowStyles.borderTop = `${(0, import_helpers28.px)(arrowLength)} solid ${bg}`;
        styles2.bottom = `-${(0, import_helpers28.px)(arrowLength)}`;
        styles2.height = arrowLength;
        styles2.width = arrowSize * 2;
        break;
      }
    }
    if (["bottom", "top"].includes(position)) {
      if (align === "start") {
        styles2.left = arrowMargin;
      } else if (align === "middle") {
        styles2.left = "50%";
        styles2.transform = "translateX(-50%)";
      } else {
        styles2.right = arrowMargin;
      }
    } else if (["left", "right"].includes(position)) {
      if (align === "start") {
        styles2.top = arrowMargin;
      } else if (align === "middle") {
        styles2.top = "50%";
        styles2.transform = "translateY(-50%)";
      } else {
        styles2.bottom = arrowMargin;
      }
    }
    return import_react58.css`
      display: block;
      position: absolute;
      z-index: 5;
      ${styles2};

      &:before {
        content: '';
        display: block;
        height: 0;
        width: 0;
        ${arrowStyles};
      }
    `;
  }
);
var StyledBody = (0, import_styled27.default)(
  "span",
  getStyledOptions()
)((props) => {
  const {
    arrowDistance,
    arrowLength,
    bg,
    color,
    delay,
    duration,
    easing: easing2,
    placement,
    size,
    theme,
    wrap,
    zIndex: zIndex2
  } = props;
  const { spacing: spacing2 } = theme;
  const arrowSpacing = arrowLength + arrowDistance;
  const [position, align] = placement.split("-");
  const styles2 = {};
  if (align === "start") {
    if (["left", "right"].includes(position)) {
      styles2.top = arrowDistance;
    } else {
      styles2.left = 0;
    }
  } else if (align === "middle") {
    if (["left", "right"].includes(position)) {
      styles2.top = "50%";
      styles2.transform = "translateY(-50%)";
    } else {
      styles2.left = "50%";
      styles2.transform = "translateX(-50%)";
    }
  } else if (["left", "right"].includes(position)) {
    styles2.bottom = arrowDistance;
  } else {
    styles2.right = arrowDistance;
  }
  switch (position) {
    case "bottom": {
      styles2.marginTop = arrowSpacing;
      styles2.top = "100%";
      break;
    }
    case "left": {
      styles2.right = "100%";
      styles2.marginRight = arrowSpacing;
      break;
    }
    case "right": {
      styles2.left = "100%";
      styles2.marginLeft = arrowSpacing;
      break;
    }
    case "top": {
      styles2.bottom = "100%";
      styles2.marginBottom = arrowSpacing;
      break;
    }
  }
  switch (size) {
    case "xs":
    case "sm": {
      styles2.padding = `${spacing2.xxs} ${spacing2.xs}`;
      break;
    }
    default: {
      styles2.padding = `${spacing2.xs} ${spacing2.sm}`;
      break;
    }
  }
  let width;
  switch (wrap) {
    case "sm": {
      width = "100px";
      break;
    }
    case "md": {
      width = "200px";
      break;
    }
    case "lg": {
      width = "320px";
      break;
    }
  }
  return import_react58.css`
    animation: ${fadeIn} ${duration}ms forwards ${easing2};
    animation-delay: ${delay}ms;
    background-color: ${bg};
    color: ${color};
    opacity: 0;
    position: absolute;
    text-align: center;
    white-space: ${wrap ? "initial" : "nowrap"};
    width: ${width};
    z-index: ${zIndex2};
    ${styles2};
    ${getStyles((0, import_helpers28.omit)(props, "wrap"), { useFontSize: true })};
  `;
});
var StyledContent = (0, import_styled27.default)(Text)`
  position: relative;
  z-index: 10;
`;
function TooltipBody(props) {
  const {
    arrowDistance,
    arrowLength,
    arrowMargin,
    bg,
    bold,
    color,
    content,
    getDataAttributes,
    italic,
    placement,
    radius: radius2,
    shadow: shadow2,
    size,
    style,
    theme,
    wrap,
    ...rest
  } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime30.jsxs)(
    StyledBody,
    {
      arrowDistance,
      arrowLength,
      arrowMargin,
      bg,
      color,
      ...getDataAttributes("TooltipBody"),
      placement,
      radius: radius2,
      shadow: shadow2,
      size,
      style,
      theme,
      wrap,
      ...rest,
      children: [
        (0, import_react57.isValidElement)(content) ? content : /* @__PURE__ */ (0, import_jsx_runtime30.jsx)(
          StyledContent,
          {
            bold,
            ...getDataAttributes("TooltipContent"),
            italic,
            size,
            children: content
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime30.jsx)(
          StyledArrow,
          {
            arrowDistance,
            arrowLength,
            arrowMargin,
            bg,
            color,
            ...getDataAttributes("TooltipArrow"),
            placement,
            theme
          }
        )
      ]
    }
  );
}
function Tooltip(props) {
  const { componentProps, getDataAttributes } = useTooltip(props);
  const {
    ariaLabel,
    bg,
    children,
    color,
    content,
    disabled,
    eventType,
    open,
    theme,
    title,
    ...rest
  } = componentProps;
  const [isOpen, setOpen] = (0, import_react57.useState)(open ?? false);
  const label = (0, import_react57.useMemo)(() => ariaLabel ?? (0, import_react_innertext3.default)(content), [ariaLabel, content]);
  const { mainColor, textColor: textColor2 } = getColorTokens(bg, color, theme);
  (0, import_react57.useEffect)(() => {
    setOpen(open ?? false);
  }, [open]);
  const handleClick = () => {
    if (eventType === "click" && !disabled) {
      setOpen(!isOpen);
    }
  };
  const handleMouseEnter = () => {
    if (eventType === "hover" && !import_is_lite9.default.boolean(open) && !disabled) {
      setOpen(true);
    }
  };
  const handleMouseLeave = () => {
    if (eventType === "hover" && !import_is_lite9.default.boolean(open) && !disabled) {
      setOpen(false);
    }
  };
  return /* @__PURE__ */ (0, import_jsx_runtime30.jsxs)(
    StyledTooltip,
    {
      "aria-label": label,
      ...getDataAttributes("Tooltip"),
      onClick: handleClick,
      onMouseEnter: handleMouseEnter,
      onMouseLeave: handleMouseLeave,
      role: "tooltip",
      theme,
      title,
      ...rest,
      children: [
        children,
        isOpen && /* @__PURE__ */ (0, import_jsx_runtime30.jsx)(
          TooltipBody,
          {
            getDataAttributes,
            ...componentProps,
            bg: mainColor,
            color: textColor2,
            theme
          }
        )
      ]
    }
  );
}
Tooltip.displayName = "Tooltip";

// src/components/CopyToClipboard/useCopyToClipboard.ts
var defaultProps23 = {
  disableAnimation: false,
  hideTooltip: false,
  size: 16,
  timeout: 2e3,
  tooltipText: "Click to copy"
};
function useCopyToClipboard(props) {
  return useComponentProps(props, defaultProps23);
}

// src/components/CopyToClipboard/CopyToClipboard.tsx
var import_jsx_runtime31 = require("react/jsx-runtime");
var StyledCopyToClipboard = (0, import_styled28.default)("span", getStyledOptions())(
  {
    cursor: "pointer",
    display: "inline-flex",
    lineHeight: 1,
    position: "relative"
  },
  (props) => getStyles((0, import_helpers29.omit)(props, "size"))
);
function CopyToClipboard(props) {
  const {
    componentProps: {
      checkIcon = /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(Icon, { name: "check" }),
      children,
      copyIcon = /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(Icon, { name: "copy" }),
      disableAnimation,
      hideTooltip,
      onCopy,
      onError,
      size,
      timeout,
      tooltipCopiedText,
      tooltipProps,
      tooltipText,
      value,
      ...rest
    },
    getDataAttributes
  } = useCopyToClipboard(props);
  const isMounted = (0, import_hooks8.useIsMounted)();
  const [tooltipContent, setTooltipContent] = (0, import_react59.useState)(tooltipText);
  const [copied, setCopied] = (0, import_react59.useState)(false);
  const iconRef = (0, import_react59.useRef)(null);
  const valueText = (0, import_react59.useMemo)(() => {
    let stringValue = "";
    if (Array.isArray(value)) {
      value.forEach((child) => {
        const childString = (0, import_react_innertext4.default)(child);
        if (childString) {
          stringValue += `${childString}
`;
        }
      });
    } else {
      stringValue = (0, import_react_innertext4.default)(value);
    }
    return stringValue.trim();
  }, [value]);
  const handleClick = async (event) => {
    event.stopPropagation();
    event.preventDefault();
    if (!disableAnimation && iconRef.current) {
      animateIcon(iconRef.current, rest.color ?? "primary", rest.theme);
    }
    try {
      await navigator.clipboard.writeText(valueText);
      onCopy?.(valueText);
      if (tooltipCopiedText) {
        setTooltipContent(tooltipCopiedText);
      }
      setTimeout(
        () => {
          if (isMounted()) {
            setCopied(true);
          }
        },
        disableAnimation ? 0 : 300
      );
      setTimeout(() => {
        if (isMounted()) {
          setTooltipContent(tooltipText);
          setCopied(false);
        }
      }, timeout);
    } catch (error) {
      setTooltipContent(error.message);
      onError?.(error.message);
    }
  };
  const copyIconElement = copyIcon && !(0, import_react59.isValidElement)(copyIcon) ? /* @__PURE__ */ (0, import_jsx_runtime31.jsx)("span", { children: copyIcon }) : copyIcon;
  const checkIconElement = checkIcon && !(0, import_react59.isValidElement)(checkIcon) ? /* @__PURE__ */ (0, import_jsx_runtime31.jsx)("span", { children: checkIcon }) : checkIcon;
  let main = (0, import_react59.cloneElement)(
    copied ? checkIconElement : copyIconElement,
    {
      ref: iconRef,
      size,
      title: null
    }
  );
  if (children) {
    main = children;
  }
  if (!hideTooltip && (tooltipCopiedText || !copied)) {
    main = /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(Tooltip, { content: tooltipContent, placement: "top-middle", size: "xs", ...tooltipProps, children: main });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    StyledCopyToClipboard,
    {
      ...getDataAttributes("CopyToClipboard"),
      onClick: handleClick,
      ...rest,
      children: main
    }
  );
}
CopyToClipboard.displayName = "CopyToClipboard";

// src/components/DataTable/DataTable.tsx
var import_react74 = require("react");
var import_hooks9 = require("@gilbarbara/hooks");

// src/components/Pagination/Pagination.tsx
var import_react61 = require("@emotion/react");
var import_styled30 = __toESM(require("@emotion/styled"));
var import_helpers30 = require("@gilbarbara/helpers");
var import_is_lite10 = __toESM(require("is-lite"));

// src/components/Pagination/Button.tsx
var import_react60 = require("@emotion/react");
var import_styled29 = __toESM(require("@emotion/styled"));

// src/components/Pagination/usePagination.ts
var defaultProps24 = {
  accent: "primary",
  align: "end",
  disableEdgeNavigation: false,
  edgeNavigationLimit: 3,
  showSinglePage: false
};
function usePagination(props) {
  return useComponentProps(props, defaultProps24);
}
function usePaginationButton(props) {
  return useComponentProps(props);
}

// src/components/Pagination/Button.tsx
var import_jsx_runtime32 = require("react/jsx-runtime");
var StyledPaginationButton = (0, import_styled29.default)(
  ButtonUnstyled,
  getStyledOptions()
)((props) => {
  const { accent = "primary", current, theme } = props;
  const { black: black2, darkMode: darkMode2, opacity: opacity2, spacing: spacing2, typography: typography2, white: white2 } = theme;
  const color = darkMode2 ? white2 : black2;
  const { mainColor, textColor: textColor2 } = getColorTokens(accent, null, theme);
  return import_react60.css`
    align-items: center;
    border-radius: 50%;
    background-color: ${current ? mainColor : "transparent"};
    color: ${current ? textColor2 : color};
    display: flex;
    font-size: ${typography2.sm.fontSize};
    font-weight: ${700};
    justify-content: center;
    height: ${spacing2.xl};
    line-height: 1;
    width: ${spacing2.xl};

    &:disabled {
      opacity: ${current ? 1 : opacity2.medium};
      pointer-events: none;
    }
  `;
});
function PaginationButton(props) {
  const { componentProps, getDataAttributes } = usePaginationButton(props);
  const { accent, children, currentPage, disabled, onClick, page, theme, type } = componentProps;
  const current = page === currentPage && children === page;
  const handleClick = () => {
    onClick?.(page, type);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime32.jsx)(
    StyledPaginationButton,
    {
      accent,
      current,
      ...getDataAttributes("PaginationButton"),
      "data-current": current,
      "data-page": page,
      "data-type": type,
      disabled,
      onClick: handleClick,
      theme,
      children: children ?? page
    }
  );
}
PaginationButton.displayName = "PaginationButton";

// src/components/Pagination/Pagination.tsx
var import_jsx_runtime33 = require("react/jsx-runtime");
var StyledPagination = (0, import_styled30.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "flex"
  },
  (props) => {
    const { align } = props;
    return import_react61.css`
      justify-content: ${align};
      ${getStyles((0, import_helpers30.omit)(props, "align"))};
    `;
  }
);
function Pagination(props) {
  const { componentProps, getDataAttributes } = usePagination(props);
  const {
    accent,
    currentPage,
    disableEdgeNavigation,
    edgeNavigationLimit = 3,
    onClick,
    showSinglePage,
    totalPages,
    ...rest
  } = componentProps;
  const items = [];
  if (totalPages === 0 || totalPages === 1 && !showSinglePage) {
    return null;
  }
  if (!disableEdgeNavigation && totalPages > edgeNavigationLimit) {
    items.push({
      type: "first",
      disabled: currentPage === 1,
      page: 1,
      content: /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(Icon, { name: "chevron-double-left" })
    });
  }
  items.push({
    type: "previous",
    disabled: currentPage === 1,
    page: currentPage - 1,
    content: /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(Icon, { name: "chevron-left" })
  });
  if (disableEdgeNavigation && totalPages > 6) {
    items.push({ type: "page", page: 1 });
    if (currentPage > 3) {
      items.push({ type: "between-1", content: "..." });
    }
    if (currentPage === totalPages) {
      items.push({ type: "page", page: currentPage - 2 });
    }
    if (currentPage > 2) {
      items.push({ type: "page", page: currentPage - 1 });
    }
    if (currentPage !== 1 && currentPage !== totalPages) {
      items.push({ type: "page", page: currentPage });
    }
    if (currentPage < totalPages - 1) {
      items.push({ type: "page", page: currentPage + 1 });
    }
    if (currentPage === 1) {
      items.push({ type: "page", page: currentPage + 2 });
    }
    if (currentPage < totalPages - 2) {
      items.push({ type: "between-2", content: "..." });
    }
    items.push({ type: "page", page: totalPages });
  } else {
    const pages = Array.from({ length: totalPages }, (_, index) => index + 1).filter((p) => {
      const limit = currentPage + 2 <= totalPages ? currentPage - 1 : totalPages - 2;
      return p >= limit && p < currentPage + (currentPage === 1 || currentPage === totalPages - 1 ? 3 : 2);
    });
    pages.forEach((d) => {
      items.push({ type: "page", page: d });
    });
  }
  items.push({
    type: "next",
    disabled: currentPage === totalPages,
    page: currentPage + 1,
    content: /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(Icon, { name: "chevron-right" })
  });
  if (!disableEdgeNavigation && totalPages > edgeNavigationLimit) {
    items.push({
      type: "last",
      disabled: currentPage === totalPages,
      page: totalPages,
      content: /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(Icon, { name: "chevron-double-right" })
    });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(StyledPagination, { ...getDataAttributes("Pagination"), ...rest, children: items.map(
    (d, index) => import_is_lite10.default.number(d.page) ? /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(
      PaginationButton,
      {
        accent,
        currentPage,
        disabled: d.disabled ?? d.page === currentPage,
        onClick: d.page !== currentPage ? onClick : void 0,
        page: d.page,
        type: d.type,
        children: d.content ?? d.page
      },
      `${d.type}-${d.page ?? index}`
    ) : /* @__PURE__ */ (0, import_jsx_runtime33.jsx)("span", { children: "..." }, d.type)
  ) });
}
Pagination.displayName = "Pagination";

// src/components/DataTable/Body.tsx
var import_react71 = require("react");

// src/components/Loader/Loader.tsx
var import_react67 = require("react");
var import_react68 = require("@emotion/react");
var import_styled36 = __toESM(require("@emotion/styled"));
var import_is_lite12 = __toESM(require("is-lite"));

// src/components/Loader/Grow.tsx
var import_react62 = require("@emotion/react");
var import_styled31 = __toESM(require("@emotion/styled"));
var import_helpers31 = require("@gilbarbara/helpers");
var import_jsx_runtime34 = require("react/jsx-runtime");
var grow = ({ size = 32 }) => import_react62.keyframes`
  0% {
    height: 0;
    width: 0;
  }

  30% {
    border-width: ${(0, import_helpers31.px)(size && size / 2.5)};
    opacity: 1;
  }

  100% {
    border-width: 0;
    height: ${(0, import_helpers31.px)(size)};
    opacity: 0;
    width: ${(0, import_helpers31.px)(size)};
  }
`;
var StyledLoaderGrow = (0, import_styled31.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { block, color = "primary", size = 32, theme } = props;
  const { spacing: spacing2 } = theme;
  const { mainColor } = getColorTokens(color, null, theme);
  return import_react62.css`
    display: ${block ? "flex" : "inline-flex"};
    height: ${(0, import_helpers31.px)(size)};
    margin: ${block ? spacing2.lg : 0} auto;
    position: relative;
    width: ${(0, import_helpers31.px)(size)};

    > div {
      animation: ${grow(props)} 1.15s infinite cubic-bezier(0.2, 0.6, 0.36, 1);
      border: 0 solid ${mainColor};
      border-radius: 50%;
      height: 0;
      left: 50%;
      position: absolute;
      top: 50%;
      transform: translate(-50%, -50%);
      width: 0;
    }
  `;
});
function LoaderGrow(props) {
  const { getDataAttributes } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime34.jsx)(StyledLoaderGrow, { ...getDataAttributes("LoaderGrow"), ...props, children: /* @__PURE__ */ (0, import_jsx_runtime34.jsx)("div", {}) });
}
LoaderGrow.displayName = "LoaderGrow";

// src/components/Loader/Pill.tsx
var import_react63 = require("@emotion/react");
var import_styled32 = __toESM(require("@emotion/styled"));
var import_helpers32 = require("@gilbarbara/helpers");
var import_colorizr7 = require("colorizr");
var import_is_lite11 = __toESM(require("is-lite"));
var import_jsx_runtime35 = require("react/jsx-runtime");
var animation = import_react63.keyframes`
  0% {
    transform: translateX(-10%);
  }

  50% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(-10%);
  }
`;
var StyledLoaderPill = (0, import_styled32.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { block, color = "primary", height, theme, width } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2 } = theme;
  const ratio = 0.16;
  const borderRadius = (0, import_helpers32.px)(height / 2);
  const { mainColor } = getColorTokens(color, null, theme);
  return import_react63.css`
    background-color: ${darkMode2 ? grayScale2["700"] : grayScale2["100"]};
    border-radius: ${borderRadius};
    display: ${block ? "flex" : "inline-flex"};
    height: ${(0, import_helpers32.px)(height === width ? Math.ceil(height * ratio) : height)};
    margin: ${block ? spacing2.lg : 0} auto;
    overflow: hidden;
    position: relative;
    width: ${(0, import_helpers32.px)(width)};

    div {
      animation: ${animation} 2s infinite ease-in-out;
      background-color: ${mainColor};
      border-radius: ${borderRadius};
      content: '';
      bottom: 0;
      display: block;
      left: -10%;
      position: absolute;
      top: 0;
      width: 70%;
      z-index: 10;
    }

    div:nth-of-type(2) {
      animation-delay: 0.04s;
      background-color: ${(0, import_colorizr7.opacify)(mainColor, 0.7)};
      z-index: 5;
    }

    div:nth-of-type(3) {
      animation-delay: 0.05s;
      background-color: ${(0, import_colorizr7.opacify)(mainColor, 0.8)};
      z-index: 4;
    }
  `;
});
function LoaderPill(props) {
  const { getDataAttributes, size } = props;
  const [width, height] = import_is_lite11.default.array(size) ? size : [size, size];
  return /* @__PURE__ */ (0, import_jsx_runtime35.jsxs)(StyledLoaderPill, { ...getDataAttributes("LoaderPill"), height, width, ...props, children: [
    /* @__PURE__ */ (0, import_jsx_runtime35.jsx)("div", {}),
    /* @__PURE__ */ (0, import_jsx_runtime35.jsx)("div", {}),
    /* @__PURE__ */ (0, import_jsx_runtime35.jsx)("div", {})
  ] });
}
LoaderPill.displayName = "LoaderPill";

// src/components/Loader/Pride.tsx
var import_react64 = require("@emotion/react");
var import_styled33 = __toESM(require("@emotion/styled"));
var import_helpers33 = require("@gilbarbara/helpers");
var import_jsx_runtime36 = require("react/jsx-runtime");
var StyledLoaderPride = (0, import_styled33.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { block, size = 32, theme } = props;
  const { spacing: spacing2 } = theme;
  return import_react64.css`
    display: ${block ? "flex" : "inline-flex"};
    height: ${(0, import_helpers33.px)(size)};
    margin: ${block ? spacing2.lg : 0} auto;
    position: relative;
    width: ${(0, import_helpers33.px)(size)};

    .loaderPrideGroup {
      animation: ${rotate} 1s infinite linear;
      transform-origin: 10px 10px;
    }
  `;
});
function LoaderPride(props) {
  const { getDataAttributes, size } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(StyledLoaderPride, { ...getDataAttributes("LoaderPride"), ...props, children: /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
    "svg",
    {
      height: size,
      version: "1.1",
      viewBox: "0 0 24 24",
      width: size,
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("title", { children: "Pride" }),
        /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)("defs", { children: [
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-1",
              x1: "0%",
              x2: "100%",
              y1: "44.721611%",
              y2: "55.278389%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#FFCE00" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#FB9600" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-2",
              x1: "23.6069814%",
              x2: "76.3930186%",
              y1: "0%",
              y2: "100%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#FB9600" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#E25335" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)("linearGradient", { id: "linearGradient-vitwvdhq8u-3", x1: "0%", x2: "0%", y1: "0%", y2: "100%", children: [
            /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#E25335" }),
            /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#DE349E" })
          ] }),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-4",
              x1: "76.3930186%",
              x2: "23.6069814%",
              y1: "0%",
              y2: "100%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#DE349E" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#BF2FDC" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-5",
              x1: "100%",
              x2: "7.47355734e-15%",
              y1: "44.721611%",
              y2: "55.278389%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#BF2FDC" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#5D33D5" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-6",
              x1: "100%",
              x2: "2.41767548e-14%",
              y1: "55.278389%",
              y2: "44.721611%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#5D33D5" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#2B7CD7" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-7",
              x1: "76.3930186%",
              x2: "23.6069814%",
              y1: "100%",
              y2: "0%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#2B7CD7" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#33C3DD" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-8",
              x1: "100%",
              x2: "100%",
              y1: "100%",
              y2: "-5.74835557e-15%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#33C3DD" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#32D9A1" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-9",
              x1: "23.6069814%",
              x2: "76.3930186%",
              y1: "100%",
              y2: "5.68434189e-14%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#32D9A1" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#3FCB2A" })
              ]
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)(
            "linearGradient",
            {
              id: "linearGradient-vitwvdhq8u-10",
              x1: "0%",
              x2: "100%",
              y1: "55.278389%",
              y2: "44.721611%",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "0%", stopColor: "#3FCB2A" }),
                /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("stop", { offset: "100%", stopColor: "#FFCE00" })
              ]
            }
          )
        ] }),
        /* @__PURE__ */ (0, import_jsx_runtime36.jsx)("g", { transform: "translate(2.000000, 2.000000)", children: /* @__PURE__ */ (0, import_jsx_runtime36.jsxs)("g", { className: "loaderPrideGroup", strokeWidth: "4", children: [
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M10,3.70074342e-16 C12.111796,3.70074342e-16 14.1693886,0.668517671 15.8778738,1.90979148",
              stroke: "url(#linearGradient-vitwvdhq8u-1)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M15.8778738,1.90979148 C17.5863375,3.15106838 18.8579841,4.9013458 19.5105576,6.90976918",
              stroke: "url(#linearGradient-vitwvdhq8u-2)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M19.5105576,6.90976918 C20.1631475,8.91821275 20.1631475,11.081698 19.5105576,13.0901416",
              stroke: "url(#linearGradient-vitwvdhq8u-3)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M19.5105576,13.0901416 C18.8579841,15.098565 17.5863375,16.8488424 15.8778738,18.0901193",
              stroke: "url(#linearGradient-vitwvdhq8u-4)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M15.8778738,18.0901193 C14.1693886,19.3313931 12.111796,19.9999108 10,19.9999108",
              stroke: "url(#linearGradient-vitwvdhq8u-5)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M10,19.9999108 C7.888204,19.9999108 5.83061142,19.3313931 4.12212622,18.0901193",
              stroke: "url(#linearGradient-vitwvdhq8u-6)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M4.12212622,18.0901193 C2.41366248,16.8488424 1.14201593,15.098565 0.48944242,13.0901416",
              stroke: "url(#linearGradient-vitwvdhq8u-7)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M0.48944242,13.0901416 C-0.163147473,11.081698 -0.163147473,8.91821275 0.48944242,6.90976918",
              stroke: "url(#linearGradient-vitwvdhq8u-8)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M0.48944242,6.90976918 C1.14201593,4.9013458 2.41366248,3.15106838 4.12212622,1.90979148",
              stroke: "url(#linearGradient-vitwvdhq8u-9)"
            }
          ),
          /* @__PURE__ */ (0, import_jsx_runtime36.jsx)(
            "path",
            {
              d: "M4.12212622,1.90979148 C5.83061142,0.668517671 7.888204,3.70074342e-16 10,3.70074342e-16",
              stroke: "url(#linearGradient-vitwvdhq8u-10)"
            }
          )
        ] }) })
      ]
    }
  ) });
}
LoaderPride.displayName = "LoaderPride";

// src/components/Loader/Pulse.tsx
var import_react65 = require("@emotion/react");
var import_styled34 = __toESM(require("@emotion/styled"));
var import_helpers34 = require("@gilbarbara/helpers");
var import_jsx_runtime37 = require("react/jsx-runtime");
var pulse = ({ size = 32 }) => import_react65.keyframes`
  0% {
    height: 0;
    left: ${(0, import_helpers34.px)(size / 2)};
    opacity: 1;
    top: ${(0, import_helpers34.px)(size / 2)};
    width: 0;
  }

  100% {
    height: ${(0, import_helpers34.px)(size)};
    left: 0;
    opacity: 0;
    top: 0;
    width: ${(0, import_helpers34.px)(size)};
  }
`;
var StyledLoaderPulse = (0, import_styled34.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { block, color = "primary", size = 32, theme } = props;
  const { spacing: spacing2 } = theme;
  const { mainColor } = getColorTokens(color, null, theme);
  return import_react65.css`
    display: ${block ? "flex" : "inline-flex"};
    height: ${(0, import_helpers34.px)(size)};
    margin: ${block ? spacing2.lg : 0} auto;
    position: relative;
    width: ${(0, import_helpers34.px)(size)};

    > div {
      animation: ${pulse(props)} 1.2s cubic-bezier(0, 0.2, 0.8, 1) infinite;
      border: ${(0, import_helpers34.px)(Math.round(size / 16))} solid ${mainColor};
      border-radius: 50%;
      height: 0;
      left: ${(0, import_helpers34.px)(size / 2)};
      opacity: 1;
      position: absolute;
      top: ${(0, import_helpers34.px)(size / 2)};
      transform-origin: center;
      width: 0;
    }

    > div:nth-of-type(2) {
      animation-delay: -0.5s;
    }
  `;
});
function LoaderPulse(props) {
  const { getDataAttributes } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime37.jsxs)(StyledLoaderPulse, { ...getDataAttributes("LoaderPulse"), ...props, children: [
    /* @__PURE__ */ (0, import_jsx_runtime37.jsx)("div", {}),
    /* @__PURE__ */ (0, import_jsx_runtime37.jsx)("div", {})
  ] });
}
LoaderPulse.displayName = "LoaderPulse";

// src/components/Loader/Rotate.tsx
var import_react66 = require("@emotion/react");
var import_styled35 = __toESM(require("@emotion/styled"));
var import_helpers35 = require("@gilbarbara/helpers");
var import_jsx_runtime38 = require("react/jsx-runtime");
var dash = import_react66.keyframes`
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }

  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }

  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
`;
var StyledLoaderRotate = (0, import_styled35.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { block, theme } = props;
  const { spacing: spacing2 } = theme;
  return import_react66.css`
    display: ${block ? "flex" : "inline-flex"};
    margin: ${block ? spacing2.lg : 0} auto;
    text-align: center;
  `;
});
var StyledLoaderRotateSVG = (0, import_styled35.default)(
  "svg",
  getStyledOptions()
)((props) => {
  const { size } = props;
  return import_react66.css`
    animation: ${rotate} 2s linear infinite;
    height: ${(0, import_helpers35.px)(size)};
    margin: auto;
    transform-origin: center center;
    width: ${(0, import_helpers35.px)(size)};
  `;
});
var StyledLoaderRotateCircle = (0, import_styled35.default)("circle", getStyledOptions())`
  animation: ${dash} 1.5s infinite ease-in-out;
  stroke: ${(props) => props.color};
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  stroke-linecap: round;
`;
function LoaderRotate(props) {
  const { color = "primary", getDataAttributes, size = 32, theme } = props;
  const { mainColor } = getColorTokens(color, null, theme);
  return /* @__PURE__ */ (0, import_jsx_runtime38.jsx)(StyledLoaderRotate, { ...getDataAttributes("LoaderRotate"), ...props, children: /* @__PURE__ */ (0, import_jsx_runtime38.jsx)(StyledLoaderRotateSVG, { size, viewBox: "25 25 50 50", children: /* @__PURE__ */ (0, import_jsx_runtime38.jsx)(
    StyledLoaderRotateCircle,
    {
      color: mainColor,
      cx: "50",
      cy: "50",
      fill: "none",
      r: "20",
      strokeWidth: 2
    }
  ) }) });
}
LoaderRotate.displayName = "LoaderRotate";

// src/components/Loader/useLoader.ts
var defaultProps25 = {
  color: "primary",
  block: false,
  labelPosition: "bottom",
  labelSize: "sm",
  size: 32,
  type: "pill"
};
function useLoader(props) {
  return useComponentProps(props, defaultProps25);
}

// src/components/Loader/Loader.tsx
var import_jsx_runtime39 = require("react/jsx-runtime");
var StyledLabel2 = (0, import_styled36.default)("p")((props) => {
  const { labelPosition, labelSize, theme } = props;
  const { spacing: spacing2, typography: typography2 } = theme;
  if (labelPosition === "middle") {
    return import_react68.css`
      font-size: ${typography2[labelSize].fontSize};
      left: 50%;
      margin: 0;
      position: absolute;
      top: 50%;
      transform: translate(-50%, -50%);
      z-index: 10;
    `;
  }
  let margin;
  switch (labelPosition) {
    case "top": {
      margin = `0 0 ${spacing2.xs} 0`;
      break;
    }
    case "left": {
      margin = `0 ${spacing2.xs} 0 0`;
      break;
    }
    case "right": {
      margin = `0 0 0 ${spacing2.xs}`;
      break;
    }
    case "bottom":
    default: {
      margin = `${spacing2.xs} 0 0 0`;
      break;
    }
  }
  return import_react68.css`
    font-size: ${typography2[labelSize].fontSize};
    margin: ${margin};
  `;
});
function Loader(props) {
  const { componentProps, getDataAttributes } = useLoader(props);
  const { block, color, label, labelPosition, labelSize, size, type, ...rest } = componentProps;
  const labelId = (0, import_react67.useId)();
  const componentSize = import_is_lite12.default.array(size) ? size[0] : size;
  let direction;
  switch (labelPosition) {
    case "left": {
      direction = "row-reverse";
      break;
    }
    case "right": {
      direction = "row";
      break;
    }
    case "top": {
      direction = "column-reverse";
      break;
    }
    default: {
      direction = "column";
      break;
    }
  }
  const content = {};
  switch (type) {
    case "grow": {
      content.loader = /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
        LoaderGrow,
        {
          block,
          color,
          getDataAttributes,
          size: componentSize,
          theme: rest.theme
        }
      );
      break;
    }
    case "pride": {
      content.loader = /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
        LoaderPride,
        {
          block,
          getDataAttributes,
          size: componentSize,
          theme: rest.theme
        }
      );
      break;
    }
    case "pulse": {
      content.loader = /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
        LoaderPulse,
        {
          block,
          color,
          getDataAttributes,
          size: componentSize,
          theme: rest.theme
        }
      );
      break;
    }
    case "rotate": {
      content.loader = /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
        LoaderRotate,
        {
          block,
          color,
          getDataAttributes,
          size: componentSize,
          theme: rest.theme
        }
      );
      break;
    }
    case "pill":
    default: {
      content.loader = /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
        LoaderPill,
        {
          block,
          color,
          getDataAttributes,
          size,
          theme: rest.theme
        }
      );
      break;
    }
  }
  if (label) {
    content.label = (0, import_react67.isValidElement)(label) ? (0, import_react67.cloneElement)(label, { id: labelId }) : /* @__PURE__ */ (0, import_jsx_runtime39.jsx)(
      StyledLabel2,
      {
        id: labelId,
        labelPosition,
        labelSize,
        theme: rest.theme,
        children: label
      }
    );
  }
  return /* @__PURE__ */ (0, import_jsx_runtime39.jsxs)(
    Flex,
    {
      align: "center",
      "aria-busy": true,
      "aria-label": !label ? "Loading..." : void 0,
      "aria-labelledby": label ? labelId : void 0,
      "aria-live": "polite",
      ...getDataAttributes("Loader"),
      direction,
      justify: "center",
      position: "relative",
      role: "status",
      ...rest,
      children: [
        content.loader,
        content.label
      ]
    }
  );
}
Loader.displayName = "Loader";

// src/components/Paragraph/Paragraph.tsx
var import_react69 = require("react");
var import_react70 = require("@emotion/react");
var import_styled37 = __toESM(require("@emotion/styled"));
var import_helpers36 = require("@gilbarbara/helpers");
var import_is_lite13 = __toESM(require("is-lite"));

// src/components/Paragraph/useParagraph.ts
var defaultProps26 = {
  ...textDefaultOptions
};
function useParagraph(props) {
  return useComponentProps(props, defaultProps26);
}

// src/components/Paragraph/Paragraph.tsx
var import_jsx_runtime40 = require("react/jsx-runtime");
var StyledParagraph = (0, import_styled37.default)("p", getStyledOptions())(
  {
    marginBottom: 0,
    marginTop: 0
  },
  (props) => {
    const { mt, theme } = props;
    let marginTop;
    if (mt && mt !== "auto") {
      marginTop = (0, import_helpers36.px)(theme.spacing[mt]);
    } else if (import_is_lite13.default.number(mt)) {
      marginTop = (0, import_helpers36.px)(mt);
    }
    return import_react70.css`
      ${getStyles((0, import_helpers36.omit)(props, "align", "mt"), { useFontSize: true })};
      ${alignStyles(props)};
      margin-top: ${marginTop} !important;

      & + p {
        margin-top: ${(0, import_helpers36.px)(theme.paragraphMarginBetween)};
      }
    `;
  }
);
var Paragraph = (0, import_react69.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useParagraph(props);
  const { children } = componentProps;
  return /* @__PURE__ */ (0, import_jsx_runtime40.jsx)(StyledParagraph, { ref, ...getDataAttributes("Paragraph"), ...componentProps, children: (0, import_react69.isValidElement)(children) ? children : /* @__PURE__ */ (0, import_jsx_runtime40.jsx)(Text, { ...componentProps }) });
});
Paragraph.displayName = "Paragraph";

// src/components/DataTable/useDataTable.ts
var import_react_innertext5 = __toESM(require("react-innertext"));
var import_is_lite14 = __toESM(require("is-lite"));
var defaultProps27 = {
  accent: "primary",
  breakpoint: 768,
  clean: false,
  defaultSortDirection: "asc",
  disableScroll: false,
  loaderSize: 128,
  loaderType: "pill",
  loading: false,
  maxRows: 10,
  pagination: true,
  radius: "xs",
  responsive: false,
  scrollDuration: 400,
  scrollMargin: 16,
  stickyHeader: false
};
function getBorder(darkMode2) {
  return [{ side: "top", color: darkMode2 ? "gray.700" : "gray.100" }];
}
function getRowContent(input, key) {
  const item = input[key];
  return import_is_lite14.default.plainObject(item) && "label" in item ? item.label : item;
}
function getRowKey(input, index) {
  return import_is_lite14.default.string(input.id) || import_is_lite14.default.number(input.id) ? input.id : index;
}
function sortData(data, sortBy, sortDirection) {
  if (!sortBy) {
    return data;
  }
  return [...data].sort((a, b) => {
    const leftValue = a[sortBy];
    const rightValue = b[sortBy];
    const left = import_is_lite14.default.plainObject(leftValue) && "value" in leftValue ? leftValue.value : (0, import_react_innertext5.default)(leftValue);
    const right = import_is_lite14.default.plainObject(rightValue) && "value" in rightValue ? rightValue.value : (0, import_react_innertext5.default)(rightValue);
    if (sortDirection === "desc") {
      return right.toLowerCase().localeCompare(left.toLowerCase(), void 0, { numeric: true });
    }
    return left.toLowerCase().localeCompare(right.toLowerCase(), void 0, { numeric: true });
  });
}
function useDataTable(props) {
  return useComponentProps(props, defaultProps27);
}

// src/components/DataTable/Body.tsx
var import_jsx_runtime41 = require("react/jsx-runtime");
function DataTableBody(props) {
  const {
    accent,
    clean,
    columns,
    data,
    getDataAttributes,
    isResponsive,
    loaderSize,
    loaderType,
    loading,
    sortColumn,
    theme
  } = props;
  const { darkMode: darkMode2, zIndex: zIndex2 } = theme;
  const isInitialLoad = loading && !data.length;
  return /* @__PURE__ */ (0, import_jsx_runtime41.jsxs)(
    Box,
    {
      ...getDataAttributes("DataTableBody"),
      minHeight: 55,
      mt: !clean ? "sm" : void 0,
      pb: !clean ? "sm" : void 0,
      position: "relative",
      children: [
        data.map((item, index) => /* @__PURE__ */ (0, import_jsx_runtime41.jsx)(
          Box,
          {
            bg: darkMode2 ? "gray.900" : "white",
            border: isResponsive ? getBorder(darkMode2) : void 0,
            ...getDataAttributes("DataTableBodyRow"),
            display: "flex",
            mt: !clean && index > 0 ? "sm" : void 0,
            radius: clean ? void 0 : "xs",
            wrap: isResponsive ? "wrap" : "nowrap",
            children: columns.map(
              ({ hideOnResponsive, isAction, key, max, min, size, title }, columnIndex) => {
                let maxWidth = max ?? size;
                if (isResponsive && sortColumn === key) {
                  maxWidth = void 0;
                }
                return /* @__PURE__ */ (0, import_jsx_runtime41.jsxs)(
                  Box,
                  {
                    align: "flex-start",
                    border: clean && !isResponsive ? getBorder(darkMode2) : void 0,
                    ...getDataAttributes("DataTableBodyColumn"),
                    direction: "column",
                    display: "flex",
                    flex: "grow",
                    maxWidth,
                    minWidth: min ?? size,
                    order: isAction ? 1 : columnIndex + 1,
                    px: clean ? "sm" : "md",
                    py: clean ? "sm" : "md",
                    wrap: "wrap",
                    children: [
                      isResponsive && !hideOnResponsive && /* @__PURE__ */ (0, import_jsx_runtime41.jsx)(
                        Paragraph,
                        {
                          color: "gray",
                          mb: "xxs",
                          size: "xs",
                          style: { textTransform: "uppercase" },
                          children: title
                        }
                      ),
                      getRowContent(item, key)
                    ]
                  },
                  key
                );
              }
            )
          },
          getRowKey(item, index)
        )),
        loading && /* @__PURE__ */ (0, import_jsx_runtime41.jsx)(
          FlexCenter,
          {
            bg: !isInitialLoad ? "rgba(200, 200, 200, 0.5)" : void 0,
            bottom: 0,
            left: 0,
            pointerEvents: "fill",
            position: "absolute",
            right: 0,
            top: 0,
            zIndex: zIndex2.xxs,
            children: /* @__PURE__ */ (0, import_jsx_runtime41.jsx)(Loader, { color: accent, size: loaderSize, type: loaderType })
          }
        )
      ]
    }
  );
}
DataTableBody.displayName = "DataTableBody";
var Body_default = (0, import_react71.memo)(DataTableBody);

// src/components/DataTable/Head.tsx
var import_react72 = require("react");
var import_react73 = require("@emotion/react");
var import_styled38 = __toESM(require("@emotion/styled"));
var import_jsx_runtime42 = require("react/jsx-runtime");
var Title = (0, import_styled38.default)(
  ButtonUnstyled,
  getStyledOptions()
)((props) => {
  const { disableSort, isDisabled } = props;
  return import_react73.css`
    align-items: center;
    display: flex;
    font-weight: 700;
    pointer-events: ${disableSort || isDisabled ? "none" : "all"};
  `;
});
function DataTableHead(props) {
  const {
    accent,
    clean,
    columns,
    getDataAttributes,
    isDisabled,
    isResponsive,
    onClick,
    sortBy,
    sortDirection,
    stickyHeader,
    theme: { black: black2, darkMode: darkMode2, white: white2, zIndex: zIndex2 }
  } = props;
  const color = darkMode2 ? white2 : black2;
  if (isResponsive) {
    return /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Flex, { justify: "end", children: /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
      Menu,
      {
        button: /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Icon, { name: "sort", size: 24, title: null }),
        labels: { close: "Close sort", name: "Sort menu", open: "Open sort" },
        children: columns.filter((d) => !d.disableSort).map(({ key, title }) => /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(MenuItem, { accent: "white", disableHover: true, children: /* @__PURE__ */ (0, import_jsx_runtime42.jsxs)(Flex, { flex: true, justify: "space-between", children: [
          title,
          /* @__PURE__ */ (0, import_jsx_runtime42.jsxs)(Flex, { children: [
            /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
              ButtonUnstyled,
              {
                "aria-label": `Sort by ${title} - asc`,
                "data-direction": "desc",
                "data-name": key,
                onClick,
                children: /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
                  Icon,
                  {
                    color: key === sortBy && sortDirection === "asc" ? accent : color,
                    name: "sort-asc",
                    size: 20
                  }
                )
              }
            ),
            /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
              ButtonUnstyled,
              {
                "aria-label": `Sort by ${title} - desc`,
                "data-direction": "asc",
                "data-name": key,
                onClick,
                children: /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
                  Icon,
                  {
                    color: key === sortBy && sortDirection === "desc" ? accent : color,
                    name: "sort-desc",
                    size: 20
                  }
                )
              }
            )
          ] })
        ] }) }, key))
      }
    ) });
  }
  const wrapperProps = {
    bg: darkMode2 ? "gray.900" : "white",
    display: "flex",
    radius: !clean ? "xs" : void 0
  };
  if (stickyHeader) {
    wrapperProps.position = "sticky";
    wrapperProps.top = 0;
    wrapperProps.zIndex = zIndex2.xxs;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Box, { ...getDataAttributes("DataTableHead"), ...wrapperProps, children: columns.map(({ disableSort, key, max, min, size, title }) => {
    let icon;
    if (!disableSort) {
      icon = /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Icon, { ml: "xxs", name: "sort", size: 20 });
      if (key === sortBy) {
        icon = sortDirection === "asc" ? /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Icon, { color: accent, ml: "xxs", name: "sort-asc", size: 20 }) : /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(Icon, { color: accent, ml: "xxs", name: "sort-desc", size: 20 });
      }
    }
    return /* @__PURE__ */ (0, import_jsx_runtime42.jsx)(
      Box,
      {
        align: "center",
        ...getDataAttributes("DataTableHeadColumn"),
        direction: "row",
        flex: "grow",
        maxWidth: max ?? size,
        minWidth: min ?? size,
        my: "xs",
        px: clean ? "sm" : "md",
        children: title && /* @__PURE__ */ (0, import_jsx_runtime42.jsxs)(
          Title,
          {
            "data-direction": sortDirection,
            "data-name": key,
            disableSort,
            isDisabled,
            onClick,
            children: [
              title,
              icon
            ]
          }
        )
      },
      key
    );
  }) });
}
DataTableHead.displayName = "DataTableHead";
var Head_default = (0, import_react72.memo)(DataTableHead);

// src/components/DataTable/DataTable.tsx
var import_jsx_runtime43 = require("react/jsx-runtime");
function DataTable(props) {
  const {
    componentProps: {
      accent,
      bg,
      breakpoint,
      clean,
      columns,
      data,
      defaultSortColumn,
      defaultSortDirection,
      disableScroll,
      loaderSize,
      loaderType,
      loading,
      maxRows,
      noResults,
      onClickPage,
      onClickSort,
      pagination,
      radius: radius2,
      remote,
      responsive: responsive2,
      scrollDuration,
      scrollElement,
      scrollMargin,
      stickyHeader,
      width,
      ...rest
    },
    getDataAttributes
  } = useDataTable(props);
  const element = (0, import_react74.useRef)(null);
  const resizeTimeout = (0, import_react74.useRef)(null);
  const { darkMode: darkMode2 } = rest.theme;
  const [{ currentPage, isResponsive, sortBy, sortDirection }, setState] = (0, import_hooks9.useSetState)({
    currentPage: 1,
    isResponsive: responsive2 && (width ?? window.innerWidth) < breakpoint,
    sortBy: defaultSortColumn ?? null,
    sortDirection: defaultSortDirection
  });
  (0, import_hooks9.useUpdateEffect)(() => {
    const minLength = currentPage * maxRows - maxRows;
    if (data.length < minLength) {
      setState({ currentPage: 1 });
    }
  }, [currentPage, data.length, maxRows, setState]);
  (0, import_hooks9.useMount)(() => {
    const resizeHandler = () => {
      if (resizeTimeout.current) {
        window.clearTimeout(resizeTimeout.current);
      }
      resizeTimeout.current = window.setTimeout(() => {
        setState({ isResponsive: responsive2 && (width ?? window.innerWidth) < breakpoint });
      }, 250);
    };
    window.addEventListener("resize", resizeHandler);
    return () => {
      window.removeEventListener("resize", resizeHandler);
    };
  });
  const totalPages = Math.ceil(data.length / maxRows);
  const handleClickPage = (page) => {
    const scrollTarget = scrollElement ?? element.current;
    onClickPage?.(page, remote?.totalPages ?? totalPages);
    if (scrollTarget && !disableScroll) {
      scrollTo(scrollTarget.getBoundingClientRect().top - scrollMargin, { scrollDuration });
    }
    if (remote) {
      return;
    }
    setState({ currentPage: page });
  };
  const handleClickSort = (0, import_react74.useCallback)(
    (event) => {
      const { direction, name = "" } = event.currentTarget.dataset;
      const reverseDirection = direction === "asc" ? "desc" : "asc";
      const nextDirection = sortBy === name ? reverseDirection : "asc";
      const options = {
        sortBy: name,
        sortDirection: nextDirection
      };
      onClickSort?.(name, nextDirection);
      setState(options);
    },
    [onClickSort, setState, sortBy]
  );
  const isEmpty = !loading && !data.length;
  const rows = (0, import_react74.useMemo)(() => {
    return remote && !remote?.useInternalSorting || !sortBy ? data : sortData(data, sortBy, sortDirection);
  }, [data, remote, sortBy, sortDirection]);
  const body = (0, import_react74.useMemo)(() => {
    if (isEmpty) {
      return /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(FlexCenter, { bg: "white", padding: "md", radius: "sm", width: "100%", children: noResults ?? /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(Text, { bold: true, children: "Nothing found" }) });
    }
    return /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(
      Body_default,
      {
        accent,
        clean,
        columns,
        data: rows.slice(maxRows * (currentPage - 1), maxRows * currentPage),
        getDataAttributes,
        isResponsive,
        loaderSize,
        loaderType,
        loading,
        sortColumn: defaultSortColumn,
        theme: rest.theme
      }
    );
  }, [
    accent,
    clean,
    columns,
    currentPage,
    defaultSortColumn,
    getDataAttributes,
    isEmpty,
    isResponsive,
    loaderSize,
    loaderType,
    loading,
    maxRows,
    noResults,
    rest.theme,
    rows
  ]);
  const styles2 = {
    bg
  };
  if (clean) {
    styles2.bg = darkMode2 ? "gray.900" : "white";
    styles2.pb = "sm";
  }
  if (!clean) {
    styles2.padding = "md";
    if (!bg) {
      styles2.bg = darkMode2 ? "gray.800" : "gray.50";
    }
  }
  return /* @__PURE__ */ (0, import_jsx_runtime43.jsxs)(
    Box,
    {
      ref: element,
      ...getDataAttributes("DataTable"),
      maxWidth: "100%",
      radius: !clean ? radius2 : void 0,
      width,
      ...styles2,
      ...rest,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(
          Head_default,
          {
            accent,
            clean,
            columns,
            getDataAttributes,
            isDisabled: loading ?? isEmpty,
            isResponsive,
            onClick: handleClickSort,
            sortBy,
            sortDirection,
            stickyHeader,
            theme: rest.theme
          }
        ),
        body,
        pagination && /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(Box, { border: clean ? getBorder(darkMode2) : void 0, pt: clean ? "sm" : void 0, children: /* @__PURE__ */ (0, import_jsx_runtime43.jsx)(
          Pagination,
          {
            accent,
            currentPage: remote?.currentPage ?? currentPage,
            onClick: handleClickPage,
            totalPages: remote?.totalPages ?? totalPages
          }
        ) })
      ]
    }
  );
}
DataTable.displayName = "DataTable";

// src/components/DatePicker/Range.tsx
var import_react78 = require("react");
var import_react_day_picker = require("react-day-picker");
var import_styled40 = __toESM(require("@emotion/styled"));
var import_helpers38 = require("@gilbarbara/helpers");

// src/components/DatePicker/utils.tsx
var import_react75 = require("@emotion/react");
var import_colorizr8 = require("colorizr");
var import_date_fns = require("date-fns");
var import_is_lite15 = __toESM(require("is-lite"));
var import_jsx_runtime44 = require("react/jsx-runtime");
function getFooter(setter, label, apply) {
  if (!label && !apply) {
    return null;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime44.jsxs)(
    Box,
    {
      align: "end",
      direction: "row",
      display: "flex",
      justify: apply ? "space-between" : "center",
      mt: "xs",
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime44.jsx)(ButtonUnstyled, { onClick: () => setter(/* @__PURE__ */ new Date()), children: label }),
        apply
      ]
    }
  );
}
function getNumberOfMonths(fromDate, toDate) {
  if (fromDate && toDate) {
    const day1 = import_is_lite15.default.date(fromDate) ? fromDate : new Date(fromDate);
    const day2 = import_is_lite15.default.date(toDate) ? toDate : new Date(toDate);
    return (0, import_date_fns.isSameMonth)(day1, day2) ? 1 : 2;
  }
  return 2;
}
function getPickerStyles(props) {
  const { accent = "primary", theme } = props;
  const { colors: colors2, darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, textColorOptions: textColorOptions2, typography: typography2, variants: variants2 } = theme;
  const className = "rdp";
  const colorMain = colors2[accent];
  const colorVariant = variants2[accent];
  const cellSize = "40px";
  const disabledDays = darkMode2 ? grayScale2["500"] : grayScale2["200"];
  return import_react75.css`
    ${getStyles(props)};

    /* Hide elements for devices that are not screen readers */

    .${className}-vhidden {
      -moz-appearance: none;
      -webkit-appearance: none;
      appearance: none;
      background: transparent;
      border: 0;
      box-sizing: border-box;
      clip: rect(1px, 1px, 1px, 1px) !important;
      height: 1px !important;
      margin: 0;
      overflow: hidden !important;
      padding: 0;
      position: absolute !important;
      top: 0;
      width: 1px !important;
    }

    /* Buttons */

    .${className}-button_reset {
      -moz-appearance: none;
      -webkit-appearance: none;
      appearance: none;
      background: none;
      color: inherit;
      cursor: default;
      font: inherit;
      margin: 0;
      outline: none;
      padding: 0;
      position: relative;
    }

    .${className}-button {
      border: 0;

      &[aria-disabled='true'] {
        color: ${disabledDays};
        pointer-events: none;
      }

      &:not([aria-disabled='true']) {
        cursor: pointer;
      }

      &:focus,
      &:active {
        background-color: ${darkMode2 ? colorVariant[300] : colorVariant["50"]};
      }

      &:hover:not([aria-disabled='true']) {
        background-color: ${darkMode2 ? colorVariant[300] : colorVariant[50]};
      }
    }

    .${className}-months {
      display: flex;
    }

    .${className}-month {
      margin: 0 ${spacing2.xs};

      &:first-of-type {
        margin-left: 0;
      }

      &:last-of-type {
        margin-right: 0;
      }
    }

    .${className}-table {
      border-collapse: collapse;
      margin: 0;
      max-width: calc(${cellSize} * 7);
    }

    .${className}-with_weeknumber .${className}-table {
      border-collapse: collapse;
      max-width: calc(${cellSize} * 8);
    }

    .${className}-caption {
      align-items: center;
      display: flex;
      justify-content: space-between;
      margin-bottom: ${spacing2.xs};
      padding: 0;
      text-align: left;
    }

    .${className}-multiple_months .${className}-caption {
      display: block;
      position: relative;
      text-align: center;
    }

    .${className}-caption_dropdowns {
      display: inline-flex;
      position: relative;
    }

    .${className}-caption_label {
      align-items: center;
      border: 0;
      color: currentColor;
      display: inline-flex;
      font-family: inherit;
      font-size: ${typography2.lg.fontSize};
      font-weight: normal;
      margin: 0;
      padding: 0 ${spacing2.xs};
      position: relative;
      white-space: nowrap;
      z-index: 1;
    }

    .${className}-nav {
      display: flex;
      white-space: nowrap;
    }

    .${className}-multiple_months .${className}-caption_start .${className}-nav {
      left: 0;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
    }

    .${className}-multiple_months .${className}-caption_end .${className}-nav {
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
    }

    .${className}-nav_button {
      align-items: center;
      display: inline-flex;
      height: 22px;
      justify-content: center;
      padding: 0;
      width: 22px;

      &:focus,
      &:active {
        background-color: transparent;
      }

      &:hover:not([aria-disabled='true']) {
        background-color: transparent;
      }
    }

    .${className}:not(.${className}-multiple_months) {
      .${className}-caption {
        justify-content: center;
        position: relative;
      }

      .${className}-nav {
        left: 0;
        position: absolute;
        top: 0;
        right: 0;
      }

      .${className}-nav_button_next {
        position: absolute;
        right: 0;
      }
    }

    /* ---------- */
    /* Dropdowns  */
    /* ---------- */

    .${className}-dropdown_year, .${className}-dropdown_month {
      align-items: center;
      display: inline-flex;
      position: relative;
    }

    .${className}-dropdown {
      appearance: none;
      background-color: transparent;
      border: none;
      bottom: 0;
      cursor: inherit;
      font-family: inherit;
      font-size: inherit;
      left: 0;
      line-height: inherit;
      margin: 0;
      opacity: 0;
      padding: 0;
      position: absolute;
      top: 0;
      width: 100%;
      z-index: 2;

      &[disabled] {
        color: unset;
        opacity: unset;
      }
    }

    .${className}-dropdown_icon {
      margin: 0 0 0 5px;
    }

    .${className}-head {
      border: 0;
    }

    .${className}-head_row, .${className}-row {
      height: 100%;
    }

    .${className}-head_cell {
      color: ${grayScale2["500"]};
      font-size: ${typography2.sm.fontSize};
      font-weight: normal;
      height: 24px;
      padding: 0;
      text-align: center;
      vertical-align: middle;
    }

    .${className}-tbody {
      border: 0;
    }

    .${className}-tfoot {
      margin: ${spacing2.xs};
    }

    .${className}-cell {
      height: ${cellSize};
      padding: 0;
      text-align: center;
      width: ${cellSize};
    }

    .${className}-weeknumber {
      font-size: ${typography2.sm.fontSize};
    }

    .${className}-weeknumber, .${className}-day {
      align-items: center;
      border-radius: 100%;
      border: 2px solid transparent;
      box-sizing: border-box;
      display: flex;
      height: ${cellSize};
      justify-content: center;
      margin: 0;
      max-width: ${cellSize};
      overflow: hidden;
      width: ${cellSize};
    }

    .${className}-day_today:not(.${className}-day_outside) {
      color: ${colorMain};
      font-weight: bold;
    }

    .${className}-day_range_middle {
      border-radius: 0;
      background-color: ${darkMode2 ? colorVariant[200] : colorVariant[50]} !important;
      color: ${variants2.gray["900"]} !important;
    }

    .${className}-day_selected:not([aria-disabled='true']),
    .${className}-day_selected:focus:not([aria-disabled='true']),
    .${className}-day_selected:active:not([aria-disabled='true']),
    .${className}-day_selected:hover:not([aria-disabled='true']) {
      background-color: ${colorMain};
      color: ${(0, import_colorizr8.textColor)(colorMain, textColorOptions2)};
    }

    .${className}-day_selected:focus:not([aria-disabled='true']) {
      border: 2px solid ${colorMain};
    }

    .${className}:not([dir='rtl']) {
      .${className}-day_range_start:not(.${className}-day_range_end) {
        border-bottom-right-radius: 0;
        border-top-right-radius: 0;
      }

      .${className}-day_range_end:not(.${className}-day_range_start) {
        border-bottom-left-radius: 0;
        border-top-left-radius: 0;
      }
    }

    .${className}[dir='rtl'] {
      .${className}-day_range_start:not(.${className}-day_range_end) {
        border-bottom-left-radius: 0;
        border-top-left-radius: 0;
      }

      .${className}-day_range_end:not(.${className}-day_range_start) {
        border-bottom-right-radius: 0;
        border-top-right-radius: 0;
      }
    }

    .${className}-day_range_end.${className}-day_range_start {
      border-radius: 100%;
    }
  `;
}
function getRange(fromDate, toDate) {
  const additionalProps = {};
  let dateStart;
  let dateEnd;
  if (fromDate) {
    dateStart = import_is_lite15.default.date(fromDate) ? fromDate : new Date(fromDate);
    additionalProps.fromMonth = new Date(dateStart.getFullYear(), dateStart.getMonth());
    additionalProps.disabled = [
      {
        from: new Date(dateStart.getFullYear(), dateStart.getMonth(), 0),
        to: new Date(dateStart.getFullYear(), dateStart.getMonth(), dateStart.getDate())
      }
    ];
  }
  if (toDate) {
    dateEnd = import_is_lite15.default.date(toDate) ? toDate : new Date(toDate);
    const disabledDays = [];
    disabledDays.push({
      from: new Date(dateEnd.getFullYear(), dateEnd.getMonth(), dateEnd.getDate()),
      to: new Date(dateEnd.getFullYear(), dateEnd.getMonth() + 1, 1)
    });
    if (dateStart && dateStart.getMonth() === dateEnd.getMonth()) {
      disabledDays.push({
        from: new Date(dateEnd.getFullYear(), dateEnd.getMonth() + 1, 0),
        to: new Date(dateEnd.getFullYear(), dateEnd.getMonth() + 2, 1)
      });
    }
    additionalProps.toMonth = new Date(dateEnd.getFullYear(), dateEnd.getMonth());
    additionalProps.disabled = import_is_lite15.default.array(additionalProps.disabled) ? [...additionalProps.disabled, ...disabledDays] : disabledDays;
  }
  return additionalProps;
}

// src/components/Spacer/Spacer.tsx
var import_react76 = require("react");
var import_react77 = require("@emotion/react");
var import_styled39 = __toESM(require("@emotion/styled"));
var import_helpers37 = require("@gilbarbara/helpers");

// src/components/Spacer/useSpacer.ts
var defaultProps28 = {
  orientation: "horizontal",
  distribution: "start",
  gap: "sm",
  grow: false,
  reverse: false,
  shadow: false,
  verticalAlign: "center",
  wrap: true
};
function useSpacer(props) {
  return useComponentProps(props, defaultProps28);
}

// src/components/Spacer/Spacer.tsx
var import_jsx_runtime45 = require("react/jsx-runtime");
var StyledSpacer = (0, import_styled39.default)(
  "div",
  getStyledOptions("fill")
)((props) => {
  const { distribution, gap, orientation, reverse, theme, verticalAlign, wrap } = props;
  const { spacing: spacing2 } = theme;
  const isHorizontal = orientation === "horizontal";
  const flexGap = Array.isArray(gap) ? gap.map((value) => spacing2[value]).join(" ") : spacing2[gap];
  let distributionStyles;
  if (distribution) {
    distributionStyles = import_react77.css`
      justify-content: ${isHorizontal ? distribution : verticalAlign};
    `;
  }
  return import_react77.css`
    align-items: ${isHorizontal ? verticalAlign : distribution};
    display: flex;
    flex-direction: ${isHorizontal ? `row${reverse ? "-reverse" : ""}` : `column${reverse ? "-reverse" : ""}`};
    flex-wrap: ${wrap ? "wrap" : "nowrap"};
    gap: ${flexGap};
    ${distributionStyles};
    ${getStyles((0, import_helpers37.omit)(props, "gap", "wrap"))};
  `;
});
var StyledSpacerItem = (0, import_styled39.default)(
  "div",
  getStyledOptions("fill")
)((props) => {
  const { flex, grow: grow2, orientation } = props;
  const isHorizontal = orientation === "horizontal";
  return import_react77.css`
    display: ${isHorizontal ? "flex" : "block"};
    flex: ${flex};
    width: ${!isHorizontal && grow2 ? "100%" : "auto"};
  `;
});
var Spacer = (0, import_react76.forwardRef)((props, ref) => {
  const {
    componentProps: { children, ...rest },
    getDataAttributes
  } = useSpacer(props);
  const nodes = import_react76.Children.toArray(children).map((child, index) => {
    const key = `SpacerItem-${index}`;
    const flex = (0, import_react76.isValidElement)(child) ? child.props["data-flex"] : void 0;
    return /* @__PURE__ */ (0, import_jsx_runtime45.jsx)(StyledSpacerItem, { flex, ...rest, ...getDataAttributes("SpacerItem"), children: child }, key);
  });
  return /* @__PURE__ */ (0, import_jsx_runtime45.jsx)(StyledSpacer, { ref, ...getDataAttributes("Spacer"), ...rest, children: nodes });
});
Spacer.displayName = "Spacer";

// src/components/DatePicker/useDatePicker.ts
var baseProps = {
  accent: "primary",
  formatLocale: "en-US",
  currentMonthLabel: "Go to today"
};
var rangeDefaultProps = {
  ...baseProps,
  readOnly: false,
  showApply: false
};
var selectorDefaultProps = {
  ...baseProps,
  borderless: false,
  disabled: false,
  height: "md",
  mode: "single",
  position: "bottom-right",
  separator: " \u2014 ",
  showRangeApply: false,
  width: "auto"
};
var singleDefaultProps = {
  ...baseProps,
  readOnly: false
};
function useDatePicker(props, type) {
  return useComponentProps(props, type === "single" ? singleDefaultProps : rangeDefaultProps);
}
function useDatePickerSelector(props) {
  return useComponentProps(props, selectorDefaultProps);
}

// src/components/DatePicker/Range.tsx
var import_jsx_runtime46 = require("react/jsx-runtime");
var StyledDatePicker = (0, import_styled40.default)(
  "div",
  getStyledOptions("onApply")
)((props) => {
  return getPickerStyles(props);
});
function DatePickerRange(props) {
  const { componentProps, getDataAttributes } = useDatePicker(props, "range");
  const {
    accent,
    currentMonthLabel,
    formatLocale,
    fromDate,
    month,
    onApply,
    onChange,
    readOnly,
    selected,
    showApply,
    theme: { radius: radius2, spacing: spacing2 },
    toDate,
    ...rest
  } = componentProps;
  const [selectedDates, setSelectedDates] = (0, import_react78.useState)(
    selected
  );
  let initialDate;
  let endDate;
  if (selectedDates) {
    initialDate = selectedDates[0] ? new Date(selectedDates[0]) : void 0;
    endDate = selectedDates[1] ? new Date(selectedDates[1]) : void 0;
  }
  const [selectedMonth, setSelectedMonth] = (0, import_react78.useState)(month ?? initialDate);
  const handleClickSelect = (selectedRange) => {
    setSelectedDates([selectedRange?.from?.toISOString(), selectedRange?.to?.toISOString()]);
    onChange?.([
      selectedRange?.from?.toISOString() ?? void 0,
      selectedRange?.to?.toISOString() ?? void 0
    ]);
  };
  const handleClickApply = () => {
    onApply?.([selectedDates?.[0], selectedDates?.[1]]);
  };
  const handleClickReset = () => {
    setSelectedDates([void 0, void 0]);
    onChange?.([void 0, void 0]);
  };
  const modifiers = {
    from: initialDate ? new Date(initialDate) : false,
    to: endDate ? new Date(endDate) : false
  };
  const content = {
    header: /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(Paragraph, { children: "Select the initial date" })
  };
  if (showApply) {
    content.footer = getFooter(
      setSelectedMonth,
      currentMonthLabel,
      /* @__PURE__ */ (0, import_jsx_runtime46.jsxs)(Spacer, { children: [
        /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(
          Button,
          {
            bg: accent,
            disabled: !initialDate,
            onClick: handleClickReset,
            size: "sm",
            variant: "bordered",
            children: "Reset"
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(Button, { bg: accent, disabled: !endDate, onClick: handleClickApply, size: "sm", children: "Apply" })
      ] })
    );
  } else {
    content.footer = getFooter(setSelectedMonth, currentMonthLabel);
    content.reset = /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(
      Button,
      {
        bg: accent,
        onClick: handleClickReset,
        size: "sm",
        style: {
          borderRadius: radius2.xs,
          minHeight: 24,
          padding: `${spacing2.xxs} ${spacing2.xs}`
        },
        variant: "bordered",
        children: "Reset"
      }
    );
  }
  if (initialDate && endDate) {
    content.header = /* @__PURE__ */ (0, import_jsx_runtime46.jsxs)(Spacer, { distribution: "center", children: [
      /* @__PURE__ */ (0, import_jsx_runtime46.jsxs)(Text, { children: [
        "From ",
        (0, import_helpers38.formatDateLocale)(initialDate.toISOString(), { locale: formatLocale }),
        " to",
        " ",
        (0, import_helpers38.formatDateLocale)(endDate.toISOString(), { locale: formatLocale })
      ] }),
      content.reset
    ] });
  } else if (initialDate) {
    content.header = /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(Paragraph, { children: "Select the final date" });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime46.jsxs)(
    StyledDatePicker,
    {
      ...getDataAttributes("DatePickerRange"),
      ...(0, import_helpers38.omit)(componentProps, "hidden", "onChange"),
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(FlexCenter, { mb: "md", minHeight: 30, children: content.header }),
        /* @__PURE__ */ (0, import_jsx_runtime46.jsx)(
          import_react_day_picker.DayPicker,
          {
            mode: readOnly ? void 0 : "range",
            modifiers,
            month: selectedMonth,
            numberOfMonths: getNumberOfMonths(fromDate, toDate),
            onMonthChange: setSelectedMonth,
            onSelect: handleClickSelect,
            selected: { from: initialDate, to: endDate },
            ...getRange(fromDate, toDate),
            ...rest
          }
        ),
        content.footer
      ]
    }
  );
}
DatePickerRange.displayName = "DatePickerRange";

// src/components/DatePicker/Selector.tsx
var import_react80 = require("react");
var import_react81 = require("@emotion/react");
var import_styled42 = __toESM(require("@emotion/styled"));
var import_helpers40 = require("@gilbarbara/helpers");
var import_hooks10 = require("@gilbarbara/hooks");
var import_colorizr9 = require("colorizr");
var import_is_lite16 = __toESM(require("is-lite"));

// src/components/DatePicker/Single.tsx
var import_react79 = require("react");
var import_react_day_picker2 = require("react-day-picker");
var import_styled41 = __toESM(require("@emotion/styled"));
var import_helpers39 = require("@gilbarbara/helpers");
var import_jsx_runtime47 = require("react/jsx-runtime");
var StyledDatePicker2 = (0, import_styled41.default)(
  "div",
  getStyledOptions()
)((props) => {
  return getPickerStyles(props);
});
function DatePicker(props) {
  const { componentProps, getDataAttributes } = useDatePicker(props);
  const { currentMonthLabel, fromDate, month, onChange, readOnly, selected, toDate, ...rest } = componentProps;
  const [selectedDate, setSelectedDate] = (0, import_react79.useState)(selected);
  const selectedDateObject = selectedDate ? new Date(selectedDate) : void 0;
  const [selectedMonth, setSelectedMonth] = (0, import_react79.useState)(month ?? selectedDateObject);
  const handleSelect = (_day, selectedDay, modifiers) => {
    if (modifiers.disabled || modifiers.outside) {
      return;
    }
    let nextDate = selectedDay.toISOString();
    if (selectedDate && selectedDate === selectedDay.toISOString()) {
      nextDate = void 0;
    }
    setSelectedDate(nextDate);
    onChange?.(nextDate ? selectedDay.toISOString() : "");
  };
  return /* @__PURE__ */ (0, import_jsx_runtime47.jsx)(
    StyledDatePicker2,
    {
      ...getDataAttributes("DatePicker"),
      ...(0, import_helpers39.omit)(componentProps, "hidden", "onDayClick", "onChange"),
      children: /* @__PURE__ */ (0, import_jsx_runtime47.jsx)(
        import_react_day_picker2.DayPicker,
        {
          footer: getFooter(setSelectedMonth, currentMonthLabel),
          mode: readOnly ? void 0 : "single",
          month: selectedMonth,
          onMonthChange: setSelectedMonth,
          onSelect: handleSelect,
          selected: selectedDateObject,
          ...getRange(fromDate, toDate),
          ...rest
        }
      )
    }
  );
}
DatePicker.displayName = "DatePicker";

// src/components/DatePicker/Selector.tsx
var import_jsx_runtime48 = require("react/jsx-runtime");
var StyledSelector = (0, import_styled42.default)("div", getStyledOptions())(
  {
    width: "auto"
  },
  (props) => {
    return import_react81.css`
      display: inline-flex;
      position: relative;
      ${dimensionStyles(props)};
      ${marginStyles(props)};
    `;
  }
);
var StyledButton2 = (0, import_styled42.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    cursor: "pointer",
    display: "flex",
    justifyContent: "space-between",
    minWidth: "200px"
  },
  (props) => {
    const { accent, borderless, disabled, height, isActive, isFilled, theme } = props;
    const { darkColor: darkColor2, darkMode: darkMode2, grayScale: grayScale2, inputHeight: inputHeight2, lightColor: lightColor2, radius: radius2, spacing: spacing2, white: white2 } = theme;
    const { mainColor } = getColorTokens(accent, null, theme);
    let borderColor = darkMode2 ? grayScale2["700"] : grayScale2["500"];
    let textColor2 = grayScale2["500"];
    if (isFilled) {
      borderColor = mainColor;
      textColor2 = darkMode2 ? lightColor2 : darkColor2;
    }
    const styles2 = borderless ? import_react81.css`
          border-bottom: 1px solid ${borderColor};
          border-radius: 0 !important;
          padding: ${spacing2.xxs} 0;
        ` : import_react81.css`
          background-color: ${darkMode2 ? grayScale2["800"] : white2};
          border: 1px solid ${borderColor};
          border-radius: ${radius2.xs};
          padding-left: ${spacing2.md};
        `;
    return import_react81.css`
      color: ${textColor2};
      min-height: ${inputHeight2[height]};
      ${styles2};

      ${disabled && import_react81.css`
        ${getDisableStyles(props)}
        color: ${grayScale2["500"]};
      `};

      ${isActive && (borderless ? import_react81.css`
            box-shadow: 0 ${theme.outlineWidth} 0 0 ${(0, import_colorizr9.opacify)(mainColor, theme.outlineOpacity)};
            outline: none;
          ` : getOutlineStyles(mainColor, theme))};
    `;
  }
);
var StyledContent2 = (0, import_styled42.default)("div", getStyledOptions())(
  {
    display: "flex",
    flexDirection: "column",
    justifyContent: "center",
    overflowY: "auto",
    position: "absolute",
    transition: "transform 0.3s"
  },
  (props) => {
    const { isActive, position, theme, wide } = props;
    const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, shadow: shadow2, spacing: spacing2, white: white2, zIndex: zIndex2 } = theme;
    let left = position?.endsWith("left") ? 0 : "auto";
    let translateX = "";
    if (position?.endsWith("center")) {
      left = "50%";
      translateX = " translateX(-50%)";
    }
    return import_react81.css`
      background-color: ${darkMode2 ? grayScale2["800"] : white2};
      border-radius: ${radius2.xxs};
      bottom: ${position?.startsWith("bottom") ? "auto" : "100%"};
      box-shadow: ${shadow2.mid};
      left: ${left};
      margin-top: ${position?.startsWith("bottom") ? spacing2.xs : 0};
      margin-bottom: ${position?.startsWith("top") ? spacing2.xs : 0};
      min-width: ${(0, import_helpers40.px)(wide ? 600 : 300)};
      padding: ${spacing2.md};
      right: ${position?.endsWith("right") ? 0 : "auto"};
      top: ${position?.startsWith("top") ? "auto" : "100%"};
      transform: ${`scaleY(0)${translateX}`};
      transform-origin: ${position?.startsWith("bottom") ? "top" : "bottom"};
      z-index: ${zIndex2.md};

      ${isActive && import_react81.css`
        transform: ${`scaleY(1)${translateX}`};
      `}
    `;
  }
);
function DatePickerSelector(props) {
  const { componentProps, getDataAttributes } = useDatePickerSelector(props);
  const {
    borderless,
    disabled,
    formatLocale,
    fromDate,
    mode,
    name,
    onChange,
    open,
    placeholder,
    position,
    selected,
    separator,
    showRangeApply,
    theme,
    toDate
  } = componentProps;
  const [{ isActive, isFilled, selectedDates }, setState] = (0, import_hooks10.useSetState)({
    isActive: open ?? false,
    isFilled: false,
    selectedDates: mode === "range" ? selected ?? [void 0, void 0] : selected ?? ""
  });
  (0, import_react80.useEffect)(() => {
    if (mode === "range" && !import_is_lite16.default.array(selectedDates)) {
      setState({ selectedDates: [void 0, void 0] });
    } else if (mode === "single" && import_is_lite16.default.array(selectedDates)) {
      setState({ selectedDates: "" });
    }
  }, [mode, selectedDates, setState]);
  const isRange = mode === "range";
  const toggle = (0, import_react80.useCallback)(() => {
    if (import_is_lite16.default.boolean(open) || disabled) {
      return;
    }
    setState((s) => ({ isActive: !s.isActive }));
  }, [disabled, open, setState]);
  const handleApply = (isoDate) => {
    if (onChange) {
      onChange(isoDate);
    }
    toggle();
  };
  const handleSelect = (isoDate) => {
    setState({
      isFilled: import_is_lite16.default.array(isoDate) ? isoDate.some(Boolean) : !!isoDate,
      selectedDates: isoDate
    });
    if (onChange && !showRangeApply) {
      onChange(isoDate);
    }
    if (!showRangeApply && (import_is_lite16.default.array(isoDate) && isoDate.every(Boolean) || !import_is_lite16.default.array(isoDate) && isoDate)) {
      toggle();
    }
  };
  let picker;
  if (isRange) {
    const dates = import_is_lite16.default.array(selectedDates) ? selectedDates : [void 0, void 0];
    picker = /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(
      DatePickerRange,
      {
        ...componentProps,
        onApply: handleApply,
        onChange: handleSelect,
        selected: dates,
        showApply: showRangeApply
      }
    );
  } else {
    const date = import_is_lite16.default.array(selectedDates) ? selectedDates[0] : selectedDates;
    picker = /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(
      DatePicker,
      {
        ...componentProps,
        onChange: handleSelect,
        selected: date
      },
      mode
    );
  }
  let title = isRange ? "Select a date range" : "Select a date";
  if (placeholder) {
    title = placeholder;
  }
  if (import_is_lite16.default.array(selectedDates) && selectedDates.some(Boolean)) {
    const dates = selectedDates.reduce((acc, d, index) => {
      acc.push(d ? (0, import_helpers40.formatDateLocale)(d, { locale: formatLocale }) : "???");
      if (index === 0) {
        acc.push(separator);
      }
      return acc;
    }, []);
    title = /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(Text, { children: dates.map((d) => d) });
  } else if (!import_is_lite16.default.array(selectedDates) && selectedDates) {
    title = (0, import_helpers40.formatDateLocale)(selectedDates, { locale: formatLocale });
  }
  const numberOfMonths = getNumberOfMonths(fromDate, toDate);
  return /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(
    StyledSelector,
    {
      ...getDataAttributes("DatePickerSelector"),
      ...(0, import_helpers40.omit)(componentProps, "hidden", "onChange", "mode"),
      children: /* @__PURE__ */ (0, import_jsx_runtime48.jsxs)(ClickOutside, { active: isActive, onClick: toggle, children: [
        /* @__PURE__ */ (0, import_jsx_runtime48.jsxs)(
          StyledButton2,
          {
            ...getDataAttributes("DatePickerSelectorButton"),
            isActive,
            isFilled,
            onClick: toggle,
            ...(0, import_helpers40.omit)(componentProps, "hidden", "onChange", "mode"),
            children: [
              title,
              /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(FlexCenter, { width: borderless ? void 0 : 40, children: /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(Icon, { name: "calendar" }) })
            ]
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(
          StyledContent2,
          {
            ...getDataAttributes("DatePickerSelectorContent"),
            "data-state": isActive ? "open" : "closed",
            isActive,
            position,
            theme,
            wide: isRange && numberOfMonths > 1,
            children: picker
          }
        ),
        name && /* @__PURE__ */ (0, import_jsx_runtime48.jsx)(
          "input",
          {
            name,
            type: "hidden",
            value: import_is_lite16.default.array(selectedDates) ? selectedDates.filter(Boolean).join(",") : selectedDates
          }
        )
      ] })
    },
    mode
  );
}
DatePickerSelector.displayName = "DatePickerSelector";

// src/components/Dialog/Dialog.tsx
var import_react92 = require("react");
var import_react93 = require("@emotion/react");
var import_styled51 = __toESM(require("@emotion/styled"));
var import_helpers44 = require("@gilbarbara/helpers");

// src/components/Headings/H1.tsx
var import_react83 = require("react");
var import_styled43 = __toESM(require("@emotion/styled"));

// src/components/Headings/useHeading.ts
var import_react82 = require("@emotion/react");
var import_helpers41 = require("@gilbarbara/helpers");
var defaultProps29 = {
  light: false
};
var jumboDefaultProps = {
  ...defaultProps29,
  large: false
};
function headingStyle(key, props) {
  const { light, theme } = props;
  const { fontFamily: fontFamily2, fontWeights: fontWeights2, typography: typography2 } = theme;
  const selected = typography2[key];
  return import_react82.css`
    font-family: ${fontFamily2};
    font-size: ${selected.fontSize};
    font-weight: ${light ? fontWeights2.normal : fontWeights2.bold};
    line-height: ${selected.lineHeight};
    margin-bottom: 0.5em;
    margin-top: 0;
    ${alignStyles(props)};
    ${getStyles((0, import_helpers41.omit)(props, "align"))};
  `;
}
function useHeading(props, type) {
  return useComponentProps(props, type === "jumbo" ? jumboDefaultProps : defaultProps29);
}

// src/components/Headings/H1.tsx
var import_jsx_runtime49 = require("react/jsx-runtime");
var StyledH1 = (0, import_styled43.default)(
  "h1",
  getStyledOptions()
)((props) => headingStyle("h1", props));
var H1 = (0, import_react83.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime49.jsx)(StyledH1, { ref, ...getDataAttributes("H1"), ...componentProps });
});
H1.displayName = "H1";

// src/components/Headings/H2.tsx
var import_react84 = require("react");
var import_styled44 = __toESM(require("@emotion/styled"));
var import_jsx_runtime50 = require("react/jsx-runtime");
var StyledH2 = (0, import_styled44.default)(
  "h2",
  getStyledOptions()
)((props) => {
  return headingStyle("h2", props);
});
var H2 = (0, import_react84.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime50.jsx)(StyledH2, { ref, ...getDataAttributes("H2"), ...componentProps });
});
H2.displayName = "H2";

// src/components/Headings/H3.tsx
var import_react85 = require("react");
var import_styled45 = __toESM(require("@emotion/styled"));
var import_jsx_runtime51 = require("react/jsx-runtime");
var StyledH3 = (0, import_styled45.default)(
  "h3",
  getStyledOptions()
)((props) => {
  return headingStyle("h3", props);
});
var H3 = (0, import_react85.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime51.jsx)(StyledH3, { ref, ...getDataAttributes("H3"), ...componentProps });
});
H3.displayName = "H3";

// src/components/Headings/H4.tsx
var import_react86 = require("react");
var import_styled46 = __toESM(require("@emotion/styled"));
var import_jsx_runtime52 = require("react/jsx-runtime");
var StyledH4 = (0, import_styled46.default)(
  "h4",
  getStyledOptions()
)((props) => {
  return headingStyle("h4", props);
});
var H4 = (0, import_react86.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime52.jsx)(StyledH4, { ref, ...getDataAttributes("H4"), ...componentProps });
});
H4.displayName = "H4";

// src/components/Headings/H5.tsx
var import_react87 = require("react");
var import_styled47 = __toESM(require("@emotion/styled"));
var import_jsx_runtime53 = require("react/jsx-runtime");
var StyledH5 = (0, import_styled47.default)(
  "h5",
  getStyledOptions()
)((props) => {
  return headingStyle("h5", props);
});
var H5 = (0, import_react87.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime53.jsx)(StyledH5, { ref, ...getDataAttributes("H5"), ...componentProps });
});
H5.displayName = "H5";

// src/components/Headings/H6.tsx
var import_react88 = require("react");
var import_styled48 = __toESM(require("@emotion/styled"));
var import_jsx_runtime54 = require("react/jsx-runtime");
var StyledH6 = (0, import_styled48.default)(
  "h6",
  getStyledOptions()
)((props) => headingStyle("h6", props));
var H6 = (0, import_react88.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props);
  return /* @__PURE__ */ (0, import_jsx_runtime54.jsx)(StyledH6, { ref, ...getDataAttributes("H6"), ...componentProps });
});
H6.displayName = "H6";

// src/components/Headings/Jumbo.tsx
var import_react89 = require("react");
var import_styled49 = __toESM(require("@emotion/styled"));
var import_jsx_runtime55 = require("react/jsx-runtime");
var StyledJumbo = (0, import_styled49.default)(
  "h1",
  getStyledOptions()
)(
  (props) => headingStyle(props.large ? "jumboLarge" : "jumbo", props)
);
var Jumbo = (0, import_react89.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useHeading(props, "jumbo");
  return /* @__PURE__ */ (0, import_jsx_runtime55.jsx)(StyledJumbo, { ref, ...getDataAttributes("Jumbo"), ...componentProps, ...props });
});
Jumbo.displayName = "Jumbo";

// src/components/Portal/Portal.tsx
var import_react90 = require("react");
var import_react_dom = require("react-dom");
var import_react91 = require("@emotion/react");
var import_styled50 = __toESM(require("@emotion/styled"));
var import_helpers42 = require("@gilbarbara/helpers");
var import_hooks11 = require("@gilbarbara/hooks");
var import_colorizr10 = require("colorizr");

// src/components/Portal/usePortal.ts
var defaultProps30 = {
  animationEasing: "ease-in-out",
  animationEnterDuration: 0.5,
  animationExitDuration: 0.5,
  container: "body",
  disableAnimation: false,
  disableCloseOnClickOverlay: false,
  disableCloseOnEsc: false,
  hideOverlay: false,
  isOpen: false,
  overlayBlur: false,
  overlayBlurAmount: 8,
  overlayOpacity: 0.3,
  showCloseButton: false,
  zIndex: 100
};
var portalPropsKeys = {
  animationEasing: void 0,
  animationEnterDuration: void 0,
  animationExitDuration: void 0,
  container: void 0,
  disableAnimation: void 0,
  disableCloseOnClickOverlay: void 0,
  disableCloseOnEsc: void 0,
  hideOverlay: void 0,
  isOpen: void 0,
  onClose: void 0,
  onDismiss: void 0,
  onOpen: void 0,
  overlayBlur: void 0,
  overlayBlurAmount: void 0,
  overlayOpacity: void 0,
  showCloseButton: void 0,
  zIndex: void 0
};
function createPortalElement() {
  const newElement = document.createElement("div");
  newElement.classList.add("__portal");
  return newElement;
}
function getPortalElement() {
  return document.querySelector(".__portal");
}
function splitPortalProps(props) {
  const otherProps = {};
  const portalProps = {};
  Object.keys(props).forEach((key) => {
    if (key in portalPropsKeys) {
      portalProps[key] = props[key];
    } else {
      otherProps[key] = props[key];
    }
  });
  return [
    otherProps,
    portalProps
  ];
}
function usePortal(props) {
  return useComponentProps(props, defaultProps30);
}

// src/components/Portal/Portal.tsx
var import_jsx_runtime56 = require("react/jsx-runtime");
var StyledPortal = import_styled50.default.div(
  {
    alignItems: "center",
    bottom: 0,
    display: "flex",
    justifyContent: "center",
    left: 0,
    opacity: 0,
    position: "fixed",
    right: 0,
    top: 0,
    visibility: "hidden"
  },
  (props) => {
    const { isActive } = props;
    return import_react91.css`
      opacity: ${isActive ? 1 : 0};
      visibility: ${isActive ? "visible" : "hidden"};
      ${positioningStyles(props)};
    `;
  }
);
var Overlay = import_styled50.default.div((props) => {
  const {
    animationEasing,
    animationEnterDuration,
    animationExitDuration,
    bg,
    disableAnimation,
    isActive,
    overlayBlur,
    overlayBlurAmount,
    overlayOpacity,
    theme
  } = props;
  const { black: black2, darkMode: darkMode2, grayScale: grayScale2 } = theme;
  const animationDuration = isActive ? animationEnterDuration : animationExitDuration;
  let selectedBg = darkMode2 ? grayScale2["150"] : black2;
  if (bg) {
    const { mainColor } = getColorTokens(bg, void 0, theme);
    selectedBg = mainColor;
  }
  if (selectedBg !== "transparent") {
    selectedBg = (0, import_colorizr10.opacify)(selectedBg, overlayOpacity);
  }
  return import_react91.css`
    background-color: ${selectedBg};
    ${overlayBlur && `backdrop-filter: blur(${(0, import_helpers42.px)(overlayBlurAmount)});`};
    opacity: ${isActive ? 1 : 0};
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    ${!disableAnimation && `transition: opacity ${animationDuration}s ${animationEasing};`};
  `;
});
var Content2 = import_styled50.default.div((props) => {
  const {
    animationEasing,
    animationEnterDuration,
    animationExitDuration,
    disableAnimation,
    isActive
  } = props;
  const animationDuration = isActive ? animationEnterDuration : animationExitDuration;
  return import_react91.css`
    max-height: 100%;
    opacity: ${isActive ? 1 : 0};
    position: relative;
    ${!disableAnimation && `transition: opacity ${animationDuration}s ${animationEasing};`};
    width: auto;
    z-index: 10;
  `;
});
var CloseButton = (0, import_styled50.default)(ButtonUnstyled)`
  position: absolute;
  right: 0;
  top: 0;
  z-index: 20;
`;
function Portal(props) {
  const { componentProps, getDataAttributes } = usePortal(props);
  const {
    animationEasing,
    animationEnterDuration,
    animationExitDuration,
    children,
    container,
    disableAnimation,
    disableCloseOnClickOverlay,
    disableCloseOnEsc,
    hideOverlay,
    isOpen,
    onClose,
    onDismiss,
    onOpen,
    showCloseButton,
    theme,
    ...rest
  } = componentProps;
  const { dataAttributeName: dataAttributeName2 } = theme;
  const [{ isActive, isReady, isRendering }, setState] = (0, import_hooks11.useSetState)({
    isActive: isOpen,
    isReady: false,
    isRendering: false
  });
  const portal = (0, import_react90.useRef)(null);
  const shouldRender = isOpen || isActive || isRendering;
  const previousIsOpen = (0, import_hooks11.usePrevious)(isOpen);
  (0, import_hooks11.useMount)(() => {
    let portalElement = getPortalElement();
    if (!getPortalElement()) {
      portalElement = createPortalElement();
      const target = getElement(container) ?? document.body;
      target.appendChild(portalElement);
    }
    portal.current = portalElement;
    setState({ isReady: true });
  });
  (0, import_react90.useEffect)(() => {
    const handleKeyDown2 = (event) => {
      if (disableCloseOnEsc) {
        return;
      }
      if (event.code === "Escape") {
        event.stopPropagation();
        onDismiss();
      }
    };
    if (isActive) {
      document.addEventListener("keydown", handleKeyDown2, { passive: true });
    }
    return () => {
      document.removeEventListener("keydown", handleKeyDown2);
    };
  }, [disableCloseOnEsc, isActive, onDismiss]);
  const openPortal = (0, import_react90.useCallback)(() => {
    setState({ isActive: true, isRendering: true });
    setTimeout(
      () => {
        onOpen?.();
      },
      disableAnimation ? 0 : (animationEnterDuration + 0.1) * 1e3
    );
  }, [animationEnterDuration, disableAnimation, onOpen, setState]);
  const closePortal = (0, import_react90.useCallback)(() => {
    setState({ isActive: false });
    setTimeout(
      () => {
        setState({ isRendering: false });
        onClose?.();
      },
      disableAnimation ? 0 : (animationExitDuration + 0.2) * 1e3
    );
  }, [animationExitDuration, disableAnimation, onClose, setState]);
  (0, import_hooks11.useUpdateEffect)(() => {
    const hasChanged = previousIsOpen !== isOpen;
    if (!hasChanged) {
      return;
    }
    if (isOpen) {
      openPortal();
    } else if (!isOpen && isActive) {
      closePortal();
    }
  }, [closePortal, disableCloseOnEsc, isActive, isOpen, openPortal, previousIsOpen, setState]);
  const handleClickClose = (0, import_react90.useCallback)(
    (event) => {
      const { dataset } = event.currentTarget;
      if (dataset[convertKebabCaseToCamelCase(dataAttributeName2)] === "PortalOverlay" && disableCloseOnClickOverlay) {
        return;
      }
      onDismiss();
    },
    [dataAttributeName2, disableCloseOnClickOverlay, onDismiss]
  );
  if (!isReady || !portal.current) {
    return null;
  }
  const content = {};
  if (shouldRender) {
    content.main = /* @__PURE__ */ (0, import_jsx_runtime56.jsx)(
      Content2,
      {
        ...getDataAttributes("PortalContent"),
        animationEasing,
        animationEnterDuration,
        animationExitDuration,
        disableAnimation,
        isActive,
        children
      }
    );
    if (!hideOverlay) {
      content.overlay = /* @__PURE__ */ (0, import_jsx_runtime56.jsx)(
        Overlay,
        {
          ...getDataAttributes("PortalOverlay"),
          animationEasing,
          animationEnterDuration,
          animationExitDuration,
          disableAnimation,
          isActive,
          onClick: handleClickClose,
          theme,
          ...rest
        }
      );
    }
    if (showCloseButton) {
      content.closeButton = /* @__PURE__ */ (0, import_jsx_runtime56.jsx)(
        CloseButton,
        {
          ...getDataAttributes("PortalCloseButton"),
          onClick: handleClickClose,
          p: "xs",
          radius: "round",
          title: "Close",
          children: /* @__PURE__ */ (0, import_jsx_runtime56.jsx)(Icon, { name: "close-o", size: 24, title: "Close" })
        }
      );
    }
  }
  return (0, import_react_dom.createPortal)(
    /* @__PURE__ */ (0, import_jsx_runtime56.jsxs)(
      StyledPortal,
      {
        ...getDataAttributes("Portal"),
        "data-open": isOpen,
        isActive: shouldRender,
        ...rest,
        children: [
          content.overlay,
          content.closeButton,
          content.main
        ]
      }
    ),
    portal.current
  );
}
Portal.displayName = "Portal";

// src/components/Dialog/useDialog.ts
var defaultProps31 = {
  ...defaultProps30,
  accent: "primary",
  buttonCancelText: "Cancel",
  buttonConfirmText: "Confirm",
  buttonOrder: "ltr",
  padding: "xl",
  radius: "lg",
  shadow: "high",
  textAlign: "left",
  width: 380
};
function useDialog(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props, defaultProps31);
  const [dialogProps, portalProps] = splitPortalProps(componentProps);
  return { dialogProps, portalProps, getDataAttributes };
}

// src/components/Dialog/Dialog.tsx
var import_jsx_runtime57 = require("react/jsx-runtime");
var StyledDialog = (0, import_styled51.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { textAlign, theme, width } = props;
  const { black: black2, darkColor: darkColor2, darkMode: darkMode2, white: white2 } = theme;
  return import_react93.css`
    background-color: ${darkMode2 ? darkColor2 : white2};
    color: ${darkMode2 ? white2 : black2};
    max-width: 100%;
    text-align: ${textAlign};
    width: ${(0, import_helpers44.px)(width)};
    ${getStyles(props)};
  `;
});
function Dialog(props) {
  const { dialogProps, getDataAttributes, portalProps } = useDialog(props);
  const {
    accent,
    buttonCancelText,
    buttonConfirmText,
    buttonOrder,
    content,
    onClickCancel,
    onClickConfirmation,
    style,
    title,
    ...rest
  } = dialogProps;
  const actionButton = /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(Button, { bg: accent, onClick: onClickConfirmation, children: buttonConfirmText });
  const cancelButton = /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(Button, { bg: accent, onClick: onClickCancel, variant: "bordered", children: buttonCancelText });
  return /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(Portal, { ...portalProps, showCloseButton: false, children: /* @__PURE__ */ (0, import_jsx_runtime57.jsxs)(
    StyledDialog,
    {
      ...getDataAttributes("Dialog"),
      "data-open": portalProps.isOpen,
      style,
      ...rest,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(Box, { mb: "sm", ...getDataAttributes("DialogTitle"), children: title && (0, import_react92.isValidElement)(title) ? title : /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(H3, { mb: 0, children: title }) }),
        /* @__PURE__ */ (0, import_jsx_runtime57.jsx)(Paragraph, { mb: "xl", children: content }),
        /* @__PURE__ */ (0, import_jsx_runtime57.jsxs)(Spacer, { distribution: "space-between", reverse: buttonOrder === "rtl", children: [
          cancelButton,
          actionButton
        ] })
      ]
    }
  ) });
}
Dialog.displayName = "Dialog";

// src/components/Dropdown/Dropdown.tsx
var import_react97 = require("react");
var import_react98 = require("@emotion/react");
var import_styled55 = __toESM(require("@emotion/styled"));
var import_helpers45 = require("@gilbarbara/helpers");
var import_react_dropdown = __toESM(require("@gilbarbara/react-dropdown"));
var import_colorizr11 = require("colorizr");

// src/components/Dropdown/Content.tsx
var import_react94 = require("@emotion/react");
var import_styled52 = __toESM(require("@emotion/styled"));
var import_jsx_runtime58 = require("react/jsx-runtime");
var StyledContent3 = (0, import_styled52.default)("div", getStyledOptions())`
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
`;
var Item = (0, import_styled52.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { color, multi, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, spacing: spacing2, white: white2 } = theme;
  let multiStyles;
  if (multi) {
    multiStyles = import_react94.css`
      border: 1px solid ${color};
      border-radius: ${radius2.xxs};
      background-color: ${darkMode2 ? grayScale2["700"] : white2};
      margin-bottom: ${spacing2.xxs};
      margin-right: ${spacing2.xs};
      margin-top: ${spacing2.xxs};
      padding: 3px 6px;
    `;
  }
  return import_react94.css`
    align-items: center;
    display: flex;
    line-height: 1;
    ${multiStyles};
  `;
});
var ItemClose = (0, import_styled52.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { spacing: spacing2 } = props.theme;
  return import_react94.css`
    display: inline-flex;
    line-height: 1;
    margin-left: ${spacing2.xxs};
  `;
});
var Placeholder = (0, import_styled52.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { grayScale: grayScale2 } = props.theme;
  return import_react94.css`
    align-items: center;
    color: ${grayScale2["500"]};
    display: flex;
  `;
});
function DropdownContent(props) {
  const {
    methods: { getStyles: getStyles2, removeItem },
    props: { multi, placeholder },
    state: { values }
  } = props;
  const { getDataAttributes, theme } = useTheme();
  const handleClickRemove = (value) => {
    return (event) => {
      event.stopPropagation();
      removeItem(null, value, true);
    };
  };
  if (values.length) {
    return /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(StyledContent3, { children: values.map((item) => {
      const { label, prefix, suffix, value } = item || {};
      return /* @__PURE__ */ (0, import_jsx_runtime58.jsxs)(
        Item,
        {
          color: getStyles2().color,
          ...getDataAttributes("ContentItem"),
          multi,
          theme,
          children: [
            !!prefix && /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(FlexInline, { ...getDataAttributes("ContentItemPrefix"), mr: "xxs", children: prefix }),
            /* @__PURE__ */ (0, import_jsx_runtime58.jsx)("span", { children: label ?? value }),
            !!suffix && /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(FlexInline, { ...getDataAttributes("ContentItemSuffix"), ml: "xxs", children: suffix }),
            multi && /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(ItemClose, { onClick: handleClickRemove(item), theme, children: /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(Icon, { name: "close" }) })
          ]
        },
        value
      );
    }) });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime58.jsx)(Placeholder, { theme, children: placeholder });
}
DropdownContent.displayName = "DropdownContent";
var Content_default = DropdownContent;

// src/components/Dropdown/Items.tsx
var import_react95 = require("react");
var import_react96 = require("@emotion/react");
var import_styled54 = __toESM(require("@emotion/styled"));

// src/components/Dropdown/Add.tsx
var import_styled53 = __toESM(require("@emotion/styled"));
var import_jsx_runtime59 = require("react/jsx-runtime");
var StyledDropdownAdd = import_styled53.default.div`
  width: 100%;

  button {
    display: flex;
    justify-content: center;
    padding: 8px;
    width: 100%;
  }
`;
function DropdownAdd(props) {
  const {
    accent = "primary",
    methods: { getLabels, setStatus },
    onCreate,
    state: { search }
  } = props;
  const { getDataAttributes, theme } = useTheme();
  const handleClick = () => {
    onCreate?.(search, () => setStatus("close"));
  };
  return /* @__PURE__ */ (0, import_jsx_runtime59.jsx)(StyledDropdownAdd, { ...getDataAttributes("DropdownAdd"), theme, children: /* @__PURE__ */ (0, import_jsx_runtime59.jsx)(ButtonUnstyled, { color: accent, onClick: handleClick, children: getLabels().create.replace(/{search}/, `"${search}"`) }) });
}
DropdownAdd.displayName = "DropdownAdd";
var Add_default = DropdownAdd;

// src/components/Dropdown/Items.tsx
var import_jsx_runtime60 = require("react/jsx-runtime");
var getSharedStyles = (spacing2) => import_react96.css`
  align-items: center;
  display: flex;
  padding: ${spacing2.xs} ${spacing2.sm};
  width: 100%;
`;
var Centered = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { theme, withBorder } = props;
  const { grayScale: grayScale2, spacing: spacing2 } = theme;
  return import_react96.css`
    ${getSharedStyles(spacing2)};
    border-top: ${withBorder ? `1px solid ${grayScale2["200"]}` : 0};
    justify-content: center;
    padding: 0;
  `;
});
var Empty = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { spacing: spacing2 } = props.theme;
  return import_react96.css`
    ${getSharedStyles(spacing2)};
    justify-content: center;
  `;
});
var Input = (0, import_styled54.default)(
  "input",
  getStyledOptions()
)((props) => {
  const { accent = "primary", theme } = props;
  const { radius: radius2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  return import_react96.css`
    border-radius: ${radius2.xs};

    :focus {
      filter: drop-shadow(0 0 2px ${mainColor});
      outline: none;
    }
  `;
});
var Item2 = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { accent = "primary", disabled, hovered, selected, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, white: white2 } = theme;
  const { mainColor, textColor: textColor2 } = getColorTokens(accent, null, theme);
  const { mainColor: bgHoverLight, textColor: colorHoverLight } = getColorTokens(
    `${accent}.50`,
    null,
    theme
  );
  const { mainColor: bgHoverDark, textColor: colorHoverDark } = getColorTokens(
    `${accent}.800`,
    null,
    theme
  );
  let itemBgColor = darkMode2 ? grayScale2["800"] : white2;
  let itemColor = darkMode2 ? grayScale2["100"] : grayScale2["800"];
  const bgHover = darkMode2 ? bgHoverDark : bgHoverLight;
  const colorHover = darkMode2 ? colorHoverDark : colorHoverLight;
  if (disabled) {
    itemBgColor = darkMode2 ? grayScale2["700"] : grayScale2["40"];
    itemColor = darkMode2 ? grayScale2["200"] : grayScale2["500"];
  }
  return import_react96.css`
    ${getSharedStyles(spacing2)};
    background-color: ${itemBgColor};
    color: ${itemColor};
    cursor: pointer;
    pointer-events: ${disabled ? "none" : void 0};
    ${selected && import_react96.css`
      background-color: ${mainColor};
      color: ${textColor2};
    `};
    ${hovered && !disabled && import_react96.css`
      background-color: ${bgHover};
      color: ${colorHover};
    `};

    &:hover {
      background-color: ${bgHover};
      color: ${colorHover};
    }
  `;
});
var List = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { maxHeight, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, white: white2 } = theme;
  return import_react96.css`
    background-color: ${darkMode2 ? grayScale2["800"] : white2};
    color: ${darkMode2 ? grayScale2["200"] : grayScale2["700"]};
    cursor: default;
    max-height: ${maxHeight ?? "none"};
    overflow-y: auto;
  `;
});
var Items = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { darkMode: darkMode2, grayScale: grayScale2, white: white2 } = props.theme;
  return import_react96.css`
    background-color: ${darkMode2 ? grayScale2["800"] : white2};
    color: ${darkMode2 ? grayScale2["200"] : grayScale2["700"]};
  `;
});
var Search = (0, import_styled54.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { darkColor: darkColor2, darkMode: darkMode2, grayScale: grayScale2, lightColor: lightColor2, spacing: spacing2, typography: typography2, white: white2 } = props.theme;
  return import_react96.css`
    ${getSharedStyles(spacing2)};
    background-color: ${darkMode2 ? grayScale2["800"] : white2};
    padding: ${spacing2.sm};
    position: sticky;
    top: 0;

    input {
      background-color: ${darkMode2 ? grayScale2["800"] : white2};
      border: 1px solid ${darkMode2 ? grayScale2["500"] : grayScale2["200"]};
      color: ${darkMode2 ? lightColor2 : darkColor2};
      font-size: ${typography2.md.fontSize};
      line-height: 1.6;
      padding: ${spacing2.xxs} ${spacing2.sm};
      width: 100%;
    }
  `;
});
function DropdownItems({ accent, methods, onCreate, onSearch, props, state }) {
  const { addItem, getLabels, getStyles: getStyles2, removeItem, setSearch } = methods;
  const { autoFocus, create, options, searchable } = props;
  const { cursor, search, values } = state;
  const { getDataAttributes, theme } = useTheme();
  const searchInput = (0, import_react95.useRef)(null);
  let children;
  if (create) {
    children = /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(
      Add_default,
      {
        accent,
        methods,
        onCreate,
        props,
        state,
        theme
      }
    );
  }
  const regexp = new RegExp(search.replace(/[$()*+.?[\\\]^{|}]/g, "\\$&"), "i");
  (0, import_react95.useEffect)(() => {
    const { current } = searchInput;
    if (current && autoFocus) {
      current.focus();
    }
  }, [autoFocus]);
  const handleSearch = (event) => {
    const { value } = event.target;
    setSearch(event);
    onSearch?.(value);
  };
  const availableOptions = options.filter((item) => regexp.test(`${item.label ?? item.value}`)).map((option, index) => {
    const { disabled, label, prefix, suffix, value } = option;
    const isSelected = values.includes(option);
    const isHovered = cursor === index;
    return /* @__PURE__ */ (0, import_jsx_runtime60.jsxs)(
      Item2,
      {
        accent,
        ...getDataAttributes("DropdownItem"),
        disabled,
        hovered: isHovered,
        onClick: () => isSelected ? removeItem(null, option, false) : addItem(option),
        role: "listitem",
        selected: isSelected,
        theme,
        children: [
          prefix && /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(FlexInline, { ...getDataAttributes("DropdownOptionPrefix"), mr: "xxs", children: prefix }),
          /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(FlexInline, { flex: "grow", children: label ?? value }),
          suffix && /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(FlexInline, { ...getDataAttributes("DropdownOptionSuffix"), ml: "xxs", children: suffix })
        ]
      },
      option.value
    );
  });
  const output = {
    options: availableOptions
  };
  if (children && !availableOptions.length) {
    output.create = /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(Centered, { theme, withBorder: !!availableOptions.length, children });
  }
  if (!children && !availableOptions.length) {
    output.options = /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(Empty, { theme, children: getLabels().noData });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime60.jsxs)(
    List,
    {
      ...getDataAttributes("DropdownItems"),
      maxHeight: getStyles2().menuMaxHeight,
      theme,
      children: [
        searchable && /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(Search, { ...getDataAttributes("DropdownItemsSearch"), theme, children: /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(
          Input,
          {
            ref: searchInput,
            accent,
            onChange: handleSearch,
            theme,
            type: "text",
            value: search
          }
        ) }),
        /* @__PURE__ */ (0, import_jsx_runtime60.jsx)(Items, { ...getDataAttributes("DropdownItemsList"), theme, children: output.options }),
        output.create
      ]
    }
  );
}
DropdownItems.displayName = "DropdownItems";
var Items_default = DropdownItems;

// src/components/Dropdown/useDropdown.ts
var defaultProps32 = {
  accent: "primary",
  allowCreate: false,
  autoFocus: false,
  borderless: false,
  closeOnScroll: false,
  closeMultiOnSelect: false,
  direction: "ltr",
  disabled: false,
  height: "md",
  keepSelectedInList: true,
  labels: {
    create: "Create {search}",
    noData: "Nothing found"
  },
  loading: false,
  menuMaxHeight: 260,
  multi: false,
  placeholder: "Select an option",
  searchBy: "label",
  searchable: true,
  showClearButton: false,
  showSeparator: false,
  width: 260
};
function useDropdown(props) {
  return useComponentProps(props, defaultProps32);
}

// src/components/Dropdown/Dropdown.tsx
var import_jsx_runtime61 = require("react/jsx-runtime");
var StyledDropdown = (0, import_styled55.default)(
  "div",
  getStyledOptions("placeholder", "onSearch")
)((props) => {
  const { accent, borderless, isFilled, multi, theme, width } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, spacing: spacing2, white: white2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let borderColor = darkMode2 ? grayScale2["700"] : grayScale2["500"];
  if (isFilled) {
    borderColor = mainColor;
  }
  const styles2 = borderless ? import_react98.css`
        border: 0 !important;
        border-bottom: 1px solid ${borderColor} !important;
        border-radius: 0 !important;
        padding: 0 !important;
      ` : import_react98.css`
        background-color: ${darkMode2 ? grayScale2["800"] : white2};
        border: 1px solid ${borderColor};
        border-radius: ${radius2.xs};
        padding-left: ${multi ? 0 : spacing2.xs} !important;
      `;
  return import_react98.css`
    min-width: ${(0, import_helpers45.px)(width ?? 260)};
    width: ${(0, import_helpers45.px)(width) ?? "auto"};
    ${marginStyles(props)};

    .react-dropdown {
      background-color: transparent;
      ${styles2};

      &:focus,
      &:focus-within {
        ${borderless ? import_react98.css`
              box-shadow: 0 3px 0 0 ${(0, import_colorizr11.opacify)(mainColor, 0.5)};
            ` : getOutlineStyles(mainColor, theme)};

        .react-dropdown-separator {
          background-color: ${mainColor};
        }
      }

      &[disabled] {
        opacity: 1 !important;
        ${getDisableStyles(props)};

        .react-dropdown-content {
          color: ${grayScale2["500"]};
        }
      }

      &-clear {
        &:hover {
          color: ${theme.colors.red};
        }
      }

      &-content {
        align-items: center;
        width: calc(100% - 16px);

        span {
          max-width: 100%;

          + input {
            margin-left: 5px;
          }
        }
      }

      &-menu {
        border: 0 !important;
        border-radius: ${radius2.xs};
        overflow: hidden;
        width: 100% !important;
        z-index: 100;

        &:empty {
          display: none;
        }
      }

      &-loading {
        padding: 0 ${spacing2.xs};

        &:after {
          margin: 0;
        }
      }

      &-separator {
        background-color: ${borderColor};
      }
    }
  `;
});
function getDropdownComponent(props) {
  return function DropdownRenderer(renderer) {
    return /* @__PURE__ */ (0, import_jsx_runtime61.jsx)(Items_default, { ...renderer, ...props });
  };
}
function Dropdown(props) {
  const { componentProps, getDataAttributes } = useDropdown(props);
  const {
    allowCreate,
    closeMultiOnSelect,
    height = "md",
    inputOptions,
    items,
    menuMaxHeight = 260,
    onChange,
    onClear,
    open,
    showClearButton,
    values = [],
    ...rest
  } = componentProps;
  const { darkMode: darkMode2, grayScale: grayScale2, inputHeight: inputHeight2, white: white2 } = rest.theme;
  const [isFilled, setFilled] = (0, import_react97.useState)(!!values.length);
  const { mainColor } = getColorTokens(rest.accent ?? "primary", null, rest.theme);
  const handleChange = (value) => {
    setFilled(!!value.length);
    onChange?.(value);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime61.jsx)(StyledDropdown, { ...getDataAttributes("DropdownWrapper"), isFilled, ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime61.jsx)(
    import_react_dropdown.default,
    {
      closeOnSelect: closeMultiOnSelect,
      contentComponent: Content_default,
      create: allowCreate,
      hiddenInput: inputOptions,
      menuComponent: getDropdownComponent({ allowCreate, ...rest }),
      onChange: handleChange,
      onClearAll: onClear,
      open,
      options: items,
      showClearButton,
      styles: {
        bgColor: darkMode2 ? grayScale2["700"] : white2,
        color: mainColor,
        gap: 0,
        minHeight: parseInt(inputHeight2[height], 10),
        menuMaxHeight,
        width: rest.width
      },
      values,
      ...rest
    }
  ) });
}
Dropdown.displayName = "Dropdown";

// src/components/Emoji/Emoji.tsx
var import_react99 = require("react");
var import_react_innertext6 = __toESM(require("react-innertext"));
var import_react100 = require("@emotion/react");
var import_styled56 = __toESM(require("@emotion/styled"));
var import_helpers46 = require("@gilbarbara/helpers");

// src/components/Emoji/useEmoji.ts
function useEmoji(props) {
  return useComponentProps(props);
}

// src/components/Emoji/Emoji.tsx
var import_jsx_runtime62 = require("react/jsx-runtime");
var StyledEmoji = (0, import_styled56.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { size } = props;
  return import_react100.css`
    display: inline-flex;
    line-height: 1;
    ${getStyles((0, import_helpers46.omit)(props, "size"))};

    ${size && import_react100.css`
      font-size: ${(0, import_helpers46.px)(size)};
      height: ${(0, import_helpers46.px)(size)};
      width: ${(0, import_helpers46.px)(size)};
    `};
  `;
});
var Emoji = (0, import_react99.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useEmoji(props);
  const { label, size, symbol, theme } = componentProps;
  return /* @__PURE__ */ (0, import_jsx_runtime62.jsx)(
    StyledEmoji,
    {
      ref,
      "aria-hidden": label ? "false" : "true",
      "aria-label": label ? (0, import_react_innertext6.default)(label) : "",
      ...getDataAttributes("Emoji"),
      size,
      theme,
      children: symbol
    }
  );
});
Emoji.displayName = "Emoji";

// src/components/Field/Field.tsx
var import_react127 = require("react");
var import_react_hook_form2 = require("react-hook-form");
var import_hooks15 = require("@gilbarbara/hooks");

// src/components/FormGroup/FormGroup.tsx
var import_react105 = require("react");
var import_react106 = require("@emotion/react");
var import_styled59 = __toESM(require("@emotion/styled"));
var import_is_lite19 = __toESM(require("is-lite"));

// src/components/FormElementWrapper/FormElementWrapper.tsx
var import_react101 = require("react");
var import_react102 = require("@emotion/react");
var import_styled57 = __toESM(require("@emotion/styled"));
var import_helpers47 = require("@gilbarbara/helpers");
var import_is_lite17 = __toESM(require("is-lite"));

// src/components/FormElementWrapper/useFormElementWrapper.ts
var defaultProps33 = {
  size: 40,
  width: "100%"
};
function useFormElementWrapper(props) {
  return useComponentProps(props, defaultProps33);
}

// src/components/FormElementWrapper/FormElementWrapper.tsx
var import_jsx_runtime63 = require("react/jsx-runtime");
var StyledFormElementWrapper = (0, import_styled57.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { width } = props;
  return import_react102.css`
    position: relative;
    width: ${(0, import_helpers47.px)(width)};
    ${marginStyles(props)};
  `;
});
var FormElementWrapper = (0, import_react101.forwardRef)(
  (props, ref) => {
    const { componentProps, getDataAttributes } = useFormElementWrapper(props);
    const { children, endContent, size, startContent, ...rest } = componentProps;
    const content = {};
    const [width, height] = import_is_lite17.default.array(size) ? size : [size, size];
    if (startContent) {
      content.startContent = /* @__PURE__ */ (0, import_jsx_runtime63.jsx)(
        FlexCenter,
        {
          ...getDataAttributes("FormElementWrapperStartContent"),
          bottom: 0,
          height,
          left: 0,
          position: "absolute",
          top: 0,
          width,
          children: startContent
        }
      );
    }
    if (endContent) {
      content.endContent = /* @__PURE__ */ (0, import_jsx_runtime63.jsx)(
        FlexCenter,
        {
          ...getDataAttributes("FormElementWrapperEndContent"),
          bottom: 0,
          height,
          position: "absolute",
          right: 0,
          top: 0,
          width,
          children: endContent
        }
      );
    }
    return /* @__PURE__ */ (0, import_jsx_runtime63.jsxs)(StyledFormElementWrapper, { ref, ...getDataAttributes("FormElementWrapper"), ...rest, children: [
      content.startContent,
      children,
      content.endContent
    ] });
  }
);
FormElementWrapper.displayName = "FormElementWrapper";

// src/components/Label/Label.tsx
var import_react103 = require("react");
var import_react104 = require("@emotion/react");
var import_styled58 = __toESM(require("@emotion/styled"));
var import_is_lite18 = __toESM(require("is-lite"));

// src/components/Label/useLabel.ts
var defaultProps34 = {
  ...textDefaultOptions,
  bold: true,
  inline: false
};
function useLabel(props) {
  return useComponentProps(props, defaultProps34);
}

// src/components/Label/Label.tsx
var import_jsx_runtime64 = require("react/jsx-runtime");
var StyledLabel3 = (0, import_styled58.default)("label", getStyledOptions())(
  {
    alignItems: "center",
    cursor: "pointer",
    lineHeight: 1,
    position: "relative"
  },
  (props) => {
    const { inline, theme } = props;
    const { dataAttributeName: dataAttributeName2, spacing: spacing2 } = theme;
    return import_react104.css`
      display: ${inline ? "inline-flex" : "flex"};
      ${!inline ? `margin-bottom: ${spacing2.sm}` : ""};
      ${getStyles(props, { useFontSize: true })};

      [data-${dataAttributeName2}='Text'] {
        line-height: 1;
        margin-left: ${spacing2.xxs};
      }
    `;
  }
);
var Label = (0, import_react103.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useLabel(props);
  const { children, labelId, labelInfo, ...rest } = componentProps;
  let info;
  if (labelInfo) {
    info = import_is_lite18.default.string(labelInfo) ? /* @__PURE__ */ (0, import_jsx_runtime64.jsx)(Text, { color: rest.color, size: "sm", children: labelInfo }) : labelInfo;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime64.jsxs)(StyledLabel3, { ref, ...getDataAttributes("Label"), ...rest, htmlFor: labelId, children: [
    children,
    info
  ] });
});
Label.displayName = "Label";

// src/components/FormGroup/useFormGroup.ts
var defaultProps35 = {
  hideAssistiveText: false,
  inline: false,
  required: false,
  skipIcon: false
};
function useFormGroup(props) {
  return useComponentProps(props, defaultProps35);
}

// src/components/FormGroup/FormGroup.tsx
var import_jsx_runtime65 = require("react/jsx-runtime");
var StyledFormGroup = (0, import_styled59.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { dataAttributeName: dataAttributeName2, spacing: spacing2 } = props.theme;
  return import_react106.css`
    margin-bottom: ${spacing2.md};
    width: 100%;
    ${getStyles(props)};

    [data-${dataAttributeName2}='FormGroupContent'] {
      > * {
        margin-bottom: 0;
        margin-top: 0;
      }

      [data-${dataAttributeName2}='Label'] {
        margin-right: ${spacing2.xs};
      }

      [data-${dataAttributeName2}='FormGroupContent'] {
        flex: 1;
      }

      [data-${dataAttributeName2}='AssistiveContent'] {
        margin-left: ${spacing2.xs};

        &:empty {
          display: none;
        }
      }
    }
  `;
});
var AssistiveContent = (0, import_styled59.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, typography: typography2 } = props.theme;
  return import_react106.css`
    align-items: center;
    color: ${darkMode2 ? grayScale2["200"] : grayScale2["500"]};
    display: flex;
    font-size: ${typography2.sm.fontSize};
    line-height: 16px;
    margin-top: ${spacing2.xs};
    min-height: ${spacing2.md};
    text-align: left;
  `;
});
var ErrorComponent = import_styled59.default.div((props) => {
  const { colors: colors2 } = props.theme;
  return import_react106.css`
    align-items: center;
    color: ${colors2.red};
    display: flex;
  `;
});
var FormGroup = (0, import_react105.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useFormGroup(props);
  const {
    assistiveText,
    children,
    error,
    hideAssistiveText,
    inline,
    label,
    labelId,
    labelInfo,
    labelStyles,
    required,
    skipIcon,
    valid,
    ...rest
  } = componentProps;
  const content = {
    assistiveText
  };
  if (error && valid === false) {
    content.assistiveText = /* @__PURE__ */ (0, import_jsx_runtime65.jsxs)(ErrorComponent, { theme: rest.theme, children: [
      /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(Icon, { mr: "xxs", name: "danger-o", title: "Invalid" }),
      /* @__PURE__ */ (0, import_jsx_runtime65.jsx)("span", { children: error })
    ] });
  }
  content.children = !skipIcon ? /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(
    FormElementWrapper,
    {
      endContent: import_is_lite19.default.boolean(valid) && valid ? /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(Icon, { color: "green", name: "check-o", size: 24, title: "valid" }) : void 0,
      children
    }
  ) : children;
  if (label) {
    content.label = /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(
      Label,
      {
        labelId,
        labelInfo: labelInfo || required && /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(Icon, { color: "red", ml: "xxs", name: "asterisk", size: 12 }),
        style: labelStyles,
        children: label
      }
    );
  }
  content.main = /* @__PURE__ */ (0, import_jsx_runtime65.jsxs)(import_jsx_runtime65.Fragment, { children: [
    content.label,
    content.children,
    !hideAssistiveText && /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(AssistiveContent, { ...getDataAttributes("AssistiveContent"), theme: rest.theme, children: content.assistiveText })
  ] });
  if (inline) {
    content.main = /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(Box, { ...getDataAttributes("FormGroupContent"), display: "flex", children: content.main });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime65.jsx)(StyledFormGroup, { ref, ...getDataAttributes("FormGroup"), inline, ...rest, children: content.main });
});
FormGroup.displayName = "FormGroup";

// src/components/Field/Checkbox.tsx
var import_react107 = require("react");
var import_hooks12 = require("@gilbarbara/hooks");
var import_jsx_runtime66 = require("react/jsx-runtime");
function FieldCheckbox(props) {
  const {
    accent,
    borderless,
    currentValue,
    disabled,
    items = [],
    name = "CheckboxGroup",
    onChange,
    readOnly,
    setValue
  } = props;
  const ref = (0, import_react107.useRef)(null);
  (0, import_hooks12.useUpdateEffect)(() => {
    currentValue.forEach((d) => {
      const input = ref.current?.querySelector(`[name=${d}]`);
      if (input) {
        input.checked = true;
      }
    });
  }, [currentValue]);
  const handleChange = (event) => {
    const { target } = event;
    const nextValue = target.checked ? [...currentValue, target.name] : currentValue?.filter((d) => d !== target.name);
    setValue(name, nextValue, { shouldDirty: true, shouldValidate: true });
    onChange?.(nextValue);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime66.jsx)(Flex, { gap: "xs", children: items.map((d) => /* @__PURE__ */ (0, import_jsx_runtime66.jsx)(
    Checkbox,
    {
      accent,
      borderless,
      defaultChecked: currentValue.includes(d.name),
      disabled,
      label: d.label,
      name: d.name,
      onChange: handleChange,
      readOnly,
      size: "sm"
    },
    d.name
  )) });
}
FieldCheckbox.displayName = "FieldCheckbox";
var Checkbox_default = FieldCheckbox;

// src/components/Field/DatePicker.tsx
var import_react108 = require("react");
var import_is_lite21 = __toESM(require("is-lite"));

// src/components/Field/utils.ts
var import_helpers50 = require("@gilbarbara/helpers");
var import_is_lite20 = __toESM(require("is-lite"));

// src/modules/validations.ts
var import_helpers48 = require("@gilbarbara/helpers");
function validateEmail(value) {
  return (0, import_helpers48.isValidEmail)(value) || "Invalid email address";
}
function validateMatchField(compare, value, message = "Confirmation doesn't match") {
  return compare === value || message;
}
function validatePassword(value, options) {
  try {
    (0, import_helpers48.validatePassword)(value, options);
    return true;
  } catch (error) {
    return error.message;
  }
}
function validatePhone(value) {
  if (!value) {
    return void 0;
  }
  return /^\d{10,11}$/.test(clearNumber(value)) || "Invalid phone";
}

// src/components/Field/utils.ts
function getDefaultValue(value, type) {
  if (type === "checkbox") {
    return value ?? [];
  } else if (type === "toggle") {
    return value ?? false;
  }
  return value;
}
function getError(name, errors) {
  const { message, type } = errors[name] ?? {};
  if (message) {
    return [message, type];
  }
  return [null];
}
function getInputParameters(props, ...exclude) {
  return (0, import_helpers50.omit)(
    props,
    "assistiveText",
    "children",
    "clearError",
    "debug",
    "dropdownProps",
    "formatter",
    "hideAssistiveText",
    "label",
    "maxLength",
    "minLength",
    "onBlur",
    "onChange",
    "onFocus",
    "required",
    "setValueAs",
    "skipValidation",
    "type",
    "validations",
    "value",
    ...exclude
  );
}
function getRegisterOptions(props) {
  const {
    formatter = "",
    getValues,
    maxLength,
    minLength,
    required,
    setValueAs,
    type = "text",
    validationOptions,
    validations = [],
    value
  } = props;
  const registerOptions = {};
  if (!import_is_lite20.default.undefined(value) || ["checkbox", "toggle"].includes(type)) {
    registerOptions.value = getDefaultValue(value, type);
  }
  if (required) {
    registerOptions.required = "Required";
  }
  if (minLength) {
    registerOptions.minLength = {
      value: minLength,
      message: `Min. Characters: ${minLength}`
    };
  }
  if (maxLength) {
    registerOptions.maxLength = {
      value: maxLength,
      message: `Max. Characters: ${maxLength}`
    };
  }
  if (["money", "number", "phoneBR"].includes(formatter)) {
    registerOptions.setValueAs = (v) => {
      if (!v) {
        return void 0;
      }
      return import_is_lite20.default.number(v) ? v : Number(clearNumber(v));
    };
  }
  if (setValueAs) {
    registerOptions.setValueAs = setValueAs;
  }
  const validated = validations.map((d) => {
    let result;
    if (d === "email") {
      result = validateEmail;
    }
    if (d === "password") {
      result = validatePassword;
    }
    if (d.startsWith("phone")) {
      result = validatePhone;
    }
    if (d.startsWith("equalsTo:")) {
      const [, field] = d.split(":");
      result = { field, fn: validateMatchField };
    }
    return result;
  }).filter(Boolean);
  if (validated.length) {
    registerOptions.validate = validated.reduce((acc, validation) => {
      if (import_is_lite20.default.undefined(validation)) {
        return acc;
      }
      const fnName = import_is_lite20.default.function(validation) ? validation.name : validation.fn.name;
      acc[fnName] = (value_) => {
        const input = value_ ? `${value_}` : "";
        let response;
        if (import_is_lite20.default.function(validation)) {
          response = validation(input, validationOptions);
        } else if (validation.field && import_is_lite20.default.function(validation.fn)) {
          const actualValues = getValues();
          response = validation.fn(`${actualValues[validation.field]}`, input);
        }
        return response;
      };
      return acc;
    }, {});
  }
  return registerOptions;
}

// src/components/Field/DatePicker.tsx
var import_jsx_runtime67 = require("react/jsx-runtime");
function FieldDatePicker(props) {
  const { currentValue, datePickerProps = { mode: "single" }, name, onChange, setValue } = props;
  const handleChange = (0, import_react108.useCallback)(
    (selection) => {
      const setValueOptions = { shouldDirty: true, shouldValidate: true };
      const value = import_is_lite21.default.array(selection) ? selection.filter(Boolean).join(",") : selection;
      setValue(name, value, setValueOptions);
      if (onChange && (!currentValue || currentValue !== value)) {
        onChange(value);
      }
    },
    [setValue, name, onChange, currentValue]
  );
  const parameters = getInputParameters(props, "currentValue", "registration", "setValue");
  let selected = currentValue;
  if (datePickerProps.mode === "range") {
    selected = currentValue?.split(",") ?? [void 0, void 0];
  }
  return /* @__PURE__ */ (0, import_jsx_runtime67.jsx)(
    DatePickerSelector,
    {
      selected,
      ...parameters,
      ...datePickerProps,
      onChange: handleChange
    }
  );
}
FieldDatePicker.displayName = "FieldDatePicker";
var DatePicker_default = FieldDatePicker;

// src/components/Field/Debug.tsx
var import_helpers52 = require("@gilbarbara/helpers");
var import_is_lite22 = __toESM(require("is-lite"));
var import_jsx_runtime68 = require("react/jsx-runtime");
function FieldDebug(props) {
  const { debug } = props;
  const { getDataAttributes } = useTheme();
  if (!debug) {
    return null;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime68.jsx)(Box, { as: "code", bg: "gray.50", ...getDataAttributes("FieldDebug"), display: "block", padding: "md", children: (0, import_helpers52.objectEntries)(props).filter(([key]) => !["debug", "theme"].includes(key)).sort((0, import_helpers52.sortByLocaleCompare)("0")).map(([key, value]) => /* @__PURE__ */ (0, import_jsx_runtime68.jsxs)(Paragraph, { mt: "xxs", children: [
    /* @__PURE__ */ (0, import_jsx_runtime68.jsx)("b", { children: key }),
    ": ",
    primitiveToString(value, key)
  ] }, key)) });
}
function primitiveToString(value, key) {
  if (key === "control") {
    return `{ RHF ${key} }`;
  }
  if (key === "children") {
    return "{ ReactNode }";
  }
  if (import_is_lite22.default.function(value)) {
    return "{ Function }";
  }
  if (import_is_lite22.default.plainObject(value) || import_is_lite22.default.array(value)) {
    return JSON.stringify(value, null, 2);
  }
  if (import_is_lite22.default.undefined(value)) {
    return "undefined";
  }
  return value.toString();
}
FieldDebug.displayName = "FieldDebug";
var Debug_default = FieldDebug;

// src/components/Field/Dropdown.tsx
var import_react109 = require("react");
var import_is_lite23 = __toESM(require("is-lite"));
var import_jsx_runtime69 = require("react/jsx-runtime");
function FieldDropdown(props) {
  const { currentValue, dropdownProps = {}, items = [], name, onChange, setValue } = props;
  const handleChangeDropdown = (0, import_react109.useCallback)(
    (data) => {
      const { multi } = dropdownProps;
      const setValueOptions = { shouldDirty: true, shouldValidate: true };
      if (multi) {
        const values = data.map((d) => d.value);
        setValue(name, values, setValueOptions);
        if (onChange && (!currentValue || currentValue !== values)) {
          onChange(values);
        }
      } else {
        const [selected] = data;
        if (selected) {
          setValue(name, selected.value, setValueOptions);
          if (onChange && (!currentValue || currentValue !== selected.value)) {
            onChange(selected.value);
          }
        } else {
          setValue(name, void 0, setValueOptions);
        }
      }
    },
    [dropdownProps, setValue, name, onChange, currentValue]
  );
  const parameters = getInputParameters(props, "currentValue", "registration", "setValue");
  return /* @__PURE__ */ (0, import_jsx_runtime69.jsx)(
    Dropdown,
    {
      items,
      values: items.filter(
        (d) => import_is_lite23.default.array(currentValue) ? currentValue.includes(d.value) : d.value === currentValue
      ),
      width: "100%",
      ...parameters,
      ...dropdownProps,
      onChange: handleChangeDropdown
    }
  );
}
FieldDropdown.displayName = "FieldDropdown";
var Dropdown_default = FieldDropdown;

// src/components/Field/Input.tsx
var import_react117 = require("react");
var import_helpers56 = require("@gilbarbara/helpers");

// src/components/Input/Input.tsx
var import_react110 = require("react");
var import_react111 = require("@emotion/react");
var import_styled60 = __toESM(require("@emotion/styled"));

// src/components/Input/useInput.ts
function useInput(props) {
  return useComponentProps(props);
}

// src/components/Input/Input.tsx
var import_jsx_runtime70 = require("react/jsx-runtime");
var StyledInput = (0, import_styled60.default)(
  "input",
  getStyledOptions()
)((props) => {
  return import_react111.css`
    ${baseStyles(props.theme)};
    ${inputStyles(props, "input")};
  `;
});
var Input2 = (0, import_react110.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useInput(props);
  return /* @__PURE__ */ (0, import_jsx_runtime70.jsx)(
    StyledInput,
    {
      ref,
      ...getDataAttributes("Input"),
      id: componentProps.name,
      ...componentProps
    }
  );
});
Input2.displayName = "Input";

// src/components/InputColor/InputColor.tsx
var import_react112 = require("react");
var import_react113 = require("@emotion/react");
var import_styled61 = __toESM(require("@emotion/styled"));
var import_helpers53 = require("@gilbarbara/helpers");

// src/components/InputColor/useInputColor.ts
var defaultProps36 = {
  accent: "primary",
  borderless: false,
  disabled: false,
  height: "md",
  onChangeDebounce: 250,
  placeholder: "Select a color",
  readOnly: false,
  width: "auto"
};
function useInputColor(props) {
  return useComponentProps(props, defaultProps36);
}

// src/components/InputColor/InputColor.tsx
var import_jsx_runtime71 = require("react/jsx-runtime");
var StyledInputColor = (0, import_styled61.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { accent, borderless, disabled, isFilled, theme, width } = props;
  const { darkMode: darkMode2, dataAttributeName: dataAttributeName2, grayScale: grayScale2, radius: radius2, white: white2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let borderColor = darkMode2 ? grayScale2["700"] : grayScale2["500"];
  if (isFilled) {
    borderColor = mainColor;
  }
  const styles2 = borderless ? import_react113.css`
        border: 0;
        border-bottom: 1px solid ${borderColor};
      ` : import_react113.css`
        background-color: ${darkMode2 ? grayScale2["800"] : white2};
        border: 1px solid ${borderColor};
        border-radius: ${radius2.xs};
      `;
  return import_react113.css`
    align-items: center;
    display: flex;
    padding: 4px 16px 4px 4px;
    width: ${(0, import_helpers53.px)(width)};
    ${styles2};

    ${disabled && import_react113.css`
      ${getDisableStyles(props)}
      color: ${grayScale2["500"]};
    `};

    [data-${dataAttributeName2}='Text'] {
      min-width: 75px;
    }
  `;
});
var StyledLabel4 = (0, import_styled61.default)(
  "label",
  getStyledOptions()
)((props) => {
  const { height, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, spacing: spacing2 } = theme;
  const size = parseInt(inputHeight[height], 10) - 10;
  const inputSize = (0, import_helpers53.px)(size + 16);
  return import_react113.css`
    border: 1px solid ${darkMode2 ? grayScale2["700"] : grayScale2["100"]};
    border-radius: ${radius2.xs};
    height: ${(0, import_helpers53.px)(size)};
    overflow: hidden;
    position: relative;
    margin-right: ${spacing2.xs};
    width: ${(0, import_helpers53.px)(size)};

    input {
      appearance: none;
      background: none;
      border: 0;
      cursor: pointer;
      height: ${inputSize};
      margin: -8px;
      padding: 0;
      width: ${inputSize};

      &:disabled {
        cursor: not-allowed;
      }
    }
  `;
});
var InputColor = (0, import_react112.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useInputColor(props);
  const {
    accent,
    borderless,
    disabled,
    height,
    name,
    onChange,
    onChangeDebounce,
    placeholder,
    readOnly,
    theme,
    value: initialValue,
    width,
    ...rest
  } = componentProps;
  const [value, setValue] = (0, import_react112.useState)(initialValue ?? "");
  const debounceTimeout = (0, import_react112.useRef)(0);
  const isDisabled = disabled || readOnly;
  const handleChange = (event) => {
    setValue(event.target.value);
    if (!onChange) {
      return;
    }
    if (!onChangeDebounce) {
      onChange(event);
      return;
    }
    clearTimeout(debounceTimeout.current);
    debounceTimeout.current = window.setTimeout(() => {
      onChange(event);
      debounceTimeout.current = 0;
    }, onChangeDebounce);
  };
  let text;
  if (value) {
    text = /* @__PURE__ */ (0, import_jsx_runtime71.jsx)(Text, { children: value });
  } else if (placeholder) {
    text = /* @__PURE__ */ (0, import_jsx_runtime71.jsx)(Text, { color: "gray.500", children: placeholder });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime71.jsxs)(
    StyledInputColor,
    {
      accent,
      borderless,
      ...getDataAttributes("InputColor"),
      disabled: isDisabled,
      height,
      isFilled: !!value,
      theme,
      width,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime71.jsx)(StyledLabel4, { ...getDataAttributes("InputColorLabel"), height, theme, children: /* @__PURE__ */ (0, import_jsx_runtime71.jsx)(
          "input",
          {
            ref,
            disabled: isDisabled,
            id: name,
            name,
            onChange: handleChange,
            type: "color",
            value,
            ...rest
          }
        ) }),
        text
      ]
    }
  );
});
InputColor.displayName = "InputColor";

// src/components/InputFile/InputFile.tsx
var import_react115 = require("react");
var import_react116 = require("@emotion/react");
var import_styled63 = __toESM(require("@emotion/styled"));
var import_helpers55 = require("@gilbarbara/helpers");

// src/components/Truncate/Truncate.tsx
var import_react114 = require("@emotion/react");
var import_styled62 = __toESM(require("@emotion/styled"));
var import_helpers54 = require("@gilbarbara/helpers");

// src/components/Truncate/useTruncate.ts
var defaultProps37 = {
  lines: 2
};
function useTruncate(props) {
  return useComponentProps(props, defaultProps37);
}

// src/components/Truncate/Truncate.tsx
var import_jsx_runtime72 = require("react/jsx-runtime");
var StyledTruncate = (0, import_styled62.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { lines, maxWidth } = props;
  if (maxWidth) {
    return import_react114.css`
      display: inline-block;
      max-width: ${(0, import_helpers54.px)(maxWidth)};
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
    `;
  }
  return import_react114.css`
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: ${lines ?? 2};
  `;
});
function Truncate(props) {
  const {
    componentProps: { children, ...rest },
    getDataAttributes
  } = useTruncate(props);
  return /* @__PURE__ */ (0, import_jsx_runtime72.jsx)(StyledTruncate, { ...getDataAttributes("Truncate"), ...rest, children });
}
Truncate.displayName = "Truncate";

// src/components/InputFile/useInputFile.ts
var defaultProps38 = {
  accent: "primary",
  disabled: false,
  height: "md",
  placeholder: "Upload a file",
  readOnly: false,
  solid: false,
  width: "100%"
};
function useInputFile(props) {
  return useComponentProps(props, defaultProps38);
}

// src/components/InputFile/InputFile.tsx
var import_jsx_runtime73 = require("react/jsx-runtime");
var StyledFileInput = (0, import_styled63.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { theme, width } = props;
  const { dataAttributeName: dataAttributeName2, spacing: spacing2 } = theme;
  return import_react116.css`
    ${baseStyles(theme)};
    align-items: center;
    display: flex;
    width: ${(0, import_helpers55.px)(width)};

    [data-${dataAttributeName2}='Truncate'] {
      flex: 1;
      margin-left: ${spacing2.xs};

      &:empty {
        display: none;
      }
    }
  `;
});
var StyledInput2 = (0, import_styled63.default)("input", getStyledOptions())`
  bottom: 0;
  font-size: 24px;
  left: 0;
  opacity: 0;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;

  &::file-selector-button {
    cursor: pointer;
  }
`;
var InputFile = (0, import_react115.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useInputFile(props);
  const { accent, disabled, height, name, onChange, placeholder, readOnly, solid, value, ...rest } = componentProps;
  const [localValue, setLocalValue] = (0, import_react115.useState)(null);
  const isDisabled = disabled || readOnly;
  const handleChange = (event) => {
    const { files } = event.target;
    setLocalValue(files?.length ? files[0].name : "");
    onChange?.(event);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime73.jsxs)(StyledFileInput, { ...getDataAttributes("InputFile"), ...rest, children: [
    /* @__PURE__ */ (0, import_jsx_runtime73.jsxs)(FlexInline, { position: "relative", children: [
      /* @__PURE__ */ (0, import_jsx_runtime73.jsx)(
        Button,
        {
          bg: accent,
          disabled: isDisabled,
          size: height,
          style: { zIndex: isDisabled ? 2 : 1 },
          variant: solid ? "solid" : "bordered",
          children: placeholder
        }
      ),
      /* @__PURE__ */ (0, import_jsx_runtime73.jsx)(StyledInput2, { ref, id: name, name, onChange: handleChange, type: "file" })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime73.jsx)(Truncate, { maxWidth: "100%", children: localValue ?? value })
  ] });
});
InputFile.displayName = "InputFile";

// src/components/Field/Input.tsx
var import_jsx_runtime74 = require("react/jsx-runtime");
function FieldInput(props) {
  const {
    accent,
    currentValue,
    formatter = "",
    id,
    isDirty,
    name,
    onBlur,
    onChange,
    onFocus,
    registration,
    setStatus,
    skipValidation,
    type
  } = props;
  const handleBlur = (0, import_react117.useCallback)(
    (event) => {
      setStatus({ isActive: false, isDirty });
      registration.onBlur(event);
      onBlur?.(event);
    },
    [isDirty, onBlur, registration, setStatus]
  );
  const handleFocus = (0, import_react117.useCallback)(
    (event) => {
      setStatus({ isActive: true });
      onFocus?.(event);
    },
    [onFocus, setStatus]
  );
  const handleChange = (0, import_react117.useCallback)(
    (event) => {
      const { value } = event.target;
      if (["phoneBR", "phoneUS"].includes(formatter)) {
        event.target.value = clearNumber(value).slice(0, 11);
      } else if (formatter) {
        event.target.value = clearNumber(value);
      }
      registration.onChange(event);
      onChange?.(value);
    },
    [formatter, onChange, registration]
  );
  const input = {
    ...getInputParameters(
      props,
      "currentValue",
      "inline",
      "isDirty",
      "registration",
      "setStatus"
    ),
    id: id ?? name,
    onBlur: handleBlur,
    onChange: handleChange,
    onFocus: handleFocus
  };
  let content;
  switch (type) {
    case "color": {
      content = /* @__PURE__ */ (0, import_jsx_runtime74.jsx)(InputColor, { ...registration, ...input, value: currentValue });
      break;
    }
    case "file": {
      content = /* @__PURE__ */ (0, import_jsx_runtime74.jsx)(
        InputFile,
        {
          accent,
          ...registration,
          ...input,
          value: currentValue?.length ? currentValue[0].name : ""
        }
      );
      break;
    }
    case "hidden": {
      content = /* @__PURE__ */ (0, import_jsx_runtime74.jsx)("input", { ...registration, ...input, type: "hidden" });
      break;
    }
    default: {
      const parameters = {};
      if (currentValue) {
        switch (formatter) {
          case "money": {
            parameters.value = (0, import_helpers56.formatMoney)(currentValue);
            break;
          }
          case "phoneBR": {
            parameters.value = (0, import_helpers56.formatPhoneBR)(`${currentValue}`);
            break;
          }
          case "phoneUS": {
            parameters.value = (0, import_helpers56.formatPhoneUS)(`${currentValue}`);
            break;
          }
        }
      }
      content = /* @__PURE__ */ (0, import_jsx_runtime74.jsx)(
        Input2,
        {
          ...registration,
          ...input,
          ...parameters,
          suffixSpacing: !skipValidation,
          type
        }
      );
      break;
    }
  }
  return content;
}
FieldInput.displayName = "FieldInput";
var Input_default = FieldInput;

// src/components/Field/Radio.tsx
var import_jsx_runtime75 = require("react/jsx-runtime");
function FieldRadio(props) {
  const { accent, borderless, disabled, items = [], onChange, readOnly, registration } = props;
  const handleChange = (event) => {
    const { target } = event;
    onChange?.(target.value);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime75.jsx)(Spacer, { gap: "xs", children: items.map((d) => /* @__PURE__ */ (0, import_jsx_runtime75.jsx)(
    Radio,
    {
      ...d,
      ...registration,
      accent,
      borderless,
      disabled,
      onChange: handleChange,
      readOnly,
      size: "sm"
    },
    d.value
  )) });
}
FieldRadio.displayName = "FieldRadio";
var Radio_default = FieldRadio;

// src/components/Field/Select.tsx
var import_react120 = require("react");

// src/components/Select/Select.tsx
var import_react118 = require("react");
var import_react119 = require("@emotion/react");
var import_styled64 = __toESM(require("@emotion/styled"));
var import_helpers58 = require("@gilbarbara/helpers");
var import_hooks13 = require("@gilbarbara/hooks");
var import_is_lite24 = __toESM(require("is-lite"));

// src/components/Select/useSelect.ts
var defaultProps39 = {
  accent: "primary",
  borderless: false,
  disabled: false,
  height: "md",
  multiple: false,
  prefixSpacing: false,
  suffixSpacing: false,
  width: "100%"
};
function useSelect(props) {
  return useComponentProps(props, defaultProps39);
}

// src/components/Select/Select.tsx
var import_jsx_runtime76 = require("react/jsx-runtime");
var StyledSelect = (0, import_styled64.default)(
  "select",
  getStyledOptions()
)((props) => {
  const { accent, filled, height, multiple, suffixSpacing, theme } = props;
  const { darkColor: darkColor2, darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, white: white2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let backgroundPosition = "12px";
  let color = grayScale2["500"];
  const paddingY = selectPaddingY[height];
  if (filled) {
    color = darkMode2 ? white2 : darkColor2;
  }
  if (multiple) {
    color = grayScale2["500"];
  }
  if (suffixSpacing) {
    backgroundPosition = import_is_lite24.default.boolean(suffixSpacing) ? "40px" : (0, import_helpers58.px)(suffixSpacing);
  }
  return import_react119.css`
    ${appearanceStyles};
    ${baseStyles(theme)};
    background-image: url('${`data:image/svg+xml,%3Csvg height="16px" version="1.1" viewBox="0 0 16 16" width="16px" xmlns="http://www.w3.org/2000/svg" %3E%3Cpath d="M14,5.52466366 C14,5.41704038 13.9641256,5.32735426 13.8923766,5.25560543 L13.3004484,4.60986548 C13.1928251,4.53811658 13.0852018,4.50224213 12.9775785,4.50224213 C12.8699551,4.50224213 12.7802691,4.53811658 12.7085202,4.60986548 L8.02690583,9.3452915 L3.29147982,4.60986548 C3.21973094,4.53811658 3.13004485,4.50224213 3.02242152,4.50224213 C2.91479821,4.50224213 2.82511211,4.53811658 2.75336323,4.60986548 L2.10762332,5.25560543 C2.03587444,5.32735426 2,5.41704038 2,5.52466366 C2,5.63228701 2.03587444,5.72197313 2.10762332,5.79372196 L7.70403588,11.3901345 C7.81165919,11.4618834 7.91928251,11.4977579 8.02690583,11.4977579 C8.13452915,11.4977579 8.22421524,11.4618834 8.29596412,11.3901345 L13.8923766,5.79372196 C13.9641256,5.72197313 14,5.63228701 14,5.52466366 Z" fill="${color.replace(
    "#",
    "%23"
  )}" /%3E%3C/svg%3E`}');
    background-repeat: no-repeat;
    background-position: right ${backgroundPosition} center;
    ${inputStyles(props, "select")};
    color: ${color};

    ${filled && import_react119.css`
      border-color: ${mainColor};
    `};

    &[multiple] {
      padding: 0;

      > option {
        padding: ${paddingY} ${spacing2.md};

        &:not(:checked) {
          background: ${`${white2} linear-gradient(0deg, ${white2} 0%, ${white2} 100%)`};
        }

        &:checked {
          background: ${`${mainColor} linear-gradient(0deg, ${mainColor} 0%, ${mainColor} 100%)`};
          color: ${white2};
          font-weight: bold;
        }
      }
    }
  `;
});
var Select = (0, import_react118.forwardRef)((props, ref) => {
  const {
    componentProps: { name, onChange, ...rest },
    getDataAttributes
  } = useSelect(props);
  const [isFilled, setFilled] = (0, import_react118.useState)(!!rest.defaultValue || !!rest.value);
  const localRef = (0, import_react118.useRef)(null);
  const mergedRefs = (0, import_hooks13.useMergeRefs)(localRef, ref);
  (0, import_hooks13.useMount)(() => {
    setFilled(!!localRef.current?.value);
  });
  const handleChange = (0, import_react118.useCallback)(
    (event) => {
      setFilled(!!event.target.value);
      onChange?.(event);
    },
    [onChange]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime76.jsx)(
    StyledSelect,
    {
      ref: mergedRefs,
      ...getDataAttributes("Select"),
      filled: isFilled,
      id: name,
      name,
      onChange: handleChange,
      ...rest
    }
  );
});
Select.displayName = "Select";

// src/components/Field/Select.tsx
var import_jsx_runtime77 = require("react/jsx-runtime");
function FieldSelect(props) {
  const { children, id, isDirty, name, onBlur, onChange, onFocus, registration, setStatus } = props;
  const handleBlur = (0, import_react120.useCallback)(
    (event) => {
      setStatus({ isActive: false, isDirty });
      registration.onBlur(event);
      onBlur?.(event);
    },
    [isDirty, onBlur, registration, setStatus]
  );
  const handleFocus = (0, import_react120.useCallback)(
    (event) => {
      setStatus({ isActive: true });
      onFocus?.(event);
    },
    [onFocus, setStatus]
  );
  const handleChange = (0, import_react120.useCallback)(
    (event) => {
      registration.onChange(event);
      onChange?.(event.target.value);
    },
    [onChange, registration]
  );
  const input = {
    ...getInputParameters(props, "isDirty", "registration", "setStatus"),
    id: id ?? name,
    onBlur: handleBlur,
    onChange: handleChange,
    onFocus: handleFocus
  };
  return /* @__PURE__ */ (0, import_jsx_runtime77.jsx)(Select, { ...registration, ...input, children });
}
FieldSelect.displayName = "FieldSelect";
var Select_default = FieldSelect;

// src/components/Field/Textarea.tsx
var import_react123 = require("react");

// src/components/Textarea/Textarea.tsx
var import_react121 = require("react");
var import_react122 = require("@emotion/react");
var import_styled65 = __toESM(require("@emotion/styled"));

// src/components/Textarea/useTextarea.ts
var defaultProps40 = {
  accent: "primary",
  borderless: false,
  disabled: false,
  prefixSpacing: false,
  readOnly: false,
  rows: 3,
  suffixSpacing: false,
  width: "100%"
};
function useTextarea(props) {
  return useComponentProps(props, defaultProps40);
}

// src/components/Textarea/Textarea.tsx
var import_jsx_runtime78 = require("react/jsx-runtime");
var StyledTextarea = (0, import_styled65.default)(
  "textarea",
  getStyledOptions()
)((props) => {
  return import_react122.css`
    ${baseStyles(props.theme)};
    ${inputStyles(props, "textarea")};
  `;
});
var Textarea = (0, import_react121.forwardRef)((props, ref) => {
  const {
    componentProps: { name, ...rest },
    getDataAttributes
  } = useTextarea(props);
  return /* @__PURE__ */ (0, import_jsx_runtime78.jsx)(StyledTextarea, { ref, ...getDataAttributes("Textarea"), id: name, name, ...rest });
});
Textarea.displayName = "Textarea";

// src/components/Field/Textarea.tsx
var import_jsx_runtime79 = require("react/jsx-runtime");
function FieldTextarea(props) {
  const { id, isDirty, name, onBlur, onChange, onFocus, registration, setStatus, skipValidation } = props;
  const handleBlur = (0, import_react123.useCallback)(
    (event) => {
      setStatus({ isActive: false, isDirty });
      registration.onBlur(event);
      onBlur?.(event);
    },
    [isDirty, onBlur, registration, setStatus]
  );
  const handleFocus = (0, import_react123.useCallback)(
    (event) => {
      setStatus({ isActive: true });
      onFocus?.(event);
    },
    [onFocus, setStatus]
  );
  const handleChange = (0, import_react123.useCallback)(
    (event) => {
      registration.onChange(event);
      onChange?.(event.target.value);
    },
    [onChange, registration]
  );
  const input = {
    ...getInputParameters(props, "isDirty", "registration", "setStatus"),
    id: id ?? name,
    onBlur: handleBlur,
    onChange: handleChange,
    onFocus: handleFocus
  };
  return /* @__PURE__ */ (0, import_jsx_runtime79.jsx)(Textarea, { ...registration, ...input, suffixSpacing: !skipValidation });
}
FieldTextarea.displayName = "FieldTextarea";
var Textarea_default = FieldTextarea;

// src/components/Field/Toggle.tsx
var import_react126 = require("react");
var import_react_hook_form = require("react-hook-form");
var import_react_innertext7 = __toESM(require("react-innertext"));
var import_is_lite26 = __toESM(require("is-lite"));

// src/components/Toggle/Toggle.tsx
var import_react124 = require("react");
var import_react125 = require("@emotion/react");
var import_styled66 = __toESM(require("@emotion/styled"));
var import_helpers59 = require("@gilbarbara/helpers");
var import_hooks14 = require("@gilbarbara/hooks");
var import_visually_hidden = require("@react-aria/visually-hidden");
var import_is_lite25 = __toESM(require("is-lite"));

// src/components/Toggle/useToggle.ts
var defaultProps41 = {
  accent: "primary",
  defaultChecked: false,
  disabled: false,
  size: "md"
};
function useToggle(props) {
  return useComponentProps(props, defaultProps41);
}

// src/components/Toggle/Toggle.tsx
var import_jsx_runtime80 = require("react/jsx-runtime");
var styles = {
  sm: {
    borderRadius: 8,
    height: 16,
    space: 2,
    width: 32
  },
  md: {
    borderRadius: 10,
    height: 20,
    space: 2,
    width: 40
  },
  lg: {
    borderRadius: 12,
    height: 24,
    space: 2,
    width: 48
  }
};
var StyledLabel5 = (0, import_styled66.default)(
  "label",
  getStyledOptions()
)((props) => {
  const { accent, theme } = props;
  const { dataAttributeName: dataAttributeName2, radius: radius2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  return import_react125.css`
    display: inline-flex;

    &:focus {
      outline: none;

      [data-${dataAttributeName2}='ToggleElement'] {
        border-radius: ${radius2.sm};
        outline: none;
        ${getOutlineStyles(mainColor, theme)};
        z-index: unset;
      }
    }
  `;
});
var StyledTrack = (0, import_styled66.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { accent, colorTrack, isChecked, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let backgroundColor = darkMode2 ? grayScale2["700"] : grayScale2["200"];
  if (colorTrack) {
    backgroundColor = getColorTokens(colorTrack, null, theme).mainColor;
  }
  if (isChecked) {
    backgroundColor = mainColor;
  }
  return import_react125.css`
    background-color: ${backgroundColor};
    border-radius: ${radius2.sm};
    bottom: 0;
    left: 0;
    position: absolute;
    transition: background-color 0.4s;
    right: 0;
    top: 0;
  `;
});
var StyledTrackIcon = (0, import_styled66.default)("span")((props) => {
  const { accent, isChecked, size, theme } = props;
  const { darkColor: darkColor2 } = theme;
  const { textColor: textColor2 } = getColorTokens(accent, null, theme);
  const { height, space } = styles[size];
  return import_react125.css`
    align-items: center;
    bottom: 0;
    color: ${isChecked ? textColor2 : darkColor2};
    display: flex;
    justify-content: center;
    left: ${isChecked ? (0, import_helpers59.px)(space) : void 0};
    height: ${(0, import_helpers59.px)(height)};
    position: absolute;
    right: ${isChecked ? void 0 : (0, import_helpers59.px)(space)};
    top: 0;
  `;
});
var StyledButton3 = (0, import_styled66.default)(
  "span",
  getStyledOptions()
)((props) => {
  const { accent, colorButton, disabled, isChecked, size, theme } = props;
  const { grayScale: grayScale2, opacityDisabled: opacityDisabled2, white: white2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let backgroundColor = white2;
  if (accent === "white" && isChecked) {
    backgroundColor = grayScale2["800"];
  } else if (isChecked) {
    backgroundColor = getColorWithTone(mainColor, "50");
  }
  if (colorButton) {
    backgroundColor = import_is_lite25.default.array(colorButton) ? getColorTokens(isChecked ? colorButton[1] : colorButton[0], null, theme).mainColor : getColorTokens(colorButton, null, theme).mainColor;
  }
  const { height, space } = styles[size];
  return import_react125.css`
    align-items: center;
    background-color: ${backgroundColor};
    border-radius: 50%;
    bottom: ${(0, import_helpers59.px)(space)};
    display: flex;
    font-size: ${(0, import_helpers59.px)(height - 6)};
    justify-content: center;
    left: ${isChecked ? (0, import_helpers59.px)(height + 2) : (0, import_helpers59.px)(space)};
    opacity: ${disabled ? opacityDisabled2 : 1};
    position: absolute;
    top: ${(0, import_helpers59.px)(space)};
    transition:
      background-color 0.4s,
      left 0.2s ease;
    width: ${(0, import_helpers59.px)(height - 4)};
  `;
});
var StyledToggle = (0, import_styled66.default)("div")(
  (props) => {
    const { disabled, label, size, theme } = props;
    const { opacityDisabled: opacityDisabled2 } = theme;
    const { height, width } = styles[size];
    return import_react125.css`
      ${baseStyles(theme)};
      cursor: ${disabled ? "default" : "pointer"};
      height: ${(0, import_helpers59.px)(height)};
      margin-right: ${label ? "8px" : 0};
      opacity: ${disabled ? opacityDisabled2 : 1};
      position: relative;
      user-select: none;
      vertical-align: middle;
      width: ${(0, import_helpers59.px)(width)};
    `;
  }
);
var Toggle = (0, import_react124.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useToggle(props);
  const {
    accent,
    as,
    checked,
    colorButton,
    colorTrack,
    defaultChecked,
    disabled,
    iconEnd,
    iconStart,
    label,
    name,
    onChange,
    onToggle,
    size,
    thumbIconChecked,
    thumbIconUnchecked,
    ...rest
  } = componentProps;
  const [isChecked, setChecked] = (0, import_react124.useState)(import_is_lite25.default.boolean(checked) ? checked : defaultChecked);
  const previousChecked = (0, import_hooks14.usePrevious)(checked);
  const labelId = (0, import_react124.useId)();
  (0, import_hooks14.useUpdateEffect)(() => {
    if (import_is_lite25.default.boolean(checked) && previousChecked !== checked) {
      setChecked(checked);
    }
  }, [checked, previousChecked]);
  const handleChange = (event) => {
    if (import_is_lite25.default.boolean(checked)) {
      return;
    }
    const { target } = event;
    setChecked(target.checked);
    onChange?.(target.checked);
  };
  const handleClickLabel = () => {
    if (!disabled) {
      onToggle?.(!isChecked);
    }
  };
  const handleClickInput = (event) => {
    event.stopPropagation();
  };
  const handleKeyDown2 = (event) => {
    if (disabled || !["Enter", "Space"].includes(event.code)) {
      return;
    }
    const status = !isChecked;
    onToggle?.(status);
    if (import_is_lite25.default.boolean(checked)) {
      return;
    }
    setChecked(status);
    onChange?.(status);
  };
  const value = isChecked ? "on" : "off";
  const checkStatus = {};
  if (import_is_lite25.default.boolean(checked)) {
    checkStatus.checked = checked;
  } else {
    checkStatus.defaultChecked = defaultChecked;
  }
  let labelElement = null;
  if (label) {
    labelElement = (0, import_react124.isValidElement)(label) ? (0, import_react124.cloneElement)(label, { id: labelId }) : /* @__PURE__ */ (0, import_jsx_runtime80.jsx)("span", { id: labelId, children: label });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime80.jsxs)(
    StyledLabel5,
    {
      accent,
      as,
      "data-checked": isChecked,
      ...getDataAttributes("Toggle"),
      "data-disabled": disabled,
      onClick: handleClickLabel,
      onKeyDown: handleKeyDown2,
      style: {
        cursor: disabled ? "default" : "pointer",
        pointerEvents: disabled ? "none" : "auto",
        touchAction: disabled ? "none" : void 0
      },
      tabIndex: disabled ? -1 : 0,
      ...rest,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(import_visually_hidden.VisuallyHidden, { elementType: "span", children: /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(
          "input",
          {
            ref,
            "aria-checked": isChecked,
            "aria-labelledby": label ? labelId : void 0,
            disabled,
            name,
            onChange: handleChange,
            onClick: handleClickInput,
            role: "switch",
            type: "checkbox",
            value,
            ...checkStatus
          }
        ) }),
        /* @__PURE__ */ (0, import_jsx_runtime80.jsxs)(
          StyledToggle,
          {
            accent,
            "aria-hidden": true,
            ...getDataAttributes("ToggleElement"),
            disabled,
            label,
            name,
            size,
            theme: rest.theme,
            children: [
              /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(
                StyledTrack,
                {
                  accent,
                  colorTrack,
                  ...getDataAttributes("ToggleTrack"),
                  isChecked,
                  size,
                  theme: rest.theme
                }
              ),
              /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(
                StyledButton3,
                {
                  accent,
                  colorButton,
                  ...getDataAttributes("ToggleButton"),
                  disabled,
                  isChecked,
                  size,
                  theme: rest.theme,
                  children: isChecked ? thumbIconChecked : thumbIconUnchecked
                }
              ),
              !isChecked && iconStart && /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(
                StyledTrackIcon,
                {
                  accent,
                  ...getDataAttributes("ToggleTrackIcon"),
                  isChecked,
                  size,
                  theme: rest.theme,
                  children: iconStart
                }
              ),
              isChecked && iconEnd && /* @__PURE__ */ (0, import_jsx_runtime80.jsx)(
                StyledTrackIcon,
                {
                  accent,
                  ...getDataAttributes("ToggleTrackIcon"),
                  isChecked,
                  size,
                  theme: rest.theme,
                  children: iconEnd
                }
              )
            ]
          }
        ),
        labelElement
      ]
    }
  );
});
Toggle.displayName = "Toggle";

// src/components/Field/Toggle.tsx
var import_jsx_runtime81 = require("react/jsx-runtime");
function FieldToggle(props) {
  const { accent, disabled, label, name, onChange, required, setValue, toggleProps } = props;
  const handleToggle = (0, import_react126.useCallback)(
    (status) => {
      setValue(name, status, {
        shouldDirty: true,
        shouldValidate: true
      });
      onChange?.(status);
    },
    [name, onChange, setValue]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime81.jsx)(
    import_react_hook_form.Controller,
    {
      name,
      render: ({ field }) => {
        return /* @__PURE__ */ (0, import_jsx_runtime81.jsx)(
          Toggle,
          {
            accent,
            "aria-label": (0, import_react_innertext7.default)(label),
            checked: import_is_lite26.default.undefined(field.value) ? false : field.value,
            disabled,
            name,
            onToggle: handleToggle,
            ...toggleProps
          }
        );
      },
      rules: { required }
    }
  );
}
FieldToggle.displayName = "FieldToggle";
var Toggle_default = FieldToggle;

// src/components/Field/useField.ts
var defaultProps42 = {
  accent: "primary",
  borderless: false,
  debug: false,
  disabled: false,
  hideAssistiveText: false,
  inline: false,
  label: "",
  readOnly: false,
  required: false,
  skipValidation: false,
  type: "text"
};
function useField(props) {
  return useComponentProps(props, defaultProps42);
}

// src/components/Field/Field.tsx
var import_jsx_runtime82 = require("react/jsx-runtime");
function Field(props) {
  const { componentProps, getDataAttributes } = useField(props);
  const {
    assistiveText,
    hideAssistiveText,
    id,
    inline,
    label,
    name,
    required,
    skipValidation,
    style,
    type,
    validations,
    value
  } = componentProps;
  const [{ isActive, isDirty }, setStatus] = (0, import_hooks15.useSetState)({
    isActive: false,
    isDirty: false
  });
  const formContext = (0, import_react_hook_form2.useFormContext)();
  if (!formContext) {
    throw new Error(
      'could not find the "form" context value; please ensure the component is wrapped in a <Form>'
    );
  }
  const {
    formState: { dirtyFields, errors },
    getValues,
    register,
    setValue,
    unregister
  } = formContext;
  const registerOptions = (0, import_react127.useMemo)(
    () => getRegisterOptions({ ...componentProps, getValues }),
    [getValues, componentProps]
  );
  const registration = register(name, registerOptions);
  const currentValue = (0, import_react_hook_form2.useWatch)({
    name,
    defaultValue: getDefaultValue(value ?? getValues()[name], type)
  });
  const [error, errorType = ""] = getError(name, errors);
  (0, import_hooks15.useUnmount)(() => {
    unregister(name);
  });
  const showError = !!error && errorType !== "revalidate" && (!isActive || isDirty);
  const isValid = !!currentValue && !error && (required ?? validations?.length);
  const groupProps = {
    assistiveText,
    hideAssistiveText,
    inline,
    label,
    labelId: id ?? name,
    required,
    style
  };
  const output = { error };
  if (!skipValidation) {
    groupProps.skipIcon = [
      "checkbox",
      "color",
      "datePicker",
      "dropdown",
      "radio",
      "select",
      "toggle"
    ].includes(type);
    if (showError) {
      groupProps.error = error;
      groupProps.valid = false;
    } else if (isValid) {
      groupProps.valid = true;
    }
  }
  switch (type) {
    case "checkbox": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Checkbox_default,
        {
          currentValue,
          setValue,
          ...componentProps
        }
      );
      break;
    }
    case "datePicker": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        DatePicker_default,
        {
          currentValue,
          registration,
          setValue,
          ...componentProps
        }
      );
      break;
    }
    case "dropdown": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Dropdown_default,
        {
          currentValue,
          registration,
          setValue,
          ...componentProps
        }
      );
      break;
    }
    case "password": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Input_default,
        {
          currentValue,
          isDirty: !!dirtyFields[name],
          registration,
          setStatus,
          ...componentProps
        }
      );
      break;
    }
    case "radio": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(Radio_default, { registration, ...componentProps });
      break;
    }
    case "select": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Select_default,
        {
          isDirty: !!dirtyFields[name],
          registration,
          setStatus,
          ...componentProps
        }
      );
      break;
    }
    case "textarea": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Textarea_default,
        {
          isDirty: !!dirtyFields[name],
          registration,
          setStatus,
          ...componentProps
        }
      );
      break;
    }
    case "toggle": {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(Toggle_default, { ...componentProps, setValue });
      break;
    }
    default: {
      output.content = /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(
        Input_default,
        {
          currentValue,
          isDirty: !!dirtyFields[name],
          registration,
          setStatus,
          ...componentProps
        }
      );
    }
  }
  if (type === "hidden") {
    return output.content;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime82.jsxs)(FormGroup, { ...getDataAttributes("Field"), ...groupProps, children: [
    output.content,
    /* @__PURE__ */ (0, import_jsx_runtime82.jsx)(Debug_default, { ...componentProps })
  ] });
}
Field.displayName = "Field";

// src/components/Form/Form.tsx
var import_react_hook_form3 = require("react-hook-form");

// src/components/Form/useForm.ts
function useForm(props) {
  return useComponentProps(props);
}

// src/components/Form/Form.tsx
var import_jsx_runtime83 = require("react/jsx-runtime");
function Form(props) {
  const {
    componentProps: { children, ...rest }
  } = useForm(props);
  const formMethods = (0, import_react_hook_form3.useForm)({
    mode: "onChange",
    ...rest
  });
  return /* @__PURE__ */ (0, import_jsx_runtime83.jsx)(import_react_hook_form3.FormProvider, { ...formMethods, children: children({ formMethods }) });
}
Form.displayName = "Form";

// src/components/Grid/Grid.tsx
var import_react128 = require("react");
var import_styled67 = __toESM(require("@emotion/styled"));

// src/components/Grid/useGrid.ts
function useGrid(props) {
  return useComponentProps(props);
}

// src/components/Grid/Grid.tsx
var import_jsx_runtime84 = require("react/jsx-runtime");
var StyledGrid = (0, import_styled67.default)("div", getStyledOptions())(
  {
    display: "grid"
  },
  (props) => getStyles(props, { skipBorder: true, useFontSize: true })
);
var Grid = (0, import_react128.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useGrid(props);
  return /* @__PURE__ */ (0, import_jsx_runtime84.jsx)(StyledGrid, { ref, ...getDataAttributes("Grid"), ...componentProps });
});
Grid.displayName = "Grid";

// src/components/Image/Image.tsx
var import_react130 = require("react");
var import_react131 = require("@emotion/react");
var import_styled68 = __toESM(require("@emotion/styled"));
var import_helpers61 = require("@gilbarbara/helpers");

// src/components/Image/useImage.ts
var import_helpers60 = require("@gilbarbara/helpers");

// src/hooks/useImage.ts
var import_react129 = require("react");
function useImage(props) {
  const { crossOrigin, loading, onError, onLoad, sizes: sizes2, src, srcSet } = props;
  const [status, setStatus] = (0, import_react129.useState)("pending");
  (0, import_react129.useEffect)(() => {
    setStatus(src ? "loading" : "pending");
  }, [src]);
  const imageRef = (0, import_react129.useRef)();
  const load = (0, import_react129.useCallback)(() => {
    if (!src) {
      return;
    }
    flush();
    const img = new Image();
    img.src = src;
    if (crossOrigin) {
      img.crossOrigin = crossOrigin;
    }
    if (srcSet) {
      img.srcset = srcSet;
    }
    if (sizes2) {
      img.sizes = sizes2;
    }
    if (loading) {
      img.loading = loading;
    }
    img.onload = (event) => {
      flush();
      setStatus("loaded");
      onLoad?.(event);
    };
    img.onerror = (error) => {
      flush();
      setStatus("failed");
      onError?.(error);
    };
    imageRef.current = img;
  }, [src, crossOrigin, srcSet, sizes2, onLoad, onError, loading]);
  const flush = () => {
    if (imageRef.current) {
      imageRef.current.onload = null;
      imageRef.current.onerror = null;
      imageRef.current = null;
    }
  };
  (0, import_react129.useLayoutEffect)(() => {
    if (status === "loading") {
      load();
    }
    return () => {
      flush();
    };
  }, [load, status]);
  return (0, import_react129.useMemo)(
    () => ({
      imageProps: {
        crossOrigin,
        loading,
        onError,
        onLoad,
        sizes: sizes2,
        srcSet
      },
      status
    }),
    [crossOrigin, loading, onError, onLoad, sizes2, srcSet, status]
  );
}

// src/components/Image/useImage.ts
var defaultProps43 = {
  disableSkeleton: false,
  loading: "lazy",
  removeWrapper: false,
  radius: "none",
  zoomOnHover: false,
  zoomPercentage: 1.25
};
function useImage2(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props, defaultProps43);
  const { imageProps: hookProps, status } = useImage(componentProps);
  const imageProps = (0, import_helpers60.mergeProps)(hookProps, componentProps);
  return { componentProps: imageProps, getDataAttributes, status };
}

// src/components/Image/Image.tsx
var import_jsx_runtime85 = require("react/jsx-runtime");
var animation2 = import_react131.keyframes`
  0% {
    transform: translateX(-100%);
  }
  
  100% {
    transform: translateX(100%);
  }
`;
var StyledImageWrapper = (0, import_styled68.default)("div", getStyledOptions())(
  {
    display: "inline-flex",
    flexShrink: 0,
    overflow: "hidden",
    position: "relative"
  },
  (props) => {
    const { showSkeleton, theme } = props;
    const { image: image2 } = theme;
    return import_react131.css`
      ${getStyles(props)};

      ${showSkeleton && import_react131.css`
        background-color: ${image2.skeletonBg};

        &:before {
          animation: ${animation2} ${image2.animationDuration}s infinite ${image2.timingFunction};
          background-image: linear-gradient(
            to right,
            transparent 0,
            transparent 10%,
            ${image2.skeletonColor} 25%,
            transparent 40%
          );
          content: '';
          display: block;
          position: absolute;
          bottom: 0;
          left: 0;
          right: 0;
          top: 0;
        }
      `}
    `;
  }
);
var StyledImage = import_styled68.default.img((props) => {
  const { isLoading, removeWrapper, zoomOnHover, zoomPercentage } = props;
  return import_react131.css`
    max-width: 100%;
    object-fit: cover;
    opacity: ${isLoading ? 0 : 1};
    transition:
      opacity 0.3s,
      transform 0.3s;
    z-index: 10;
    ${removeWrapper && radiusStyles(props)};
    ${removeWrapper && shadowStyles(props)};

    ${zoomOnHover && import_react131.css`
      &:hover {
        transform: scale(${zoomPercentage});
      }
    `}
  `;
});
var Image2 = (0, import_react130.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes, status } = useImage2(props);
  const {
    disableSkeleton,
    fallbackSrc,
    height,
    isLoading: isLoadingProp,
    removeWrapper,
    src,
    width,
    zoomOnHover,
    ...rest
  } = componentProps;
  const isLoaded = status === "loaded" && !isLoadingProp;
  const isLoading = isLoadingProp ?? ["loading", "pending"].includes(status);
  const hasError = status === "failed";
  const showFallback = (!src || !isLoaded) && !!fallbackSrc;
  const showSkeleton = !disableSkeleton && isLoading;
  const { h, w } = (0, import_react130.useMemo)(() => {
    return {
      w: width ? (0, import_helpers61.px)(width) : "fit-content",
      h: height ? (0, import_helpers61.px)(height) : "auto"
    };
  }, [width, height]);
  const image2 = /* @__PURE__ */ (0, import_jsx_runtime85.jsx)(
    StyledImage,
    {
      ref,
      ...componentProps,
      ...getDataAttributes("Image"),
      "data-loaded": isLoaded,
      height: h,
      isLoading,
      removeWrapper,
      src: hasError && showFallback ? fallbackSrc : src,
      width: w,
      zoomOnHover: zoomOnHover && !removeWrapper,
      ...rest
    }
  );
  if (removeWrapper) {
    return image2;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime85.jsx)(
    StyledImageWrapper,
    {
      ...getDataAttributes("ImageWrapper"),
      height: h,
      showSkeleton,
      width: w,
      ...rest,
      children: image2
    }
  );
});
Image2.displayName = "Image";

// src/components/Keyboard/Keyboard.tsx
var import_react132 = require("react");
var import_react133 = require("@emotion/react");
var import_styled69 = __toESM(require("@emotion/styled"));
var import_hooks16 = require("@gilbarbara/hooks");

// src/components/Keyboard/useKeyboard.ts
var keyboardKeysMap = {
  command: "\u2318",
  option: "\u2325",
  alt: "\u2325",
  control: "\u2303",
  ctrl: "\u2303",
  shift: "\u21E7",
  enter: "\u21B5",
  delete: "\u232B",
  escape: "\u238B",
  tab: "\u21E5",
  capslock: "\u21EA",
  up: "\u2191",
  right: "\u2192",
  down: "\u2193",
  left: "\u2190",
  pageup: "\u21DE",
  pagedown: "\u21DF",
  home: "\u2196",
  end: "\u2198",
  help: "?",
  space: "\u2423"
};
var keyboardKeysLabelMap = {
  command: "Command",
  option: "Option",
  alt: "Alt",
  control: "Control",
  ctrl: "Control",
  shift: "Shift",
  enter: "Enter",
  delete: "Delete",
  escape: "Escape",
  tab: "Tab",
  capslock: "Caps Lock",
  up: "Up",
  right: "Right",
  down: "Down",
  left: "Left",
  pageup: "Page Up",
  pagedown: "Page Down",
  home: "Home",
  end: "End",
  help: "Help",
  space: "Space"
};
var defaultProps44 = {
  bg: "gray.100",
  border: { color: "gray.200" },
  color: "gray.600",
  gap: "xxxs",
  radius: "xs",
  shadow: "low",
  size: "md",
  textOnly: false
};
function useKeyboard(props) {
  return useComponentProps(props, defaultProps44);
}

// src/components/Keyboard/Keyboard.tsx
var import_jsx_runtime86 = require("react/jsx-runtime");
var StyledKeyboard = (0, import_styled69.default)("kbd", getStyledOptions())(
  {
    display: "inline-flex",
    lineHeight: 1
  },
  (props) => {
    const { bg, color, theme } = props;
    const { darkMode: darkMode2, spacing: spacing2 } = theme;
    const defaultBg = darkMode2 ? "gray.800" : "gray.50";
    const { mainColor, textColor: textColor2 } = getColorTokens(bg ?? defaultBg, color, theme);
    return import_react133.css`
      background-color: ${mainColor};
      color: ${textColor2};
      padding: ${spacing2.xxxs} ${spacing2.xs};
      ${getStyles(props, { skipColor: true, useFontSize: true })};

      > abbr {
        text-decoration: none;
      }
    `;
  }
);
var Keyboard = (0, import_react132.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useKeyboard(props);
  const { children, keys, separator, textOnly, ...rest } = componentProps;
  const keysValue = (0, import_hooks16.useMemoizedValue)(typeof keys === "string" ? [keys] : keys);
  const keysContent = (0, import_react132.useMemo)(() => {
    return keysValue.map((key, index) => /* @__PURE__ */ (0, import_jsx_runtime86.jsxs)(import_react132.Fragment, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime86.jsx)("abbr", { title: keyboardKeysLabelMap[key], children: textOnly ? keyboardKeysLabelMap[key] : keyboardKeysMap[key] }),
      separator && index < keysValue.length - 1 && separator
    ] }, key));
  }, [keysValue, separator, textOnly]);
  return /* @__PURE__ */ (0, import_jsx_runtime86.jsxs)(StyledKeyboard, { ref, ...getDataAttributes("Keyboard"), ...rest, children: [
    keysContent,
    separator && children && keysValue.length > 0 && /* @__PURE__ */ (0, import_jsx_runtime86.jsx)("span", { children: separator }),
    children && /* @__PURE__ */ (0, import_jsx_runtime86.jsx)("span", { children })
  ] });
});
Keyboard.displayName = "Keyboard";

// src/components/List/Item.tsx
var import_react134 = require("@emotion/react");
var import_styled70 = __toESM(require("@emotion/styled"));
var import_helpers62 = require("@gilbarbara/helpers");

// src/components/List/useList.ts
var defaultProps45 = {
  hideBorder: false,
  hideDivider: false,
  orientation: "vertical",
  radius: "xs",
  shadow: false,
  size: "md"
};
function getBorderColor(props) {
  const {
    borderColor,
    theme: { darkMode: darkMode2 }
  } = props;
  if (borderColor) {
    return borderColor;
  }
  return darkMode2 ? "gray.700" : "gray.100";
}
function useList(props) {
  return useComponentProps(props, defaultProps45);
}
function useListItem(props) {
  return useComponentProps(props);
}

// src/components/List/Item.tsx
var import_jsx_runtime87 = require("react/jsx-runtime");
function getSpacing(size, spacing2) {
  switch (size) {
    case "sm": {
      return [spacing2.xs, spacing2.sm];
    }
    case "lg": {
      return [spacing2.md, spacing2.lg];
    }
    default: {
      return [spacing2.sm, spacing2.md];
    }
  }
}
var StyledListItem = (0, import_styled70.default)(
  Box,
  getStyledOptions()
)((props) => {
  const { hideBorder, hideDivider, orientation, size, theme } = props;
  const { spacing: spacing2 } = theme;
  const [spacerMain, spacerCross] = getSpacing(size, spacing2);
  const { mainColor } = getColorTokens(getBorderColor(props), null, theme);
  return import_react134.css`
    ${orientation === "vertical" && import_react134.css`
      border-bottom: ${hideDivider ? void 0 : `1px solid ${mainColor}`};
      padding: ${spacerMain} ${hideBorder ? 0 : spacerCross};

      &:last-of-type {
        border-bottom: none;
      }
    `};

    ${orientation === "horizontal" && import_react134.css`
      border-right: ${hideDivider ? void 0 : `1px solid ${mainColor}`};
      padding: ${hideBorder ? 0 : spacerMain} ${spacerCross};

      &:last-of-type {
        border-right: none;
      }
    `};

    ${getStyles((0, import_helpers62.omit)(props, "border"), { skipBorder: true })};
  `;
});
function ListItem(props) {
  const {
    componentProps: { orientation, ...rest },
    getDataAttributes
  } = useListItem(props);
  return /* @__PURE__ */ (0, import_jsx_runtime87.jsx)(
    StyledListItem,
    {
      as: "li",
      ...getDataAttributes("ListItem"),
      ...rest,
      orientation
    }
  );
}

// src/components/List/List.tsx
var import_react136 = require("react");
var import_react137 = require("@emotion/react");
var import_styled71 = __toESM(require("@emotion/styled"));
var import_helpers63 = require("@gilbarbara/helpers");

// src/modules/react-helpers.tsx
var import_react135 = require("react");
function enhanceChildren(children, type, props) {
  const getProps = (includeProps, nodes) => {
    const enhancedProps = includeProps ? { ...props } : {};
    if (nodes) {
      enhancedProps.children = nodes;
    }
    return enhancedProps;
  };
  return import_react135.Children.map(children, (child) => {
    if (!(0, import_react135.isValidElement)(child)) {
      return child;
    }
    const enhancedChildren = child.props.children ? enhanceChildren(child.props.children, type, props) : void 0;
    if (child.type === type) {
      return (0, import_react135.cloneElement)(child, getProps(true, enhancedChildren));
    }
    return (0, import_react135.cloneElement)(child, getProps(false, enhancedChildren));
  });
}
function getMatchingChildren(children, type) {
  const matchingElements = [];
  let hasInvalidElements = false;
  const processChildren = (nodes) => {
    import_react135.Children.forEach(nodes, (child) => {
      if (!(0, import_react135.isValidElement)(child)) {
        hasInvalidElements = true;
        console.warn("Invalid child detected: Not a React element.", child);
        return;
      }
      if (child.type === type) {
        matchingElements.push(child);
        return;
      }
      if (typeof child.type === "function") {
        const renderedOutput = child.type(child.props);
        processChildren(renderedOutput);
        return;
      }
      const { children: nestedChildren } = child.props || {};
      if (nestedChildren) {
        processChildren(nestedChildren);
      }
    });
  };
  processChildren(children);
  return { elements: matchingElements, hasInvalidElements };
}
function splitReactChildren(children, targetChild) {
  const matchingElements = [];
  const withoutTargetChildren = import_react135.Children.map(children, (item) => {
    if (!(0, import_react135.isValidElement)(item)) {
      return item;
    }
    if (item.type === targetChild) {
      matchingElements.push(item);
      return null;
    }
    return item;
  })?.filter(Boolean);
  return [withoutTargetChildren, matchingElements];
}

// src/components/List/List.tsx
var import_jsx_runtime88 = require("react/jsx-runtime");
var StyledList = (0, import_styled71.default)("ul", getStyledOptions())(
  {
    display: "flex",
    listStylePosition: "inside",
    listStyleType: "none",
    margin: 0,
    overflow: "hidden",
    padding: 0
  },
  (props) => {
    const { hideBorder, orientation } = props;
    const borderProps = {};
    if (!hideBorder) {
      borderProps.border = [{ side: "all", color: getBorderColor(props) }];
    }
    return import_react137.css`
      flex-direction: ${orientation === "horizontal" ? "row" : "column"};
      ${getStyles({ ...props, ...borderProps })};
    `;
  }
);
var List2 = (0, import_react136.forwardRef)((props, ref) => {
  const {
    componentProps: { children, ...rest },
    getDataAttributes
  } = useList(props);
  return /* @__PURE__ */ (0, import_jsx_runtime88.jsx)(StyledList, { ref, ...getDataAttributes("List"), ...rest, children: enhanceChildren(children, ListItem, {
    ...(0, import_helpers63.omit)(rest, "radius", "shadow"),
    getDataAttributes
  }) });
});
List2.displayName = "List";

// src/components/MenuToggle/MenuToggle.tsx
var import_react138 = require("react");
var import_react139 = require("@emotion/react");
var import_styled72 = __toESM(require("@emotion/styled"));
var import_helpers64 = require("@gilbarbara/helpers");
var import_hooks17 = require("@gilbarbara/hooks");

// src/components/MenuToggle/useMenuToggle.ts
var defaultProps46 = {
  border: 2,
  isOpen: false,
  size: 16,
  srOnlyText: "Toggle Menu"
};
function useMenuToggle(props) {
  return useComponentProps(props, defaultProps46);
}

// src/components/MenuToggle/MenuToggle.tsx
var import_jsx_runtime89 = require("react/jsx-runtime");
var StyledMenuToggle = (0, import_styled72.default)(
  "label",
  getStyledOptions()
)((props) => {
  const { border, isActive, isOpen, radius: radius2, size } = props;
  const width = size * (22 / 16);
  const transform = size / 2 - border / 2;
  return import_react139.css`
    cursor: pointer;
    display: inline-flex;
    height: ${(0, import_helpers64.px)(size)};
    position: relative;
    width: ${(0, import_helpers64.px)(width)};
    ${getStyles((0, import_helpers64.omit)(props, "border", "radius", "size"))};

    & input {
      display: none;
    }

    & span {
      background-color: currentcolor;
      border-radius: ${(0, import_helpers64.px)(radius2)};
      display: block;
      height: ${(0, import_helpers64.px)(border)};
      position: absolute;
      transition-duration: 0.25s;
      transition-property: transform, border-color;
      transition-timing-function: cubic-bezier(0.5, -0.5, 0.5, 1.5);
      left: 0;
      right: 0;

      &:nth-of-type(1) {
        top: 0;

        ${isOpen && import_react139.css`
          transform: translateY(${(0, import_helpers64.px)(transform)}) rotate(135deg);
        `};
      }

      &:nth-of-type(2),
      &:nth-of-type(3) {
        transform-origin: center;
      }

      &:nth-of-type(2) {
        transition-delay: 0.125s;
        top: ${(0, import_helpers64.px)(transform)};

        ${isActive && import_react139.css`
          background-color: transparent;
        `};
      }

      &:nth-of-type(3) {
        top: auto;
        bottom: 0;

        ${isOpen && import_react139.css`
          transform: translateY(-${(0, import_helpers64.px)(transform)}) rotate(-135deg);
        `};
      }
    }

    & input:checked + span {
      border-color: transparent;
      transition-delay: 0s;

      &:before,
      &:after {
        transition-delay: 0.125s;
      }

      &:before {
        transform: translateY(${(0, import_helpers64.px)(transform)}) rotate(135deg);
      }

      &:after {
        transform: translateY(-${(0, import_helpers64.px)(transform)}) rotate(-135deg);
      }
    }
  `;
});
function MenuToggle(props) {
  const { componentProps, getDataAttributes } = useMenuToggle(props);
  const { hideBreakpoint, isOpen, onToggle, srOnlyText, theme, ...rest } = componentProps;
  const [isActive, setActive] = (0, import_react138.useState)(isOpen);
  const id = (0, import_react138.useId)();
  const previousIsOpen = (0, import_hooks17.usePrevious)(isOpen);
  const breakpoints3 = formatBreakpoints(theme);
  const { min } = (0, import_hooks17.useBreakpoint)(breakpoints3);
  (0, import_hooks17.useUpdateEffect)(() => {
    if (previousIsOpen === isOpen) {
      return;
    }
    if (isOpen) {
      setActive(true);
    } else {
      setTimeout(() => setActive(false), 250);
    }
  }, [isOpen, previousIsOpen]);
  const handleChange = () => {
    onToggle?.(!isOpen);
  };
  if (hideBreakpoint && min(hideBreakpoint)) {
    return null;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime89.jsxs)(
    StyledMenuToggle,
    {
      "aria-label": srOnlyText,
      "data-open": isOpen,
      ...getDataAttributes("MenuToggle"),
      ...rest,
      htmlFor: id,
      isActive,
      isOpen,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime89.jsx)("input", { checked: isActive, id, onChange: handleChange, type: "checkbox" }),
        /* @__PURE__ */ (0, import_jsx_runtime89.jsx)("span", {}),
        /* @__PURE__ */ (0, import_jsx_runtime89.jsx)("span", {}),
        /* @__PURE__ */ (0, import_jsx_runtime89.jsx)("span", {})
      ]
    }
  );
}
MenuToggle.displayName = "MenuToggle";

// src/components/Modal/Modal.tsx
var import_react140 = require("@emotion/react");
var import_styled73 = __toESM(require("@emotion/styled"));
var import_helpers66 = require("@gilbarbara/helpers");

// src/components/Modal/useModal.ts
var defaultProps47 = {
  ...defaultProps30,
  hideCloseButton: false,
  maxHeight: "80vh",
  maxWidth: "100vw",
  padding: "lg",
  radius: "lg",
  shadow: "high"
};
function useModal(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props, defaultProps47);
  const [modalProps, portalProps] = splitPortalProps(componentProps);
  return { modalProps, portalProps, getDataAttributes };
}

// src/components/Modal/Modal.tsx
var import_jsx_runtime90 = require("react/jsx-runtime");
var StyledModal = (0, import_styled73.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { maxWidth, theme, width } = props;
  const { darkColor: darkColor2, darkMode: darkMode2, white: white2 } = theme;
  return import_react140.css`
    background-color: ${darkMode2 ? darkColor2 : white2};
    color: ${darkMode2 ? white2 : darkColor2};
    max-width: ${(0, import_helpers66.px)(maxWidth)};
    width: ${width ? (0, import_helpers66.px)(width) : "auto"};
    ${getStyles(props)};
  `;
});
var StyledModalContent = (0, import_styled73.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { maxHeight, padding, theme } = props;
  const { spacing: spacing2 } = theme;
  return import_react140.css`
    margin: 0 -${padding ? spacing2[padding] : padding};
    padding: 0 ${padding ? spacing2[padding] : padding};
    max-height: ${(0, import_helpers66.px)(maxHeight)};
    overflow-y: auto;
  `;
});
function Modal(props) {
  const { getDataAttributes, modalProps, portalProps } = useModal(props);
  const { children, hideCloseButton, maxHeight, style, title, ...rest } = modalProps;
  const { black: black2, darkMode: darkMode2, white: white2 } = rest.theme;
  let header;
  if (!hideCloseButton || title) {
    header = /* @__PURE__ */ (0, import_jsx_runtime90.jsxs)(Box, { align: "center", display: "flex", justify: title ? "space-between" : "flex-end", mb: "md", children: [
      title && /* @__PURE__ */ (0, import_jsx_runtime90.jsx)(H3, { style: { marginBottom: 0 }, children: title }),
      !hideCloseButton && /* @__PURE__ */ (0, import_jsx_runtime90.jsx)(ButtonUnstyled, { onClick: portalProps.onDismiss, children: /* @__PURE__ */ (0, import_jsx_runtime90.jsx)(Icon, { color: darkMode2 ? white2 : black2, name: "close", size: 26 }) })
    ] });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime90.jsx)(Portal, { ...portalProps, showCloseButton: false, children: /* @__PURE__ */ (0, import_jsx_runtime90.jsxs)(
    StyledModal,
    {
      ...getDataAttributes("Modal"),
      ...rest,
      "data-open": portalProps.isOpen,
      style,
      children: [
        header,
        /* @__PURE__ */ (0, import_jsx_runtime90.jsx)(StyledModalContent, { maxHeight, padding: rest.padding, theme: rest.theme, children })
      ]
    }
  ) });
}
Modal.displayName = "Modal";

// src/components/NavBar/NavBar.tsx
var import_react145 = require("react");
var import_react146 = require("@emotion/react");
var import_styled75 = __toESM(require("@emotion/styled"));
var import_helpers68 = require("@gilbarbara/helpers");
var import_hooks20 = require("@gilbarbara/hooks");
var import_colorizr13 = require("colorizr");
var import_is_lite27 = __toESM(require("is-lite"));

// src/hooks/useScrollPosition.ts
var import_react141 = require("react");
var isBrowser = typeof window !== "undefined";
function getScrollPosition(element) {
  if (!isBrowser) {
    return { x: 0, y: 0 };
  }
  if (!element) {
    return { x: window.scrollX, y: window.scrollY };
  }
  return { x: element.scrollLeft, y: element.scrollTop };
}
function useScrollPosition(props) {
  const { callback, delay = 30, elementRef, isEnabled } = props;
  const position = (0, import_react141.useRef)(
    isEnabled ? getScrollPosition(elementRef?.current) : { x: 0, y: 0 }
  );
  const throttleTimeout = (0, import_react141.useRef)(null);
  const handler = (0, import_react141.useCallback)(() => {
    const currentPos = getScrollPosition(elementRef?.current);
    if (typeof callback === "function") {
      callback({ prevPos: position.current, currPos: currentPos });
    }
    position.current = currentPos;
    throttleTimeout.current = null;
  }, [callback, elementRef]);
  (0, import_react141.useEffect)(() => {
    if (!isEnabled) {
      return () => {
      };
    }
    const handleScroll = () => {
      if (delay) {
        if (throttleTimeout.current) {
          clearTimeout(throttleTimeout.current);
        }
        throttleTimeout.current = setTimeout(handler, delay);
      } else {
        handler();
      }
    };
    const target = elementRef?.current || window;
    target.addEventListener("scroll", handleScroll);
    return () => {
      target.removeEventListener("scroll", handleScroll);
      if (throttleTimeout.current) {
        clearTimeout(throttleTimeout.current);
      }
    };
  }, [elementRef, delay, handler, isEnabled]);
  return position.current;
}

// src/components/Sidebar/Sidebar.tsx
var import_react142 = require("react");
var import_react143 = require("@emotion/react");
var import_styled74 = __toESM(require("@emotion/styled"));
var import_helpers67 = require("@gilbarbara/helpers");
var import_hooks18 = require("@gilbarbara/hooks");
var import_colorizr12 = require("colorizr");

// src/components/Sidebar/useSidebar.ts
var defaultProps48 = {
  ...defaultProps30,
  blurred: false,
  blurredRadius: 4,
  disableAnimation: false,
  isOpen: false,
  opacity: 1,
  p: "md",
  side: "left",
  width: 290
};
function useSidebar(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props, defaultProps48);
  const [sidebarProps, portalProps] = splitPortalProps(componentProps);
  return { getDataAttributes, portalProps, sidebarProps };
}

// src/components/Sidebar/Sidebar.tsx
var import_jsx_runtime91 = require("react/jsx-runtime");
var StyledSidebar = (0, import_styled74.default)(
  "div",
  getStyledOptions()
)((props) => {
  const {
    animationEasing,
    animationEnterDuration,
    animationExitDuration,
    bg,
    blurred,
    blurredRadius,
    color,
    disableAnimation,
    isActive,
    opacity: opacity2,
    origin,
    side,
    theme,
    width
  } = props;
  const { black: black2, darkColor: darkColor2, darkMode: darkMode2, white: white2 } = theme;
  const animationDuration = isActive ? animationExitDuration : animationEnterDuration;
  let selectedBg = darkMode2 ? darkColor2 : white2;
  let selectedColor = darkMode2 ? white2 : black2;
  let initialPosition = `translate3d(${side.startsWith("left") ? "-" : ""}100%, 0, 0)`;
  if (origin) {
    initialPosition = `translate3d(0, ${origin === "top" ? "-" : ""}100%, 0)`;
  }
  if (bg) {
    const { mainColor, textColor: textColor2 } = getColorTokens(bg, color, theme);
    selectedBg = mainColor;
    selectedColor = textColor2;
  }
  return import_react143.css`
    background-color: ${(0, import_colorizr12.opacify)(selectedBg, opacity2, "rgb")};
    ${blurred && `backdrop-filter: blur(${(0, import_helpers67.px)(blurredRadius)});`};
    bottom: 0;
    color: ${selectedColor};
    left: ${side.startsWith("left") ? 0 : "auto"};
    overflow-y: auto;
    position: fixed;
    right: ${side.startsWith("right") ? 0 : "auto"};
    transform: ${isActive ? "translate3d(0, 0, 0)" : initialPosition};
    transition: ${disableAnimation ? "none" : `transform ${animationDuration}s ${animationEasing}`};
    top: 0;
    width: ${(0, import_helpers67.px)(width)};
    z-index: 20;
    ${getStyles((0, import_helpers67.omit)(props, "opacity"), { skipColor: true })};
  `;
});
var Sidebar = (0, import_react142.forwardRef)((props, ref) => {
  const { getDataAttributes, portalProps, sidebarProps } = useSidebar(props);
  const {
    animationEasing,
    animationEnterDuration,
    animationExitDuration,
    disableAnimation,
    isOpen
  } = portalProps;
  const [{ isActive, isRendering }, setState] = (0, import_hooks18.useSetState)({
    isActive: isOpen,
    isRendering: isOpen
  });
  (0, import_hooks18.useHasChanged)(isOpen, () => {
    if (isOpen) {
      setTimeout(
        () => {
          setState({ isActive: true, isRendering: true });
        },
        disableAnimation ? 0 : 100
      );
    } else {
      setState({ isActive: false });
      setTimeout(
        () => {
          setState({ isRendering: false });
        },
        disableAnimation ? 0 : animationExitDuration * 1e3
      );
    }
  });
  return /* @__PURE__ */ (0, import_jsx_runtime91.jsx)(
    Portal,
    {
      ...portalProps,
      isOpen: isOpen || isActive || isRendering,
      ...(0, import_helpers67.pick)(sidebarProps, "bottom", "left", "right", "top"),
      children: /* @__PURE__ */ (0, import_jsx_runtime91.jsx)(
        StyledSidebar,
        {
          ref,
          ...getDataAttributes("Sidebar"),
          animationEasing,
          animationEnterDuration,
          animationExitDuration,
          "data-open": isOpen,
          disableAnimation,
          isActive,
          ...sidebarProps
        }
      )
    }
  );
});
Sidebar.displayName = "Sidebar";

// src/components/NavBar/useNavBar.tsx
var import_react144 = require("react");
var import_hooks19 = require("@gilbarbara/hooks");
var import_jsx_runtime92 = require("react/jsx-runtime");
var defaultProps49 = {
  blurred: true,
  blurredRadius: 8,
  bordered: false,
  disableAnimation: false,
  disableScrollHandler: false,
  height: "64px",
  hideOnScroll: false,
  menuDefaultOpen: false,
  maxWidth: "100%",
  opacity: 0.8,
  placement: "top",
  position: "sticky",
  zIndex: 200
};
var NavBarContext = (0, import_react144.createContext)(void 0);
NavBarContext.displayName = "NavBarContext";
function NavBarProvider({ children, props, toggleMenu }) {
  const [state, setState] = (0, import_react144.useState)(props);
  (0, import_hooks19.useEffectDeepCompare)(() => {
    setState(props);
  }, [props]);
  const value = (0, import_react144.useMemo)(
    () => ({
      state,
      toggleMenu
    }),
    [state, toggleMenu]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime92.jsx)(NavBarContext.Provider, { value, children });
}
function useNavBar(props) {
  return useComponentProps(props, defaultProps49);
}
function useNavBarContext() {
  const context = (0, import_react144.useContext)(NavBarContext);
  if (!context) {
    throw new Error("useNavBarContext must be used within a NavBarProvider");
  }
  return context;
}

// src/components/NavBar/NavBarMenu.tsx
var import_jsx_runtime93 = require("react/jsx-runtime");
function NavBarMenu(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props);
  const { onClose, onDismiss, onOpen, ...rest } = componentProps;
  const {
    state: { disableAnimation, height, isMenuOpen, placement },
    toggleMenu
  } = useNavBarContext();
  const handleDismiss = () => {
    toggleMenu(false);
  };
  return /* @__PURE__ */ (0, import_jsx_runtime93.jsx)(
    Sidebar,
    {
      ...getDataAttributes("NavBarMenu"),
      ...rest,
      animationExitDuration: 0.3,
      bottom: placement === "bottom" ? height : 0,
      disableAnimation,
      isOpen: isMenuOpen,
      onDismiss: handleDismiss,
      top: placement === "top" ? height : 0
    }
  );
}
NavBarMenu.displayName = "NavBarMenu";

// src/components/NavBar/NavBar.tsx
var import_jsx_runtime94 = require("react/jsx-runtime");
var StyledNavBar = (0, import_styled75.default)("nav", getStyledOptions())(
  {
    width: "100%"
  },
  (props) => {
    const {
      bg,
      blurred,
      blurredRadius,
      bordered,
      color,
      height,
      opacity: opacity2,
      placement,
      position,
      theme,
      zIndex: zIndex2
    } = props;
    const { black: black2, darkColor: darkColor2, darkMode: darkMode2, grayScale: grayScale2, white: white2 } = theme;
    const borderColor = darkMode2 ? grayScale2["700"] : grayScale2["200"];
    let selectedBg = darkMode2 ? darkColor2 : white2;
    let selectedColor = darkMode2 ? white2 : black2;
    if (bg) {
      const { mainColor, textColor: textColor2 } = getColorTokens(bg, color, theme);
      selectedBg = mainColor;
      selectedColor = textColor2;
    }
    if (opacity2) {
      selectedBg = (0, import_colorizr13.opacify)(selectedBg, opacity2);
    }
    return import_react146.css`
      background-color: ${selectedBg};
      bottom: ${placement === "bottom" ? 0 : "auto"};
      color: ${selectedColor};
      ${bordered && `border-bottom: 1px solid ${borderColor};`};
      ${blurred && `backdrop-filter: blur(${(0, import_helpers68.px)(blurredRadius)});`};
      height: ${(0, import_helpers68.px)(height)};
      position: ${placement === "top" ? position : "fixed"};
      transform: translateY(${props.isHidden ? "-100%" : 0});
      transition: transform 0.3s;
      top: ${placement === "top" ? 0 : "auto"};
      z-index: ${zIndex2};
    `;
  }
);
var StyledHeader = (0, import_styled75.default)("header", getStyledOptions())(
  {
    alignItems: "center",
    display: "flex",
    justifyContent: "space-between",
    width: "100%"
  },
  (props) => {
    const { height, maxWidth, theme } = props;
    const { spacing: spacing2 } = theme;
    return import_react146.css`
      height: ${(0, import_helpers68.px)(height)};
      max-width: ${(0, import_helpers68.px)(maxWidth)};
      padding: 0 ${spacing2.md};
    `;
  }
);
var NavBar = (0, import_react145.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useNavBar(props);
  const {
    children,
    disableScrollHandler,
    hideOnScroll,
    menuDefaultOpen,
    menuOpen,
    onScrollPosition,
    onToggleMenu,
    parentRef,
    ...rest
  } = componentProps;
  const [isHidden, setIsHidden] = (0, import_react145.useState)(false);
  const [isMenuOpen, setMenuOpen] = (0, import_react145.useState)(import_is_lite27.default.boolean(menuOpen) ? menuOpen : menuDefaultOpen);
  const localRef = (0, import_react145.useRef)(null);
  const mergedRefs = (0, import_hooks20.useMergeRefs)(localRef, ref);
  const navHeight = (0, import_react145.useRef)(0);
  (0, import_react145.useEffect)(() => {
    navHeight.current = localRef.current?.offsetHeight ?? 0;
  }, []);
  (0, import_react145.useEffect)(() => {
    if (import_is_lite27.default.boolean(menuOpen)) {
      setMenuOpen(menuOpen);
    }
  }, [menuOpen]);
  useScrollPosition({
    elementRef: parentRef,
    isEnabled: hideOnScroll || !disableScrollHandler,
    callback: ({ currPos, prevPos }) => {
      onScrollPosition?.(currPos.y);
      if (hideOnScroll) {
        setIsHidden((previous) => {
          const next = currPos.y > prevPos.y && currPos.y > navHeight.current;
          return next !== previous ? next : previous;
        });
      }
    }
  });
  const [childrenWithoutMenu, [menu]] = splitReactChildren(children, NavBarMenu);
  const handleToggleMenu = (0, import_react145.useCallback)(
    (isOpen) => {
      if (import_is_lite27.default.boolean(menuOpen)) {
        return;
      }
      setMenuOpen(isOpen);
      onToggleMenu?.(isOpen);
    },
    [menuOpen, onToggleMenu]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime94.jsx)(
    StyledNavBar,
    {
      ref: mergedRefs,
      ...getDataAttributes("NavBar"),
      "data-hidden": isHidden,
      isHidden,
      ...rest,
      children: /* @__PURE__ */ (0, import_jsx_runtime94.jsxs)(
        NavBarProvider,
        {
          props: { ...(0, import_helpers68.omit)(componentProps, "children", "theme"), isMenuOpen },
          toggleMenu: handleToggleMenu,
          children: [
            /* @__PURE__ */ (0, import_jsx_runtime94.jsx)(StyledHeader, { ...getDataAttributes("NavBarHeader"), ...rest, children: childrenWithoutMenu }),
            menu
          ]
        }
      )
    }
  );
});
NavBar.displayName = "NavBar";

// src/components/NavBar/NavBarContent.tsx
var import_hooks21 = require("@gilbarbara/hooks");
var import_jsx_runtime95 = require("react/jsx-runtime");
function NavBarContent(props) {
  const {
    componentProps: { hideBreakpoint, showBreakpoint, ...rest },
    getDataAttributes
  } = useComponentProps(props, {
    gap: "sm",
    justify: "start"
  });
  const breakpoints3 = formatBreakpoints(rest.theme);
  const { max, min } = (0, import_hooks21.useBreakpoint)(breakpoints3);
  let display = "flex";
  if (hideBreakpoint && min(hideBreakpoint) || showBreakpoint && max(showBreakpoint)) {
    display = "none";
  }
  return /* @__PURE__ */ (0, import_jsx_runtime95.jsx)(Flex, { ...getDataAttributes("NavBarContent"), display, ...rest });
}
NavBarContent.displayName = "NavBarContent";

// src/components/NavBar/NavBarMenuToggle.tsx
var import_jsx_runtime96 = require("react/jsx-runtime");
function NavBarMenuToggle(props) {
  const { componentProps, getDataAttributes } = useComponentProps(props);
  const {
    state: { isMenuOpen },
    toggleMenu
  } = useNavBarContext();
  return /* @__PURE__ */ (0, import_jsx_runtime96.jsx)(
    MenuToggle,
    {
      ...componentProps,
      ...getDataAttributes("NavBarMenuToggle"),
      isOpen: isMenuOpen,
      onToggle: toggleMenu
    }
  );
}
NavBarMenuToggle.displayName = "NavBarMenuToggle";

// src/components/NonIdealState/NonIdealState.tsx
var import_react147 = require("@emotion/react");
var import_styled76 = __toESM(require("@emotion/styled"));
var import_helpers70 = require("@gilbarbara/helpers");

// src/components/NonIdealState/useNonIdealState.ts
var defaultProps50 = {
  hideIcon: false,
  maxWidth: "600px",
  orientation: "vertical",
  padding: "md",
  shadow: false,
  size: "md",
  type: "not-found"
};
function useNonIdealState(props) {
  return useComponentProps(props, defaultProps50);
}

// src/components/NonIdealState/NonIdealState.tsx
var import_jsx_runtime97 = require("react/jsx-runtime");
var StyledNonIdealState = (0, import_styled76.default)(
  "div",
  getStyledOptions("type")
)((props) => {
  const { orientation } = props;
  const isHorizontal = orientation === "horizontal";
  return import_react147.css`
    ${isHorizontal ? "align-items: center;" : ""};
    display: ${isHorizontal ? "flex" : "block"};
    margin: 0 auto;
    text-align: ${isHorizontal ? "left" : "center"};
    width: 100%;
    ${getStyles(props, { skipBorder: true })};
  `;
});
function NonIdealState(props) {
  const { componentProps, getDataAttributes } = useNonIdealState(props);
  const { children, description, hideIcon, icon, orientation, size, title, type } = componentProps;
  const iconSize = {
    sm: 48,
    md: 64,
    lg: 96
  };
  const isVertical = orientation === "vertical";
  const template = {};
  const output = {};
  switch (type) {
    case "error": {
      template.icon = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Icon, { name: "danger-o", size: iconSize[size] });
      template.title = "Something went wrong";
      template.description = "An unexpected error has occurred. Try reloading the page.";
      break;
    }
    case "no-results": {
      template.icon = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Icon, { name: "search", size: iconSize[size] });
      template.title = "No search results";
      template.description = "Your search didn't match anything.";
      break;
    }
    case "not-found": {
      template.icon = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Icon, { name: "smile-none", size: iconSize[size] });
      template.title = "Page not found";
      template.description = "We are sorry, but the page you requested doesn't exist.";
      break;
    }
    case "offline": {
      template.icon = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Icon, { name: "arrows-exchange-alt-v", size: iconSize[size] });
      template.title = "No connection";
      template.description = "Please check our internet connection and try again.";
      break;
    }
  }
  if (!hideIcon && (icon ?? template.icon)) {
    output.icon = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Flex, { align: "center", justify: "center", children: icon ? /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Icon, { name: icon, size: iconSize[size] }) : template.icon });
  }
  if (title !== null && (title || template.title)) {
    const content = title ?? template.title;
    switch (size) {
      case "sm": {
        output.title = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(H3, { mb: 0, children: content });
        break;
      }
      case "md": {
        output.title = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(H2, { mb: 0, children: content });
        break;
      }
      default: {
        output.title = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(H1, { mb: 0, children: content });
        break;
      }
    }
  }
  if (description !== null && (description || template.description)) {
    output.description = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Paragraph, { mt: output.title ? "xxs" : void 0, children: description ?? template.description });
  }
  if (children) {
    output.content = /* @__PURE__ */ (0, import_jsx_runtime97.jsx)(Box, { mt: output.title ?? output.description ? "xl" : void 0, children });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime97.jsxs)(
    StyledNonIdealState,
    {
      ...getDataAttributes("NonIdealState"),
      ...(0, import_helpers70.omit)(componentProps, "title", "type"),
      children: [
        output.icon,
        /* @__PURE__ */ (0, import_jsx_runtime97.jsxs)(Box, { ml: !isVertical ? "xs" : void 0, mt: isVertical && output.icon ? "sm" : void 0, children: [
          output.title,
          output.description
        ] }),
        output.content
      ]
    }
  );
}
NonIdealState.displayName = "NonIdealState";

// src/components/Page/Page.tsx
var import_react148 = require("@emotion/react");
var import_styled77 = __toESM(require("@emotion/styled"));
var import_helpers71 = require("@gilbarbara/helpers");

// src/components/Page/usePage.ts
var defaultProps51 = {
  centered: false,
  isLoading: false,
  minHeight: "100vh",
  name: "Page",
  skipSpacing: false
};
function usePage(props) {
  return useComponentProps(props, defaultProps51);
}

// src/components/Page/Page.tsx
var import_jsx_runtime98 = require("react/jsx-runtime");
var StyledPage = (0, import_styled77.default)(Box)((props) => {
  const { minHeight, skipSpacing } = props;
  return import_react148.css`
    ${paddingStyles(props, true)};
    display: grid;
    min-height: ${(0, import_helpers71.px)(minHeight)};
    width: 100%;
    ${!skipSpacing ? getContainerStyles(props, { responsive: true, verticalPadding: true }) : void 0};
  `;
});
function Page(props) {
  const { componentProps, getDataAttributes } = usePage(props);
  const { align, centered, children, isLoading, justify, maxWidth, name, textAlign, ...rest } = componentProps;
  const textAlignMap = {
    start: "left",
    "flex-start": "left",
    center: "center",
    end: "right",
    "flex-end": "right"
  };
  const shouldCenter = isLoading || centered;
  let textAlignValue = textAlign;
  if (!textAlign) {
    if (centered) {
      textAlignValue = "center";
    } else if (align && (["center", "end", "start"].includes(align) || align.startsWith("flex"))) {
      textAlignValue = textAlignMap[align];
    }
  }
  return /* @__PURE__ */ (0, import_jsx_runtime98.jsx)(StyledPage, { ...getDataAttributes(name), ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime98.jsx)(
    Box,
    {
      align: shouldCenter ? "center" : align,
      direction: "column",
      display: shouldCenter || align || justify ? "flex" : void 0,
      fill: true,
      justify: shouldCenter ? "center" : justify,
      maxWidth,
      mx: maxWidth ? "auto" : void 0,
      textAlign: textAlignValue,
      children: isLoading ? /* @__PURE__ */ (0, import_jsx_runtime98.jsx)(Loader, { block: true }) : children
    }
  ) });
}
Page.displayName = "Page";

// src/components/ProgressBar/ProgressBar.tsx
var import_react149 = require("react");
var import_react150 = require("@emotion/react");
var import_styled78 = __toESM(require("@emotion/styled"));
var import_helpers72 = require("@gilbarbara/helpers");
var import_is_lite28 = __toESM(require("is-lite"));

// src/components/ProgressBar/useProgressBar.ts
var defaultProps52 = {
  accent: "primary",
  formatLocale: "en-US",
  formatOptions: { style: "percent" },
  headerJustify: "space-between",
  headerPosition: "top",
  busy: false,
  maxValue: 100,
  minValue: 0,
  showValueLabel: false,
  size: "md",
  width: "100%"
};
function useProgressBar(props) {
  return useComponentProps(props, defaultProps52);
}

// src/components/ProgressBar/ProgressBar.tsx
var import_jsx_runtime99 = require("react/jsx-runtime");
var StyledProgressBar = (0, import_styled78.default)("div", getStyledOptions())(
  {
    display: "flex"
  },
  (props) => {
    const { headerPosition, theme, width } = props;
    const { darkMode: darkMode2, grayScale: grayScale2 } = theme;
    return import_react150.css`
      color: ${darkMode2 && grayScale2["200"]};
      flex-direction: ${headerPosition === "top" ? "column" : "column-reverse"};
      width: ${(0, import_helpers72.px)(width)};
      ${getStyles(props)};
    `;
  }
);
var StyledProgressTrack = (0, import_styled78.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { accent, backgroundColor, busy, size, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2 } = theme;
  const { mainColor } = getColorTokens(accent, null, theme);
  let trackColor = darkMode2 ? grayScale2["800"] : grayScale2["100"];
  if (backgroundColor) {
    trackColor = getColorTokens(backgroundColor, null, theme).mainColor;
  }
  const heightMap = {
    sm: "6px",
    md: "12px",
    lg: "18px"
  };
  return import_react150.css`
    background-color: ${trackColor};
    border-radius: ${heightMap[size]};
    line-height: 1;
    height: ${heightMap[size]};
    overflow: hidden;

    > div {
      background-color: ${mainColor};
      border-radius: ${heightMap[size]};
      height: ${heightMap[size]};
      transition: width 0.4s;
      width: 0;

      ${busy && import_react150.css`
        animation: ${horizontalScale} 1.5s ${easing} infinite normal none running;
        width: 100%;
      `};
    }
  `;
});
function ProgressBar(props) {
  const { componentProps, getDataAttributes } = useProgressBar(props);
  const {
    accent,
    backgroundColor,
    busy,
    formatLocale,
    formatOptions,
    headerJustify,
    headerPosition,
    label,
    maxValue,
    minValue,
    showValueLabel,
    size,
    textSize,
    value,
    ...rest
  } = componentProps;
  const labelId = (0, import_react149.useId)();
  const percentage = import_is_lite28.default.number(value) ? (0, import_helpers72.round)((value - minValue) / (maxValue - minValue)) : void 0;
  const formattedValue = import_is_lite28.default.number(value) && import_is_lite28.default.number(percentage) ? new Intl.NumberFormat(formatLocale, formatOptions).format(
    formatOptions.style === "percent" ? percentage : value
  ) : void 0;
  const content = {};
  if (label) {
    content.label = (0, import_react149.isValidElement)(label) ? (0, import_react149.cloneElement)(label, { id: labelId }) : /* @__PURE__ */ (0, import_jsx_runtime99.jsx)(Text, { id: labelId, size: textSize ?? size, children: label });
  }
  if (showValueLabel && formattedValue) {
    content.value = /* @__PURE__ */ (0, import_jsx_runtime99.jsx)(Text, { size: textSize ?? size, children: formattedValue });
  }
  if (content.label || content.value) {
    content.header = /* @__PURE__ */ (0, import_jsx_runtime99.jsxs)(
      Flex,
      {
        ...getDataAttributes("ProgressBarHeader"),
        justify: headerJustify,
        mb: headerPosition === "top" ? "xs" : 0,
        mt: headerPosition === "bottom" ? "xs" : 0,
        children: [
          content.label,
          content.value
        ]
      }
    );
  }
  return /* @__PURE__ */ (0, import_jsx_runtime99.jsxs)(
    StyledProgressBar,
    {
      "aria-labelledby": label ? labelId : void 0,
      "aria-valuemax": maxValue,
      "aria-valuemin": minValue,
      "aria-valuenow": value,
      "aria-valuetext": formattedValue,
      "data-busy": busy,
      ...getDataAttributes("ProgressBar"),
      headerPosition,
      role: "progressbar",
      ...rest,
      children: [
        content.header,
        /* @__PURE__ */ (0, import_jsx_runtime99.jsx)(
          StyledProgressTrack,
          {
            accent,
            backgroundColor,
            busy,
            size,
            theme: rest.theme,
            children: percentage ? /* @__PURE__ */ (0, import_jsx_runtime99.jsx)("div", { style: { width: `${percentage * 100}%` } }) : /* @__PURE__ */ (0, import_jsx_runtime99.jsx)("div", {})
          }
        )
      ]
    }
  );
}
ProgressBar.displayName = "ProgressBar";

// src/components/ProgressCircle/ProgressCircle.tsx
var import_react151 = require("react");
var import_react152 = require("@emotion/react");
var import_styled79 = __toESM(require("@emotion/styled"));
var import_helpers73 = require("@gilbarbara/helpers");
var import_is_lite29 = __toESM(require("is-lite"));

// src/components/ProgressCircle/useProgressCircle.ts
var defaultProps53 = {
  accent: "primary",
  busy: false,
  formatLocale: "en-US",
  formatOptions: { style: "percent" },
  gap: "xs",
  labelPosition: "top",
  maxValue: 100,
  minValue: 0,
  showValueLabel: false,
  size: "md",
  strokeWidth: 3
};
function useProgressCircle(props) {
  return useComponentProps(props, defaultProps53);
}

// src/components/ProgressCircle/ProgressCircle.tsx
var import_jsx_runtime100 = require("react/jsx-runtime");
var StyledProgressCircle = (0, import_styled79.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "flex",
    justifyContent: "center"
  },
  (props) => {
    const { labelPosition, size, theme } = props;
    const { darkMode: darkMode2, grayScale: grayScale2 } = theme;
    return import_react152.css`
      color: ${darkMode2 && grayScale2["200"]};
      flex-direction: ${labelPosition === "top" ? "column" : "column-reverse"};
      width: ${(0, import_helpers73.px)(size)};
      ${getStyles((0, import_helpers73.omit)(props, "size"))};
    `;
  }
);
var StyledSVG = (0, import_styled79.default)(
  "svg",
  getStyledOptions()
)((props) => {
  const { busy, size } = props;
  const sizeMap = {
    sm: "32px",
    md: "48px",
    lg: "64px"
  };
  const componentSize = import_is_lite29.default.number(size) ? (0, import_helpers73.px)(size) : sizeMap[size];
  return import_react152.css`
    border-radius: ${componentSize};
    height: ${componentSize};
    overflow: hidden;
    position: relative;
    width: ${componentSize};

    ${busy && import_react152.css`
      animation: ${rotate} 0.8s ${easing} infinite normal none running;
    `};
  `;
});
var StyledWrapper = import_styled79.default.div`
  display: flex;
  position: relative;
`;
var StyledLabel6 = (0, import_styled79.default)(
  "span",
  getStyledOptions()
)(
  (props) => {
    const { absolute, size, textSize, theme } = props;
    const { typography: typography2 } = theme;
    const fontSizeMap = {
      sm: typography2.xxs.fontSize,
      md: typography2.xs.fontSize,
      lg: typography2.sm.fontSize
    };
    let fontSize = import_is_lite29.default.number(size) ? typography2.md.fontSize : fontSizeMap[size];
    if (textSize) {
      fontSize = import_is_lite29.default.number(textSize) ? (0, import_helpers73.px)(textSize) : typography2[textSize].fontSize;
    }
    if (!absolute && !import_is_lite29.default.number(size) && !textSize) {
      fontSize = typography2[size].fontSize;
    }
    return import_react152.css`
      font-size: ${fontSize};

      ${absolute && import_react152.css`
        left: 50%;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
        white-space: nowrap;
      `}
    `;
  }
);
function ProgressCircle(props) {
  const { componentProps, getDataAttributes } = useProgressCircle(props);
  const {
    accent,
    backgroundColor,
    busy,
    formatLocale,
    formatOptions,
    label,
    labelPosition,
    maxValue,
    minValue,
    showValueLabel,
    size,
    strokeWidth,
    textSize,
    value,
    ...rest
  } = componentProps;
  const labelId = (0, import_react151.useId)();
  const { darkMode: darkMode2, grayScale: grayScale2 } = rest.theme;
  const trackColor = darkMode2 ? grayScale2["800"] : grayScale2["100"];
  const { mainColor } = getColorTokens(accent, null, rest.theme);
  const center = 16;
  const radius2 = 16 - strokeWidth / 2;
  const circumference = 2 * radius2 * Math.PI;
  const percentage = (0, import_react151.useMemo)(() => {
    if (busy) {
      return 0.25;
    }
    return value ? (0, import_helpers73.round)((value - minValue) / (maxValue - minValue)) : 0;
  }, [busy, maxValue, minValue, value]);
  const offset = circumference - percentage * circumference;
  const formattedValue = import_is_lite29.default.number(value) && import_is_lite29.default.number(percentage) ? new Intl.NumberFormat(formatLocale, formatOptions).format(
    formatOptions.style === "percent" ? percentage : value
  ) : void 0;
  const content = {};
  if (label) {
    content.label = (0, import_react151.isValidElement)(label) ? (0, import_react151.cloneElement)(label, { id: labelId }) : /* @__PURE__ */ (0, import_jsx_runtime100.jsx)(StyledLabel6, { id: labelId, size, textSize, theme: rest.theme, children: label });
  }
  if (showValueLabel && formattedValue) {
    content.value = /* @__PURE__ */ (0, import_jsx_runtime100.jsx)(StyledLabel6, { absolute: true, size, textSize, theme: rest.theme, children: formattedValue });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime100.jsxs)(
    StyledProgressCircle,
    {
      ...rest,
      "aria-labelledby": label ? labelId : void 0,
      "aria-valuemax": maxValue,
      "aria-valuemin": minValue,
      "aria-valuenow": value,
      "aria-valuetext": formattedValue,
      "data-busy": busy,
      ...getDataAttributes("ProgressCircle"),
      labelPosition,
      role: "progressbar",
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime100.jsxs)(StyledWrapper, { children: [
          /* @__PURE__ */ (0, import_jsx_runtime100.jsxs)(
            StyledSVG,
            {
              busy,
              fill: "none",
              size,
              strokeWidth,
              viewBox: "0 0 32 32",
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime100.jsx)(
                  "circle",
                  {
                    cx: center,
                    cy: center,
                    r: radius2,
                    role: "presentation",
                    stroke: backgroundColor ?? trackColor
                  }
                ),
                /* @__PURE__ */ (0, import_jsx_runtime100.jsx)(
                  "circle",
                  {
                    cx: center,
                    cy: center,
                    r: radius2,
                    role: "presentation",
                    stroke: mainColor,
                    strokeDasharray: `${circumference} ${circumference}`,
                    strokeDashoffset: offset,
                    strokeLinecap: "round",
                    transform: "rotate(-90 16 16)"
                  }
                )
              ]
            }
          ),
          content.value
        ] }),
        content.label
      ]
    }
  );
}
ProgressCircle.displayName = "ProgressCircle";

// src/components/Quote/Quote.tsx
var import_react153 = require("react");
var import_react154 = require("@emotion/react");
var import_styled80 = __toESM(require("@emotion/styled"));
var import_helpers74 = require("@gilbarbara/helpers");

// src/components/Quote/useQuote.ts
var defaultProps54 = {
  ...textDefaultOptions,
  accent: "primary",
  attributionGap: "md",
  attributionSize: "sm",
  border: "left",
  borderSize: "md",
  gap: "md",
  size: "lg"
};
function useQuote(props) {
  return useComponentProps(props, defaultProps54);
}

// src/components/Quote/Quote.tsx
var import_jsx_runtime101 = require("react/jsx-runtime");
var borderSizes2 = {
  sm: "1px",
  md: "2px",
  lg: "4px"
};
var StyledFigure = (0, import_styled80.default)("figure", getStyledOptions())(
  {
    display: "flex",
    flexDirection: "column",
    margin: 0
  },
  (props) => {
    const { accent, border, borderSize, gap, theme } = props;
    const { spacing: spacing2 } = theme;
    const { mainColor } = getColorTokens(accent, null, theme);
    const styles2 = {};
    switch (border) {
      case "bottom": {
        styles2.borderBottom = `${borderSizes2[borderSize]} solid ${mainColor}`;
        styles2.paddingBottom = (0, import_helpers74.px)(spacing2[gap]);
        break;
      }
      case "left": {
        styles2.borderLeft = `${borderSizes2[borderSize]} solid ${mainColor}`;
        styles2.paddingLeft = (0, import_helpers74.px)(spacing2[gap]);
        break;
      }
      case "right": {
        styles2.borderRight = `${borderSizes2[borderSize]} solid ${mainColor}`;
        styles2.paddingRight = (0, import_helpers74.px)(spacing2[gap]);
        break;
      }
      case "top": {
        styles2.borderTop = `${borderSizes2[borderSize]} solid ${mainColor}`;
        styles2.paddingTop = (0, import_helpers74.px)(spacing2[gap]);
        break;
      }
    }
    return import_react154.css`
      ${styles2};
      ${getStyles((0, import_helpers74.omit)(props, "border", "size"), { skipBorder: true })};
    `;
  }
);
var StyledQuote = (0, import_styled80.default)("blockquote", getStyledOptions())(
  {
    display: "block",
    margin: 0
  },
  (props) => {
    return import_react154.css`
      ${baseStyles(props.theme)};
      ${textStyles(props)};
    `;
  }
);
var StyledAttribution = (0, import_styled80.default)(
  "cite",
  getStyledOptions()
)((props) => {
  const { gap, theme } = props;
  const { spacing: spacing2 } = theme;
  return import_react154.css`
    display: flex;
    margin-top: ${spacing2[gap]};
    ${textStyles(props)};
  `;
});
var Quote = (0, import_react153.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useQuote(props);
  const { attribution, attributionGap, attributionSize, children, ...rest } = componentProps;
  return /* @__PURE__ */ (0, import_jsx_runtime101.jsxs)(StyledFigure, { ref, ...getDataAttributes("Quote"), ...rest, children: [
    /* @__PURE__ */ (0, import_jsx_runtime101.jsx)(StyledQuote, { ...rest, children }),
    attribution && /* @__PURE__ */ (0, import_jsx_runtime101.jsx)(StyledAttribution, { gap: attributionGap, size: attributionSize, theme: rest.theme, children: attribution })
  ] });
});
Quote.displayName = "Quote";

// src/components/RadioGroup/RadioGroup.tsx
var import_react155 = require("react");
var import_react156 = require("@emotion/react");
var import_styled81 = __toESM(require("@emotion/styled"));
var import_hooks22 = require("@gilbarbara/hooks");

// src/components/RadioGroup/useRadioGroup.ts
var defaultProps55 = {
  accent: "primary",
  borderless: false,
  disabled: false,
  inline: false,
  size: "md"
};
function useRadioGroup(props) {
  return useComponentProps(props, defaultProps55);
}

// src/components/RadioGroup/RadioGroup.tsx
var import_jsx_runtime102 = require("react/jsx-runtime");
var StyledRadioGroup = (0, import_styled81.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { inline, theme } = props;
  const { dataAttributeName: dataAttributeName2, spacing: spacing2 } = theme;
  return import_react156.css`
    display: flex;
    flex-direction: ${inline ? "row" : "column"};
    ${getStyles(props)};

    ${inline && import_react156.css`
      margin-top: 0;

      [data-${dataAttributeName2}='Radio'] + [data-${dataAttributeName2}='Radio'] {
        margin-left: ${spacing2.xs};
      }
    `};
  `;
});
function RadioGroup(props) {
  const { componentProps, getDataAttributes } = useRadioGroup(props);
  const {
    accent,
    borderless,
    defaultValue,
    disabled,
    inline,
    items,
    name,
    onChange,
    size,
    value,
    ...rest
  } = componentProps;
  const [selectedValue, setSelectedValue] = (0, import_react155.useState)(value ?? defaultValue);
  const previousProps = (0, import_hooks22.usePrevious)(props);
  (0, import_react155.useEffect)(() => {
    if (previousProps && value && previousProps.value !== value) {
      setSelectedValue(value);
    }
  }, [previousProps, value]);
  const handleChange = (0, import_react155.useCallback)(
    (event) => {
      const { target } = event;
      const numericValue = Number(target.value);
      const currentValue2 = !Number.isNaN(numericValue) ? numericValue : target.value;
      onChange?.(event);
      if (!value && !disabled) {
        setSelectedValue(currentValue2);
      }
    },
    [disabled, onChange, value]
  );
  if (!items?.length) {
    return null;
  }
  const currentValue = !!value && value !== selectedValue ? value : selectedValue;
  return /* @__PURE__ */ (0, import_jsx_runtime102.jsx)(
    StyledRadioGroup,
    {
      ...getDataAttributes("RadioGroup"),
      inline,
      role: "radiogroup",
      ...rest,
      children: items.map((item) => /* @__PURE__ */ (0, import_jsx_runtime102.jsx)(
        Radio,
        {
          accent: item.accent ?? accent,
          align: "start",
          borderless,
          checked: item.value === currentValue,
          disabled: disabled || item.disabled,
          label: item.label ?? item.value,
          mb: "xxs",
          name,
          onChange: handleChange,
          size,
          type: "radio",
          value: item.value
        },
        item.value
      ))
    }
  );
}
RadioGroup.displayName = "RadioGroup";

// src/components/Search/Search.tsx
var import_react161 = require("react");
var import_react162 = require("@emotion/react");
var import_styled84 = __toESM(require("@emotion/styled"));
var import_helpers76 = require("@gilbarbara/helpers");
var import_hooks23 = require("@gilbarbara/hooks");

// src/components/Search/Items.tsx
var import_react159 = require("react");
var import_react160 = require("@emotion/react");
var import_styled83 = __toESM(require("@emotion/styled"));
var import_helpers75 = require("@gilbarbara/helpers");

// src/components/Search/Item.tsx
var import_react157 = require("react");
var import_react158 = require("@emotion/react");
var import_styled82 = __toESM(require("@emotion/styled"));
var import_jsx_runtime103 = require("react/jsx-runtime");
var StyledSearchItem = (0, import_styled82.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { accent, isSelected, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, typography: typography2, white: white2 } = theme;
  const { mainColor, textColor: textColor2 } = getColorTokens(accent, null, theme);
  const selected = import_react158.css`
    background-color: ${mainColor};
    color: ${textColor2};

    a {
      color: ${textColor2};
    }
  `;
  return import_react158.css`
    color: ${darkMode2 ? white2 : grayScale2["700"]};
    cursor: pointer;
    font-size: ${typography2.md.fontSize};
    padding: ${spacing2.sm} ${spacing2.md};
    transition: background-color 0.3s;

    &:focus-visible,
    &:hover,
    &:active {
      ${selected};
    }

    ${isSelected && selected},

    a {
      color: ${grayScale2["700"]};
      text-decoration: none;
    }
  `;
});
function SearchItemComponent(props) {
  const { accent, children, getDataAttributes, isSelected, onSelect, theme, value } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime103.jsx)(
    StyledSearchItem,
    {
      accent,
      ...getDataAttributes("SearchItem"),
      "data-value": value,
      isSelected,
      onClick: onSelect,
      onKeyDown: onSelect,
      role: "listitem",
      tabIndex: 0,
      theme,
      children
    }
  );
}
SearchItemComponent.displayName = "SearchItem";
var Item_default = (0, import_react157.memo)(SearchItemComponent);

// src/components/Search/Items.tsx
var import_jsx_runtime104 = require("react/jsx-runtime");
var StyledSearchItems = (0, import_styled83.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { active, height, theme } = props;
  const { darkMode: darkMode2, grayScale: grayScale2, radius: radius2, shadow: shadow2, spacing: spacing2, white: white2 } = theme;
  return import_react160.css`
    background-color: ${darkMode2 ? grayScale2["800"] : white2};
    border-radius: ${radius2.xxs};
    box-shadow: ${shadow2.mid};
    left: 0;
    max-height: ${(0, import_helpers75.px)(height)};
    margin-top: ${spacing2.xs};
    overflow-y: auto;
    position: absolute;
    right: 0;
    top: 100%;
    transform-origin: top;
    transform: scaleY(0);
    transition: transform 0.3s;

    ${active && import_react160.css`
      transform: scaleY(1);
    `}
  `;
});
function getSharedStyles2(spacing2) {
  return import_react160.css`
    align-items: center;
    display: flex;
    padding: ${spacing2.xs} ${spacing2.sm};
    width: 100%;
  `;
}
var Empty2 = (0, import_styled83.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { spacing: spacing2 } = props.theme;
  return import_react160.css`
    ${getSharedStyles2(spacing2)};
    justify-content: center;
  `;
});
var SearchItems = (0, import_react159.forwardRef)((props, ref) => {
  const {
    accent,
    active,
    cursor,
    getDataAttributes,
    height,
    isBusy,
    items,
    noResultsLabel,
    onSelect,
    theme
  } = props;
  const isActive = (0, import_react159.useRef)(false);
  (0, import_react159.useEffect)(() => {
    isActive.current = true;
    return () => {
      isActive.current = false;
    };
  }, []);
  const content = !items.length && !isBusy ? /* @__PURE__ */ (0, import_jsx_runtime104.jsx)(Empty2, { theme, children: noResultsLabel }) : items.map((data, index) => /* @__PURE__ */ (0, import_jsx_runtime104.jsx)(
    Item_default,
    {
      accent: data.accent ?? accent,
      getDataAttributes,
      isSelected: cursor === index,
      onSelect,
      theme,
      value: data.value,
      children: data.label ?? data.value
    },
    data.value
  ));
  return /* @__PURE__ */ (0, import_jsx_runtime104.jsx)(
    StyledSearchItems,
    {
      ref,
      active,
      ...getDataAttributes("SearchItems"),
      height,
      role: "list",
      theme,
      children: content
    }
  );
});
SearchItems.displayName = "SearchItems";
var Items_default2 = SearchItems;

// src/components/Search/useSearch.ts
var defaultProps56 = {
  accent: "primary",
  borderless: false,
  disableCloseOnBlur: false,
  disableKeyboardNavigation: false,
  disabled: false,
  height: 230,
  hideIcon: false,
  icon: "search",
  loading: false,
  noResultsLabel: "Nothing found",
  onSearchDebounce: 250,
  placeholder: "Search for...",
  showListOnFocus: true
};
function useSearch(props) {
  return useComponentProps(props, defaultProps56);
}

// src/components/Search/Search.tsx
var import_jsx_runtime105 = require("react/jsx-runtime");
var StyledSearch = (0, import_styled84.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { width = "100%" } = props;
  return import_react162.css`
    position: relative;
    width: ${(0, import_helpers76.px)(width)};
    ${marginStyles(props)};
  `;
});
function SearchComponent(props) {
  const { componentProps, getDataAttributes } = useSearch(props);
  const {
    accent,
    borderless,
    disableCloseOnBlur,
    disabled,
    disableKeyboardNavigation,
    height,
    hideIcon,
    icon,
    items,
    loading,
    onBlur,
    onFocus,
    onSearch,
    onSearchDebounce,
    onSelect,
    onType,
    placeholder,
    remote,
    showListOnFocus,
    ...rest
  } = componentProps;
  const { dataAttributeName: dataAttributeName2 } = rest.theme;
  const [{ active, currentItems, cursor, focus, typing, value }, setState] = (0, import_hooks23.useSetState)({
    active: false,
    currentItems: remote ? [] : items,
    cursor: -1,
    focus: false,
    typing: false,
    value: ""
  });
  const mainRef = (0, import_react161.useRef)(null);
  const itemsRef = (0, import_react161.useRef)(null);
  const isMounted = (0, import_react161.useRef)(false);
  const timeout = (0, import_react161.useRef)(0);
  (0, import_react161.useEffect)(() => {
    isMounted.current = true;
    return () => {
      isMounted.current = false;
    };
  }, []);
  const updateState = (0, import_react161.useCallback)(
    (state) => {
      if (isMounted.current) {
        setState(state);
      }
    },
    [setState]
  );
  const close = (0, import_react161.useCallback)(() => {
    if (disableCloseOnBlur) {
      return;
    }
    updateState({ active: false });
  }, [disableCloseOnBlur, updateState]);
  const handleBlur = (0, import_react161.useCallback)(
    (event) => {
      const inputValue = event.target.value;
      updateState({ cursor: -1, focus: false });
      onBlur?.(inputValue);
    },
    [onBlur, updateState]
  );
  const handleChange = (0, import_react161.useCallback)(
    (event) => {
      const inputValue = event.target.value;
      const nextState = { active: !!inputValue, value: inputValue };
      onType?.(inputValue);
      if (onSearchDebounce) {
        updateState({ ...nextState, typing: true });
        clearTimeout(timeout.current);
        timeout.current = window.setTimeout(() => {
          updateState({
            typing: false,
            currentItems: remote ? [] : items.filter((d) => d.value.toLowerCase().includes(inputValue.toLowerCase()))
          });
          onSearch?.(inputValue);
          timeout.current = 0;
        }, onSearchDebounce);
      } else {
        updateState({
          ...nextState,
          currentItems: remote ? [] : items.filter((d) => d.value.toLowerCase().includes(inputValue.toLowerCase()))
        });
        onSearch?.(inputValue);
      }
    },
    [items, onSearch, onSearchDebounce, onType, remote, updateState]
  );
  const handleFocus = (0, import_react161.useCallback)(
    (event) => {
      const inputValue = event.target.value;
      updateState({
        active: showListOnFocus && (remote ? !!items.length : !!currentItems.length),
        focus: true
      });
      onFocus?.(inputValue);
    },
    [currentItems.length, items.length, onFocus, remote, showListOnFocus, updateState]
  );
  const handleKeyDown2 = (0, import_react161.useCallback)(
    (event) => {
      const { code } = event;
      const itemElement = itemsRef.current;
      if (!active || !itemElement) {
        return;
      }
      const nextCursor = cursor;
      if (code === "Enter") {
        const { dataset } = itemElement.children[cursor];
        updateState({ active: false, value: "" });
        onSelect(dataset.value ?? "");
      }
      updateState({ cursor: nextCursor });
      if (itemElement.children[nextCursor]) {
        itemElement.children[nextCursor].scrollIntoView({ block: "end" });
      }
    },
    [active, cursor, onSelect, updateState]
  );
  const handleSelect = (0, import_react161.useCallback)(
    (event) => {
      const { dataset } = event.currentTarget;
      if ("code" in event && !disableKeyboardNavigation) {
        if (["Enter", "Space"].includes(event.code)) {
          updateState({ active: false, value: "" });
          onSelect(dataset.value ?? "");
        }
      } else {
        updateState({ active: false, value: "" });
        onSelect(dataset.value ?? "");
      }
    },
    [disableKeyboardNavigation, onSelect, updateState]
  );
  const handleToggleList = (force) => {
    return () => {
      updateState({ active: force ?? !active });
    };
  };
  const { addScope, removeScope } = useKeyboardNavigation(mainRef, {
    arrowNavigation: "both",
    disabled: disableKeyboardNavigation,
    escCallback: handleToggleList(false),
    selector: `[data-${dataAttributeName2}="SearchItem"]`
  });
  (0, import_react161.useEffect)(() => {
    if (active) {
      addScope();
    }
    return () => {
      removeScope();
    };
  }, [active, addScope, removeScope]);
  let prefixSpacing = borderless ? 32 : true;
  if (hideIcon) {
    prefixSpacing = false;
  }
  const isBusy = typing || loading;
  return /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(StyledSearch, { ref: mainRef, ...getDataAttributes("Search"), ...rest, children: /* @__PURE__ */ (0, import_jsx_runtime105.jsxs)(ClickOutside, { active, onClick: close, children: [
    /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(
      FormElementWrapper,
      {
        endContent: isBusy ? /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(Icon, { name: "spinner", spin: true }) : void 0,
        size: borderless ? [24, 40] : 40,
        startContent: hideIcon ? void 0 : /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(Icon, { color: focus || value ? accent : void 0, name: icon, size: 24 }),
        children: /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(
          Input2,
          {
            accent,
            autoComplete: "off",
            borderless,
            ...getDataAttributes("SearchInput"),
            disabled,
            name: "search",
            onBlur: handleBlur,
            onChange: handleChange,
            onFocus: handleFocus,
            onKeyDown: handleKeyDown2,
            placeholder,
            prefixSpacing,
            value
          }
        )
      }
    ),
    /* @__PURE__ */ (0, import_jsx_runtime105.jsx)(
      Items_default2,
      {
        ref: itemsRef,
        accent,
        active,
        cursor,
        getDataAttributes,
        height,
        isBusy,
        items: remote ? items : currentItems,
        onSelect: handleSelect,
        ...rest
      }
    )
  ] }) });
}
var Search2 = (0, import_react161.memo)(SearchComponent);
Search2.displayName = "Search";

// src/components/Skeleton/Skeleton.tsx
var import_react163 = require("react");
var import_react164 = require("@emotion/react");
var import_styled85 = __toESM(require("@emotion/styled"));
var import_hooks24 = require("@gilbarbara/hooks");

// src/components/Skeleton/useSkeleton.ts
var baseDefaultProps = {
  accent: "white",
  animationDelay: 0,
  animationDuration: 1.2,
  appearDuration: 0.4,
  bg: "gray.50",
  isLoaded: false,
  radius: "xs"
};
var defaultProps57 = {
  ...baseDefaultProps,
  fitContent: false
};
var circleDefaultProps = {
  ...baseDefaultProps,
  size: 48
};
var textDefaultProps = {
  ...baseDefaultProps,
  gap: "xs",
  lines: 3,
  height: 16
};
function useSkeleton(props) {
  return useComponentProps(props, defaultProps57);
}
function useSkeletonCircle(props) {
  return useComponentProps(props, circleDefaultProps);
}
function useSkeletonText(props) {
  return useComponentProps(props, textDefaultProps);
}

// src/components/Skeleton/Skeleton.tsx
var import_jsx_runtime106 = require("react/jsx-runtime");
var bgAnimation = import_react164.keyframes`
  0% {
    background-position: 60% 0;
  }
  100% {
    background-position: -100% 0;
  }
`;
var StyledSkeleton = (0, import_styled85.default)("div", getStyledOptions())(
  {
    display: "flex",
    flexDirection: "column",
    pointerEvents: "none",
    userSelect: "none"
  },
  (props) => {
    const { accent, animationDelay, animationDuration, bg, fitContent, theme } = props;
    const { mainColor: accentColor } = getColorTokens(accent, null, theme);
    const { mainColor: bgColor } = getColorTokens(bg, null, theme);
    return import_react164.css`
    animation: ${bgAnimation} ${animationDuration}s infinite ease-in-out;
    animation-delay: ${animationDelay}s;
    background: ${bgColor} linear-gradient(90deg, ${bgColor} 0, ${bgColor} 10%, ${accentColor} 25%, ${bgColor} 40%, ${bgColor} 100%);
    background-position: 60% 0;
    background-repeat: no-repeat;
    background-size: 200% 100%;
    width: ${fitContent ? "fit-content" : void 0};
    ${getStyles(props, { skipColor: true })};
    
    &:before, &:after, > * {
      visibility: hidden;
    },
  `;
  }
);
var StyledContent4 = (0, import_styled85.default)("div", getStyledOptions())(
  {
    display: "flex",
    flexDirection: "column"
  },
  (props) => {
    const { appearDuration, isFirstRender } = props;
    return import_react164.css`
      animation: ${isFirstRender ? "none" : import_react164.css`
            ${fadeIn} ${appearDuration}s ease-in-out forwards
          `};
      opacity: ${isFirstRender ? 1 : 0};
    `;
  }
);
var Skeleton = (0, import_react163.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useSkeleton(props);
  const { appearDuration, children, isLoaded, ...rest } = componentProps;
  const isFirstRender = (0, import_hooks24.useIsFirstRender)();
  if (isLoaded) {
    return /* @__PURE__ */ (0, import_jsx_runtime106.jsx)(
      StyledContent4,
      {
        ref,
        appearDuration,
        ...getDataAttributes("Skeleton"),
        isFirstRender,
        children
      }
    );
  }
  let content;
  if (children) {
    content = (0, import_react163.isValidElement)(children) ? children : /* @__PURE__ */ (0, import_jsx_runtime106.jsx)("div", { children });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime106.jsx)(StyledSkeleton, { ref, ...getDataAttributes("Skeleton"), ...rest, children: content });
});
Skeleton.displayName = "Skeleton";

// src/components/Skeleton/SkeletonCircle.tsx
var import_react165 = require("react");
var import_jsx_runtime107 = require("react/jsx-runtime");
var SkeletonCircle = (0, import_react165.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useSkeletonCircle(props);
  const { size, ...rest } = componentProps;
  return /* @__PURE__ */ (0, import_jsx_runtime107.jsx)(
    Skeleton,
    {
      ref,
      ...getDataAttributes("SkeletonCircle"),
      ...rest,
      height: size,
      radius: "round",
      width: size
    }
  );
});
SkeletonCircle.displayName = "SkeletonCircle";

// src/components/Skeleton/SkeletonText.tsx
var import_react166 = require("react");
var import_helpers77 = require("@gilbarbara/helpers");
var import_jsx_runtime108 = require("react/jsx-runtime");
var SkeletonText = (0, import_react166.forwardRef)((props, ref) => {
  const { componentProps, getDataAttributes } = useSkeletonText(props);
  const { children, gap, height, isLoaded, lines, ...rest } = componentProps;
  const getWidth = (index) => {
    if (lines > 1) {
      return index === lines ? "80%" : "100%";
    }
    return "100%";
  };
  return /* @__PURE__ */ (0, import_jsx_runtime108.jsx)("div", { ref, ...getDataAttributes("SkeletonText"), children: (0, import_helpers77.createArray)(lines).map((line, index) => {
    if (isLoaded && index > 0) {
      return null;
    }
    const sizeProps = isLoaded ? null : {
      mb: line === lines ? void 0 : gap,
      width: getWidth(line),
      height
    };
    return /* @__PURE__ */ (0, import_jsx_runtime108.jsx)(Skeleton, {
      isLoaded,
      ...sizeProps,
      ...rest,
      // allows animating the children
      children: index === 0 ? children : void 0
    }, lines.toString() + line);
  }) });
});
SkeletonText.displayName = "SkeletonText";

// src/components/Snippet/Snippet.tsx
var import_react167 = require("@emotion/react");
var import_styled86 = __toESM(require("@emotion/styled"));
var import_helpers78 = require("@gilbarbara/helpers");

// src/components/Snippet/useSnippet.ts
var defaultProps58 = {
  align: "center",
  display: "inline-flex",
  disableAnimation: false,
  gap: "xs",
  hideCopyButton: false,
  hideSymbol: false,
  hideTooltip: false,
  preventWrap: false,
  radius: "xs",
  removeFormatting: false,
  size: "md",
  symbol: "$"
};
function useSnippet(props) {
  return useComponentProps(props, defaultProps58);
}

// src/components/Snippet/Snippet.tsx
var import_jsx_runtime109 = require("react/jsx-runtime");
var StyledSnippet = (0, import_styled86.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "inline-flex"
  },
  (props) => {
    const { bg, color, size, theme } = props;
    const { darkMode: darkMode2, spacing: spacing2 } = theme;
    const defaultBg = darkMode2 ? "gray.800" : "gray.50";
    const { mainColor, textColor: textColor2 } = getColorTokens(bg ?? defaultBg, color, theme);
    const heightMap = {
      sm: (0, import_helpers78.px)(32),
      md: (0, import_helpers78.px)(40),
      lg: (0, import_helpers78.px)(48)
    };
    const paddingMap = {
      sm: `${spacing2.xs} ${spacing2.sm}`,
      md: `${spacing2.sm} ${spacing2.md}`,
      lg: `${spacing2.sm} ${spacing2.md}`
    };
    return import_react167.css`
      background-color: ${mainColor};
      color: ${textColor2};
      min-height: ${heightMap[size]};
      padding: ${paddingMap[size]};
      ${getStyles(props, { skipColor: true, useFontSize: true })};
    `;
  }
);
var StyledWrapper2 = (0, import_styled86.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { gap, removeFormatting, theme } = props;
  const { fontFamily: fontFamily2, fontMonospace: fontMonospace2, spacing: spacing2 } = theme;
  return import_react167.css`
    align-items: center;
    font-family: ${removeFormatting ? fontFamily2 : fontMonospace2};
    display: flex;
    gap: ${spacing2[gap]};
  `;
});
var StyledSymbol = import_styled86.default.span`
  display: inline-flex;
`;
var StyledPre = (0, import_styled86.default)(
  "pre",
  getStyledOptions()
)((props) => {
  const { preventWrap, removeFormatting, theme } = props;
  const { fontFamily: fontFamily2, fontMonospace: fontMonospace2 } = theme;
  return import_react167.css`
    font-family: ${removeFormatting ? fontFamily2 : fontMonospace2};
    display: flex;
    margin: 0;
    ${preventWrap && "white-space: nowrap"};
  `;
});
function Snippet(props) {
  const { componentProps, getDataAttributes } = useSnippet(props);
  const {
    checkIcon = /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(Icon, { name: "check" }),
    children,
    copyIcon = /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(Icon, { name: "copy" }),
    copyValue,
    disableAnimation,
    gap,
    hideCopyButton,
    hideSymbol,
    hideTooltip,
    onCopy,
    onError,
    preventWrap,
    removeFormatting,
    symbol,
    theme,
    timeout,
    tooltipCopiedText,
    tooltipProps,
    tooltipText,
    ...rest
  } = componentProps;
  const content = {};
  if (!hideSymbol) {
    content.symbol = /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(StyledSymbol, { children: symbol });
  }
  content.main = Array.isArray(children) ? /* @__PURE__ */ (0, import_jsx_runtime109.jsx)("div", { children: children.map((child, index) => (
    // eslint-disable-next-line react/no-array-index-key
    /* @__PURE__ */ (0, import_jsx_runtime109.jsxs)(StyledWrapper2, { gap, removeFormatting, theme, children: [
      content.symbol,
      /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(
        StyledPre,
        {
          gap,
          preventWrap,
          removeFormatting,
          theme,
          children: child
        }
      )
    ] }, index)
  )) }) : /* @__PURE__ */ (0, import_jsx_runtime109.jsxs)(StyledWrapper2, { gap, removeFormatting, theme, children: [
    content.symbol,
    /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(
      StyledPre,
      {
        gap,
        preventWrap,
        removeFormatting,
        theme,
        children
      }
    )
  ] });
  if (!hideCopyButton) {
    content.copyButton = /* @__PURE__ */ (0, import_jsx_runtime109.jsx)(
      CopyToClipboard,
      {
        checkIcon,
        copyIcon,
        disableAnimation,
        hideTooltip,
        onCopy,
        onError,
        padding: "xxs",
        timeout,
        tooltipCopiedText,
        tooltipProps,
        tooltipText,
        value: copyValue ?? children
      }
    );
  }
  return /* @__PURE__ */ (0, import_jsx_runtime109.jsxs)(StyledSnippet, { ...getDataAttributes("Snippet"), gap, theme, ...rest, children: [
    content.main,
    content.copyButton
  ] });
}
Snippet.displayName = "Snippet";

// src/components/StatusIndicator/StatusIndicator.tsx
var import_react168 = require("react");
var import_react169 = require("@emotion/react");
var import_styled87 = __toESM(require("@emotion/styled"));
var import_helpers79 = require("@gilbarbara/helpers");

// src/components/StatusIndicator/useStatusIndicator.ts
var defaultProps59 = {
  borderRatio: 0.7,
  color: "green",
  gap: "xxs",
  labelPosition: "bottom",
  tone: "100",
  size: 24
};
function useStatusIndicator(props) {
  return useComponentProps(props, defaultProps59);
}

// src/components/StatusIndicator/StatusIndicator.tsx
var import_jsx_runtime110 = require("react/jsx-runtime");
var StyledStatusIndicatorWrapper = (0, import_styled87.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    display: "inline-flex",
    justifyContent: "center"
  },
  (props) => {
    const { gap, labelPosition, theme } = props;
    const { spacing: spacing2 } = theme;
    const flexDirectionMap = {
      bottom: "column",
      left: "row-reverse",
      right: "row",
      top: "column-reverse"
    };
    return import_react169.css`
      flex-direction: ${flexDirectionMap[labelPosition]};
      gap: ${spacing2[gap]};
    `;
  }
);
var StyledStatusIndicator = (0, import_styled87.default)("div", getStyledOptions())(
  {
    alignItems: "center",
    borderRadius: "50%",
    display: "inline-flex",
    justifyContent: "center",
    lineHeight: 1,
    position: "relative"
  },
  (props) => {
    const { borderRatio, color, size, theme, tone } = props;
    const { mainColor, variant } = getColorTokens(color, null, theme);
    let centerBg;
    if (variant) {
      ({ mainColor: centerBg } = getColorTokens(`${variant}.${tone}`, null, theme));
    } else {
      centerBg = getColorWithTone(mainColor, tone);
    }
    const innerSize = size * borderRatio < size ? size * borderRatio : size;
    return import_react169.css`
      background-color: ${mainColor};
      height: ${(0, import_helpers79.px)(size)};
      width: ${(0, import_helpers79.px)(size)};
      ${marginStyles(props)};

      &:before {
        background-color: ${centerBg};
        border-radius: 50%;
        content: '';
        display: block;
        height: ${(0, import_helpers79.px)(innerSize)};
        position: absolute;
        width: ${(0, import_helpers79.px)(innerSize)};
      }

      > * {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
      }
    `;
  }
);
function StatusIndicator(props) {
  const { componentProps, getDataAttributes } = useStatusIndicator(props);
  const { gap, icon, label, labelPosition, ...rest } = componentProps;
  const labelId = (0, import_react168.useId)();
  const content = {};
  if (label) {
    content.label = (0, import_react168.isValidElement)(label) ? (0, import_react168.cloneElement)(label, { id: labelId }) : /* @__PURE__ */ (0, import_jsx_runtime110.jsx)(Text, { ...getDataAttributes("StatusIndicatorLabel"), id: labelId, size: "md", children: label });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime110.jsxs)(
    StyledStatusIndicatorWrapper,
    {
      ...getDataAttributes("StatusIndicator"),
      gap,
      labelPosition,
      theme: rest.theme,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime110.jsx)(StyledStatusIndicator, { ...rest, children: icon }),
        content.label
      ]
    }
  );
}
StatusIndicator.displayName = "StatusIndicator";

// src/components/Tabs/Tab.tsx
var import_jsx_runtime111 = require("react/jsx-runtime");
function Tab(props) {
  const { children } = props;
  const { getDataAttributes } = useTheme();
  return /* @__PURE__ */ (0, import_jsx_runtime111.jsx)("div", { ...getDataAttributes("Tab"), children });
}
Tab.displayName = "Tab";

// src/components/Tabs/Tabs.tsx
var import_react172 = require("react");
var import_react173 = require("@emotion/react");
var import_styled89 = __toESM(require("@emotion/styled"));
var import_helpers82 = require("@gilbarbara/helpers");
var import_hooks25 = require("@gilbarbara/hooks");
var import_is_lite30 = __toESM(require("is-lite"));

// src/components/Tabs/TabsMenu.tsx
var import_react170 = require("react");
var import_react171 = require("@emotion/react");
var import_styled88 = __toESM(require("@emotion/styled"));
var import_helpers80 = require("@gilbarbara/helpers");

// src/components/Tabs/useTabs.ts
var defaultProps60 = {
  accent: "primary",
  gap: "md",
  hideIndicator: false,
  menu: {},
  orientation: "horizontal",
  width: "100%"
};
function useTabs(props) {
  return useComponentProps(props, defaultProps60);
}

// src/components/Tabs/TabsMenu.tsx
var import_jsx_runtime112 = require("react/jsx-runtime");
var StyledMenu2 = (0, import_styled88.default)("div", getStyledOptions())(
  {
    alignItems: "flex-start",
    display: "flex",
    position: "relative"
  },
  (props) => {
    const { accent, activeId, dimensions, menu, orientation, theme } = props;
    const { darkMode: darkMode2, grayScale: grayScale2 } = theme;
    const accentColor = getColorTokens(accent, null, theme).mainColor;
    const { borderColor, borderSize = 2, indicatorColor, indicatorLength, indicatorStyle } = menu;
    const isHorizontal = orientation === "horizontal";
    const isVertical = orientation === "vertical";
    let bgColor = darkMode2 ? grayScale2["800"] : grayScale2["50"];
    if (borderColor) {
      bgColor = getColorTokens(borderColor, null, theme).mainColor;
    }
    const base = import_react171.css`
      flex-direction: ${isHorizontal ? "row" : "column"};
      flex-shrink: 0;
      overflow: ${isHorizontal ? "auto hidden" : void 0};
      width: ${isVertical ? (0, import_helpers80.px)(menu.width) : void 0};
      ${flexBoxStyles({ ...menu, theme })};
    `;
    const before = import_react171.css`
      &:before {
        background-color: ${borderColor ?? bgColor};
        bottom: 0;
        content: '';
        height: ${isHorizontal ? (0, import_helpers80.px)(borderSize) : void 0};
        left: ${isHorizontal ? 0 : void 0};
        position: absolute;
        right: 0;
        top: ${isVertical ? 0 : void 0};
        width: ${isHorizontal ? void 0 : (0, import_helpers80.px)(borderSize)};
        z-index: 1;
      }
    `;
    let after = import_react171.css``;
    if (Object.keys(dimensions).length) {
      const active = dimensions[activeId];
      let lenght = isHorizontal ? active.width : active.height;
      let left = isHorizontal ? (0, import_helpers80.px)(active.left) : void 0;
      let top = isVertical ? (0, import_helpers80.px)(active.top) : void 0;
      bgColor = accentColor;
      if (indicatorColor) {
        bgColor = getColorTokens(indicatorColor, null, theme).mainColor;
      }
      if (indicatorLength) {
        if (typeof indicatorLength === "string") {
          const ratio = parseInt(indicatorLength, 10) / 100;
          lenght = isHorizontal ? active.width * ratio : active.height * ratio;
          left = isHorizontal ? (0, import_helpers80.px)(active.left + (active.width - lenght) / 2) : void 0;
          top = isVertical ? (0, import_helpers80.px)(active.top + (active.height - lenght) / 2) : void 0;
        } else {
          lenght = indicatorLength;
          left = isHorizontal ? (0, import_helpers80.px)(active.left + (active.width - indicatorLength) / 2) : void 0;
          top = isVertical ? (0, import_helpers80.px)(active.top + (active.height - indicatorLength) / 2) : void 0;
        }
      }
      after = import_react171.css`
        &:after {
          background-color: ${bgColor};
          bottom: ${isHorizontal ? 0 : void 0};
          content: '';
          display: block;
          height: ${isHorizontal ? (0, import_helpers80.px)(borderSize) : (0, import_helpers80.px)(lenght)};
          left: ${left};
          position: absolute;
          right: ${isVertical ? 0 : void 0};
          top: ${top};
          transition: ${`${isVertical ? "top" : "left"} 0.3s ease-in-out, width 0.2s`};
          transition-origin: bottom;
          width: ${isHorizontal ? (0, import_helpers80.px)(lenght) : (0, import_helpers80.px)(borderSize)};
          z-index: 2;
          ${stringifyCSSProperties(indicatorStyle)};
        }
      `;
    }
    return import_react171.css`
      ${base};
      ${before};
      ${after};
    `;
  }
);
var StyledMenuItem2 = (0, import_styled88.default)(ButtonUnstyled, getStyledOptions("disabled"))(
  {
    position: "relative",
    whiteSpace: "nowrap"
  },
  (props) => {
    const { accent, disabled, isActive, menu, orientation, theme } = props;
    const { darkMode: darkMode2, grayScale: grayScale2, spacing: spacing2, white: white2 } = theme;
    const { activeItemBgColor, activeItemColor, expand, itemBgColor, itemColor } = menu;
    const accentColor = getColorTokens(accent, null, theme).mainColor;
    let bgColor = darkMode2 ? grayScale2["800"] : white2;
    let color = darkMode2 ? grayScale2["200"] : grayScale2["800"];
    const isVertical = orientation === "vertical";
    if (itemBgColor) {
      const { mainColor: tagBgColor, textColor: textColor2 } = getColorTokens(itemBgColor, null, theme);
      bgColor = tagBgColor;
      color = textColor2;
    }
    if (itemColor) {
      const { mainColor: tabMainColor } = getColorTokens(itemColor, null, theme);
      color = tabMainColor;
    }
    if (isActive) {
      bgColor = darkMode2 ? grayScale2["900"] : white2;
      color = accentColor;
      if (activeItemBgColor) {
        const { mainColor, textColor: textColor2 } = getColorTokens(activeItemBgColor, null, theme);
        bgColor = mainColor;
        color = textColor2;
      }
      if (activeItemColor) {
        const { mainColor } = getColorTokens(activeItemColor, null, theme);
        color = mainColor;
      }
    }
    if (disabled) {
      color = grayScale2["500"];
    }
    return import_react171.css`
      background-color: ${bgColor};
      color: ${disabled ? grayScale2["500"] : color};
      display: flex;
      justify-content: center;
      flex-grow: ${expand ? 1 : 0};
      cursor: ${disabled ? "not-allowed" : "pointer"};
      padding: ${spacing2.sm} ${spacing2.lg};
      width: ${isVertical ? "100%" : void 0};
      ${stringifyCSSProperties(menu.itemStyle)};

      ${!isActive && !disabled && import_react171.css`
        &:hover {
          transition: transform 0.2s;
          transform: scale(1.05);
        }
      `};
    `;
  }
);
function TabsMenu(props) {
  const { activeId, onClickItem, tabs, uniqueId, ...rest } = props;
  const { componentProps: tabsProps, getDataAttributes } = useTabs(rest);
  const { accent, gap, menu, onClick, orientation, theme, ...otherTabsProps } = tabsProps;
  const [dimensions, setDimensions] = (0, import_react170.useState)({});
  const id = (0, import_react170.useId)();
  (0, import_react170.useEffect)(() => {
    const elements = document.querySelectorAll(`[data-tab-id]`);
    const calculateDimensions = () => {
      setDimensions(
        [...elements].reduce((acc, el) => {
          const tabId = el.getAttribute("data-tab-id");
          if (tabId) {
            acc[tabId] = {
              left: el.offsetLeft,
              top: el.offsetTop,
              width: el.clientWidth,
              height: el.clientHeight
            };
          }
          return acc;
        }, {})
      );
    };
    const debouncedCalculateDimensions = (0, import_helpers80.debounce)(calculateDimensions, 50);
    const observer = new ResizeObserver(debouncedCalculateDimensions);
    elements.forEach((el) => observer.observe(el));
    calculateDimensions();
    return () => {
      observer.disconnect();
    };
  }, [menu.expand]);
  return /* @__PURE__ */ (0, import_jsx_runtime112.jsx)(
    StyledMenu2,
    {
      ...getDataAttributes("TabsMenu"),
      ...otherTabsProps,
      accent,
      activeId,
      dimensions,
      gap,
      id,
      menu,
      orientation,
      role: "tablist",
      theme,
      children: tabs.map((d) => /* @__PURE__ */ (0, import_jsx_runtime112.jsx)(
        StyledMenuItem2,
        {
          accent,
          "aria-controls": `panel-${uniqueId}-${d.id}`,
          "aria-selected": d.id === activeId,
          ...getDataAttributes("TabsMenuItem"),
          "data-disabled": !!d.disabled,
          "data-tab-id": d.id,
          disabled: !!d.disabled,
          isActive: d.id === activeId,
          menu,
          onClick: onClickItem,
          orientation,
          role: "tab",
          theme,
          children: d.title
        },
        d.id
      ))
    }
  );
}

// src/components/Tabs/Tabs.tsx
var import_jsx_runtime113 = require("react/jsx-runtime");
var StyledTabs = (0, import_styled89.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { orientation } = props;
  return import_react173.css`
    display: flex;
    flex-direction: ${orientation === "vertical" ? "row" : "column"};
    flex-grow: 1;
    ${getStyles(props, { skipBorder: true })};
  `;
});
var StyledContent5 = (0, import_styled89.default)(
  "div",
  getStyledOptions()
)((props) => {
  const { maxHeight, minHeight } = props;
  return import_react173.css`
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    max-height: ${maxHeight ? (0, import_helpers82.px)(maxHeight) : void 0};
    min-height: ${minHeight ? (0, import_helpers82.px)(minHeight) : void 0};
    overflow-y: auto;
  `;
});
function Tabs(props) {
  const { componentProps, getDataAttributes } = useTabs(props);
  const {
    accent,
    children,
    defaultId = "",
    id,
    loader,
    maxHeight,
    minHeight,
    noContent,
    onClick,
    ...rest
  } = componentProps;
  const [{ activeId, error, isReady, tabs }, setState] = (0, import_hooks25.useSetState)({
    activeId: id ?? defaultId,
    error: false,
    isReady: false,
    tabs: [],
    width: null
  });
  const isMounted = (0, import_react172.useRef)(false);
  const uniqueId = (0, import_react172.useRef)((0, import_helpers82.unique)(6));
  (0, import_react172.useEffect)(() => {
    isMounted.current = true;
    return () => {
      isMounted.current = false;
    };
  }, []);
  (0, import_react172.useEffect)(() => {
    const nextState = {
      error: false,
      isReady: true,
      tabs: []
    };
    const { elements, hasInvalidElements } = getMatchingChildren(children, Tab);
    elements.forEach((child, index) => {
      nextState.tabs.push(child.props);
      if (!activeId && index === 0) {
        nextState.activeId = child.props.id;
      }
    });
    nextState.error = hasInvalidElements;
    setState(nextState);
  }, [activeId, children, setState]);
  (0, import_react172.useEffect)(() => {
    if (id) {
      setState({ activeId: id });
    }
  }, [id, setState]);
  if (error) {
    return null;
  }
  const handleClickItem = (event) => {
    const { disabled, tabId = "" } = event.currentTarget.dataset;
    if (activeId === tabId || disabled === "true") {
      return;
    }
    if (import_is_lite30.default.undefined(id)) {
      setState({ activeId: tabId });
    }
    onClick?.(tabId);
  };
  const content = {};
  if (isReady) {
    if (tabs.length) {
      content.menu = /* @__PURE__ */ (0, import_jsx_runtime113.jsx)(
        TabsMenu,
        {
          ...props,
          activeId,
          onClickItem: handleClickItem,
          tabs,
          uniqueId: uniqueId.current
        }
      );
      content.main = /* @__PURE__ */ (0, import_jsx_runtime113.jsx)(
        StyledContent5,
        {
          ...getDataAttributes("TabsContent"),
          maxHeight,
          minHeight,
          children: tabs.filter((d) => d.id === activeId).map(({ id: tabId, title, ...tabProps }) => {
            return /* @__PURE__ */ (0, import_jsx_runtime113.jsx)(
              Flex,
              {
                ...getDataAttributes("TabsPanel"),
                direction: "column",
                fill: true,
                id: `panel-${uniqueId.current}-${tabId}`,
                role: "tabpanel",
                ...tabProps
              },
              tabId
            );
          })
        }
      );
    } else {
      content.main = noContent ?? /* @__PURE__ */ (0, import_jsx_runtime113.jsx)(NonIdealState, { description: "Content not available", icon: "danger-o", size: "sm" });
    }
  } else {
    content.main = loader ?? /* @__PURE__ */ (0, import_jsx_runtime113.jsx)(Loader, {});
  }
  return /* @__PURE__ */ (0, import_jsx_runtime113.jsxs)(StyledTabs, { ...getDataAttributes("Tabs"), minHeight, ...rest, children: [
    content.menu,
    content.main
  ] });
}
Tabs.displayName = "Tabs";

// src/types/index.ts
var types_exports = {};

// src/types/props.ts
var props_exports = {};

// src/index.ts
var import_helpers84 = require("@gilbarbara/helpers");
__reExport(src_exports, require("colorizr"), module.exports);
var import_react_inlinesvg2 = __toESM(require("react-inlinesvg"));
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Accordion,
  AccordionItem,
  Alert,
  Anchor,
  AspectRatio,
  Avatar,
  Badge,
  Box,
  Button,
  ButtonGroup,
  ButtonSplit,
  ButtonSplitItem,
  ButtonSplitSeparator,
  ButtonUnstyled,
  Checkbox,
  Chip,
  ClickOutside,
  Collapse,
  Container,
  CopyToClipboard,
  DataTable,
  DatePicker,
  DatePickerRange,
  DatePickerSelector,
  Dialog,
  Divider,
  Dropdown,
  Emoji,
  Field,
  Flex,
  FlexCenter,
  FlexInline,
  Form,
  FormElementWrapper,
  FormGroup,
  Grid,
  H1,
  H2,
  H3,
  H4,
  H5,
  H6,
  Icon,
  Image,
  Input,
  InputColor,
  InputFile,
  Jumbo,
  Keyboard,
  Label,
  List,
  ListItem,
  Loader,
  Menu,
  MenuItem,
  MenuSeparator,
  MenuTitle,
  MenuToggle,
  Modal,
  NavBar,
  NavBarContent,
  NavBarMenu,
  NavBarMenuToggle,
  NonIdealState,
  Page,
  Pagination,
  Paragraph,
  Portal,
  ProgressBar,
  ProgressCircle,
  Props,
  Quote,
  Radio,
  RadioGroup,
  Ripple,
  SVG,
  Search,
  Select,
  Sidebar,
  Skeleton,
  SkeletonCircle,
  SkeletonText,
  Snippet,
  Spacer,
  StatusIndicator,
  Tab,
  Tabs,
  Text,
  Textarea,
  Toggle,
  Tooltip,
  Truncate,
  Types,
  animateIcon,
  fadeIn,
  fadeInOut,
  fadeOut,
  getContainerStyles,
  horizontalScale,
  icons,
  mergeTheme,
  px,
  responsive,
  ripple,
  rotate,
  theme,
  useImage,
  useKeyboardNavigation,
  useRipple,
  useTheme,
  ...require("colorizr")
});
//# sourceMappingURL=index.js.map